/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controles;

import entidades.Citas;
import java.awt.Color;
import java.awt.Component;
import java.awt.EventQueue;
import java.beans.PropertyChangeSupport;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collection;
import java.util.Date;
import java.util.LinkedList;
import java.util.List;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import static org.jdesktop.observablecollections.ObservableCollections.observableList;
import org.jdesktop.observablecollections.ObservableList;
import static utilidades.Tiempo.FORMATO_MES;
import utilidades.Utilidades;

/**
 *
 * @author Andersson Paz Narvaez
 */
public class AgendaSemana extends javax.swing.JPanel {

    public static final String PROP_LUNES = "PROP_LUNES";
    public static final String PROP_MARTES = "PROP_MARTES";
    public static final String PROP_MIERCOLES = "PROP_MIERCOLES";
    public static final String PROP_JUEVES = "PROP_JUEVES";
    public static final String PROP_VIERNES = "PROP_VIERNES";
    public static final String PROP_SABADO = "PROP_SABADO";
    public static final String PROP_DOMINGO = "PROP_DOMINGO";
    public static final String PROP_DIA = "PROP_DIA";
    public static final String PROP_DIASEL = "PROP_DIASEL";

    private ObservableList<Citas> lunes = observableList(new ArrayList<Citas>());

    private ObservableList<Citas> martes = observableList(new ArrayList<Citas>());
    private ObservableList<Citas> miercoles = observableList(new ArrayList<Citas>());
    private ObservableList<Citas> jueves = observableList(new ArrayList<Citas>());
    private ObservableList<Citas> viernes = observableList(new ArrayList<Citas>());
    private ObservableList<Citas> sabado = observableList(new ArrayList<Citas>());
    private ObservableList<Citas> domingo = observableList(new ArrayList<Citas>());
    private Date dia;
     private Date diaSel;
    private final long MINUTO = 60000;
    private final SimpleDateFormat formatoDia = new SimpleDateFormat("E");
  

    
    
    /**
     * Creates new form AgendaSemana
     */
    public AgendaSemana(Date dia) {
        initComponents();
        List<List<Citas>> diasSemana = new ArrayList<>();
        diasSemana.add(lunes);
        diasSemana.add(martes);
        diasSemana.add(miercoles);
        diasSemana.add(jueves);
        diasSemana.add(viernes);
        diasSemana.add(sabado);
        diasSemana.add(domingo);
        setDia(dia);
        Date inicioSemana = inicioSemana(getDia());
        for (List<Citas> dia_ : diasSemana) {
            dia_.addAll(horasDia(30, inicioSemana, 8, 18));
            inicioSemana = addDia(inicioSemana, 1);
        }

    }

    private void agregarHoras(List<Citas> dia, int rango, Date inicio) {
        LinkedList<Citas> horasDia = new LinkedList<>();
        Date fin;

        for (Citas cita : dia) {
            Date hora = cita.getFecha();
            fin = inicio;
            long t = hora.getTime();
            inicio = new Date(t + (rango * MINUTO));
            if (hora.after(inicio) && hora.before(fin)) {
                // In between
            }
        }
    }

    private Collection<Citas> horasDia(int rango, Date dia, int horaInicio, int horaFin) {
        Date inicio = horaDia(horaInicio, dia);
        Date fin = horaDia(horaFin, dia);
        Collection<Citas> horasDia = new LinkedList<>();
        long rangoMinutos = rango * MINUTO;
        for (long i = (inicio.getTime() - rangoMinutos); i < fin.getTime(); i = i + (rangoMinutos)) {
            double random = Math.random()*1001;
            Citas c = new Citas((int)random);;
            for (Citas cita : citasList) {
                long horaCita = cita.getFecha().getTime();

                if ((horaCita >= i && horaCita < i + rangoMinutos)) {
                    c = cita;

                }
            }

            c.setFecha(new Date(i));
            horasDia.add(c);
        }
        return horasDia;
    }

    private Date horaDia(int hora, Date dia) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(dia);
        cal.set(Calendar.HOUR_OF_DAY, hora);
        cal.set(Calendar.MINUTE, 0);
        cal.set(Calendar.SECOND, 0);
        cal.set(Calendar.MILLISECOND, 0);
        return cal.getTime();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        em = java.beans.Beans.isDesignTime() ? null : javax.persistence.Persistence.createEntityManagerFactory("IDROBOPU").createEntityManager();
        citasQuery = java.beans.Beans.isDesignTime() ? null : em.createQuery("SELECT c FROM Citas c");
        citasList = java.beans.Beans.isDesignTime() ? java.util.Collections.emptyList() : org.jdesktop.observablecollections.ObservableCollections.observableList(citasQuery.getResultList());
        jScrollPane3 = new javax.swing.JScrollPane();
        tabla = new javax.swing.JTable();
        jScrollPane4 = new javax.swing.JScrollPane();
        tabla1 = new javax.swing.JTable();
        jScrollPane5 = new javax.swing.JScrollPane();
        tabla2 = new javax.swing.JTable();
        jScrollPane6 = new javax.swing.JScrollPane();
        tabla3 = new javax.swing.JTable();
        jScrollPane7 = new javax.swing.JScrollPane();
        tabla4 = new javax.swing.JTable();
        jScrollPane9 = new javax.swing.JScrollPane();
        tabla5 = new javax.swing.JTable();
        jScrollPane11 = new javax.swing.JScrollPane();
        tabla6 = new javax.swing.JTable();

        jScrollPane3.setHorizontalScrollBar(null);
        jScrollPane3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jScrollPane3MouseReleased(evt);
            }
        });
        jScrollPane3.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jScrollPane3PropertyChange(evt);
            }
        });

        org.jdesktop.beansbinding.ELProperty eLProperty = org.jdesktop.beansbinding.ELProperty.create("${martes}");
        org.jdesktop.swingbinding.JTableBinding jTableBinding = org.jdesktop.swingbinding.SwingBindings.createJTableBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, eLProperty, tabla);
        org.jdesktop.swingbinding.JTableBinding.ColumnBinding columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${me}"));
        columnBinding.setColumnName("Martes");
        columnBinding.setColumnClass(entidades.Citas.class);
        columnBinding.setEditable(false);
        jTableBinding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(jTableBinding);
        jTableBinding.bind();
        tabla.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                tablaMouseReleased(evt);
            }
        });
        tabla.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                tablaPropertyChange(evt);
            }
        });
        tabla.getColumnModel().getColumn(0).setCellRenderer( new ToolTip());
        jScrollPane3.setViewportView(tabla);
        if (tabla.getColumnModel().getColumnCount() > 0) {
            tabla.getColumnModel().getColumn(0).setResizable(false);
        }

        jScrollPane4.setHorizontalScrollBarPolicy(javax.swing.ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
        jScrollPane4.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);
        jScrollPane4.setHorizontalScrollBar(null);

        eLProperty = org.jdesktop.beansbinding.ELProperty.create("${miercoles}");
        jTableBinding = org.jdesktop.swingbinding.SwingBindings.createJTableBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, eLProperty, tabla1);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${me}"));
        columnBinding.setColumnName("Miercoles");
        columnBinding.setColumnClass(entidades.Citas.class);
        columnBinding.setEditable(false);
        bindingGroup.addBinding(jTableBinding);
        jTableBinding.bind();
        tabla1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                tabla1MouseReleased(evt);
            }
        });
        tabla1.getColumnModel().getColumn(0).setCellRenderer( new ToolTip());
        jScrollPane4.setViewportView(tabla1);
        if (tabla1.getColumnModel().getColumnCount() > 0) {
            tabla1.getColumnModel().getColumn(0).setResizable(false);
        }

        jScrollPane5.setVerticalScrollBarPolicy(javax.swing.ScrollPaneConstants.VERTICAL_SCROLLBAR_NEVER);
        jScrollPane5.setHorizontalScrollBar(null);

        eLProperty = org.jdesktop.beansbinding.ELProperty.create("${jueves}");
        jTableBinding = org.jdesktop.swingbinding.SwingBindings.createJTableBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, eLProperty, tabla2);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${me}"));
        columnBinding.setColumnName("Jueves");
        columnBinding.setColumnClass(entidades.Citas.class);
        columnBinding.setEditable(false);
        bindingGroup.addBinding(jTableBinding);
        jTableBinding.bind();
        tabla2.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                tabla2MouseReleased(evt);
            }
        });
        tabla2.getColumnModel().getColumn(0).setCellRenderer( new ToolTip());
        jScrollPane5.setViewportView(tabla2);
        if (tabla2.getColumnModel().getColumnCount() > 0) {
            tabla2.getColumnModel().getColumn(0).setResizable(false);
        }

        jScrollPane6.setHorizontalScrollBar(null);

        eLProperty = org.jdesktop.beansbinding.ELProperty.create("${viernes}");
        jTableBinding = org.jdesktop.swingbinding.SwingBindings.createJTableBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, eLProperty, tabla3);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${me}"));
        columnBinding.setColumnName("Viernes");
        columnBinding.setColumnClass(entidades.Citas.class);
        jTableBinding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(jTableBinding);
        jTableBinding.bind();
        tabla3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                tabla3MouseReleased(evt);
            }
        });
        tabla3.getColumnModel().getColumn(0).setCellRenderer( new ToolTip());
        jScrollPane6.setViewportView(tabla3);
        if (tabla3.getColumnModel().getColumnCount() > 0) {
            tabla3.getColumnModel().getColumn(0).setResizable(false);
        }

        jScrollPane7.setHorizontalScrollBar(null);

        eLProperty = org.jdesktop.beansbinding.ELProperty.create("${sabado}");
        jTableBinding = org.jdesktop.swingbinding.SwingBindings.createJTableBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, eLProperty, tabla4);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${me}"));
        columnBinding.setColumnName("Sabado");
        columnBinding.setColumnClass(entidades.Citas.class);
        jTableBinding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(jTableBinding);
        jTableBinding.bind();
        tabla4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                tabla4MouseReleased(evt);
            }
        });
        tabla4.getColumnModel().getColumn(0).setCellRenderer( new ToolTip());
        jScrollPane7.setViewportView(tabla4);
        if (tabla4.getColumnModel().getColumnCount() > 0) {
            tabla4.getColumnModel().getColumn(0).setResizable(false);
        }

        jScrollPane9.setHorizontalScrollBar(null);

        eLProperty = org.jdesktop.beansbinding.ELProperty.create("${domingo}");
        jTableBinding = org.jdesktop.swingbinding.SwingBindings.createJTableBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, eLProperty, tabla5);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${me}"));
        columnBinding.setColumnName("Domingo");
        columnBinding.setColumnClass(entidades.Citas.class);
        columnBinding.setEditable(false);
        jTableBinding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(jTableBinding);
        jTableBinding.bind();
        tabla5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                tabla5MouseReleased(evt);
            }
        });
        tabla5.getColumnModel().getColumn(0).setCellRenderer( new ToolTip());
        jScrollPane9.setViewportView(tabla5);
        if (tabla5.getColumnModel().getColumnCount() > 0) {
            tabla5.getColumnModel().getColumn(0).setResizable(false);
        }

        jScrollPane11.setHorizontalScrollBar(null);
        jScrollPane11.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                jScrollPane11MouseReleased(evt);
            }
        });
        jScrollPane11.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                jScrollPane11PropertyChange(evt);
            }
        });

        eLProperty = org.jdesktop.beansbinding.ELProperty.create("${lunes}");
        jTableBinding = org.jdesktop.swingbinding.SwingBindings.createJTableBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, eLProperty, tabla6);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${fecha}"));
        columnBinding.setColumnName("Hora");
        columnBinding.setColumnClass(java.util.Date.class);
        columnBinding.setEditable(false);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${me}"));
        columnBinding.setColumnName("Lunes");
        columnBinding.setColumnClass(entidades.Citas.class);
        columnBinding.setEditable(false);
        bindingGroup.addBinding(jTableBinding);
        jTableBinding.bind();
        tabla6.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                tabla6MouseReleased(evt);
            }
        });
        tabla6.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                tabla6PropertyChange(evt);
            }
        });
        tabla6.getColumnModel().getColumn(0).setCellRenderer( Utilidades.getTimeRender());
        tabla6.getColumnModel().getColumn(1).setCellRenderer( new ToolTip());
        jScrollPane11.setViewportView(tabla6);
        if (tabla6.getColumnModel().getColumnCount() > 0) {
            tabla6.getColumnModel().getColumn(0).setResizable(false);
            tabla6.getColumnModel().getColumn(1).setResizable(false);
            tabla6.getColumnModel().getColumn(1).setPreferredWidth(150);
        }

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane11, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, 0)
                .addComponent(jScrollPane3, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, 0)
                .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, 0)
                .addComponent(jScrollPane5, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, 0)
                .addComponent(jScrollPane6, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, 0)
                .addComponent(jScrollPane7, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, 0)
                .addComponent(jScrollPane9, javax.swing.GroupLayout.PREFERRED_SIZE, 150, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane3)
                    .addComponent(jScrollPane6, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                    .addComponent(jScrollPane4, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                    .addComponent(jScrollPane5, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                    .addComponent(jScrollPane7, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                    .addComponent(jScrollPane9, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                    .addComponent(jScrollPane11))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents

    private void tablaPropertyChange(java.beans.PropertyChangeEvent evt) {//GEN-FIRST:event_tablaPropertyChange

    }//GEN-LAST:event_tablaPropertyChange

    private void tablaMouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tablaMouseReleased
        setDia(tabla, martes);
    }//GEN-LAST:event_tablaMouseReleased

    private void jScrollPane3PropertyChange(java.beans.PropertyChangeEvent evt) {//GEN-FIRST:event_jScrollPane3PropertyChange

    }//GEN-LAST:event_jScrollPane3PropertyChange

    private void jScrollPane3MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jScrollPane3MouseReleased
        jScrollPane4.getHorizontalScrollBar().setValue(100);
        System.out.println(">>>");
    }//GEN-LAST:event_jScrollPane3MouseReleased

    private void jScrollPane11PropertyChange(java.beans.PropertyChangeEvent evt) {//GEN-FIRST:event_jScrollPane11PropertyChange
        // TODO add your handling code here:
    }//GEN-LAST:event_jScrollPane11PropertyChange

    private void jScrollPane11MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jScrollPane11MouseReleased
        // TODO add your handling code here:
    }//GEN-LAST:event_jScrollPane11MouseReleased

    private void tabla6PropertyChange(java.beans.PropertyChangeEvent evt) {//GEN-FIRST:event_tabla6PropertyChange
        // TODO add your handling code here:
    }//GEN-LAST:event_tabla6PropertyChange

    private void tabla6MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tabla6MouseReleased
       setDia(tabla6, lunes);
    }//GEN-LAST:event_tabla6MouseReleased

    private void tabla1MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tabla1MouseReleased
       setDia(tabla1,miercoles);
    }//GEN-LAST:event_tabla1MouseReleased

    private void tabla2MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tabla2MouseReleased
        setDia(tabla2, jueves);
    }//GEN-LAST:event_tabla2MouseReleased

    private void tabla3MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tabla3MouseReleased
       setDia(tabla3, viernes);
    }//GEN-LAST:event_tabla3MouseReleased

    private void tabla4MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tabla4MouseReleased
         setDia(tabla4, sabado);
    }//GEN-LAST:event_tabla4MouseReleased

    private void tabla5MouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tabla5MouseReleased
        setDia(tabla5, domingo);
    }//GEN-LAST:event_tabla5MouseReleased


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private java.util.List<entidades.Citas> citasList;
    private javax.persistence.Query citasQuery;
    private javax.persistence.EntityManager em;
    private javax.swing.JScrollPane jScrollPane10;
    private javax.swing.JScrollPane jScrollPane11;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JScrollPane jScrollPane5;
    private javax.swing.JScrollPane jScrollPane6;
    private javax.swing.JScrollPane jScrollPane7;
    private javax.swing.JScrollPane jScrollPane9;
    private javax.swing.JTable tabla;
    private javax.swing.JTable tabla1;
    private javax.swing.JTable tabla2;
    private javax.swing.JTable tabla3;
    private javax.swing.JTable tabla4;
    private javax.swing.JTable tabla5;
    private javax.swing.JTable tabla6;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables

    /**
     * @return the lunes
     */
    public ObservableList<Citas> getLunes() {
        return lunes;
    }

    /**
     * @param lunes the lunes to set
     */
    public void setLunes(ObservableList<Citas> lunes) {
        org.jdesktop.observablecollections.ObservableList<entidades.Citas> oldLunes = this.lunes;
        this.lunes = lunes;
        this.firePropertyChange(PROP_LUNES, oldLunes, lunes);
    }

    /**
     * @return the martes
     */
    public ObservableList<Citas> getMartes() {
        return martes;
    }

    /**
     * @param martes the martes to set
     */
    public void setMartes(ObservableList<Citas> martes) {
        org.jdesktop.observablecollections.ObservableList<entidades.Citas> oldMartes = this.martes;
        this.martes = martes;
        this.firePropertyChange(PROP_MARTES, oldMartes, martes);
    }

    /**
     * @return the miercoles
     */
    public ObservableList<Citas> getMiercoles() {
        return miercoles;
    }

    /**
     * @param miercoles the miercoles to set
     */
    public void setMiercoles(ObservableList<Citas> miercoles) {
        org.jdesktop.observablecollections.ObservableList<entidades.Citas> oldMiercoles = this.miercoles;
        this.miercoles = miercoles;
        this.firePropertyChange(PROP_MIERCOLES, oldMiercoles, miercoles);
    }

    /**
     * @return the jueves
     */
    public ObservableList<Citas> getJueves() {
        return jueves;
    }

    /**
     * @param jueves the jueves to set
     */
    public void setJueves(ObservableList<Citas> jueves) {
        org.jdesktop.observablecollections.ObservableList<entidades.Citas> oldJueves = this.jueves;
        this.jueves = jueves;
        this.firePropertyChange(PROP_JUEVES, oldJueves, jueves);
    }

    /**
     * @return the viernes
     */
    public ObservableList<Citas> getViernes() {
        return viernes;
    }

    /**
     * @param viernes the viernes to set
     */
    public void setViernes(ObservableList<Citas> viernes) {
        org.jdesktop.observablecollections.ObservableList<entidades.Citas> oldViernes = this.viernes;
        this.viernes = viernes;
        this.firePropertyChange(PROP_VIERNES, oldViernes, viernes);
    }

    /**
     * @return the sabado
     */
    public ObservableList<Citas> getSabado() {
        return sabado;
    }

    /**
     * @param sabado the sabado to set
     */
    public void setSabado(ObservableList<Citas> sabado) {
        org.jdesktop.observablecollections.ObservableList<entidades.Citas> oldSabado = this.sabado;
        this.sabado = sabado;
        this.firePropertyChange(PROP_SABADO, oldSabado, sabado);
    }

    /**
     * @return the domingo
     */
    public ObservableList<Citas> getDomingo() {
        return domingo;
    }

    /**
     * @param domingo the domingo to set
     */
    public void setDomingo(ObservableList<Citas> domingo) {
        org.jdesktop.observablecollections.ObservableList<entidades.Citas> oldDomingo = this.domingo;
        this.domingo = domingo;
        this.firePropertyChange(PROP_DOMINGO, oldDomingo, domingo);
    }

    /**
     * @return the dia
     */
    public Date getDia() {
        return dia;
    }

    /**
     * @param dia the dia to set
     */
    private void setDia(Date dia) {
        java.util.Date oldDia = this.dia;
        this.dia = dia;
        citasQuery = em.createQuery("SELECT c FROM Citas c WHERE c.fecha BETWEEN :inicio AND :fin");

        citasQuery.setParameter("inicio", inicioSemana(dia)).setParameter("fin", finSemana(dia));
        this.firePropertyChange(PROP_DIA, oldDia, dia);
    }

    private Date inicioSemana(Date dia) {
        Calendar c = Calendar.getInstance();
        c.setTime(dia);
        c.set(Calendar.DAY_OF_WEEK, Calendar.MONDAY);
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        c.set(Calendar.SECOND, 0);
        c.set(Calendar.MILLISECOND, 0);
        return c.getTime();
    }

    private Date addDia(Date dia, int dias) {
        Calendar c = Calendar.getInstance();
        c.setTime(dia);
        c.add(Calendar.DATE, dias);
        return c.getTime();
    }

    private Object finSemana(Date dia) {
        Calendar c = Calendar.getInstance();
        c.setTime(dia);
        c.set(Calendar.DAY_OF_WEEK, Calendar.SUNDAY);
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        c.set(Calendar.SECOND, 0);
        c.set(Calendar.MILLISECOND, 0);
        return c.getTime();
    }

    public static void main(String[] args) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("GTK+".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(AgendaSemana.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(AgendaSemana.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(AgendaSemana.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(AgendaSemana.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        EventQueue.invokeLater(new Runnable() {
            public void run() {
                JFrame frame = new JFrame();
                frame.setContentPane(new AgendaSemana(new Date()));
                frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                frame.pack();
                frame.setVisible(true);
            }
        });
    }

    private Date addMinutos(Date dia, long l) {
        Calendar c = Calendar.getInstance();
        c.setTime(dia);
        c.add(Calendar.MINUTE, (int) l);
        return c.getTime();
    }

    private void setDia(JTable tabla, ObservableList<Citas> dia) {
       try {
            int selectedRow = tabla.getSelectedRow();
            Citas c = dia.get(selectedRow);
            setDiaSel(c.getFecha());
        } catch (Exception e) {
        }
    }

    /**
     * @return the diaSel
     */
    public Date getDiaSel() {
        return diaSel;
    }

    /**
     * @param diaSel the diaSel to set
     */
    public void setDiaSel(Date diaSel) {
        java.util.Date oldDiaSel = this.diaSel;
        this.diaSel = diaSel;
        System.out.println(""+diaSel);
        this.firePropertyChange(PROP_DIASEL, oldDiaSel, diaSel);
    }

    private class ToolTip extends DefaultTableCellRenderer {

        @Override
        public Component getTableCellRendererComponent(JTable table,
                Object value,
                boolean isSelected,
                boolean hasFocus,
                int row, int column) {
            super.getTableCellRendererComponent(table, value, isSelected,
                    hasFocus, row, column);
            Object valueAt = table.getValueAt(row, column);
            if (valueAt instanceof Citas) {
                Citas c = (Citas) valueAt;

                try {
                    setToolTipText(c.getPaceinteTxt());

                    setText(c.getPaceinteTxt());
                    switch (c.getEstadoCitaId().getId()) {
                        case 1:
                            setBackground(Color.green);
                            break;
                        case 2:
                            setBackground(Color.yellow);

                            break;
                        case 3:
                            setBackground(Color.red);
                            break;
                        default:
                            setBackground(Color.white);
                    }

                } catch (Exception e) {
                    setText("");
                    setBackground(Color.white);
                }

            }

            return this;
        }

    }
}
