/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package controles;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JSpinner.DateEditor;


/**
 *
 * @author Usuario
 */
public class Calendario extends javax.swing.JPanel {

    private Date date;

    public static final String PROP_DATE = "date";

    private Integer hora;

    public static final String PROP_HORA = "hora";

    private Integer minutos;

    public static final String PROP_MINUTOS = "minutos";

    public static final String PROP_AMPM = "amPm";
    private Integer i = 0;

    /**
     * Get the value of amPm
     *
     * @return the value of amPm
     */
    /**
     * Get the value of minutos
     *
     * @return the value of minutos
     */
    public Integer getMinutos() {
        return minutos;
    }

    /**
     * Set the value of minutos
     *
     * @param minutos new value of minutos
     */
    public void setMinutos(Integer minutos) {
        Integer oldMinutos = this.minutos;
        this.minutos = minutos;
        propertyChangeSupport.firePropertyChange(PROP_MINUTOS, oldMinutos, minutos);
    }

    /**
     * Get the value of hora
     *
     * @return the value of hora
     */
    public Integer getHora() {
        return hora;
    }

    /**
     * Set the value of hora
     *
     * @param hora new value of hora
     */
    public void setHora(int hora) {
        int oldHora = this.hora;
        this.hora = hora;
        propertyChangeSupport.firePropertyChange(PROP_HORA, oldHora, hora);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    public Date getDate() {
        try {
            //System.out.println("" + fc.format(date));
        } catch (Exception e) {
            // System.out.println("date null");
        }
        return date;

    }

    /**
     * Set the value of date
     *
     * @param date new value of date
     */
    public void setDate(Date date) {
        Date oldDate = this.date;
        this.date = date;
        try {
            Calendar c = Calendar.getInstance();
            //
            c.setTime(date);
            jDateChooser1.setDate(date);
            selHora.setValue(c.getTime());
            //  jSpinner2.setValue(c.get(Calendar.MINUTE));
            //   jComboBox1.setSelectedIndex(c.get(Calendar.AM_PM));
        } catch (Exception e) {
            try {
                jDateChooser1.setDate(null);
                DateFormat f=new SimpleDateFormat("hh:mm a");
                selHora.setValue(f.parse("00:00 am"));
                //  jComboBox1.setSelectedIndex(-1);
                //  jComboBox1.setSelectedIndex(-1);
            } catch (ParseException ex) {
                Logger.getLogger(Calendario.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        propertyChangeSupport.firePropertyChange(PROP_DATE, oldDate, date);
    }

    /**
     * Creates new form fechaHora
     */
    public Calendario() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        jDateChooser1 = new com.toedter.calendar.JDateChooser();
        selHora = new javax.swing.JSpinner();
        jButton1 = new javax.swing.JButton();

        jDateChooser1.setDateFormatString("dd MMM yyyy");

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ, this, org.jdesktop.beansbinding.ELProperty.create("${date}"), jDateChooser1, org.jdesktop.beansbinding.BeanProperty.create("date"));
        binding.setSourceNullValue(null);
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${date!=null}"), jDateChooser1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        selHora.setModel(new javax.swing.SpinnerDateModel(new java.util.Date(), null, null, java.util.Calendar.HOUR));

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${date!=null}"), selHora, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        selHora.setEditor(new DateEditor(selHora, "hh:mm a"));

        jButton1.setText("Ok");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${date!=null}"), jButton1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
            .addComponent(jButton1)
            .addComponent(jDateChooser1, javax.swing.GroupLayout.PREFERRED_SIZE, 129, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addComponent(selHora, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 129, javax.swing.GroupLayout.PREFERRED_SIZE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jDateChooser1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(selHora, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jButton1))
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        try {
            Calendar c = Calendar.getInstance();
            Calendar horas = Calendar.getInstance();
            c.setTime(jDateChooser1.getDate());
            horas.setTime((Date) selHora.getValue());
            c.set(Calendar.HOUR, horas.get(Calendar.HOUR));
            c.set(Calendar.MINUTE, horas.get(Calendar.MINUTE));
            c.set(Calendar.AM_PM, horas.get(Calendar.AM_PM));
            setDate(c.getTime());
        } catch (Exception e) {
        }
        // System.out.println("" + date);
    }//GEN-LAST:event_jButton1ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private com.toedter.calendar.JDateChooser jDateChooser1;
    private javax.swing.JSpinner selHora;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables
}
