/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package controles;

import com.topaz.sigplus.SigPlus;
import com.topaz.sigplus.SigPlusEvent0;
import com.topaz.sigplus.SigPlusListener;
import java.awt.EventQueue;
import java.awt.Graphics;
import java.awt.GridLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.image.BufferedImage;
import java.beans.Beans;
import java.beans.PropertyChangeSupport;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

/**
 *
 * @author Usuario
 */
public class CaptFirma extends javax.swing.JPanel {

    public static final String PROP_FIRMABUFER = "PROP_FIRMABUFER";

    SigPlus sigPlus;
    private BufferedImage firmaBufer;
    private final transient PropertyChangeSupport propertyChangeSupport = new java.beans.PropertyChangeSupport(this);

    /**
     * Creates new form CaptFirma
     */
    public CaptFirma() {
        initComponents();
        initSigPlus();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                formMousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                formMouseReleased(evt);
            }
        });
        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                formComponentResized(evt);
            }
        });
        addMouseMotionListener(new java.awt.event.MouseMotionAdapter() {
            public void mouseMoved(java.awt.event.MouseEvent evt) {
                formMouseMoved(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 490, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 175, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void formComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentResized
      //  System.out.println("" + getSize());
       // setSize(600, 175);
    }//GEN-LAST:event_formComponentResized

    private void formMouseMoved(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_formMouseMoved
        //repaint();
    }//GEN-LAST:event_formMouseMoved

    private void formMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_formMousePressed

    }//GEN-LAST:event_formMousePressed

    private void formMouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_formMouseReleased

    }//GEN-LAST:event_formMouseReleased


    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
    private SigPlus cargarSigPlus() throws IOException, ClassNotFoundException {
        ClassLoader cl = (com.topaz.sigplus.SigPlus.class).getClassLoader();
        SigPlus sigObj = (SigPlus) Beans.instantiate(cl, "com.topaz.sigplus.SigPlus");
        setLayout(new GridLayout(1, 1));
        add(sigObj);
        sigObj.addSigPlusListener(new SigPlusListener() {
            @Override
            public void handleTabletTimerEvent(SigPlusEvent0 evt) {
            System.out.println("escribiendo");
            }

            @Override
            public void handleNewTabletData(SigPlusEvent0 evt) {
                System.out.println("escribiendo");
            }

            @Override
            public void handleKeyPadData(SigPlusEvent0 evt) {
             System.out.println("escribiendo 2");
            }
        });

        return sigObj;
    }

    public void close() {
        if (sigPlus != null) {
            sigPlus.setTabletState(0);
        }

    }

    public void borrar() {
        if (sigPlus != null) {
            sigPlus.clearTablet();
        }

    }

    public static void main(String[] args) {

        EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                JFrame frame = new JFrame();
                final CaptFirma cf = new CaptFirma();
                frame.add(cf);
                frame.pack();
                frame.addWindowListener(new WindowAdapter() {
                    @Override
                    public void windowClosing(WindowEvent we) {
                        System.exit(0);
                        cf.close();
                    }

                    @Override
                    public void windowClosed(WindowEvent we) {
                        System.exit(0);
                    }
                });

                //  frame.setSize(600, 175);
                frame.setVisible(true);

            }
        });
    }

    @Override
    protected void paintComponent(Graphics grphcs) {
        super.paintComponent(grphcs); //To change body of generated methods, choose Tools | Templates.
        grphcs.drawLine(26, 100, 552, 100);
    }

    /**
     * @return the firmaBufer
     */
    public BufferedImage getFirmaBufer() {
        try {           
            sigPlus.getGraphics();
           firmaBufer = new BufferedImage(sigPlus.getSize().width, sigPlus.getSize().height, BufferedImage.TYPE_INT_RGB);
            sigPlus.paint(firmaBufer.createGraphics());
           
        } catch (Exception e) {
            System.out.println("" + e.getCause());
        }
        return firmaBufer;
    }

    /**
     * @param firmaBufer the firmaBufer to set
     */
    public void setFirmaBufer(BufferedImage firmaBufer) {
        java.awt.image.BufferedImage oldFirmaBufer = this.firmaBufer;
        this.firmaBufer = firmaBufer;
        propertyChangeSupport.firePropertyChange(PROP_FIRMABUFER, oldFirmaBufer, firmaBufer);
    }

    void salir() {
        close();
    }

    private void initSigPlus() {
        try {
            sigPlus = cargarSigPlus();
            cargarLayout();
            sigPlus.setTabletModel("SigLite1X5");
            sigPlus.setTabletComPort("HID1");
            sigPlus.setTabletState(1);
            sigPlus.setSize(600, 175);
            add(sigPlus);
            // setSize(sigPlus.getSize());
            setSize(600, 175);

        } catch (IOException | ClassNotFoundException ex) {
            Logger.getLogger(CaptFirma.class.getName()).log(Level.SEVERE, null, ex);
            JOptionPane.showMessageDialog(null, "Error al cargar la tabla digitalizadora");
        }
    }

    private void cargarLayout() {
        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
                layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(sigPlus, javax.swing.GroupLayout.DEFAULT_SIZE, 586, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
                layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addComponent(sigPlus, javax.swing.GroupLayout.DEFAULT_SIZE, 136, Short.MAX_VALUE)
        );
    }
}
