/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package controles;

import com.digitalpersona.onetouch.DPFPDataPurpose;
import com.digitalpersona.onetouch.DPFPFeatureSet;
import com.digitalpersona.onetouch.DPFPGlobal;
import com.digitalpersona.onetouch.DPFPSample;
import com.digitalpersona.onetouch.DPFPTemplate;
import com.digitalpersona.onetouch.capture.DPFPCapture;
import com.digitalpersona.onetouch.capture.event.DPFPDataAdapter;
import com.digitalpersona.onetouch.capture.event.DPFPDataEvent;
import com.digitalpersona.onetouch.capture.event.DPFPErrorAdapter;
import com.digitalpersona.onetouch.capture.event.DPFPErrorEvent;
import com.digitalpersona.onetouch.capture.event.DPFPReaderStatusAdapter;
import com.digitalpersona.onetouch.capture.event.DPFPReaderStatusEvent;
import com.digitalpersona.onetouch.capture.event.DPFPSensorAdapter;
import com.digitalpersona.onetouch.capture.event.DPFPSensorEvent;
import com.digitalpersona.onetouch.processing.DPFPEnrollment;
import com.digitalpersona.onetouch.processing.DPFPFeatureExtraction;
import com.digitalpersona.onetouch.processing.DPFPImageQualityException;
import com.digitalpersona.onetouch.verification.DPFPVerification;

import java.awt.Image;
import java.beans.PropertyChangeSupport;
import java.net.URL;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.SwingUtilities;

/**
 *
 * @author Usuario
 */
public class CaptHuella extends javax.swing.JPanel {

    public static final String PROP_TEMPLATE = "PROP_TEMPLATE";
    public static final String PROP_DATOSHUELLA = "PROP_DATOSHUELLA";
    public static final String PROP_IMAGENHUELLA = "PROP_IMAGENHUELLA";
    public static final String PROP_IMAGE = "PROP_IMAGE";

    private final DPFPCapture Lector = DPFPGlobal.getCaptureFactory().createCapture();
    private final DPFPEnrollment Reclutador = DPFPGlobal.getEnrollmentFactory().createEnrollment();
    private final DPFPVerification Verificador = DPFPGlobal.getVerificationFactory().createVerification();
    public DPFPFeatureSet featuresinscripcion;
    public DPFPFeatureSet featuresverificacion;
    private DPFPTemplate template;
    private final transient PropertyChangeSupport propertyChangeSupport = new java.beans.PropertyChangeSupport(this);
    private byte[] datosHuella;
    private Icon imagenHuella;
    private Image image;

    /**
     * Creates new form CaptHuella
     */
    public CaptHuella() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        huellaLabel = new javax.swing.JLabel();
        estadolabel = new javax.swing.JLabel();
        numLabel = new javax.swing.JLabel();

        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentHidden(java.awt.event.ComponentEvent evt) {
                formComponentHidden(evt);
            }
            public void componentShown(java.awt.event.ComponentEvent evt) {
                formComponentShown(evt);
            }
        });

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${imagenHuella}"), huellaLabel, org.jdesktop.beansbinding.BeanProperty.create("icon"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        estadolabel.setText(" ");

        numLabel.setFont(new java.awt.Font("Snap ITC", 0, 11)); // NOI18N
        numLabel.setForeground(new java.awt.Color(255, 153, 153));
        numLabel.setText("0");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(huellaLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(estadolabel)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(numLabel)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(estadolabel)
                    .addComponent(numLabel))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addComponent(huellaLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents

    private void formComponentShown(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentShown

        System.out.println("abierto");
    }//GEN-LAST:event_formComponentShown

    private void formComponentHidden(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentHidden
        System.out.println("cerrado");
    }//GEN-LAST:event_formComponentHidden
    public void init() {
        Iniciar();
        start();
        EstadoHuellas();
    }

    public void salir() {
        stop();
    }


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel estadolabel;
    private javax.swing.JLabel huellaLabel;
    private javax.swing.JLabel numLabel;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables
    protected void Iniciar() {
        Lector.addDataListener(new DPFPDataAdapter() {
            @Override
            public void dataAcquired(final DPFPDataEvent e) {
                SwingUtilities.invokeLater(new Runnable() {
                    @Override
                    public void run() {
                        System.out.println("La Huella Digital ha sido Capturada");
                        ProcesarCaptura(e.getSample());
                    }
                });
            }
        });

        Lector.addReaderStatusListener(new DPFPReaderStatusAdapter() {
            @Override
            public void readerConnected(final DPFPReaderStatusEvent e) {
                SwingUtilities.invokeLater(new Runnable() {
                    @Override
                    public void run() {
                        estadolabel.setIcon(getIconEstado("bullet_yellow.png"));
                    }
                });
            }

            @Override
            public void readerDisconnected(final DPFPReaderStatusEvent e) {
                SwingUtilities.invokeLater(new Runnable() {
                    @Override
                    public void run() {
                        estadolabel.setIcon(getIconEstado("bullet_red.png"));
                    }
                });
            }
        });

        Lector.addSensorListener(new DPFPSensorAdapter() {
            @Override
            public void fingerTouched(final DPFPSensorEvent e) {
                SwingUtilities.invokeLater(new Runnable() {
                    @Override
                    public void run() {
                        estadolabel.setIcon(getIconEstado("bullet_green.png"));
                    }

                });
            }

            @Override
            public void fingerGone(final DPFPSensorEvent e) {
                SwingUtilities.invokeLater(new Runnable() {
                    @Override
                    public void run() {
                        estadolabel.setIcon(getIconEstado("bullet_yellow.png"));
                    }
                });
            }
        });

        Lector.addErrorListener(new DPFPErrorAdapter() {
            public void errorReader(final DPFPErrorEvent e) {
                SwingUtilities.invokeLater(new Runnable() {
                    @Override
                    public void run() {
                        estadolabel.setToolTipText("Error: " + e.getError());
                        estadolabel.setIcon(getIconEstado("bullet_error.png"));

                    }
                });
            }
        });

        Lector.addErrorListener(new DPFPErrorAdapter() {
            public void errorReader(final DPFPErrorEvent e) {
                SwingUtilities.invokeLater(new Runnable() {
                    @Override
                    public void run() {
                        estadolabel.setToolTipText("Error: " + e.getError());
                        estadolabel.setIcon(getIconEstado("bullet_error.png"));
                    }
                });
            }
        });
    }

    public void ProcesarCaptura(DPFPSample sample) {
        // Procesar la muestra de la huella y crear un conjunto de caracterÃ­sticas con el propÃ³sito de inscripciÃ³n.
        featuresinscripcion = extraerCaracteristicas(sample, DPFPDataPurpose.DATA_PURPOSE_ENROLLMENT);

        // Procesar la muestra de la huella y crear un conjunto de caracterÃ­sticas con el propÃ³sito de verificacion.
        featuresverificacion = extraerCaracteristicas(sample, DPFPDataPurpose.DATA_PURPOSE_VERIFICATION);

        // Comprobar la calidad de la muestra de la huella y lo aÃ±ade a su reclutador si es bueno
        if (featuresinscripcion != null) {
            try {
                ///  System.out.println("Las Caracteristicas de la Huella han sido creada");
                Reclutador.addFeatures(featuresinscripcion);// Agregar las caracteristicas de la huella a la plantilla a crear
                // Dibuja la huella dactilar capturada.
                Image imagenRotada = utilidades.Utilidades.rotar(CrearImagenHuella(sample));
                 setImage(imagenRotada);
                DibujarHuella(getImage());
                // setDatosHuella(template.serialize());
            } catch (DPFPImageQualityException ex) {
                System.err.println("Error: " + ex.getMessage());
            } finally {
                EstadoHuellas();
                // Comprueba si la plantilla se ha creado.
                switch (Reclutador.getTemplateStatus()) {
                    case TEMPLATE_STATUS_READY: // informe de Ã©xito y detiene la captura de huellas
                        stop();
                        setTemplate(Reclutador.getTemplate());
                        //  System.out.println("La Plantilla de la Huella ha Sido Creada, ya puede Verificarla o Identificarla");
                        estadolabel.setIcon(getIconEstado("accept.png"));
                        break;

                    case TEMPLATE_STATUS_FAILED: // informe de fallas y reiniciar la captura de huellas
                        Reclutador.clear();
                        stop();
                        EstadoHuellas();
                        setTemplate(null);
                        // JOptionPane.showMessageDialog(null, "La Plantilla de la Huella no pudo ser creada, Repita el Proceso", "Inscripcion de Huellas Dactilares", JOptionPane.ERROR_MESSAGE);
                        estadolabel.setIcon(getIconEstado("cancel.png"));
                        start();
                        break;

                }
            }
        }
    }

    public DPFPFeatureSet extraerCaracteristicas(DPFPSample sample, DPFPDataPurpose purpose) {
        DPFPFeatureExtraction extractor = DPFPGlobal.getFeatureExtractionFactory().createFeatureExtraction();
        try {
            return extractor.createFeatureSet(sample, purpose);
        } catch (DPFPImageQualityException e) {
            return null;
        }
    }

    public Image CrearImagenHuella(DPFPSample sample) {
        return DPFPGlobal.getSampleConversionFactory().createImage(sample);
    }

    public void DibujarHuella(Image image) {
        huellaLabel.setIcon(new ImageIcon(
                image.getScaledInstance(huellaLabel.getWidth(), huellaLabel.getHeight(), Image.SCALE_DEFAULT)));
        repaint();
    }

    public void EstadoHuellas() {
        numLabel.setText(String.valueOf(Reclutador.getFeaturesNeeded()));
    }

    /**
     * @return the template
     */
    public DPFPTemplate getTemplate() {
        return template;
    }

    /**
     * @param template the template to set
     */
    public void setTemplate(DPFPTemplate template) {
        com.digitalpersona.onetouch.DPFPTemplate oldTemplate = this.template;
        this.template = template;
        propertyChangeSupport.firePropertyChange(PROP_TEMPLATE, oldTemplate, template);
    }

    public void start() {
        Lector.startCapture();
        System.out.println("Utilizando el Lector de Huella Dactilar ");
    }

    public void stop() {
        Lector.stopCapture();
        System.out.println("No se está usando el Lector de Huella Dactilar ");
    }

    private Icon getIconEstado(String bullet_greenpng) {
        URL url = imagenes.Imagenes.class.getResource(bullet_greenpng);
        if (url != null) {
            return new ImageIcon(url);
        } else {
            return null;
        }
    }

    /**
     * @return the datosHuella
     */
    public byte[] getDatosHuella() {
        return datosHuella;
    }

    /**
     * @param datosHuella the datosHuella to set
     */
    public void setDatosHuella(byte[] datosHuella) {
        byte[] oldDatosHuella = this.datosHuella;
        this.datosHuella = datosHuella;
        propertyChangeSupport.firePropertyChange(PROP_DATOSHUELLA, oldDatosHuella, datosHuella);
    }

    /**
     * @return the imagenHuella
     */
    public Icon getImagenHuella() {
        return imagenHuella;
    }

    /**
     * @param imagenHuella the imagenHuella to set
     */
    public void setImagenHuella(Icon imagenHuella) {
        javax.swing.Icon oldImagenHuella = this.imagenHuella;
        this.imagenHuella = imagenHuella;
        propertyChangeSupport.firePropertyChange(PROP_IMAGENHUELLA, oldImagenHuella, imagenHuella);
    }

    /**
     * @return the image
     */
    public Image getImage() {             
        return image;
    }

    /**
     * @param image the image to set
     */
    public void setImage(Image image) {
        java.awt.Image oldImage = this.image;
        this.image = image;
        propertyChangeSupport.firePropertyChange(PROP_IMAGE, oldImage, image);
    }
  

}
