/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package controles;

import java.awt.Graphics;
import java.awt.HeadlessException;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.image.BufferedImage;
import java.awt.image.RasterFormatException;
import java.beans.PropertyChangeSupport;
import java.io.IOException;
import static java.lang.Math.abs;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;

/**
 *
 * @author Usuario
 */
public class EditorImg extends javax.swing.JPanel {

    public static final String PROP_WPIC = "PROP_WPIC";

    private int x_;
    private int y_;
    private int x_2;
    private int y_2;
    private BufferedImage wPic;
    private final transient PropertyChangeSupport propertyChangeSupport = new java.beans.PropertyChangeSupport(this);

    /**
     * Creates new form EditorImg
     */
    public EditorImg() {
        initComponents();
        wPic = null;
        try {
            wPic = ImageIO.read(imagenes.Imagenes.class.getResource("test.png"));
        } catch (IOException ex) {
            Logger.getLogger(EditorImg.class.getName()).log(Level.SEVERE, null, ex);
        }
        // jLabel1.setIcon(new ImageIcon(wPic));
    }

    EditorImg(BufferedImage bf) {
        initComponents();
        wPic = bf;

    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setCursor(new java.awt.Cursor(java.awt.Cursor.CROSSHAIR_CURSOR));
        addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                formMousePressed(evt);
            }
            public void mouseReleased(java.awt.event.MouseEvent evt) {
                formMouseReleased(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 400, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 149, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void formMousePressed(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_formMousePressed
        x_ = evt.getX();
        y_ = evt.getY();
    }//GEN-LAST:event_formMousePressed

    private void formMouseReleased(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_formMouseReleased
        x_2 = evt.getX();
        y_2 = evt.getY();
        int ant = 0;
        if (x_2 < x_) {
            ant = x_2;
            x_2 = x_;
            x_ = ant;
        }
        if (y_2 < y_) {
            ant = y_2;
            y_2 = y_;
            y_ = ant;
        }
        repaint();

        try {
            BufferedImage corte = cropImage(getwPic(), x_, y_, abs(x_ - x_2), abs(y_ - y_2));
            if (corte != null) {
                JLabel imglabel = new JLabel(new ImageIcon(corte));
                if (JOptionPane.showConfirmDialog(null, imglabel, "Desea Recortar", JOptionPane.OK_CANCEL_OPTION) == 0) {
                    setwPic(corte);
                }
                x_ = x_2 = y_ = y_2 = 0;
                repaint();
            }
        } catch (HeadlessException e) {
        }

    }//GEN-LAST:event_formMouseReleased


    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
@Override
    protected void paintComponent(Graphics grphcs) {
        super.paintComponent(grphcs); //To change body of generated methods, choose Tools | Templates.
        //  grphcs.drawLine(26, 100, 552, 100);
        grphcs.drawImage(getwPic(), 0, 0, this);

        //   ImageIcon icon = new ImageIcon();
        grphcs.drawRect(x_, y_, Math.abs(x_ - x_2), Math.abs(y_ - y_2));
        // System.out.println(""+(Math.abs(x_-x_2))+","+(y_- y_2));
    }

    public static void main(String args[]) {

        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                JFrame frame = new JFrame();

                frame.add(new EditorImg());
                frame.pack();
                frame.addWindowListener(new WindowAdapter() {
                    @Override
                    public void windowClosing(WindowEvent we) {
                        System.exit(0);
                    }

                    @Override
                    public void windowClosed(WindowEvent we) {
                        System.exit(0);
                    }
                });
                frame.setSize(600, 175);
                frame.setVisible(true);
            }
        });
    }

    private BufferedImage cropImage(BufferedImage src, int x, int y, int x1, int y1) {
        try {
            BufferedImage dest = src.getSubimage(x, y, x1, y1);
            return dest;
        } catch (RasterFormatException e) {
            return null;
        }
    }

    /**
     * @return the wPic
     */
    public BufferedImage getwPic() {
        return wPic;
    }

    /**
     * @param wPic the wPic to set
     */
    public void setwPic(BufferedImage wPic) {
        java.awt.image.BufferedImage oldwPic = this.wPic;
        this.wPic = wPic;
        propertyChangeSupport.firePropertyChange(PROP_WPIC, oldwPic, wPic);
    }

}
