/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package controles;

import java.awt.image.BufferedImage;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.filechooser.FileNameExtensionFilter;

/**
 *
 * @author Usuario
 */
public class Firma extends javax.swing.JPanel {

    private byte[] byteFirma;

    public static final String PROP_BYTEFIRMA = "byteFirma";

    /**
     * Get the value of byteFirma
     *
     * @return the value of byteFirma
     */
    public byte[] getByteFirma() {
        return byteFirma;
    }

    /**
     * Set the value of byteFirma
     *
     * @param byteFirma new value of byteFirma
     */
    public void setByteFirma(byte[] byteFirma) {
        try {
            byte[] oldByteFirma = this.byteFirma;
            this.byteFirma = byteFirma;
            firma.setIcon(new ImageIcon(byteFirma));
            propertyChangeSupport.firePropertyChange(PROP_BYTEFIRMA, oldByteFirma, byteFirma);
        } catch (Exception e) {
            firma.setIcon(null);            
        }
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    /**
     * Creates new form Firma
     */
    public Firma() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        firma = new javax.swing.JLabel();
        abrirFirma = new javax.swing.JButton();

        abrirFirma.setText("Abrir");
        abrirFirma.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                abrirFirmaActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(firma, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 187, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(abrirFirma)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(firma, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(abrirFirma)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void abrirFirmaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_abrirFirmaActionPerformed
        JFileChooser fileChooser = new JFileChooser();;
        fileChooser.setCurrentDirectory(new File(System.getProperty("user.home") + "\\Pictures"));
        System.out.println("" + new File(System.getProperty("user.home") + "\\Pictures"));
        FileNameExtensionFilter filtro = new FileNameExtensionFilter(".jpg & .gif", "jpg", "png");
        fileChooser.setFileFilter(filtro);
        fileChooser.setFileSelectionMode(JFileChooser.FILES_ONLY);
        int result = fileChooser.showOpenDialog(this);
        if (result == JFileChooser.APPROVE_OPTION) {
            File name = fileChooser.getSelectedFile();
            try {
                setByteFirma(loadImage(name));               
            } catch (IOException ex) {
                JOptionPane.showMessageDialog(null, "Error al cargar la imagen");
            }

        }
    }//GEN-LAST:event_abrirFirmaActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton abrirFirma;
    private javax.swing.JLabel firma;
    // End of variables declaration//GEN-END:variables
public byte[] loadImage(File file) throws IOException {
        BufferedImage image = ImageIO.read(file);
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        ImageIO.write(image, "png", baos);
        byte[] bytes = baos.toByteArray();
        /*  try {
        String encodedImage = Base64.encode(baos.toByteArray());
        System.out.println("" + encodedImage);
        } catch (Exception e) {
        }*/
        return bytes;
    }

    private ImageIcon byteToIcon(byte[] data) throws IOException {
        ImageIcon ic;
        ic = new ImageIcon(data);
        return ic;
    }

    @Override
    public void setEnabled(boolean bln) {
        super.setEnabled(bln); //To change body of generated methods, choose Tools | Templates.
        abrirFirma.setEnabled(bln);   
        if (!bln) {
            setByteFirma(new byte[0]);
            firma.setIcon(null);
            firma.setText("sin firma");
        }else{
             firma.setText("");
        }
    }
    
}
