/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package controles;

import com.digitalpersona.onetouch.DPFPTemplate;
import java.awt.EventQueue;
import java.awt.Image;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.image.BufferedImage;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.imageio.ImageIO;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JOptionPane;

/**
 *
 * @author Usuario
 */
public class FirmaHuella extends javax.swing.JPanel {

    private boolean enableHuella=true;

    public static final String PROP_ENABLEHUELLA = "enableHuella";

    private boolean enableFirma=true;

    public static final String PROP_ENABLEFIRMA = "enableFirma";

    private String documento;

    public static final String PROP_DOCUMENTO = "documento";

    /**
     * Get the value of documento
     *
     * @return the value of documento
     */
    public String getDocumento() {
        return documento;
    }

    /**
     * Set the value of documento
     *
     * @param documento new value of documento
     */
    public void setDocumento(String documento) {
        String oldDocumento = this.documento;
        this.documento = documento;
        propertyChangeSupport.firePropertyChange(PROP_DOCUMENTO, oldDocumento, documento);
    }

    /**
     * Get the value of enableFirma
     *
     * @return the value of enableFirma
     */
    public boolean getEnableFirma() {
        return enableFirma;
    }

    /**
     * Set the value of enableFirma
     *
     * @param enableFirma new value of enableFirma
     */
    public void setEnableFirma(boolean enableFirma) {
        boolean oldEnableFirma = this.enableFirma;
        this.enableFirma = enableFirma;
        propertyChangeSupport.firePropertyChange(PROP_ENABLEFIRMA, oldEnableFirma, enableFirma);
    }

    /**
     * Get the value of enableHuella
     *
     * @return the value of enableHuella
     */
    public boolean getEnableHuella() {
        return enableHuella;
    }

    /**
     * Set the value of enableHuella
     *
     * @param enableHuella new value of enableHuella
     */
    public void setEnableHuella(boolean enableHuella) {
        boolean oldEnableHuella = this.enableHuella;
        this.enableHuella = enableHuella;
        propertyChangeSupport.firePropertyChange(PROP_ENABLEHUELLA, oldEnableHuella, enableHuella);
    }

    public static final String PROP_INFOHUELLA = "PROP_INFOHUELLA";

    private BufferedImage bf;

    private byte[] byteHuella;
    private byte[] infoHuella;

    public static final String PROP_BYTEHUELLA = "byteHuella";

    private byte[] byteFirma;

    public static final String PROP_BYTEFIRMA = "byteFirma";

    /**
     * Get the value of byteFirma
     *
     * @return the value of byteFirma
     */
    public byte[] getByteFirma() {
        return byteFirma;
    }

    /**
     * Set the value of byteFirma
     *
     * @param byteFirma new value of byteFirma
     */
    public void setByteFirma(byte[] byteFirma) {
        byte[] oldByteFirma = this.byteFirma;
        this.byteFirma = byteFirma;
        try {
            if (byteFirma != null) {
                firmaLabel.setIcon(new ImageIcon(byteFirma));
            } else {
                firmaLabel.setIcon(null);
            }
        } catch (Exception e) {
        }
        propertyChangeSupport.firePropertyChange(PROP_BYTEFIRMA, oldByteFirma, byteFirma);
    }

    /**
     * Get the value of byteHuella
     *
     * @return the value of byteHuella
     */
    public byte[] getByteHuella() {
        return byteHuella;
    }

    /**
     * Set the value of byteHuella
     *
     * @param byteHuella new value of byteHuella
     */
    public void setByteHuella(byte[] byteHuella) {
        byte[] oldByteHuella = this.byteHuella;
        this.byteHuella = byteHuella;
        if (byteHuella != null) {
            huellaLabel.setIcon(new ImageIcon(byteHuella));
        } else {
            huellaLabel.setIcon(null);
        }
        propertyChangeSupport.firePropertyChange(PROP_BYTEHUELLA, oldByteHuella, byteHuella);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    /**
     * Creates new form FirmaHuella
     */
    public FirmaHuella() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        huellaLabel = new javax.swing.JLabel();
        firmaLabel = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();

        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/add.png"))); // NOI18N
        jButton1.setToolTipText("Nueva Huella");

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${enableHuella}"), jButton1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);

        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jButton2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/add.png"))); // NOI18N
        jButton2.setToolTipText("Nueva Firma");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${enableFirma}"), jButton2, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);

        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jButton3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/cut.png"))); // NOI18N
        jButton3.setToolTipText("Rcortar");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${byteFirma!=null}"), jButton3, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        jLabel1.setText("Documento:");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${documento}"), jTextField1, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${enableHuella||enableFirma}"), jTextField1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(huellaLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 90, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton1))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jButton2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jButton3))
                    .addComponent(firmaLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
            .addGroup(layout.createSequentialGroup()
                .addGap(29, 29, 29)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 126, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(firmaLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(huellaLabel, javax.swing.GroupLayout.PREFERRED_SIZE, 110, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButton1)
                    .addComponent(jButton3)
                    .addComponent(jButton2))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        CaptHuella captHuella = new CaptHuella();
        captHuella.init();
        if (JOptionPane.showConfirmDialog(null, captHuella, "Ingrese Su Huella", JOptionPane.OK_CANCEL_OPTION, JOptionPane.PLAIN_MESSAGE) == 0) {

            Image image = captHuella.getImage();
          //  Image image = escalar.getScaledInstance(huellaLabel.getWidth(), huellaLabel.getHeight(), Image.SCALE_DEFAULT);
            DPFPTemplate template = captHuella.getTemplate();
            if (image != null) {

                byte[] bytesHuella = null;
                try {
                    bytesHuella = utilidades.Utilidades.getBytesFromImg(image);
                } catch (Exception ex) {
                    Logger.getLogger(FirmaHuella.class.getName()).log(Level.SEVERE, null, ex);
                }                
                setByteHuella(bytesHuella);
                byte[] datosHuella = template.serialize();
                setInfoHuella(datosHuella);

            }

        }
        captHuella.salir();
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        CaptFirma captFirma = new CaptFirma();
        if (JOptionPane.showConfirmDialog(null, captFirma, "Ingrese Su Firma", JOptionPane.OK_CANCEL_OPTION) == 0) {
            bf = captFirma.getFirmaBufer();
            actualizarFirma();
        }
        captFirma.salir();
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        EditorImg editor = new EditorImg(bf);
        if (JOptionPane.showConfirmDialog(null, editor, "Seleccione el area de recorte", JOptionPane.OK_CANCEL_OPTION, JOptionPane.PLAIN_MESSAGE) == 0) {
            bf = editor.getwPic();
        }
        if (bf != null) {
            Icon icono = new ImageIcon(bf);
            firmaLabel.setIcon(icono);
            actualizarFirma();
        }
    }//GEN-LAST:event_jButton3ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel firmaLabel;
    private javax.swing.JLabel huellaLabel;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JTextField jTextField1;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables
  public static void main(String[] args) {

        EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                JFrame frame = new JFrame();
                final FirmaHuella cf = new FirmaHuella();
                frame.add(cf);
                frame.pack();
                frame.addWindowListener(new WindowAdapter() {
                    @Override
                    public void windowClosing(WindowEvent we) {
                        System.exit(0);
                    }

                    @Override
                    public void windowClosed(WindowEvent we) {
                        System.exit(0);
                    }
                });
                //  frame.setSize(600, 175);
                frame.setVisible(true);
            }
        });
    }

    private void actualizarFirma() {
        if (bf != null) {
            try {
                System.out.println("");

                try (ByteArrayOutputStream baos = new ByteArrayOutputStream()) {
                    ImageIO.write(bf, "jpeg", baos);
                    baos.flush();
                    setByteFirma(baos.toByteArray());
                    Icon icono = new ImageIcon(getByteFirma());
                    firmaLabel.setIcon(icono);
                    baos.close();
                }
            } catch (IOException ex) {
                // Logger.getLogger(FirmaHuella.class.getName()).log(Level.SEVERE, null, ex);
            } catch (Exception e) {

            }
        }
    }

    /**
     * @return the infoHuella
     */
    public byte[] getInfoHuella() {
        return infoHuella;
    }

    /**
     * @param infoHuella the infoHuella to set
     */
    public void setInfoHuella(byte[] infoHuella) {
        byte[] oldInfoHuella = this.infoHuella;
        this.infoHuella = infoHuella;
        propertyChangeSupport.firePropertyChange(PROP_INFOHUELLA, oldInfoHuella, infoHuella);
    }

    public boolean checkNull() {
        String msj;
        if (byteFirma==null||byteHuella==null) {
            if (byteFirma==null) {
                msj="firma.";
            }else{
                msj="huella.";
            }
            JOptionPane.showMessageDialog(null, "Sin "+msj);
            return true;
        }
        return false;
    }
}
