/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package controles;

import com.topaz.sigplus.SigPlus;
import java.beans.Beans;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Usuario
 */
public class SigplusLoader extends SigPlus{
    private static SigPlus sigPlus=null;

    public static SigPlus getSigPlus() {
        return sigPlus;
    }
    
    private SigplusLoader() {
        try {
            ClassLoader cl = (com.topaz.sigplus.SigPlus.class).getClassLoader();
            sigPlus = (SigPlus)Beans.instantiate(cl, "com.topaz.sigplus.SigPlus");
        } catch (IOException | ClassNotFoundException ex) {
      
            // Logger.getLogger(SigplusLoader.class.getName()).log(Level.SEVERE, null, ex);
          
        }
    }
    
    public static SigplusLoader getInstance() {
        return SigplusLoaderHolder.INSTANCE;
    }
    
    private static class SigplusLoaderHolder {

        private static final SigplusLoader INSTANCE = (SigplusLoader) new SigplusLoader().getSigPlus();
    }
}
