/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import java.util.Collection;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author Andersson Paz Narvaez
 */
@Entity
@Table(name = "analisis_cefalometrico")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "AnalisisCefalometricoNinos.findAll", query = "SELECT a FROM AnalisisCefalometricoNinos a"),
    @NamedQuery(name = "AnalisisCefalometricoNinos.findById", query = "SELECT a FROM AnalisisCefalometricoNinos a WHERE a.id = :id"),
    @NamedQuery(name = "AnalisisCefalometricoNinos.findByNorma1", query = "SELECT a FROM AnalisisCefalometricoNinos a WHERE a.norma1 = :norma1"),
    @NamedQuery(name = "AnalisisCefalometricoNinos.findByNorma3", query = "SELECT a FROM AnalisisCefalometricoNinos a WHERE a.norma3 = :norma3"),
    @NamedQuery(name = "AnalisisCefalometricoNinos.findByNorma4", query = "SELECT a FROM AnalisisCefalometricoNinos a WHERE a.norma4 = :norma4"),
    @NamedQuery(name = "AnalisisCefalometricoNinos.findByNorma5", query = "SELECT a FROM AnalisisCefalometricoNinos a WHERE a.norma5 = :norma5"),
    @NamedQuery(name = "AnalisisCefalometricoNinos.findByFecha", query = "SELECT a FROM AnalisisCefalometricoNinos a WHERE a.fecha = :fecha")})
public class AnalisisCefalometricoNinos implements Serializable {

    @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @Column(name = "norma1")
    private String norma1;
    @Basic(optional = false)
    @Column(name = "norma3")
    private String norma3;
    @Basic(optional = false)
    @Column(name = "norma4")
    private String norma4;
    @Basic(optional = false)
    @Column(name = "norma5")
    private String norma5;  
    @Basic(optional = false)
    @Column(name = "fecha")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecha;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "analisisCefalometricoNinosId")
    private Collection<ResultadosNinos> resultadosNinosCollection;
    @JoinColumn(name = "tratamiento_id", referencedColumnName = "id")
    @OneToOne(optional = false, fetch = FetchType.LAZY)
    private Tratamiento tratamientoId;
    @Basic(optional = false)
    @Column(name = "norma2")
    private String norma2;
    @Basic(optional = false)
    @Column(name = "norma6")
    private String norma6;
    @Basic(optional = false)
    @Column(name = "norma7")
    private String norma7;
    @Basic(optional = false)
    @Column(name = "norma8")
    private String norma8;
    @Basic(optional = false)
    @Column(name = "norma9")
    private String norma9;
    @Basic(optional = false)
    @Column(name = "norma10")
    private String norma10;
    @Basic(optional = false)
    @Column(name = "norma12")
    private String norma12;
    @Basic(optional = false)
    @Column(name = "norma13")
    private String norma13;
    @Basic(optional = false)
    @Column(name = "norma14")
    private String norma14;
    @Basic(optional = false)
    @Column(name = "norma15")
    private String norma15;
    @Basic(optional = false)
    @Column(name = "norma16")
    private String norma16;
    @Basic(optional = false)
    @Column(name = "norma17")
    private String norma17;
    @Basic(optional = false)
    @Column(name = "norma19")
    private String norma19;
    @Basic(optional = false)
    @Column(name = "norma20")
    private String norma20;
    @Basic(optional = false)
    @Column(name = "norma21")
    private String norma21;
    @Basic(optional = false)
    @Column(name = "norma22")
    private String norma22;
    @Basic(optional = false)
    @Column(name = "norma26")
    private String norma26;
    @Basic(optional = false)
    @Column(name = "norma27")
    private String norma27;
    @Basic(optional = false)
    @Column(name = "norma28")
    private String norma28;
    @Basic(optional = false)
    @Column(name = "norma29")
    private String norma29;
    @Basic(optional = false)
    @Column(name = "norma30")
    private String norma30;
    @Basic(optional = false)
    @Column(name = "norma31")
    private String norma31;
    @Basic(optional = false)
    @Column(name = "norma32")
    private String norma32;
    @Basic(optional = false)
    @Column(name = "norma33")
    private String norma33;
    @Basic(optional = false)
    @Column(name = "norma34")
    private String norma34;
    @Basic(optional = false)
    @Column(name = "norma35")
    private String norma35;
    @Basic(optional = false)
    @Column(name = "norma36")
    private String norma36;
    @Basic(optional = false)
    @Column(name = "norma37")
    private String norma37;
    @Basic(optional = false)
    @Column(name = "norma38")
    private String norma38;
    @Basic(optional = false)
    @Column(name = "norma39")
    private String norma39;
    @Basic(optional = false)
    @Column(name = "norma40")
    private String norma40;
    @Basic(optional = false)
    @Column(name = "norma41")
    private String norma41;
    @Basic(optional = false)
    @Column(name = "norma42")
    private String norma42;
    @Basic(optional = false)
    @Column(name = "norma43")
    private String norma43;
    @Basic(optional = false)
    @Column(name = "norma44")
    private String norma44;
    @Basic(optional = false)
    @Column(name = "norma45")
    private String norma45;
  

    public String getNorma1() {
        return norma1;
    }

    public void setNorma1(String norma1) {
        String oldNorma1 = this.norma1;
        this.norma1 = norma1;
        changeSupport.firePropertyChange("norma1", oldNorma1, norma1);
    }

    public String getNorma2() {
        return norma2;
    }

    public void setNorma2(String norma2) {
        String oldNorma2 = this.norma2;
        this.norma2 = norma2;
        changeSupport.firePropertyChange("norma2", oldNorma2, norma2);
    }

    public String getNorma3() {
        return norma3;
    }

    public void setNorma3(String norma3) {
        String oldNorma3 = this.norma3;
        this.norma3 = norma3;
        changeSupport.firePropertyChange("norma3", oldNorma3, norma3);
    }

    public String getNorma4() {
        return norma4;
    }

    public void setNorma4(String norma4) {
        String oldNorma4 = this.norma4;
        this.norma4 = norma4;
        changeSupport.firePropertyChange("norma4", oldNorma4, norma4);
    }

    public String getNorma5() {
        return norma5;
    }

    public void setNorma5(String norma5) {
        String oldNorma5 = this.norma5;
        this.norma5 = norma5;
        changeSupport.firePropertyChange("norma5", oldNorma5, norma5);
    }

    public String getNorma6() {
        return norma6;
    }

    public void setNorma6(String norma6) {
        String oldNorma6 = this.norma6;
        this.norma6 = norma6;
        changeSupport.firePropertyChange("norma6", oldNorma6, norma6);
    }

    public String getNorma7() {
        return norma7;
    }

    public void setNorma7(String norma7) {
        String oldNorma7 = this.norma7;
        this.norma7 = norma7;
        changeSupport.firePropertyChange("norma7", oldNorma7, norma7);
    }

    public String getNorma8() {
        return norma8;
    }

    public void setNorma8(String norma8) {
        String oldNorma8 = this.norma8;
        this.norma8 = norma8;
        changeSupport.firePropertyChange("norma8", oldNorma8, norma8);
    }

    public String getNorma9() {
        return norma9;
    }

    public void setNorma9(String norma9) {
        String oldNorma9 = this.norma9;
        this.norma9 = norma9;
        changeSupport.firePropertyChange("norma9", oldNorma9, norma9);
    }

    public String getNorma10() {
        return norma10;
    }

    public void setNorma10(String norma10) {
        String oldNorma10 = this.norma10;
        this.norma10 = norma10;
        changeSupport.firePropertyChange("norma10", oldNorma10, norma10);
    }

    public String getNorma12() {
        return norma12;
    }

    public void setNorma12(String norma12) {
        String oldNorma12 = this.norma12;
        this.norma12 = norma12;
        changeSupport.firePropertyChange("norma12", oldNorma12, norma12);
    }

    public String getNorma13() {
        return norma13;
    }

    public void setNorma13(String norma13) {
        String oldNorma13 = this.norma13;
        this.norma13 = norma13;
        changeSupport.firePropertyChange("norma13", oldNorma13, norma13);
    }

    public String getNorma14() {
        return norma14;
    }

    public void setNorma14(String norma14) {
        String oldNorma14 = this.norma14;
        this.norma14 = norma14;
        changeSupport.firePropertyChange("norma14", oldNorma14, norma14);
    }

    public String getNorma15() {
        return norma15;
    }

    public void setNorma15(String norma15) {
        String oldNorma15 = this.norma15;
        this.norma15 = norma15;
        changeSupport.firePropertyChange("norma15", oldNorma15, norma15);
    }

    public String getNorma16() {
        return norma16;
    }

    public void setNorma16(String norma16) {
        String oldNorma16 = this.norma16;
        this.norma16 = norma16;
        changeSupport.firePropertyChange("norma16", oldNorma16, norma16);
    }

    public String getNorma17() {
        return norma17;
    }

    public void setNorma17(String norma17) {
        String oldNorma17 = this.norma17;
        this.norma17 = norma17;
        changeSupport.firePropertyChange("norma17", oldNorma17, norma17);
    }

    public String getNorma19() {
        return norma19;
    }

    public void setNorma19(String norma19) {
        String oldNorma19 = this.norma19;
        this.norma19 = norma19;
        changeSupport.firePropertyChange("norma19", oldNorma19, norma19);
    }

    public String getNorma20() {
        return norma20;
    }

    public void setNorma20(String norma20) {
        String oldNorma20 = this.norma20;
        this.norma20 = norma20;
        changeSupport.firePropertyChange("norma20", oldNorma20, norma20);
    }

    public String getNorma21() {
        return norma21;
    }

    public void setNorma21(String norma21) {
        String oldNorma21 = this.norma21;
        this.norma21 = norma21;
        changeSupport.firePropertyChange("norma21", oldNorma21, norma21);
    }

    public String getNorma22() {
        return norma22;
    }

    public void setNorma22(String norma22) {
        String oldNorma22 = this.norma22;
        this.norma22 = norma22;
        changeSupport.firePropertyChange("norma22", oldNorma22, norma22);
    }

    public String getNorma26() {
        return norma26;
    }

    public void setNorma26(String norma26) {
        String oldNorma26 = this.norma26;
        this.norma26 = norma26;
        changeSupport.firePropertyChange("norma26", oldNorma26, norma26);
    }

    public String getNorma27() {
        return norma27;
    }

    public void setNorma27(String norma27) {
        String oldNorma27 = this.norma27;
        this.norma27 = norma27;
        changeSupport.firePropertyChange("norma27", oldNorma27, norma27);
    }

    public String getNorma28() {
        return norma28;
    }

    public void setNorma28(String norma28) {
        String oldNorma28 = this.norma28;
        this.norma28 = norma28;
        changeSupport.firePropertyChange("norma28", oldNorma28, norma28);
    }

    public String getNorma29() {
        return norma29;
    }

    public void setNorma29(String norma29) {
        String oldNorma29 = this.norma29;
        this.norma29 = norma29;
        changeSupport.firePropertyChange("norma29", oldNorma29, norma29);
    }

    public String getNorma30() {
        return norma30;
    }

    public void setNorma30(String norma30) {
        String oldNorma30 = this.norma30;
        this.norma30 = norma30;
        changeSupport.firePropertyChange("norma30", oldNorma30, norma30);
    }

    public String getNorma31() {
        return norma31;
    }

    public void setNorma31(String norma31) {
        String oldNorma31 = this.norma31;
        this.norma31 = norma31;
        changeSupport.firePropertyChange("norma31", oldNorma31, norma31);
    }

    public String getNorma32() {
        return norma32;
    }

    public void setNorma32(String norma32) {
        String oldNorma32 = this.norma32;
        this.norma32 = norma32;
        changeSupport.firePropertyChange("norma32", oldNorma32, norma32);
    }

    public String getNorma33() {
        return norma33;
    }

    public void setNorma33(String norma33) {
        String oldNorma33 = this.norma33;
        this.norma33 = norma33;
        changeSupport.firePropertyChange("norma33", oldNorma33, norma33);
    }

    public String getNorma34() {
        return norma34;
    }

    public void setNorma34(String norma34) {
        String oldNorma34 = this.norma34;
        this.norma34 = norma34;
        changeSupport.firePropertyChange("norma34", oldNorma34, norma34);
    }

    public String getNorma35() {
        return norma35;
    }

    public void setNorma35(String norma35) {
        String oldNorma35 = this.norma35;
        this.norma35 = norma35;
        changeSupport.firePropertyChange("norma35", oldNorma35, norma35);
    }

    public String getNorma36() {
        return norma36;
    }

    public void setNorma36(String norma36) {
        String oldNorma36 = this.norma36;
        this.norma36 = norma36;
        changeSupport.firePropertyChange("norma36", oldNorma36, norma36);
    }

    public String getNorma37() {
        return norma37;
    }

    public void setNorma37(String norma37) {
        String oldNorma37 = this.norma37;
        this.norma37 = norma37;
        changeSupport.firePropertyChange("norma37", oldNorma37, norma37);
    }

    public String getNorma38() {
        return norma38;
    }

    public void setNorma38(String norma38) {
        String oldNorma38 = this.norma38;
        this.norma38 = norma38;
        changeSupport.firePropertyChange("norma38", oldNorma38, norma38);
    }

    public String getNorma39() {
        return norma39;
    }

    public void setNorma39(String norma39) {
        String oldNorma39 = this.norma39;
        this.norma39 = norma39;
        changeSupport.firePropertyChange("norma39", oldNorma39, norma39);
    }

    public String getNorma40() {
        return norma40;
    }

    public void setNorma40(String norma40) {
        String oldNorma40 = this.norma40;
        this.norma40 = norma40;
        changeSupport.firePropertyChange("norma40", oldNorma40, norma40);
    }

    public String getNorma41() {
        return norma41;
    }

    public void setNorma41(String norma41) {
        String oldNorma41 = this.norma41;
        this.norma41 = norma41;
        changeSupport.firePropertyChange("norma41", oldNorma41, norma41);
    }

    public String getNorma42() {
        return norma42;
    }

    public void setNorma42(String norma42) {
        String oldNorma42 = this.norma42;
        this.norma42 = norma42;
        changeSupport.firePropertyChange("norma42", oldNorma42, norma42);
    }

    public String getNorma43() {
        return norma43;
    }

    public void setNorma43(String norma43) {
        String oldNorma43 = this.norma43;
        this.norma43 = norma43;
        changeSupport.firePropertyChange("norma43", oldNorma43, norma43);
    }

    public String getNorma44() {
        return norma44;
    }

    public void setNorma44(String norma44) {
        String oldNorma44 = this.norma44;
        this.norma44 = norma44;
        changeSupport.firePropertyChange("norma44", oldNorma44, norma44);
    }

    public String getNorma45() {
        return norma45;
    }

    public void setNorma45(String norma45) {
        String oldNorma45 = this.norma45;
        this.norma45 = norma45;
        changeSupport.firePropertyChange("norma45", oldNorma45, norma45);
    }
  

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        Date oldFecha = this.fecha;
        this.fecha = fecha;
        changeSupport.firePropertyChange("fecha", oldFecha, fecha);
    }
    

    public AnalisisCefalometricoNinos() {
    }

    public AnalisisCefalometricoNinos(Integer id) {
        this.id = id;
    }

   

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        Integer oldId = this.id;
        this.id = id;
        changeSupport.firePropertyChange("id", oldId, id);
    }

    public Tratamiento getTratamientoId() {
        return tratamientoId;
    }

    public void setTratamientoId(Tratamiento tratamientoId) {
        this.tratamientoId = tratamientoId;
    }

    @XmlTransient
    public Collection<ResultadosNinos> getResultadosNinosCollection() {
        return resultadosNinosCollection;
    }

    public void setResultadosNinosCollection(Collection<ResultadosNinos> resultadosNinosCollection) {
        this.resultadosNinosCollection = resultadosNinosCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof AnalisisCefalometricoNinos)) {
            return false;
        }
        AnalisisCefalometricoNinos other = (AnalisisCefalometricoNinos) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entidades.AnalisisCefalometricoNinos[ id=" + id + " ]";
    }

    public void addPropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.addPropertyChangeListener(listener);
    }

    public void removePropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.removePropertyChangeListener(listener);
    }

}
