/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Andersson Paz Narvaez
 */
@Entity
@Table(name = "autorizacion_adulto")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "AutorizacionAdulto.findAll", query = "SELECT a FROM AutorizacionAdulto a"),
    @NamedQuery(name = "AutorizacionAdulto.findById", query = "SELECT a FROM AutorizacionAdulto a WHERE a.id = :id"),
    @NamedQuery(name = "AutorizacionAdulto.findByYo", query = "SELECT a FROM AutorizacionAdulto a WHERE a.yo = :yo"),
    @NamedQuery(name = "AutorizacionAdulto.findByDia1", query = "SELECT a FROM AutorizacionAdulto a WHERE a.dia1 = :dia1"),
    @NamedQuery(name = "AutorizacionAdulto.findByMes1", query = "SELECT a FROM AutorizacionAdulto a WHERE a.mes1 = :mes1"),
    @NamedQuery(name = "AutorizacionAdulto.findByAno1", query = "SELECT a FROM AutorizacionAdulto a WHERE a.ano1 = :ano1"),
    @NamedQuery(name = "AutorizacionAdulto.findByCedula", query = "SELECT a FROM AutorizacionAdulto a WHERE a.cedula = :cedula"),
    @NamedQuery(name = "AutorizacionAdulto.findByDe", query = "SELECT a FROM AutorizacionAdulto a WHERE a.de = :de"),
    @NamedQuery(name = "AutorizacionAdulto.findByCalidadDe", query = "SELECT a FROM AutorizacionAdulto a WHERE a.calidadDe = :calidadDe"),
    @NamedQuery(name = "AutorizacionAdulto.findByTratamiento", query = "SELECT a FROM AutorizacionAdulto a WHERE a.tratamiento = :tratamiento"),
    @NamedQuery(name = "AutorizacionAdulto.findByPara", query = "SELECT a FROM AutorizacionAdulto a WHERE a.para = :para"),
    @NamedQuery(name = "AutorizacionAdulto.findByProc1", query = "SELECT a FROM AutorizacionAdulto a WHERE a.proc1 = :proc1"),
    @NamedQuery(name = "AutorizacionAdulto.findByProc2", query = "SELECT a FROM AutorizacionAdulto a WHERE a.proc2 = :proc2"),
    @NamedQuery(name = "AutorizacionAdulto.findByProc3", query = "SELECT a FROM AutorizacionAdulto a WHERE a.proc3 = :proc3"),
    @NamedQuery(name = "AutorizacionAdulto.findByProc4", query = "SELECT a FROM AutorizacionAdulto a WHERE a.proc4 = :proc4"),
    @NamedQuery(name = "AutorizacionAdulto.findByValorTrtamiento", query = "SELECT a FROM AutorizacionAdulto a WHERE a.valorTrtamiento = :valorTrtamiento"),
    @NamedQuery(name = "AutorizacionAdulto.findByCancelacion1", query = "SELECT a FROM AutorizacionAdulto a WHERE a.cancelacion1 = :cancelacion1"),
    @NamedQuery(name = "AutorizacionAdulto.findByCancelacion2", query = "SELECT a FROM AutorizacionAdulto a WHERE a.cancelacion2 = :cancelacion2"),
    @NamedQuery(name = "AutorizacionAdulto.findByCancelacion3", query = "SELECT a FROM AutorizacionAdulto a WHERE a.cancelacion3 = :cancelacion3"),
    @NamedQuery(name = "AutorizacionAdulto.findByCancelacion4", query = "SELECT a FROM AutorizacionAdulto a WHERE a.cancelacion4 = :cancelacion4"),
    @NamedQuery(name = "AutorizacionAdulto.findByTratamientoOq", query = "SELECT a FROM AutorizacionAdulto a WHERE a.tratamientoOq = :tratamientoOq"),
    @NamedQuery(name = "AutorizacionAdulto.findByDia2", query = "SELECT a FROM AutorizacionAdulto a WHERE a.dia2 = :dia2"),
    @NamedQuery(name = "AutorizacionAdulto.findByMes2", query = "SELECT a FROM AutorizacionAdulto a WHERE a.mes2 = :mes2"),
    @NamedQuery(name = "AutorizacionAdulto.findByAno2", query = "SELECT a FROM AutorizacionAdulto a WHERE a.ano2 = :ano2"),
    @NamedQuery(name = "AutorizacionAdulto.findByCirugiaDia", query = "SELECT a FROM AutorizacionAdulto a WHERE a.cirugiaDia = :cirugiaDia"),
    @NamedQuery(name = "AutorizacionAdulto.findByCirugiaMes", query = "SELECT a FROM AutorizacionAdulto a WHERE a.cirugiaMes = :cirugiaMes"),
    @NamedQuery(name = "AutorizacionAdulto.findByCirugiaAno", query = "SELECT a FROM AutorizacionAdulto a WHERE a.cirugiaAno = :cirugiaAno"),
    @NamedQuery(name = "AutorizacionAdulto.findByOrtodonciaPreventiva", query = "SELECT a FROM AutorizacionAdulto a WHERE a.ortodonciaPreventiva = :ortodonciaPreventiva"),
    @NamedQuery(name = "AutorizacionAdulto.findByDia3", query = "SELECT a FROM AutorizacionAdulto a WHERE a.dia3 = :dia3"),
    @NamedQuery(name = "AutorizacionAdulto.findByMes3", query = "SELECT a FROM AutorizacionAdulto a WHERE a.mes3 = :mes3"),
    @NamedQuery(name = "AutorizacionAdulto.findByAno3", query = "SELECT a FROM AutorizacionAdulto a WHERE a.ano3 = :ano3"),
    @NamedQuery(name = "AutorizacionAdulto.findByValorTratamientoOp", query = "SELECT a FROM AutorizacionAdulto a WHERE a.valorTratamientoOp = :valorTratamientoOp"),
    @NamedQuery(name = "AutorizacionAdulto.findByAparato1", query = "SELECT a FROM AutorizacionAdulto a WHERE a.aparato1 = :aparato1"),
    @NamedQuery(name = "AutorizacionAdulto.findByAparato2", query = "SELECT a FROM AutorizacionAdulto a WHERE a.aparato2 = :aparato2"),
    @NamedQuery(name = "AutorizacionAdulto.findByAparato3", query = "SELECT a FROM AutorizacionAdulto a WHERE a.aparato3 = :aparato3"),
    @NamedQuery(name = "AutorizacionAdulto.findByAparato4", query = "SELECT a FROM AutorizacionAdulto a WHERE a.aparato4 = :aparato4")})
public class AutorizacionAdulto implements Serializable {

    public static final String PROP_HUELLA1 = "PROP_HUELLA1";
    public static final String PROP_HUELLA2 = "PROP_HUELLA2";
    public static final String PROP_HUELLA3 = "PROP_HUELLA3";
    public static final String PROP_RIESGOS = "PROP_RIESGOS";

    @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @Column(name = "yo")
    private String yo;
    @Basic(optional = false)
    @Column(name = "dia1")
    private String dia1;
    @Basic(optional = false)
    @Column(name = "mes1")
    private String mes1;
    @Basic(optional = false)
    @Column(name = "ano1")
    private String ano1;
    @Basic(optional = false)
    @Column(name = "cedula")
    private String cedula;
    @Basic(optional = false)
    @Column(name = "de")
    private String de;
    @Basic(optional = false)
    @Column(name = "calidad_de")
    private String calidadDe;
    @Basic(optional = false)
    @Column(name = "tratamiento")
    private String tratamiento;
    @Basic(optional = false)
    @Column(name = "para")
    private String para;
    @Basic(optional = false)
    @Column(name = "proc1")
    private String proc1;
    @Basic(optional = false)
    @Column(name = "proc2")
    private String proc2;
    @Basic(optional = false)
    @Column(name = "proc3")
    private String proc3;
    @Basic(optional = false)
    @Column(name = "proc4")
    private String proc4;
    @Basic(optional = false)
    @Column(name = "riesgos")
    private String riesgos;
    @Basic(optional = false)
    @Column(name = "valor_trtamiento")
    private long valorTrtamiento;
    @Basic(optional = false)
    @Column(name = "cancelacion1")
    private String cancelacion1;
    @Basic(optional = false)
    @Column(name = "cancelacion2")
    private String cancelacion2;
    @Basic(optional = false)
    @Column(name = "cancelacion3")
    private String cancelacion3;
    @Basic(optional = false)
    @Column(name = "cancelacion4")
    private String cancelacion4;
    @Basic(optional = false)
    @Lob
    @Column(name = "firma_paciente1")
    private byte[] firmaPaciente1;
    @Lob
    @Column(name = "huella1")
    private byte[] huella1;
    @Basic(optional = false)
    @Column(name = "tratamiento_oq")
    private boolean tratamientoOq;
    @Column(name = "dia2")
    private String dia2;
    @Column(name = "mes2")
    private String mes2;
    @Column(name = "ano2")
    private String ano2;
    @Column(name = "cirugia_dia")
    private String cirugiaDia;
    @Column(name = "cirugia_mes")
    private String cirugiaMes;
    @Column(name = "cirugia_ano")
    private String cirugiaAno;
    @Lob
    @Column(name = "firma_paciente2")
    private byte[] firmaPaciente2;
    @Lob
    @Column(name = "huella2")
    private byte[] huella2;
    @Basic(optional = false)
    @Column(name = "ortodoncia_preventiva")
    private boolean ortodonciaPreventiva;
    @Column(name = "dia3")
    private String dia3;
    @Column(name = "mes3")
    private String mes3;
    @Column(name = "ano3")
    private String ano3;
    @Column(name = "valor_tratamiento_op")
    private Long valorTratamientoOp;
    @Column(name = "aparato1")
    private String aparato1;
    @Column(name = "aparato2")
    private String aparato2;
    @Column(name = "aparato3")
    private String aparato3;
    @Column(name = "aparato4")
    private String aparato4;
    @Lob
    @Column(name = "firma_paciente3")
    private byte[] firmaPaciente3;
    @Lob
    @Column(name = "huella3")
    private byte[] huella3;
    @JoinColumn(name = "tratamiento_id", referencedColumnName = "id")
    @OneToOne(optional = false, fetch = FetchType.LAZY)
    private Tratamiento tratamientoId;

    public AutorizacionAdulto() {
    }

    public AutorizacionAdulto(Integer id) {
        this.id = id;
    }

    public AutorizacionAdulto(Integer id, String yo, String dia1, String mes1, String ano1, String cedula, String de, String calidadDe, String tratamiento, String para, String proc1, String proc2, String proc3, String proc4, long valorTrtamiento, String cancelacion1, String cancelacion2, String cancelacion3, String cancelacion4, byte[] firmaPaciente1, boolean tratamientoOq, boolean ortodonciaPreventiva) {
        this.id = id;
        this.yo = yo;
        this.dia1 = dia1;
        this.mes1 = mes1;
        this.ano1 = ano1;
        this.cedula = cedula;
        this.de = de;
        this.calidadDe = calidadDe;
        this.tratamiento = tratamiento;
        this.para = para;
        this.proc1 = proc1;
        this.proc2 = proc2;
        this.proc3 = proc3;
        this.proc4 = proc4;
        this.valorTrtamiento = valorTrtamiento;
        this.cancelacion1 = cancelacion1;
        this.cancelacion2 = cancelacion2;
        this.cancelacion3 = cancelacion3;
        this.cancelacion4 = cancelacion4;
        this.firmaPaciente1 = firmaPaciente1;
        this.tratamientoOq = tratamientoOq;
        this.ortodonciaPreventiva = ortodonciaPreventiva;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        Integer oldId = this.id;
        this.id = id;
        changeSupport.firePropertyChange("id", oldId, id);
    }

    public String getYo() {
        return yo;
    }

    public void setYo(String yo) {
        String oldYo = this.yo;
        this.yo = yo;
        changeSupport.firePropertyChange("yo", oldYo, yo);
    }

    public String getDia1() {
        return dia1;
    }

    public void setDia1(String dia1) {
        String oldDia1 = this.dia1;
        this.dia1 = dia1;
        changeSupport.firePropertyChange("dia1", oldDia1, dia1);
    }

    public String getMes1() {
        return mes1;
    }

    public void setMes1(String mes1) {
        String oldMes1 = this.mes1;
        this.mes1 = mes1;
        changeSupport.firePropertyChange("mes1", oldMes1, mes1);
    }

    public String getAno1() {
        return ano1;
    }

    public void setAno1(String ano1) {
        String oldAno1 = this.ano1;
        this.ano1 = ano1;
        changeSupport.firePropertyChange("ano1", oldAno1, ano1);
    }

    public String getCedula() {
        return cedula;
    }

    public void setCedula(String cedula) {
        String oldCedula = this.cedula;
        this.cedula = cedula;
        changeSupport.firePropertyChange("cedula", oldCedula, cedula);
    }

    public String getDe() {
        return de;
    }

    public void setDe(String de) {
        String oldDe = this.de;
        this.de = de;
        changeSupport.firePropertyChange("de", oldDe, de);
    }

    public String getCalidadDe() {
        return calidadDe;
    }

    public void setCalidadDe(String calidadDe) {
        String oldCalidadDe = this.calidadDe;
        this.calidadDe = calidadDe;
        changeSupport.firePropertyChange("calidadDe", oldCalidadDe, calidadDe);
    }

    public String getTratamiento() {
        return tratamiento;
    }

    public void setTratamiento(String tratamiento) {
        String oldTratamiento = this.tratamiento;
        this.tratamiento = tratamiento;
        changeSupport.firePropertyChange("tratamiento", oldTratamiento, tratamiento);
    }

    public String getPara() {
        return para;
    }

    public void setPara(String para) {
        String oldPara = this.para;
        this.para = para;
        changeSupport.firePropertyChange("para", oldPara, para);
    }

    public String getProc1() {
        return proc1;
    }

    public void setProc1(String proc1) {
        String oldProc1 = this.proc1;
        this.proc1 = proc1;
        changeSupport.firePropertyChange("proc1", oldProc1, proc1);
    }

    public String getProc2() {
        return proc2;
    }

    public void setProc2(String proc2) {
        String oldProc2 = this.proc2;
        this.proc2 = proc2;
        changeSupport.firePropertyChange("proc2", oldProc2, proc2);
    }

    public String getProc3() {
        return proc3;
    }

    public void setProc3(String proc3) {
        String oldProc3 = this.proc3;
        this.proc3 = proc3;
        changeSupport.firePropertyChange("proc3", oldProc3, proc3);
    }

    public String getProc4() {
        return proc4;
    }

    public void setProc4(String proc4) {
        String oldProc4 = this.proc4;
        this.proc4 = proc4;
        changeSupport.firePropertyChange("proc4", oldProc4, proc4);
    }

    public long getValorTrtamiento() {
        return valorTrtamiento;
    }

    public void setValorTrtamiento(long valorTrtamiento) {
        long oldValorTrtamiento = this.valorTrtamiento;
        this.valorTrtamiento = valorTrtamiento;
        changeSupport.firePropertyChange("valorTrtamiento", oldValorTrtamiento, valorTrtamiento);
    }

    public String getCancelacion1() {
        return cancelacion1;
    }

    public void setCancelacion1(String cancelacion1) {
        String oldCancelacion1 = this.cancelacion1;
        this.cancelacion1 = cancelacion1;
        changeSupport.firePropertyChange("cancelacion1", oldCancelacion1, cancelacion1);
    }

    public String getCancelacion2() {
        return cancelacion2;
    }

    public void setCancelacion2(String cancelacion2) {
        String oldCancelacion2 = this.cancelacion2;
        this.cancelacion2 = cancelacion2;
        changeSupport.firePropertyChange("cancelacion2", oldCancelacion2, cancelacion2);
    }

    public String getCancelacion3() {
        return cancelacion3;
    }

    public void setCancelacion3(String cancelacion3) {
        String oldCancelacion3 = this.cancelacion3;
        this.cancelacion3 = cancelacion3;
        changeSupport.firePropertyChange("cancelacion3", oldCancelacion3, cancelacion3);
    }

    public String getCancelacion4() {
        return cancelacion4;
    }

    public void setCancelacion4(String cancelacion4) {
        String oldCancelacion4 = this.cancelacion4;
        this.cancelacion4 = cancelacion4;
        changeSupport.firePropertyChange("cancelacion4", oldCancelacion4, cancelacion4);
    }

    public byte[] getFirmaPaciente1() {
        return firmaPaciente1;
    }

    public void setFirmaPaciente1(byte[] firmaPaciente1) {
        byte[] oldFirmaPaciente1 = this.firmaPaciente1;
        this.firmaPaciente1 = firmaPaciente1;
        changeSupport.firePropertyChange("firmaPaciente1", oldFirmaPaciente1, firmaPaciente1);
    }

    public boolean getTratamientoOq() {
        return tratamientoOq;
    }

    public void setTratamientoOq(boolean tratamientoOq) {
        boolean oldTratamientoOq = this.tratamientoOq;
        this.tratamientoOq = tratamientoOq;
        changeSupport.firePropertyChange("tratamientoOq", oldTratamientoOq, tratamientoOq);
    }

    public String getDia2() {
        return dia2;
    }

    public void setDia2(String dia2) {
        String oldDia2 = this.dia2;
        this.dia2 = dia2;
        changeSupport.firePropertyChange("dia2", oldDia2, dia2);
    }

    public String getMes2() {
        return mes2;
    }

    public void setMes2(String mes2) {
        String oldMes2 = this.mes2;
        this.mes2 = mes2;
        changeSupport.firePropertyChange("mes2", oldMes2, mes2);
    }

    public String getAno2() {
        return ano2;
    }

    public void setAno2(String ano2) {
        String oldAno2 = this.ano2;
        this.ano2 = ano2;
        changeSupport.firePropertyChange("ano2", oldAno2, ano2);
    }

    public String getCirugiaDia() {
        return cirugiaDia;
    }

    public void setCirugiaDia(String cirugiaDia) {
        String oldCirugiaDia = this.cirugiaDia;
        this.cirugiaDia = cirugiaDia;
        changeSupport.firePropertyChange("cirugiaDia", oldCirugiaDia, cirugiaDia);
    }

    public String getCirugiaMes() {
        return cirugiaMes;
    }

    public void setCirugiaMes(String cirugiaMes) {
        String oldCirugiaMes = this.cirugiaMes;
        this.cirugiaMes = cirugiaMes;
        changeSupport.firePropertyChange("cirugiaMes", oldCirugiaMes, cirugiaMes);
    }

    public String getCirugiaAno() {
        return cirugiaAno;
    }

    public void setCirugiaAno(String cirugiaAno) {
        String oldCirugiaAno = this.cirugiaAno;
        this.cirugiaAno = cirugiaAno;
        changeSupport.firePropertyChange("cirugiaAno", oldCirugiaAno, cirugiaAno);
    }

    public byte[] getFirmaPaciente2() {
        return firmaPaciente2;
    }

    public void setFirmaPaciente2(byte[] firmaPaciente2) {
        byte[] oldFirmaPaciente2 = this.firmaPaciente2;
        this.firmaPaciente2 = firmaPaciente2;
        changeSupport.firePropertyChange("firmaPaciente2", oldFirmaPaciente2, firmaPaciente2);
    }

    public boolean getOrtodonciaPreventiva() {
        return ortodonciaPreventiva;
    }

    public void setOrtodonciaPreventiva(boolean ortodonciaPreventiva) {
        boolean oldOrtodonciaPreventiva = this.ortodonciaPreventiva;
        this.ortodonciaPreventiva = ortodonciaPreventiva;
        changeSupport.firePropertyChange("ortodonciaPreventiva", oldOrtodonciaPreventiva, ortodonciaPreventiva);
    }

    public String getDia3() {
        return dia3;
    }

    public void setDia3(String dia3) {
        String oldDia3 = this.dia3;
        this.dia3 = dia3;
        changeSupport.firePropertyChange("dia3", oldDia3, dia3);
    }

    public String getMes3() {
        return mes3;
    }

    public void setMes3(String mes3) {
        String oldMes3 = this.mes3;
        this.mes3 = mes3;
        changeSupport.firePropertyChange("mes3", oldMes3, mes3);
    }

    public String getAno3() {
        return ano3;
    }

    public void setAno3(String ano3) {
        String oldAno3 = this.ano3;
        this.ano3 = ano3;
        changeSupport.firePropertyChange("ano3", oldAno3, ano3);
    }

    public Long getValorTratamientoOp() {
        return valorTratamientoOp;
    }

    public void setValorTratamientoOp(Long valorTratamientoOp) {
        Long oldValorTratamientoOp = this.valorTratamientoOp;
        this.valorTratamientoOp = valorTratamientoOp;
        changeSupport.firePropertyChange("valorTratamientoOp", oldValorTratamientoOp, valorTratamientoOp);
    }

    public String getAparato1() {
        return aparato1;
    }

    public void setAparato1(String aparato1) {
        String oldAparato1 = this.aparato1;
        this.aparato1 = aparato1;
        changeSupport.firePropertyChange("aparato1", oldAparato1, aparato1);
    }

    public String getAparato2() {
        return aparato2;
    }

    public void setAparato2(String aparato2) {
        String oldAparato2 = this.aparato2;
        this.aparato2 = aparato2;
        changeSupport.firePropertyChange("aparato2", oldAparato2, aparato2);
    }

    public String getAparato3() {
        return aparato3;
    }

    public void setAparato3(String aparato3) {
        String oldAparato3 = this.aparato3;
        this.aparato3 = aparato3;
        changeSupport.firePropertyChange("aparato3", oldAparato3, aparato3);
    }

    public String getAparato4() {
        return aparato4;
    }

    public void setAparato4(String aparato4) {
        String oldAparato4 = this.aparato4;
        this.aparato4 = aparato4;
        changeSupport.firePropertyChange("aparato4", oldAparato4, aparato4);
    }

    public byte[] getFirmaPaciente3() {
        return firmaPaciente3;
    }

    public void setFirmaPaciente3(byte[] firmaPaciente3) {
        byte[] oldFirmaPaciente3 = this.firmaPaciente3;
        this.firmaPaciente3 = firmaPaciente3;
        changeSupport.firePropertyChange("firmaPaciente3", oldFirmaPaciente3, firmaPaciente3);
    }

    public Tratamiento getTratamientoId() {
        return tratamientoId;
    }

    public void setTratamientoId(Tratamiento tratamientoId) {
        this.tratamientoId = tratamientoId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof AutorizacionAdulto)) {
            return false;
        }
        AutorizacionAdulto other = (AutorizacionAdulto) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entidades.AutorizacionAdulto[ id=" + id + " ]";
    }

    public void addPropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.addPropertyChangeListener(listener);
    }

    public void removePropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.removePropertyChangeListener(listener);
    }

    /**
     * @return the huella1
     */
    public byte[] getHuella1() {
        return huella1;
    }

    /**
     * @param huella1 the huella1 to set
     */
    public void setHuella1(byte[] huella1) {
        byte[] oldHuella1 = this.huella1;
        this.huella1 = huella1;
        changeSupport.firePropertyChange(PROP_HUELLA1, oldHuella1, huella1);
    }

    /**
     * @return the huella2
     */
    public byte[] getHuella2() {
        return huella2;
    }

    /**
     * @param huella2 the huella2 to set
     */
    public void setHuella2(byte[] huella2) {
        byte[] oldHuella2 = this.huella2;
        this.huella2 = huella2;
        changeSupport.firePropertyChange(PROP_HUELLA2, oldHuella2, huella2);
    }

    /**
     * @return the huella3
     */
    public byte[] getHuella3() {
        return huella3;
    }

    /**
     * @param huella3 the huella3 to set
     */
    public void setHuella3(byte[] huella3) {
        byte[] oldHuella3 = this.huella3;
        this.huella3 = huella3;
        changeSupport.firePropertyChange(PROP_HUELLA3, oldHuella3, huella3);
    }

    /**
     * @return the riesgos
     */
    public String getRiesgos() {
        return riesgos;
    }

    /**
     * @param riesgos the riesgos to set
     */
    public void setRiesgos(String riesgos) {
        java.lang.String oldRiesgos = this.riesgos;
        this.riesgos = riesgos;
        changeSupport.firePropertyChange(PROP_RIESGOS, oldRiesgos, riesgos);
    }

}
