/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import entidades.historia.HistoriaClinica;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Usuario
 */
@Entity
@Table(name = "odontograma")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Odontograma.findAll", query = "SELECT o FROM Odontograma o"),
    @NamedQuery(name = "Odontograma.findById", query = "SELECT o FROM Odontograma o WHERE o.id = :id"),
    @NamedQuery(name = "Odontograma.findByNumDiente", query = "SELECT o FROM Odontograma o WHERE o.numDiente = :numDiente"),
    @NamedQuery(name = "Odontograma.findByTotal", query = "SELECT o FROM Odontograma o WHERE o.total = :total"),
    @NamedQuery(name = "Odontograma.findByV", query = "SELECT o FROM Odontograma o WHERE o.v = :v"),
    @NamedQuery(name = "Odontograma.findByM", query = "SELECT o FROM Odontograma o WHERE o.m = :m"),
    @NamedQuery(name = "Odontograma.findByD", query = "SELECT o FROM Odontograma o WHERE o.d = :d"),
    @NamedQuery(name = "Odontograma.findByP", query = "SELECT o FROM Odontograma o WHERE o.p = :p"),
    @NamedQuery(name = "Odontograma.findByL", query = "SELECT o FROM Odontograma o WHERE o.l = :l"),
    @NamedQuery(name = "Odontograma.findByO", query = "SELECT o FROM Odontograma o WHERE o.o = :o")})
public class Odontograma implements Serializable {
    @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @Column(name = "num_diente")
    private int numDiente;
    @Column(name = "total")
    private Integer total;
    @Column(name = "v")
    private Integer v;
    @Column(name = "m")
    private Integer m;
    @Column(name = "d")
    private Integer d;
    @Column(name = "p")
    private Integer p;
    @Column(name = "l")
    private Integer l;
    @Column(name = "o")
    private Integer o;
    @JoinColumn(name = "historia_clinica_id", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private HistoriaClinica historiaClinicaId;
   

    public Odontograma() {
    }

    public Odontograma(Integer id) {
        this.id = id;
    }

    public Odontograma(Integer id, int numDiente) {
        this.id = id;
        this.numDiente = numDiente;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        Integer oldId = this.id;
        this.id = id;
        changeSupport.firePropertyChange("id", oldId, id);
    }

    public int getNumDiente() {
        return numDiente;
    }

    public void setNumDiente(int numDiente) {
        int oldNumDiente = this.numDiente;
        this.numDiente = numDiente;
        changeSupport.firePropertyChange("numDiente", oldNumDiente, numDiente);
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        Integer oldTotal = this.total;
        this.total = total;
        changeSupport.firePropertyChange("total", oldTotal, total);
    }

    public Integer getV() {
        return v;
    }

    public void setV(Integer v) {
        Integer oldV = this.v;
        this.v = v;
        changeSupport.firePropertyChange("v", oldV, v);
    }

    public Integer getM() {
        return m;
    }

    public void setM(Integer m) {
        Integer oldM = this.m;
        this.m = m;
        changeSupport.firePropertyChange("m", oldM, m);
    }

    public Integer getD() {
        return d;
    }

    public void setD(Integer d) {
        Integer oldD = this.d;
        this.d = d;
        changeSupport.firePropertyChange("d", oldD, d);
    }

    public Integer getP() {
        return p;
    }

    public void setP(Integer p) {
        Integer oldP = this.p;
        this.p = p;
        changeSupport.firePropertyChange("p", oldP, p);
    }

    public Integer getL() {
        return l;
    }

    public void setL(Integer l) {
        Integer oldL = this.l;
        this.l = l;
        changeSupport.firePropertyChange("l", oldL, l);
    }

    public Integer getO() {
        return o;
    }

    public void setO(Integer o) {
        Integer oldO = this.o;
        this.o = o;
        changeSupport.firePropertyChange("o", oldO, o);
    }

    public HistoriaClinica getHistoriaClinicaId() {
        return historiaClinicaId;
    }

    public void setHistoriaClinicaId(HistoriaClinica historiaId) {
        HistoriaClinica oldHistoriaClinicaId = this.historiaClinicaId;
        this.historiaClinicaId = historiaId;
        changeSupport.firePropertyChange("historiaId", oldHistoriaClinicaId, historiaId);
    }

   

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Odontograma)) {
            return false;
        }
        Odontograma other = (Odontograma) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "modelo.Odontograma[ id=" + id + " ]";
    }

    public void addPropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.addPropertyChangeListener(listener);
    }

    public void removePropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.removePropertyChangeListener(listener);
    }
    
}
