/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embedded;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 *
 * @author ander
 */
@Entity
@Table(name = "ortopedia_2")
public class Ortopedia2 implements Serializable {

    private static final long serialVersionUID = 1L;
    public static final String PROP_ID = "PROP_ID";
    public static final String PROP_TAMANO = "PROP_TAMANO";
    public static final String PROP_DENTICION = "PROP_DENTICION";
    public static final String PROP_SUMATORIA = "PROP_SUMATORIA";
    public static final String PROP_SUP = "PROP_SUP";
    public static final String PROP_INF = "PROP_INF";
    public static final String PROP_SPCDISPSUPERIORDER = "PROP_SPCDISPSUPERIORDER";
    public static final String PROP_SPCDISPSUPERIOIZQ = "PROP_SPCDISPSUPERIOIZQ";
    public static final String PROP_SPCDISPINFERIORDER = "PROP_SPCDISPINFERIORDER";
    public static final String PROP_SPCDISPINFERIORIZQ = "PROP_SPCDISPINFERIORIZQ";
    public static final String PROP_DIFERENCIASUPERIORDER = "PROP_DIFERENCIASUPERIORDER";
    public static final String PROP_DIFERENCIASUPERIORIZQ = "PROP_DIFERENCIASUPERIORIZQ";
    public static final String PROP_DIFERENCIAINFERIORDER = "PROP_DIFERENCIAINFERIORDER";
    public static final String PROP_DIFERENCIAINFERIORIZQ = "PROP_DIFERENCIAINFERIORIZQ";
    public static final String PROP_DIASTEMASSUPERIORDER = "PROP_DIASTEMASSUPERIORDER";
    public static final String PROP_DIASTEMASSUPERIORIZQ = "PROP_DIASTEMASSUPERIORIZQ";
    public static final String PROP_DIASTEMASINFERIORDER = "PROP_DIASTEMASINFERIORDER";
    public static final String PROP_DIASTEMASINFERIORIZQ = "PROP_DIASTEMASINFERIORIZQ";
    public static final String PROP_APIFAMIENTOSUPERIORDER = "PROP_APIFAMIENTOSUPERIORDER";
    public static final String PROP_APIFAMIENTOSUPERIORIZQ = "PROP_APIFAMIENTOSUPERIORIZQ";
    public static final String PROP_APIFAMIENTOINFERIORDER = "PROP_APIFAMIENTOINFERIORDER";
    public static final String PROP_APIFAMIENTOINFERIORIZQ = "PROP_APIFAMIENTOINFERIORIZQ";
    public static final String PROP_LINEAMEDIASUPERIORDER = "PROP_LINEAMEDIASUPERIORDER";
    public static final String PROP_LINEAMEDIASUPERIORIZQ = "PROP_LINEAMEDIASUPERIORIZQ";
    public static final String PROP_LINEAMEDIAINFERIORDER = "PROP_LINEAMEDIAINFERIORDER";
    public static final String PROP_LINEAMEDIAINFERIORIZQ = "PROP_LINEAMEDIAINFERIORIZQ";
    public static final String PROP_TOTALSUPERIORDER = "PROP_TOTALSUPERIORDER";
    public static final String PROP_TOTALSUPERIORIZQ = "PROP_TOTALSUPERIORIZQ";
    public static final String PROP_TOTALINFERIORDER = "PROP_TOTALINFERIORDER";
    public static final String PROP_TOTALINFERIORIZQ = "PROP_TOTALINFERIORIZQ";
    public static final String PROP_LINEAMEDIADERECHA = "PROP_LINEAMEDIADERECHA";
    public static final String PROP_LINEAMEDIAIZQUIERDA = "PROP_LINEAMEDIAIZQUIERDA";
    public static final String PROP_APINAMIENTODERECHA = "PROP_APINAMIENTODERECHA";
    public static final String PROP_APINAMIENTOIZQUIERDA = "PROP_APINAMIENTOIZQUIERDA";
    public static final String PROP_CURVADERECHA = "PROP_CURVADERECHA";
    public static final String PROP_CURVAIZQUIERDA = "PROP_CURVAIZQUIERDA";
    public static final String PROP_PERFILDERECHA = "PROP_PERFILDERECHA";
    public static final String PROP_PERFILIZQUIERDA = "PROP_PERFILIZQUIERDA";
    public static final String PROP_EXODONCIASDERECHA = "PROP_EXODONCIASDERECHA";
    public static final String PROP_EXODONCIASIZQUIERDA = "PROP_EXODONCIASIZQUIERDA";
    public static final String PROP_MOVMOLARDERECHA = "PROP_MOVMOLARDERECHA";
    public static final String PROP_MOVMOLARIZQUIERDA = "PROP_MOVMOLARIZQUIERDA";
    public static final String PROP_RELACIONMOLARDERECHA = "PROP_RELACIONMOLARDERECHA";
    public static final String PROP_RELACIONMOLARIZQUIERDA = "PROP_RELACIONMOLARIZQUIERDA";
    public static final String PROP_MOVMOLAR2DERECHA = "PROP_MOVMOLAR2DERECHA";
    public static final String PROP_MOVMOLAR2IZQUIERDA = "PROP_MOVMOLAR2IZQUIERDA";
    public static final String PROP_CONCLUSION = "PROP_CONCLUSION";
    public static final String PROP_DENTICIONMIXTAAPLICA = "PROP_DENTICIONMIXTAAPLICA";
    public static final String PROP_ANALISISESPACIOAPLICA = "PROP_ANALISISESPACIOAPLICA";
    public static final String PROP_ANALISISRADIOGRAFIA = "PROP_ANALISISRADIOGRAFIA";
    public static final String PROP_ANILISISRADIOGRAFIAAPLICA = "PROP_ANILISISRADIOGRAFIAAPLICA";
    public static final String PROP_FACIAL = "PROP_FACIAL";
    public static final String PROP_PERIODONTAL = "PROP_PERIODONTAL";
    public static final String PROP_ESQUELETICO = "PROP_ESQUELETICO";
    public static final String PROP_DENTALOCLUSAL = "PROP_DENTALOCLUSAL";
    public static final String PROP_FUNCIONAL = "PROP_FUNCIONAL";
    public static final String PROP_INTERCONSULTA = "PROP_INTERCONSULTA";
    public static final String PROP_LIMITACIONES = "PROP_LIMITACIONES";
    public static final String PROP_COSTOTRATAMIENTO = "PROP_COSTOTRATAMIENTO";
    public static final String PROP_ORTODONCIA = "PROP_ORTODONCIA";
    public static final String PROP_ORTOPEDIA = "PROP_ORTOPEDIA";
    public static final String PROP_CUOTAINICIAL = "PROP_CUOTAINICIAL";
    public static final String PROP_CONTROLES = "PROP_CONTROLES";
    public static final String PROP_VALOR = "PROP_VALOR";
    public static final String PROP_REPARACIONES = "PROP_REPARACIONES";
    public static final String PROP_RETENEDORES = "PROP_RETENEDORES";
    public static final String PROP_ANCLAJES = "PROP_ANCLAJES";
    public static final String PROP_ANCLAJE = "PROP_ANCLAJE";
    public static final String PROP_OBJETIVOS1 = "PROP_OBJETIVOS1";
    public static final String PROP_OBJETIVOS2 = "PROP_OBJETIVOS2";
    public static final String PROP_OBJETIVOS3 = "PROP_OBJETIVOS3";
    public static final String PROP_OBJETIVOS4 = "PROP_OBJETIVOS4";
    public static final String PROP_OBJETIVOS5 = "PROP_OBJETIVOS5";
    public static final String PROP_OBJETIVOS6 = "PROP_OBJETIVOS6";
    public static final String PROP_OBJETIVOS7 = "PROP_OBJETIVOS7";
    public static final String PROP_OBJETIVOS8 = "PROP_OBJETIVOS8";
    public static final String PROP_OBJETIVOS9 = "PROP_OBJETIVOS9";
    public static final String PROP_ESTRATEGIAS1 = "PROP_ESTRATEGIAS1";
    public static final String PROP_ESTRATEGIAS2 = "PROP_ESTRATEGIAS2";
    public static final String PROP_ESTRATEGIAS3 = "PROP_ESTRATEGIAS3";
    public static final String PROP_ESTRATEGIAS4 = "PROP_ESTRATEGIAS4";
    public static final String PROP_ESTRATEGIAS5 = "PROP_ESTRATEGIAS5";
    public static final String PROP_ESTRATEGIAS6 = "PROP_ESTRATEGIAS6";
    public static final String PROP_ESTRATEGIAS7 = "PROP_ESTRATEGIAS7";
    public static final String PROP_ESTRATEGIAS8 = "PROP_ESTRATEGIAS8";
    public static final String PROP_ESTRATEGIAS9 = "PROP_ESTRATEGIAS9";
    public static final String PROP_GASTOSADICIONALES = "PROP_GASTOSADICIONALES";
    public static final String PROP_GASTOSADICIONALESSI = "PROP_GASTOSADICIONALESSI";
    public static final String PROP_FIRMA = "PROP_FIRMA";
    public static final String PROP_HUELLA = "PROP_HUELLA";
    public static final String PROP_TRATAMIENTOID = "PROP_TRATAMIENTOID";
    public static final String PROP_APLICAESPACIO = "PROP_APLICAESPACIO";
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @Column(name = "tamano")
    private String tamano;
    @Basic(optional = false)
    @Column(name = "denticion")
    private String denticion;
    @Column(name = "sumatoria")
    private Long sumatoria;
    @Basic(optional = false)
    @Column(name = "sup")
    private long sup;
    @Basic(optional = false)
    @Column(name = "inf")
    private long inf;
    @Basic(optional = false)
    @Column(name = "spc_disp_superior_der")
    private long spcDispSuperiorDer;
    @Basic(optional = false)
    @Column(name = "spc_disp_superio_izq")
    private long spcDispSuperioIzq;
    @Basic(optional = false)
    @Column(name = "spc_disp_inferior_der")
    private long spcDispInferiorDer;
    @Basic(optional = false)
    @Column(name = "spc_disp_inferior_izq")
    private long spcDispInferiorIzq;
    @Basic(optional = false)
    @Column(name = "diferencia_superior_der")
    private long diferenciaSuperiorDer;
    @Basic(optional = false)
    @Column(name = "diferencia_superior_izq")
    private long diferenciaSuperiorIzq;
    @Basic(optional = false)
    @Column(name = "diferencia_inferior_der")
    private long diferenciaInferiorDer;
    @Basic(optional = false)
    @Column(name = "diferencia_inferior_izq")
    private long diferenciaInferiorIzq;
    @Basic(optional = false)
    @Column(name = "diastemas_superior_der")
    private long diastemasSuperiorDer;
    @Basic(optional = false)
    @Column(name = "diastemas_superior_izq")
    private long diastemasSuperiorIzq;
    @Basic(optional = false)
    @Column(name = "diastemas_inferior_der")
    private long diastemasInferiorDer;
    @Basic(optional = false)
    @Column(name = "diastemas_inferior_izq")
    private long diastemasInferiorIzq;
    @Basic(optional = false)
    @Column(name = "apifamiento_superior_der")
    private long apifamientoSuperiorDer;
    @Basic(optional = false)
    @Column(name = "apifamiento_superior_izq")
    private long apifamientoSuperiorIzq;
    @Basic(optional = false)
    @Column(name = "apifamiento_inferior_der")
    private long apifamientoInferiorDer;
    @Basic(optional = false)
    @Column(name = "apifamiento_inferior_izq")
    private long apifamientoInferiorIzq;
    @Basic(optional = false)
    @Column(name = "linea_media_superior_der")
    private long lineaMediaSuperiorDer;
    @Basic(optional = false)
    @Column(name = "linea_media_superior_izq")
    private long lineaMediaSuperiorIzq;
    @Basic(optional = false)
    @Column(name = "lineamedia_inferior_der")
    private long lineamediaInferiorDer;
    @Basic(optional = false)
    @Column(name = "lineamedia_inferior_izq")
    private long lineamediaInferiorIzq;
    @Basic(optional = false)
    @Column(name = "total_superior_der")
    private long totalSuperiorDer;
    @Basic(optional = false)
    @Column(name = "total_superior_izq")
    private long totalSuperiorIzq;
    @Basic(optional = false)
    @Column(name = "total_inferior_der")
    private long totalInferiorDer;
    @Basic(optional = false)
    @Column(name = "total_inferior_izq")
    private long totalInferiorIzq;
    @Basic(optional = false)
    @Column(name = "linea_media_derecha")
    private long lineaMediaDerecha;
    @Basic(optional = false)
    @Column(name = "linea_media_izquierda")
    private long lineaMediaIzquierda;
    @Basic(optional = false)
    @Column(name = "apinamiento_derecha")
    private long apinamientoDerecha;
    @Basic(optional = false)
    @Column(name = "apinamiento_izquierda")
    private long apinamientoIzquierda;
    @Basic(optional = false)
    @Column(name = "curva_derecha")
    private long curvaDerecha;
    @Basic(optional = false)
    @Column(name = "curva_izquierda")
    private long curvaIzquierda;
    @Basic(optional = false)
    @Column(name = "perfil_derecha")
    private long perfilDerecha;
    @Basic(optional = false)
    @Column(name = "perfil_izquierda")
    private long perfilIzquierda;
    @Basic(optional = false)
    @Column(name = "exodoncias_derecha")
    private long exodonciasDerecha;
    @Basic(optional = false)
    @Column(name = "exodoncias_izquierda")
    private long exodonciasIzquierda;
    @Basic(optional = false)
    @Column(name = "mov_molar_derecha")
    private long movMolarDerecha;
    @Basic(optional = false)
    @Column(name = "mov_molar_izquierda")
    private long movMolarIzquierda;
    @Basic(optional = false)
    @Column(name = "relacion_molar_derecha")
    private long relacionMolarDerecha;
    @Basic(optional = false)
    @Column(name = "relacion_molar_izquierda")
    private long relacionMolarIzquierda;
    @Basic(optional = false)
    @Column(name = "mov_molar2_derecha")
    private long movMolar2Derecha;
    @Basic(optional = false)
    @Column(name = "mov_molar2_izquierda")
    private long movMolar2Izquierda;
    @Basic(optional = false)
    @Column(name = "conclusion")
    private String conclusion;
    @Basic(optional = false)
    @Column(name = "denticion_mixta_aplica")
    private boolean denticionMixtaAplica;
    @Column(name = "aplica_espacio")
    private boolean aplicaEspacio;
    @Basic(optional = false)
    @Column(name = "facial")
    private String facial;
    @Basic(optional = false)
    @Column(name = "periodontal")
    private String periodontal;
    @Basic(optional = false)
    @Column(name = "esqueletico")
    private String esqueletico;
    @Basic(optional = false)
    @Column(name = "dental_oclusal")
    private String dentalOclusal;
    @Basic(optional = false)
    @Column(name = "funcional")
    private String funcional;
    @Basic(optional = false)
    @Column(name = "interconsulta")
    private String interconsulta;
    @Basic(optional = false)
    @Column(name = "limitaciones")
    private String limitaciones;
    @Basic(optional = false)
    @Column(name = "costo_tratamiento")
    private long costoTratamiento;
    @Basic(optional = false)
    @Column(name = "ortodoncia")
    private boolean ortodoncia;
    @Basic(optional = false)
    @Column(name = "ortopedia")
    private boolean ortopedia;
    @Basic(optional = false)
    @Column(name = "cuotainicial")
    private long cuotainicial;
    @Basic(optional = false)
    @Column(name = "controles")
    private int controles;
    @Basic(optional = false)
    @Column(name = "valor")
    private long valor;
    @Basic(optional = false)
    @Column(name = "reparaciones")
    private boolean reparaciones;
    @Basic(optional = false)
    @Column(name = "retenedores")
    private boolean retenedores;
    @Basic(optional = false)
    @Column(name = "anclajes")
    private boolean anclajes;
    @Basic(optional = false)
    @Column(name = "anclaje")
    private String anclaje;
    @Column(name = "objetivos1")
    private String objetivos1;
    @Column(name = "objetivos2")
    private String objetivos2;
    @Column(name = "objetivos3")
    private String objetivos3;
    @Column(name = "objetivos4")
    private String objetivos4;
    @Column(name = "objetivos5")
    private String objetivos5;
    @Column(name = "objetivos6")
    private String objetivos6;
    @Column(name = "objetivos7")
    private String objetivos7;
    @Column(name = "objetivos8")
    private String objetivos8;
    @Column(name = "objetivos9")
    private String objetivos9;
    @Column(name = "estrategias1")
    private String estrategias1;
    @Column(name = "estrategias2")
    private String estrategias2;
    @Column(name = "estrategias3")
    private String estrategias3;
    @Column(name = "estrategias4")
    private String estrategias4;
    @Column(name = "estrategias5")
    private String estrategias5;
    @Column(name = "estrategias6")
    private String estrategias6;
    @Column(name = "estrategias7")
    private String estrategias7;
    @Column(name = "estrategias8")
    private String estrategias8;
    @Column(name = "estrategias9")
    private String estrategias9;
    @Column(name = "gastos_adicionales")
    private String gastosAdicionales;
    @Basic(optional = false)
    @Column(name = "gastos_adicionales_si")
    private boolean gastosAdicionalesSi;
    @Basic(optional = false)
    @Lob
    @Column(name = "firma")
    private byte[] firma;
    @Lob
    @Column(name = "huella")
    private byte[] huella;
    @JoinColumn(name = "tratamiento_id", referencedColumnName = "id")
    @OneToOne(optional = false, fetch = FetchType.LAZY)
    private Tratamiento tratamientoId;
    @Embedded
    private final transient PropertyChangeSupport propertyChangeSupport = new java.beans.PropertyChangeSupport(this);

    public Ortopedia2() {
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (getId() != null ? getId().hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Ortopedia2)) {
            return false;
        }
        Ortopedia2 other = (Ortopedia2) object;
        if ((this.getId() == null && other.getId() != null) || (this.getId() != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "" +getId();
    }

    /**
     * @return the id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Integer id) {
        java.lang.Integer oldId = this.id;
        this.id = id;
        propertyChangeSupport.firePropertyChange(PROP_ID, oldId, id);
    }

    /**
     * @return the tamano
     */
    public String getTamano() {
        return tamano;
    }

    /**
     * @param tamano the tamano to set
     */
    public void setTamano(String tamano) {
        java.lang.String oldTamano = this.tamano;
        this.tamano = tamano;
        propertyChangeSupport.firePropertyChange(PROP_TAMANO, oldTamano, tamano);
    }

    /**
     * @return the denticion
     */
    public String getDenticion() {
        return denticion;
    }

    /**
     * @param denticion the denticion to set
     */
    public void setDenticion(String denticion) {
        java.lang.String oldDenticion = this.denticion;
        this.denticion = denticion;
        propertyChangeSupport.firePropertyChange(PROP_DENTICION, oldDenticion, denticion);
    }

    /**
     * @return the sumatoria
     */
    public Long getSumatoria() {
        return sumatoria;
    }

    /**
     * @param sumatoria the sumatoria to set
     */
    public void setSumatoria(Long sumatoria) {
        java.lang.Long oldSumatoria = this.sumatoria;
        this.sumatoria = sumatoria;
        propertyChangeSupport.firePropertyChange(PROP_SUMATORIA, oldSumatoria, sumatoria);
    }

    /**
     * @return the sup
     */
    public long getSup() {
        return sup;
    }

    /**
     * @param sup the sup to set
     */
    public void setSup(long sup) {
        long oldSup = this.sup;
        this.sup = sup;
        propertyChangeSupport.firePropertyChange(PROP_SUP, oldSup, sup);
    }

    /**
     * @return the inf
     */
    public long getInf() {
        return inf;
    }

    /**
     * @param inf the inf to set
     */
    public void setInf(long inf) {
        long oldInf = this.inf;
        this.inf = inf;
        propertyChangeSupport.firePropertyChange(PROP_INF, oldInf, inf);
    }

    /**
     * @return the spcDispSuperiorDer
     */
    public long getSpcDispSuperiorDer() {
        return spcDispSuperiorDer;
    }

    /**
     * @param spcDispSuperiorDer the spcDispSuperiorDer to set
     */
    public void setSpcDispSuperiorDer(long spcDispSuperiorDer) {
        long oldSpcDispSuperiorDer = this.spcDispSuperiorDer;
        this.spcDispSuperiorDer = spcDispSuperiorDer;
        propertyChangeSupport.firePropertyChange(PROP_SPCDISPSUPERIORDER, oldSpcDispSuperiorDer, spcDispSuperiorDer);
    }

    /**
     * @return the spcDispSuperioIzq
     */
    public long getSpcDispSuperioIzq() {
        return spcDispSuperioIzq;
    }

    /**
     * @param spcDispSuperioIzq the spcDispSuperioIzq to set
     */
    public void setSpcDispSuperioIzq(long spcDispSuperioIzq) {
        long oldSpcDispSuperioIzq = this.spcDispSuperioIzq;
        this.spcDispSuperioIzq = spcDispSuperioIzq;
        propertyChangeSupport.firePropertyChange(PROP_SPCDISPSUPERIOIZQ, oldSpcDispSuperioIzq, spcDispSuperioIzq);
    }

    /**
     * @return the spcDispInferiorDer
     */
    public long getSpcDispInferiorDer() {
        return spcDispInferiorDer;
    }

    /**
     * @param spcDispInferiorDer the spcDispInferiorDer to set
     */
    public void setSpcDispInferiorDer(long spcDispInferiorDer) {
        long oldSpcDispInferiorDer = this.spcDispInferiorDer;
        this.spcDispInferiorDer = spcDispInferiorDer;
        propertyChangeSupport.firePropertyChange(PROP_SPCDISPINFERIORDER, oldSpcDispInferiorDer, spcDispInferiorDer);
    }

    /**
     * @return the spcDispInferiorIzq
     */
    public long getSpcDispInferiorIzq() {
        return spcDispInferiorIzq;
    }

    /**
     * @param spcDispInferiorIzq the spcDispInferiorIzq to set
     */
    public void setSpcDispInferiorIzq(long spcDispInferiorIzq) {
        long oldSpcDispInferiorIzq = this.spcDispInferiorIzq;
        this.spcDispInferiorIzq = spcDispInferiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_SPCDISPINFERIORIZQ, oldSpcDispInferiorIzq, spcDispInferiorIzq);
    }

    /**
     * @return the diferenciaSuperiorDer
     */
    public long getDiferenciaSuperiorDer() {
        return diferenciaSuperiorDer;
    }

    /**
     * @param diferenciaSuperiorDer the diferenciaSuperiorDer to set
     */
    public void setDiferenciaSuperiorDer(long diferenciaSuperiorDer) {
        long oldDiferenciaSuperiorDer = this.diferenciaSuperiorDer;
        this.diferenciaSuperiorDer = diferenciaSuperiorDer;
        propertyChangeSupport.firePropertyChange(PROP_DIFERENCIASUPERIORDER, oldDiferenciaSuperiorDer, diferenciaSuperiorDer);
    }

    /**
     * @return the diferenciaSuperiorIzq
     */
    public long getDiferenciaSuperiorIzq() {
        return diferenciaSuperiorIzq;
    }

    /**
     * @param diferenciaSuperiorIzq the diferenciaSuperiorIzq to set
     */
    public void setDiferenciaSuperiorIzq(long diferenciaSuperiorIzq) {
        long oldDiferenciaSuperiorIzq = this.diferenciaSuperiorIzq;
        this.diferenciaSuperiorIzq = diferenciaSuperiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_DIFERENCIASUPERIORIZQ, oldDiferenciaSuperiorIzq, diferenciaSuperiorIzq);
    }

    /**
     * @return the diferenciaInferiorDer
     */
    public long getDiferenciaInferiorDer() {
        return diferenciaInferiorDer;
    }

    /**
     * @param diferenciaInferiorDer the diferenciaInferiorDer to set
     */
    public void setDiferenciaInferiorDer(long diferenciaInferiorDer) {
        long oldDiferenciaInferiorDer = this.diferenciaInferiorDer;
        this.diferenciaInferiorDer = diferenciaInferiorDer;
        propertyChangeSupport.firePropertyChange(PROP_DIFERENCIAINFERIORDER, oldDiferenciaInferiorDer, diferenciaInferiorDer);
    }

    /**
     * @return the diferenciaInferiorIzq
     */
    public long getDiferenciaInferiorIzq() {
        return diferenciaInferiorIzq;
    }

    /**
     * @param diferenciaInferiorIzq the diferenciaInferiorIzq to set
     */
    public void setDiferenciaInferiorIzq(long diferenciaInferiorIzq) {
        long oldDiferenciaInferiorIzq = this.diferenciaInferiorIzq;
        this.diferenciaInferiorIzq = diferenciaInferiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_DIFERENCIAINFERIORIZQ, oldDiferenciaInferiorIzq, diferenciaInferiorIzq);
    }

    /**
     * @return the diastemasSuperiorDer
     */
    public long getDiastemasSuperiorDer() {
        return diastemasSuperiorDer;
    }

    /**
     * @param diastemasSuperiorDer the diastemasSuperiorDer to set
     */
    public void setDiastemasSuperiorDer(long diastemasSuperiorDer) {
        long oldDiastemasSuperiorDer = this.diastemasSuperiorDer;
        this.diastemasSuperiorDer = diastemasSuperiorDer;
        propertyChangeSupport.firePropertyChange(PROP_DIASTEMASSUPERIORDER, oldDiastemasSuperiorDer, diastemasSuperiorDer);
    }

    /**
     * @return the diastemasSuperiorIzq
     */
    public long getDiastemasSuperiorIzq() {
        return diastemasSuperiorIzq;
    }

    /**
     * @param diastemasSuperiorIzq the diastemasSuperiorIzq to set
     */
    public void setDiastemasSuperiorIzq(long diastemasSuperiorIzq) {
        long oldDiastemasSuperiorIzq = this.diastemasSuperiorIzq;
        this.diastemasSuperiorIzq = diastemasSuperiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_DIASTEMASSUPERIORIZQ, oldDiastemasSuperiorIzq, diastemasSuperiorIzq);
    }

    /**
     * @return the diastemasInferiorDer
     */
    public long getDiastemasInferiorDer() {
        return diastemasInferiorDer;
    }

    /**
     * @param diastemasInferiorDer the diastemasInferiorDer to set
     */
    public void setDiastemasInferiorDer(long diastemasInferiorDer) {
        long oldDiastemasInferiorDer = this.diastemasInferiorDer;
        this.diastemasInferiorDer = diastemasInferiorDer;
        propertyChangeSupport.firePropertyChange(PROP_DIASTEMASINFERIORDER, oldDiastemasInferiorDer, diastemasInferiorDer);
    }

    /**
     * @return the diastemasInferiorIzq
     */
    public long getDiastemasInferiorIzq() {
        return diastemasInferiorIzq;
    }

    /**
     * @param diastemasInferiorIzq the diastemasInferiorIzq to set
     */
    public void setDiastemasInferiorIzq(long diastemasInferiorIzq) {
        long oldDiastemasInferiorIzq = this.diastemasInferiorIzq;
        this.diastemasInferiorIzq = diastemasInferiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_DIASTEMASINFERIORIZQ, oldDiastemasInferiorIzq, diastemasInferiorIzq);
    }

    /**
     * @return the apifamientoSuperiorDer
     */
    public long getApifamientoSuperiorDer() {
        return apifamientoSuperiorDer;
    }

    /**
     * @param apifamientoSuperiorDer the apifamientoSuperiorDer to set
     */
    public void setApifamientoSuperiorDer(long apifamientoSuperiorDer) {
        long oldApifamientoSuperiorDer = this.apifamientoSuperiorDer;
        this.apifamientoSuperiorDer = apifamientoSuperiorDer;
        propertyChangeSupport.firePropertyChange(PROP_APIFAMIENTOSUPERIORDER, oldApifamientoSuperiorDer, apifamientoSuperiorDer);
    }

    /**
     * @return the apifamientoSuperiorIzq
     */
    public long getApifamientoSuperiorIzq() {
        return apifamientoSuperiorIzq;
    }

    /**
     * @param apifamientoSuperiorIzq the apifamientoSuperiorIzq to set
     */
    public void setApifamientoSuperiorIzq(long apifamientoSuperiorIzq) {
        long oldApifamientoSuperiorIzq = this.apifamientoSuperiorIzq;
        this.apifamientoSuperiorIzq = apifamientoSuperiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_APIFAMIENTOSUPERIORIZQ, oldApifamientoSuperiorIzq, apifamientoSuperiorIzq);
    }

    /**
     * @return the apifamientoInferiorDer
     */
    public long getApifamientoInferiorDer() {
        return apifamientoInferiorDer;
    }

    /**
     * @param apifamientoInferiorDer the apifamientoInferiorDer to set
     */
    public void setApifamientoInferiorDer(long apifamientoInferiorDer) {
        long oldApifamientoInferiorDer = this.apifamientoInferiorDer;
        this.apifamientoInferiorDer = apifamientoInferiorDer;
        propertyChangeSupport.firePropertyChange(PROP_APIFAMIENTOINFERIORDER, oldApifamientoInferiorDer, apifamientoInferiorDer);
    }

    /**
     * @return the apifamientoInferiorIzq
     */
    public long getApifamientoInferiorIzq() {
        return apifamientoInferiorIzq;
    }

    /**
     * @param apifamientoInferiorIzq the apifamientoInferiorIzq to set
     */
    public void setApifamientoInferiorIzq(long apifamientoInferiorIzq) {
        long oldApifamientoInferiorIzq = this.apifamientoInferiorIzq;
        this.apifamientoInferiorIzq = apifamientoInferiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_APIFAMIENTOINFERIORIZQ, oldApifamientoInferiorIzq, apifamientoInferiorIzq);
    }

    /**
     * @return the lineaMediaSuperiorDer
     */
    public long getLineaMediaSuperiorDer() {
        return lineaMediaSuperiorDer;
    }

    /**
     * @param lineaMediaSuperiorDer the lineaMediaSuperiorDer to set
     */
    public void setLineaMediaSuperiorDer(long lineaMediaSuperiorDer) {
        long oldLineaMediaSuperiorDer = this.lineaMediaSuperiorDer;
        this.lineaMediaSuperiorDer = lineaMediaSuperiorDer;
        propertyChangeSupport.firePropertyChange(PROP_LINEAMEDIASUPERIORDER, oldLineaMediaSuperiorDer, lineaMediaSuperiorDer);
    }

    /**
     * @return the lineaMediaSuperiorIzq
     */
    public long getLineaMediaSuperiorIzq() {
        return lineaMediaSuperiorIzq;
    }

    /**
     * @param lineaMediaSuperiorIzq the lineaMediaSuperiorIzq to set
     */
    public void setLineaMediaSuperiorIzq(long lineaMediaSuperiorIzq) {
        long oldLineaMediaSuperiorIzq = this.lineaMediaSuperiorIzq;
        this.lineaMediaSuperiorIzq = lineaMediaSuperiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_LINEAMEDIASUPERIORIZQ, oldLineaMediaSuperiorIzq, lineaMediaSuperiorIzq);
    }

    /**
     * @return the lineamediaInferiorDer
     */
    public long getLineamediaInferiorDer() {
        return lineamediaInferiorDer;
    }

    /**
     * @param lineamediaInferiorDer the lineamediaInferiorDer to set
     */
    public void setLineamediaInferiorDer(long lineamediaInferiorDer) {
        long oldLineamediaInferiorDer = this.lineamediaInferiorDer;
        this.lineamediaInferiorDer = lineamediaInferiorDer;
        propertyChangeSupport.firePropertyChange(PROP_LINEAMEDIAINFERIORDER, oldLineamediaInferiorDer, lineamediaInferiorDer);
    }

    /**
     * @return the lineamediaInferiorIzq
     */
    public long getLineamediaInferiorIzq() {
        return lineamediaInferiorIzq;
    }

    /**
     * @param lineamediaInferiorIzq the lineamediaInferiorIzq to set
     */
    public void setLineamediaInferiorIzq(long lineamediaInferiorIzq) {
        long oldLineamediaInferiorIzq = this.lineamediaInferiorIzq;
        this.lineamediaInferiorIzq = lineamediaInferiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_LINEAMEDIAINFERIORIZQ, oldLineamediaInferiorIzq, lineamediaInferiorIzq);
    }

    /**
     * @return the totalSuperiorDer
     */
    public long getTotalSuperiorDer() {
        return totalSuperiorDer;
    }

    /**
     * @param totalSuperiorDer the totalSuperiorDer to set
     */
    public void setTotalSuperiorDer(long totalSuperiorDer) {
        long oldTotalSuperiorDer = this.totalSuperiorDer;
        this.totalSuperiorDer = totalSuperiorDer;
        propertyChangeSupport.firePropertyChange(PROP_TOTALSUPERIORDER, oldTotalSuperiorDer, totalSuperiorDer);
    }

    /**
     * @return the totalSuperiorIzq
     */
    public long getTotalSuperiorIzq() {
        return totalSuperiorIzq;
    }

    /**
     * @param totalSuperiorIzq the totalSuperiorIzq to set
     */
    public void setTotalSuperiorIzq(long totalSuperiorIzq) {
        long oldTotalSuperiorIzq = this.totalSuperiorIzq;
        this.totalSuperiorIzq = totalSuperiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_TOTALSUPERIORIZQ, oldTotalSuperiorIzq, totalSuperiorIzq);
    }

    /**
     * @return the totalInferiorDer
     */
    public long getTotalInferiorDer() {
        return totalInferiorDer;
    }

    /**
     * @param totalInferiorDer the totalInferiorDer to set
     */
    public void setTotalInferiorDer(long totalInferiorDer) {
        long oldTotalInferiorDer = this.totalInferiorDer;
        this.totalInferiorDer = totalInferiorDer;
        propertyChangeSupport.firePropertyChange(PROP_TOTALINFERIORDER, oldTotalInferiorDer, totalInferiorDer);
    }

    /**
     * @return the totalInferiorIzq
     */
    public long getTotalInferiorIzq() {
        return totalInferiorIzq;
    }

    /**
     * @param totalInferiorIzq the totalInferiorIzq to set
     */
    public void setTotalInferiorIzq(long totalInferiorIzq) {
        long oldTotalInferiorIzq = this.totalInferiorIzq;
        this.totalInferiorIzq = totalInferiorIzq;
        propertyChangeSupport.firePropertyChange(PROP_TOTALINFERIORIZQ, oldTotalInferiorIzq, totalInferiorIzq);
    }

    /**
     * @return the lineaMediaDerecha
     */
    public long getLineaMediaDerecha() {
        return lineaMediaDerecha;
    }

    /**
     * @param lineaMediaDerecha the lineaMediaDerecha to set
     */
    public void setLineaMediaDerecha(long lineaMediaDerecha) {
        long oldLineaMediaDerecha = this.lineaMediaDerecha;
        this.lineaMediaDerecha = lineaMediaDerecha;
        propertyChangeSupport.firePropertyChange(PROP_LINEAMEDIADERECHA, oldLineaMediaDerecha, lineaMediaDerecha);
    }

    /**
     * @return the lineaMediaIzquierda
     */
    public long getLineaMediaIzquierda() {
        return lineaMediaIzquierda;
    }

    /**
     * @param lineaMediaIzquierda the lineaMediaIzquierda to set
     */
    public void setLineaMediaIzquierda(long lineaMediaIzquierda) {
        long oldLineaMediaIzquierda = this.lineaMediaIzquierda;
        this.lineaMediaIzquierda = lineaMediaIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_LINEAMEDIAIZQUIERDA, oldLineaMediaIzquierda, lineaMediaIzquierda);
    }

    /**
     * @return the apinamientoDerecha
     */
    public long getApinamientoDerecha() {
        return apinamientoDerecha;
    }

    /**
     * @param apinamientoDerecha the apinamientoDerecha to set
     */
    public void setApinamientoDerecha(long apinamientoDerecha) {
        long oldApinamientoDerecha = this.apinamientoDerecha;
        this.apinamientoDerecha = apinamientoDerecha;
        propertyChangeSupport.firePropertyChange(PROP_APINAMIENTODERECHA, oldApinamientoDerecha, apinamientoDerecha);
    }

    /**
     * @return the apinamientoIzquierda
     */
    public long getApinamientoIzquierda() {
        return apinamientoIzquierda;
    }

    /**
     * @param apinamientoIzquierda the apinamientoIzquierda to set
     */
    public void setApinamientoIzquierda(long apinamientoIzquierda) {
        long oldApinamientoIzquierda = this.apinamientoIzquierda;
        this.apinamientoIzquierda = apinamientoIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_APINAMIENTOIZQUIERDA, oldApinamientoIzquierda, apinamientoIzquierda);
    }

    /**
     * @return the curvaDerecha
     */
    public long getCurvaDerecha() {
        return curvaDerecha;
    }

    /**
     * @param curvaDerecha the curvaDerecha to set
     */
    public void setCurvaDerecha(long curvaDerecha) {
        long oldCurvaDerecha = this.curvaDerecha;
        this.curvaDerecha = curvaDerecha;
        propertyChangeSupport.firePropertyChange(PROP_CURVADERECHA, oldCurvaDerecha, curvaDerecha);
    }

    /**
     * @return the curvaIzquierda
     */
    public long getCurvaIzquierda() {
        return curvaIzquierda;
    }

    /**
     * @param curvaIzquierda the curvaIzquierda to set
     */
    public void setCurvaIzquierda(long curvaIzquierda) {
        long oldCurvaIzquierda = this.curvaIzquierda;
        this.curvaIzquierda = curvaIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_CURVAIZQUIERDA, oldCurvaIzquierda, curvaIzquierda);
    }

    /**
     * @return the perfilDerecha
     */
    public long getPerfilDerecha() {
        return perfilDerecha;
    }

    /**
     * @param perfilDerecha the perfilDerecha to set
     */
    public void setPerfilDerecha(long perfilDerecha) {
        long oldPerfilDerecha = this.perfilDerecha;
        this.perfilDerecha = perfilDerecha;
        propertyChangeSupport.firePropertyChange(PROP_PERFILDERECHA, oldPerfilDerecha, perfilDerecha);
    }

    /**
     * @return the perfilIzquierda
     */
    public long getPerfilIzquierda() {
        return perfilIzquierda;
    }

    /**
     * @param perfilIzquierda the perfilIzquierda to set
     */
    public void setPerfilIzquierda(long perfilIzquierda) {
        long oldPerfilIzquierda = this.perfilIzquierda;
        this.perfilIzquierda = perfilIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_PERFILIZQUIERDA, oldPerfilIzquierda, perfilIzquierda);
    }

    /**
     * @return the exodonciasDerecha
     */
    public long getExodonciasDerecha() {
        return exodonciasDerecha;
    }

    /**
     * @param exodonciasDerecha the exodonciasDerecha to set
     */
    public void setExodonciasDerecha(long exodonciasDerecha) {
        long oldExodonciasDerecha = this.exodonciasDerecha;
        this.exodonciasDerecha = exodonciasDerecha;
        propertyChangeSupport.firePropertyChange(PROP_EXODONCIASDERECHA, oldExodonciasDerecha, exodonciasDerecha);
    }

    /**
     * @return the exodonciasIzquierda
     */
    public long getExodonciasIzquierda() {
        return exodonciasIzquierda;
    }

    /**
     * @param exodonciasIzquierda the exodonciasIzquierda to set
     */
    public void setExodonciasIzquierda(long exodonciasIzquierda) {
        long oldExodonciasIzquierda = this.exodonciasIzquierda;
        this.exodonciasIzquierda = exodonciasIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_EXODONCIASIZQUIERDA, oldExodonciasIzquierda, exodonciasIzquierda);
    }

    /**
     * @return the movMolarDerecha
     */
    public long getMovMolarDerecha() {
        return movMolarDerecha;
    }

    /**
     * @param movMolarDerecha the movMolarDerecha to set
     */
    public void setMovMolarDerecha(long movMolarDerecha) {
        long oldMovMolarDerecha = this.movMolarDerecha;
        this.movMolarDerecha = movMolarDerecha;
        propertyChangeSupport.firePropertyChange(PROP_MOVMOLARDERECHA, oldMovMolarDerecha, movMolarDerecha);
    }

    /**
     * @return the movMolarIzquierda
     */
    public long getMovMolarIzquierda() {
        return movMolarIzquierda;
    }

    /**
     * @param movMolarIzquierda the movMolarIzquierda to set
     */
    public void setMovMolarIzquierda(long movMolarIzquierda) {
        long oldMovMolarIzquierda = this.movMolarIzquierda;
        this.movMolarIzquierda = movMolarIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_MOVMOLARIZQUIERDA, oldMovMolarIzquierda, movMolarIzquierda);
    }

    /**
     * @return the relacionMolarDerecha
     */
    public long getRelacionMolarDerecha() {
        return relacionMolarDerecha;
    }

    /**
     * @param relacionMolarDerecha the relacionMolarDerecha to set
     */
    public void setRelacionMolarDerecha(long relacionMolarDerecha) {
        long oldRelacionMolarDerecha = this.relacionMolarDerecha;
        this.relacionMolarDerecha = relacionMolarDerecha;
        propertyChangeSupport.firePropertyChange(PROP_RELACIONMOLARDERECHA, oldRelacionMolarDerecha, relacionMolarDerecha);
    }

    /**
     * @return the relacionMolarIzquierda
     */
    public long getRelacionMolarIzquierda() {
        return relacionMolarIzquierda;
    }

    /**
     * @param relacionMolarIzquierda the relacionMolarIzquierda to set
     */
    public void setRelacionMolarIzquierda(long relacionMolarIzquierda) {
        long oldRelacionMolarIzquierda = this.relacionMolarIzquierda;
        this.relacionMolarIzquierda = relacionMolarIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_RELACIONMOLARIZQUIERDA, oldRelacionMolarIzquierda, relacionMolarIzquierda);
    }

    /**
     * @return the movMolar2Derecha
     */
    public long getMovMolar2Derecha() {
        return movMolar2Derecha;
    }

    /**
     * @param movMolar2Derecha the movMolar2Derecha to set
     */
    public void setMovMolar2Derecha(long movMolar2Derecha) {
        long oldMovMolar2Derecha = this.movMolar2Derecha;
        this.movMolar2Derecha = movMolar2Derecha;
        propertyChangeSupport.firePropertyChange(PROP_MOVMOLAR2DERECHA, oldMovMolar2Derecha, movMolar2Derecha);
    }

    /**
     * @return the movMolar2Izquierda
     */
    public long getMovMolar2Izquierda() {
        return movMolar2Izquierda;
    }

    /**
     * @param movMolar2Izquierda the movMolar2Izquierda to set
     */
    public void setMovMolar2Izquierda(long movMolar2Izquierda) {
        long oldMovMolar2Izquierda = this.movMolar2Izquierda;
        this.movMolar2Izquierda = movMolar2Izquierda;
        propertyChangeSupport.firePropertyChange(PROP_MOVMOLAR2IZQUIERDA, oldMovMolar2Izquierda, movMolar2Izquierda);
    }

    /**
     * @return the conclusion
     */
    public String getConclusion() {
        return conclusion;
    }

    /**
     * @param conclusion the conclusion to set
     */
    public void setConclusion(String conclusion) {
        java.lang.String oldConclusion = this.conclusion;
        this.conclusion = conclusion;
        propertyChangeSupport.firePropertyChange(PROP_CONCLUSION, oldConclusion, conclusion);
    }

    /**
     * @return the denticionMixtaAplica
     */
    public boolean isDenticionMixtaAplica() {
        return denticionMixtaAplica;
    }

    /**
     * @param denticionMixtaAplica the denticionMixtaAplica to set
     */
    public void setDenticionMixtaAplica(boolean denticionMixtaAplica) {
        boolean oldDenticionMixtaAplica = this.denticionMixtaAplica;
        this.denticionMixtaAplica = denticionMixtaAplica;
        propertyChangeSupport.firePropertyChange(PROP_DENTICIONMIXTAAPLICA, oldDenticionMixtaAplica, denticionMixtaAplica);
    }

   



   

    /**
     * @return the facial
     */
    public String getFacial() {
        return facial;
    }

    /**
     * @param facial the facial to set
     */
    public void setFacial(String facial) {
        java.lang.String oldFacial = this.facial;
        this.facial = facial;
        propertyChangeSupport.firePropertyChange(PROP_FACIAL, oldFacial, facial);
    }

    /**
     * @return the periodontal
     */
    public String getPeriodontal() {
        return periodontal;
    }

    /**
     * @param periodontal the periodontal to set
     */
    public void setPeriodontal(String periodontal) {
        java.lang.String oldPeriodontal = this.periodontal;
        this.periodontal = periodontal;
        propertyChangeSupport.firePropertyChange(PROP_PERIODONTAL, oldPeriodontal, periodontal);
    }

    /**
     * @return the esqueletico
     */
    public String getEsqueletico() {
        return esqueletico;
    }

    /**
     * @param esqueletico the esqueletico to set
     */
    public void setEsqueletico(String esqueletico) {
        java.lang.String oldEsqueletico = this.esqueletico;
        this.esqueletico = esqueletico;
        propertyChangeSupport.firePropertyChange(PROP_ESQUELETICO, oldEsqueletico, esqueletico);
    }

    /**
     * @return the dentalOclusal
     */
    public String getDentalOclusal() {
        return dentalOclusal;
    }

    /**
     * @param dentalOclusal the dentalOclusal to set
     */
    public void setDentalOclusal(String dentalOclusal) {
        java.lang.String oldDentalOclusal = this.dentalOclusal;
        this.dentalOclusal = dentalOclusal;
        propertyChangeSupport.firePropertyChange(PROP_DENTALOCLUSAL, oldDentalOclusal, dentalOclusal);
    }

    /**
     * @return the funcional
     */
    public String getFuncional() {
        return funcional;
    }

    /**
     * @param funcional the funcional to set
     */
    public void setFuncional(String funcional) {
        java.lang.String oldFuncional = this.funcional;
        this.funcional = funcional;
        propertyChangeSupport.firePropertyChange(PROP_FUNCIONAL, oldFuncional, funcional);
    }

    /**
     * @return the interconsulta
     */
    public String getInterconsulta() {
        return interconsulta;
    }

    /**
     * @param interconsulta the interconsulta to set
     */
    public void setInterconsulta(String interconsulta) {
        java.lang.String oldInterconsulta = this.interconsulta;
        this.interconsulta = interconsulta;
        propertyChangeSupport.firePropertyChange(PROP_INTERCONSULTA, oldInterconsulta, interconsulta);
    }

    /**
     * @return the limitaciones
     */
    public String getLimitaciones() {
        return limitaciones;
    }

    /**
     * @param limitaciones the limitaciones to set
     */
    public void setLimitaciones(String limitaciones) {
        java.lang.String oldLimitaciones = this.limitaciones;
        this.limitaciones = limitaciones;
        propertyChangeSupport.firePropertyChange(PROP_LIMITACIONES, oldLimitaciones, limitaciones);
    }

    /**
     * @return the costoTratamiento
     */
    public long getCostoTratamiento() {
        return costoTratamiento;
    }

    /**
     * @param costoTratamiento the costoTratamiento to set
     */
    public void setCostoTratamiento(long costoTratamiento) {
        long oldCostoTratamiento = this.costoTratamiento;
        this.costoTratamiento = costoTratamiento;
        propertyChangeSupport.firePropertyChange(PROP_COSTOTRATAMIENTO, oldCostoTratamiento, costoTratamiento);
    }

    /**
     * @return the ortodoncia
     */
    public boolean isOrtodoncia() {
        return ortodoncia;
    }

    /**
     * @param ortodoncia the ortodoncia to set
     */
    public void setOrtodoncia(boolean ortodoncia) {
        boolean oldOrtodoncia = this.ortodoncia;
        this.ortodoncia = ortodoncia;
        propertyChangeSupport.firePropertyChange(PROP_ORTODONCIA, oldOrtodoncia, ortodoncia);
    }

    /**
     * @return the ortopedia
     */
    public boolean isOrtopedia() {
        return ortopedia;
    }

    /**
     * @param ortopedia the ortopedia to set
     */
    public void setOrtopedia(boolean ortopedia) {
        boolean oldOrtopedia = this.ortopedia;
        this.ortopedia = ortopedia;
        propertyChangeSupport.firePropertyChange(PROP_ORTOPEDIA, oldOrtopedia, ortopedia);
    }

    /**
     * @return the cuotainicial
     */
    public long getCuotainicial() {
        return cuotainicial;
    }

    /**
     * @param cuotainicial the cuotainicial to set
     */
    public void setCuotainicial(long cuotainicial) {
        long oldCuotainicial = this.cuotainicial;
        this.cuotainicial = cuotainicial;
        propertyChangeSupport.firePropertyChange(PROP_CUOTAINICIAL, oldCuotainicial, cuotainicial);
    }

    /**
     * @return the controles
     */
    public int getControles() {
        return controles;
    }

    /**
     * @param controles the controles to set
     */
    public void setControles(int controles) {
        int oldControles = this.controles;
        this.controles = controles;
        propertyChangeSupport.firePropertyChange(PROP_CONTROLES, oldControles, controles);
    }

    /**
     * @return the valor
     */
    public long getValor() {
        return valor;
    }

    /**
     * @param valor the valor to set
     */
    public void setValor(long valor) {
        long oldValor = this.valor;
        this.valor = valor;
        propertyChangeSupport.firePropertyChange(PROP_VALOR, oldValor, valor);
    }

    /**
     * @return the reparaciones
     */
    public boolean isReparaciones() {
        return reparaciones;
    }

    /**
     * @param reparaciones the reparaciones to set
     */
    public void setReparaciones(boolean reparaciones) {
        boolean oldReparaciones = this.reparaciones;
        this.reparaciones = reparaciones;
        propertyChangeSupport.firePropertyChange(PROP_REPARACIONES, oldReparaciones, reparaciones);
    }

    /**
     * @return the retenedores
     */
    public boolean isRetenedores() {
        return retenedores;
    }

    /**
     * @param retenedores the retenedores to set
     */
    public void setRetenedores(boolean retenedores) {
        boolean oldRetenedores = this.retenedores;
        this.retenedores = retenedores;
        propertyChangeSupport.firePropertyChange(PROP_RETENEDORES, oldRetenedores, retenedores);
    }

    /**
     * @return the anclajes
     */
    public boolean isAnclajes() {
        return anclajes;
    }

    /**
     * @param anclajes the anclajes to set
     */
    public void setAnclajes(boolean anclajes) {
        boolean oldAnclajes = this.anclajes;
        this.anclajes = anclajes;
        propertyChangeSupport.firePropertyChange(PROP_ANCLAJES, oldAnclajes, anclajes);
    }

    /**
     * @return the anclaje
     */
    public String getAnclaje() {
        return anclaje;
    }

    /**
     * @param anclaje the anclaje to set
     */
    public void setAnclaje(String anclaje) {
        java.lang.String oldAnclaje = this.anclaje;
        this.anclaje = anclaje;
        propertyChangeSupport.firePropertyChange(PROP_ANCLAJE, oldAnclaje, anclaje);
    }

    /**
     * @return the objetivos1
     */
    public String getObjetivos1() {
        return objetivos1;
    }

    /**
     * @param objetivos1 the objetivos1 to set
     */
    public void setObjetivos1(String objetivos1) {
        java.lang.String oldObjetivos1 = this.objetivos1;
        this.objetivos1 = objetivos1;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS1, oldObjetivos1, objetivos1);
    }

    /**
     * @return the objetivos2
     */
    public String getObjetivos2() {
        return objetivos2;
    }

    /**
     * @param objetivos2 the objetivos2 to set
     */
    public void setObjetivos2(String objetivos2) {
        java.lang.String oldObjetivos2 = this.objetivos2;
        this.objetivos2 = objetivos2;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS2, oldObjetivos2, objetivos2);
    }

    /**
     * @return the objetivos3
     */
    public String getObjetivos3() {
        return objetivos3;
    }

    /**
     * @param objetivos3 the objetivos3 to set
     */
    public void setObjetivos3(String objetivos3) {
        java.lang.String oldObjetivos3 = this.objetivos3;
        this.objetivos3 = objetivos3;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS3, oldObjetivos3, objetivos3);
    }

    /**
     * @return the objetivos4
     */
    public String getObjetivos4() {
        return objetivos4;
    }

    /**
     * @param objetivos4 the objetivos4 to set
     */
    public void setObjetivos4(String objetivos4) {
        java.lang.String oldObjetivos4 = this.objetivos4;
        this.objetivos4 = objetivos4;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS4, oldObjetivos4, objetivos4);
    }

    /**
     * @return the objetivos5
     */
    public String getObjetivos5() {
        return objetivos5;
    }

    /**
     * @param objetivos5 the objetivos5 to set
     */
    public void setObjetivos5(String objetivos5) {
        java.lang.String oldObjetivos5 = this.objetivos5;
        this.objetivos5 = objetivos5;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS5, oldObjetivos5, objetivos5);
    }

    /**
     * @return the objetivos6
     */
    public String getObjetivos6() {
        return objetivos6;
    }

    /**
     * @param objetivos6 the objetivos6 to set
     */
    public void setObjetivos6(String objetivos6) {
        java.lang.String oldObjetivos6 = this.objetivos6;
        this.objetivos6 = objetivos6;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS6, oldObjetivos6, objetivos6);
    }

    /**
     * @return the objetivos7
     */
    public String getObjetivos7() {
        return objetivos7;
    }

    /**
     * @param objetivos7 the objetivos7 to set
     */
    public void setObjetivos7(String objetivos7) {
        java.lang.String oldObjetivos7 = this.objetivos7;
        this.objetivos7 = objetivos7;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS7, oldObjetivos7, objetivos7);
    }

    /**
     * @return the objetivos8
     */
    public String getObjetivos8() {
        return objetivos8;
    }

    /**
     * @param objetivos8 the objetivos8 to set
     */
    public void setObjetivos8(String objetivos8) {
        java.lang.String oldObjetivos8 = this.objetivos8;
        this.objetivos8 = objetivos8;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS8, oldObjetivos8, objetivos8);
    }

    /**
     * @return the objetivos9
     */
    public String getObjetivos9() {
        return objetivos9;
    }

    /**
     * @param objetivos9 the objetivos9 to set
     */
    public void setObjetivos9(String objetivos9) {
        java.lang.String oldObjetivos9 = this.objetivos9;
        this.objetivos9 = objetivos9;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS9, oldObjetivos9, objetivos9);
    }

    /**
     * @return the estrategias1
     */
    public String getEstrategias1() {
        return estrategias1;
    }

    /**
     * @param estrategias1 the estrategias1 to set
     */
    public void setEstrategias1(String estrategias1) {
        java.lang.String oldEstrategias1 = this.estrategias1;
        this.estrategias1 = estrategias1;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS1, oldEstrategias1, estrategias1);
    }

    /**
     * @return the estrategias2
     */
    public String getEstrategias2() {
        return estrategias2;
    }

    /**
     * @param estrategias2 the estrategias2 to set
     */
    public void setEstrategias2(String estrategias2) {
        java.lang.String oldEstrategias2 = this.estrategias2;
        this.estrategias2 = estrategias2;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS2, oldEstrategias2, estrategias2);
    }

    /**
     * @return the estrategias3
     */
    public String getEstrategias3() {
        return estrategias3;
    }

    /**
     * @param estrategias3 the estrategias3 to set
     */
    public void setEstrategias3(String estrategias3) {
        java.lang.String oldEstrategias3 = this.estrategias3;
        this.estrategias3 = estrategias3;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS3, oldEstrategias3, estrategias3);
    }

    /**
     * @return the estrategias4
     */
    public String getEstrategias4() {
        return estrategias4;
    }

    /**
     * @param estrategias4 the estrategias4 to set
     */
    public void setEstrategias4(String estrategias4) {
        java.lang.String oldEstrategias4 = this.estrategias4;
        this.estrategias4 = estrategias4;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS4, oldEstrategias4, estrategias4);
    }

    /**
     * @return the estrategias5
     */
    public String getEstrategias5() {
        return estrategias5;
    }

    /**
     * @param estrategias5 the estrategias5 to set
     */
    public void setEstrategias5(String estrategias5) {
        java.lang.String oldEstrategias5 = this.estrategias5;
        this.estrategias5 = estrategias5;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS5, oldEstrategias5, estrategias5);
    }

    /**
     * @return the estrategias6
     */
    public String getEstrategias6() {
        return estrategias6;
    }

    /**
     * @param estrategias6 the estrategias6 to set
     */
    public void setEstrategias6(String estrategias6) {
        java.lang.String oldEstrategias6 = this.estrategias6;
        this.estrategias6 = estrategias6;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS6, oldEstrategias6, estrategias6);
    }

    /**
     * @return the estrategias7
     */
    public String getEstrategias7() {
        return estrategias7;
    }

    /**
     * @param estrategias7 the estrategias7 to set
     */
    public void setEstrategias7(String estrategias7) {
        java.lang.String oldEstrategias7 = this.estrategias7;
        this.estrategias7 = estrategias7;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS7, oldEstrategias7, estrategias7);
    }

    /**
     * @return the estrategias8
     */
    public String getEstrategias8() {
        return estrategias8;
    }

    /**
     * @param estrategias8 the estrategias8 to set
     */
    public void setEstrategias8(String estrategias8) {
        java.lang.String oldEstrategias8 = this.estrategias8;
        this.estrategias8 = estrategias8;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS8, oldEstrategias8, estrategias8);
    }

    /**
     * @return the estrategias9
     */
    public String getEstrategias9() {
        return estrategias9;
    }

    /**
     * @param estrategias9 the estrategias9 to set
     */
    public void setEstrategias9(String estrategias9) {
        java.lang.String oldEstrategias9 = this.estrategias9;
        this.estrategias9 = estrategias9;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS9, oldEstrategias9, estrategias9);
    }

    /**
     * @return the gastosAdicionales
     */
    public String getGastosAdicionales() {
        return gastosAdicionales;
    }

    /**
     * @param gastosAdicionales the gastosAdicionales to set
     */
    public void setGastosAdicionales(String gastosAdicionales) {
        java.lang.String oldGastosAdicionales = this.gastosAdicionales;
        this.gastosAdicionales = gastosAdicionales;
        propertyChangeSupport.firePropertyChange(PROP_GASTOSADICIONALES, oldGastosAdicionales, gastosAdicionales);
    }

    /**
     * @return the gastosAdicionalesSi
     */
    public boolean isGastosAdicionalesSi() {
        return gastosAdicionalesSi;
    }

    /**
     * @param gastosAdicionalesSi the gastosAdicionalesSi to set
     */
    public void setGastosAdicionalesSi(boolean gastosAdicionalesSi) {
        boolean oldGastosAdicionalesSi = this.gastosAdicionalesSi;
        this.gastosAdicionalesSi = gastosAdicionalesSi;
        propertyChangeSupport.firePropertyChange(PROP_GASTOSADICIONALESSI, oldGastosAdicionalesSi, gastosAdicionalesSi);
    }

    /**
     * @return the firma
     */
    public byte[] getFirma() {
        return firma;
    }

    /**
     * @param firma the firma to set
     */
    public void setFirma(byte[] firma) {
        byte[] oldFirma = this.firma;
        this.firma = firma;
        propertyChangeSupport.firePropertyChange(PROP_FIRMA, oldFirma, firma);
    }

    /**
     * @return the huella
     */
    public byte[] getHuella() {
        return huella;
    }

    /**
     * @param huella the huella to set
     */
    public void setHuella(byte[] huella) {
        byte[] oldHuella = this.huella;
        this.huella = huella;
        propertyChangeSupport.firePropertyChange(PROP_HUELLA, oldHuella, huella);
    }

    /**
     * @return the tratamientoId
     */
    public Tratamiento getTratamientoId() {
        return tratamientoId;
    }

    /**
     * @param tratamientoId the tratamientoId to set
     */
    public void setTratamientoId(Tratamiento tratamientoId) {
        entidades.Tratamiento oldTratamientoId = this.tratamientoId;
        this.tratamientoId = tratamientoId;
        propertyChangeSupport.firePropertyChange(PROP_TRATAMIENTOID, oldTratamientoId, tratamientoId);
    }

    /**
     * @return the aplicaEspacio
     */
    public boolean isAplicaEspacio() {
        return aplicaEspacio;
    }

    /**
     * @param aplicaEspacio the aplicaEspacio to set
     */
    public void setAplicaEspacio(boolean aplicaEspacio) {
        boolean oldAplicaEspacio = this.aplicaEspacio;
        this.aplicaEspacio = aplicaEspacio;
        propertyChangeSupport.firePropertyChange(PROP_APLICAESPACIO, oldAplicaEspacio, aplicaEspacio);
    }

}
