/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author ander
 */
@Entity
@Table(name = "ortopedia_3")
@XmlRootElement
public class Ortopedia3 implements Serializable {

    private static final long serialVersionUID = 1L;
    public static final String PROP_ID = "PROP_ID";
    public static final String PROP_LINEAMEDIADERECHA = "PROP_LINEAMEDIADERECHA";
    public static final String PROP_LINEAMEDIAIZQUIERDA = "PROP_LINEAMEDIAIZQUIERDA";
    public static final String PROP_APINAMIENTODERECHA = "PROP_APINAMIENTODERECHA";
    public static final String PROP_APINAMIENTOIZQUIERDA = "PROP_APINAMIENTOIZQUIERDA";
    public static final String PROP_CURVADERECHA = "PROP_CURVADERECHA";
    public static final String PROP_CURVAIZQUIERDA = "PROP_CURVAIZQUIERDA";
    public static final String PROP_PERFILDERECHA = "PROP_PERFILDERECHA";
    public static final String PROP_PERFILIZQUIERDA = "PROP_PERFILIZQUIERDA";
    public static final String PROP_EXODONCIASDERECHA = "PROP_EXODONCIASDERECHA";
    public static final String PROP_EXODONCIASIZQUIERDA = "PROP_EXODONCIASIZQUIERDA";
    public static final String PROP_MOVMOLARDERECHA = "PROP_MOVMOLARDERECHA";
    public static final String PROP_MOVMOLARIZQUIERDA = "PROP_MOVMOLARIZQUIERDA";
    public static final String PROP_RELACIONMOLARDERECHA = "PROP_RELACIONMOLARDERECHA";
    public static final String PROP_RELACIONMOLARIZQUIERDA = "PROP_RELACIONMOLARIZQUIERDA";
    public static final String PROP_MOVMOLAR2DERECHA = "PROP_MOVMOLAR2DERECHA";
    public static final String PROP_MOVMOLAR2IZQUIERDA = "PROP_MOVMOLAR2IZQUIERDA";
    public static final String PROP_COSTOTRATAMIENTO = "PROP_COSTOTRATAMIENTO";
    public static final String PROP_ORTODONCIA = "PROP_ORTODONCIA";
    public static final String PROP_ORTOPEDIA = "PROP_ORTOPEDIA";
    public static final String PROP_CUOTAINICIAL = "PROP_CUOTAINICIAL";
    public static final String PROP_CONTROLES = "PROP_CONTROLES";
    public static final String PROP_VALOR = "PROP_VALOR";
    public static final String PROP_REPARACIONES = "PROP_REPARACIONES";
    public static final String PROP_RETENEDORES = "PROP_RETENEDORES";
    public static final String PROP_ANCLAJES = "PROP_ANCLAJES";
    public static final String PROP_ANCLAJE = "PROP_ANCLAJE";
    public static final String PROP_OBJETIVOS1 = "PROP_OBJETIVOS1";
    public static final String PROP_OBJETIVOS2 = "PROP_OBJETIVOS2";
    public static final String PROP_OBJETIVOS3 = "PROP_OBJETIVOS3";
    public static final String PROP_OBJETIVOS4 = "PROP_OBJETIVOS4";
    public static final String PROP_OBJETIVOS5 = "PROP_OBJETIVOS5";
    public static final String PROP_OBJETIVOS6 = "PROP_OBJETIVOS6";
    public static final String PROP_OBJETIVOS7 = "PROP_OBJETIVOS7";
    public static final String PROP_OBJETIVOS8 = "PROP_OBJETIVOS8";
    public static final String PROP_OBJETIVOS9 = "PROP_OBJETIVOS9";
    public static final String PROP_ESTRATEGIAS1 = "PROP_ESTRATEGIAS1";
    public static final String PROP_ESTRATEGIAS2 = "PROP_ESTRATEGIAS2";
    public static final String PROP_ESTRATEGIAS3 = "PROP_ESTRATEGIAS3";
    public static final String PROP_ESTRATEGIAS4 = "PROP_ESTRATEGIAS4";
    public static final String PROP_ESTRATEGIAS5 = "PROP_ESTRATEGIAS5";
    public static final String PROP_ESTRATEGIAS6 = "PROP_ESTRATEGIAS6";
    public static final String PROP_ESTRATEGIAS7 = "PROP_ESTRATEGIAS7";
    public static final String PROP_ESTRATEGIAS8 = "PROP_ESTRATEGIAS8";
    public static final String PROP_ESTRATEGIAS9 = "PROP_ESTRATEGIAS9";
    public static final String PROP_GASTOSADICIONALES = "PROP_GASTOSADICIONALES";
    public static final String PROP_GASTOSADICIONALESSI = "PROP_GASTOSADICIONALESSI";
    public static final String PROP_FIRMA = "PROP_FIRMA";
    public static final String PROP_HUELLA = "PROP_HUELLA";
    public static final String PROP_ANALISISESPACIOAPLICA = "PROP_ANALISISESPACIOAPLICA";
    public static final String PROP_DENTALOCLUSAL = "PROP_DENTALOCLUSAL";
    public static final String PROP_FACIAL = "PROP_FACIAL";
    public static final String PROP_PERIODONTAL = "PROP_PERIODONTAL";
    public static final String PROP_FUNCIONAL = "PROP_FUNCIONAL";
    public static final String PROP_DENTICIONMIXTAAPLICA = "PROP_DENTICIONMIXTAAPLICA";
    public static final String PROP_ESQUELETICO = "PROP_ESQUELETICO";
    public static final String PROP_INTERCONSULTA = "PROP_INTERCONSULTA";
    public static final String PROP_LIMITACIONES = "PROP_LIMITACIONES";
    public static final String PROP_TRATAMIENTOID = "PROP_TRATAMIENTOID";
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @Column(name = "linea_media_derecha")
    private long lineaMediaDerecha;
    @Basic(optional = false)
    @Column(name = "linea_media_izquierda")
    private long lineaMediaIzquierda;
    @Basic(optional = false)
    @Column(name = "apinamiento_derecha")
    private long apinamientoDerecha;
    @Basic(optional = false)
    @Column(name = "apinamiento_izquierda")
    private long apinamientoIzquierda;
    @Basic(optional = false)
    @Column(name = "curva_derecha")
    private long curvaDerecha;
    @Basic(optional = false)
    @Column(name = "curva_izquierda")
    private long curvaIzquierda;
    @Basic(optional = false)
    @Column(name = "perfil_derecha")
    private long perfilDerecha;
    @Basic(optional = false)
    @Column(name = "perfil_izquierda")
    private long perfilIzquierda;
    @Basic(optional = false)
    @Column(name = "exodoncias_derecha")
    private long exodonciasDerecha;
    @Basic(optional = false)
    @Column(name = "exodoncias_izquierda")
    private long exodonciasIzquierda;
    @Basic(optional = false)
    @Column(name = "mov_molar_derecha")
    private long movMolarDerecha;
    @Basic(optional = false)
    @Column(name = "mov_molar_izquierda")
    private long movMolarIzquierda;
    @Basic(optional = false)
    @Column(name = "relacion_molar_derecha")
    private long relacionMolarDerecha;
    @Basic(optional = false)
    @Column(name = "relacion_molar_izquierda")
    private long relacionMolarIzquierda;
    @Basic(optional = false)
    @Column(name = "mov_molar2_derecha")
    private long movMolar2Derecha;
    @Basic(optional = false)
    @Column(name = "mov_molar2_izquierda")
    private long movMolar2Izquierda;
    @Basic(optional = false)
    @Column(name = "costo_tratamiento")
    private long costoTratamiento;
   
    @Basic(optional = false)
    @Column(name = "cuotainicial")
    private long cuotainicial;
    @Basic(optional = false)
    @Column(name = "controles")
    private int controles;
    @Basic(optional = false)
    @Column(name = "valor")
    private long valor;
    @Basic(optional = false)
    @Column(name = "reparaciones")
    private boolean reparaciones;
    @Basic(optional = false)
    @Column(name = "retenedores")
    private String retenedores;
    @Basic(optional = false)
    @Column(name = "anclajes")
    private boolean anclajes;
    @Basic(optional = false)
    @Column(name = "anclaje")
    private String anclaje;
    @Column(name = "objetivos1")
    private String objetivos1;
    @Column(name = "objetivos2")
    private String objetivos2;
    @Column(name = "objetivos3")
    private String objetivos3;
    @Column(name = "objetivos4")
    private String objetivos4;
    @Column(name = "objetivos5")
    private String objetivos5;
    @Column(name = "objetivos6")
    private String objetivos6;
    @Column(name = "objetivos7")
    private String objetivos7;
    @Column(name = "objetivos8")
    private String objetivos8;
    @Column(name = "objetivos9")
    private String objetivos9;
    @Column(name = "estrategias1")
    private String estrategias1;
    @Column(name = "estrategias2")
    private String estrategias2;
    @Column(name = "estrategias3")
    private String estrategias3;
    @Column(name = "estrategias4")
    private String estrategias4;
    @Column(name = "estrategias5")
    private String estrategias5;
    @Column(name = "estrategias6")
    private String estrategias6;
    @Column(name = "estrategias7")
    private String estrategias7;
    @Column(name = "estrategias8")
    private String estrategias8;
    @Column(name = "estrategias9")
    private String estrategias9;
  

    @Lob
    @Column(name = "firma")
    private byte[] firma;
    @Lob
    @Column(name = "huella")
    private byte[] huella;
    @Column(name = "analisis_espacio_aplica")
    private boolean analisisEspacioAplica;
    @Column(name = "dental_oclusal")
    private String dentalOclusal;
    @Column(name = "facial")
    private String facial;
    @Column(name = "periodontal")
    private String periodontal;
    @Column(name = "funcional")
    private String funcional;
    @Column(name = "denticion_mixta_aplica")
    private boolean denticionMixtaAplica;
    @Column(name = "esqueletico")
    private String esqueletico;
    @Column(name = "interconsulta")
    private String interconsulta;
    @Column(name = "limitaciones")
    private String limitaciones;
    @JoinColumn(name = "tratamiento_id", referencedColumnName = "id")
    @OneToOne(optional = false, fetch = FetchType.LAZY)
    private Tratamiento tratamientoId;
    @Transient
    private final transient PropertyChangeSupport propertyChangeSupport = new java.beans.PropertyChangeSupport(this);

    public Ortopedia3() {
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (getId() != null ? getId().hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Ortopedia3)) {
            return false;
        }
        Ortopedia3 other = (Ortopedia3) object;
        if ((this.getId() == null && other.getId() != null) || (this.getId() != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entidades.Ortopedia3[ id=" + getId() + " ]";
    }

    /**
     * @return the id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Integer id) {
        java.lang.Integer oldId = this.id;
        this.id = id;
        propertyChangeSupport.firePropertyChange(PROP_ID, oldId, id);
    }

    /**
     * @return the lineaMediaDerecha
     */
    public long getLineaMediaDerecha() {
        return lineaMediaDerecha;
    }

    /**
     * @param lineaMediaDerecha the lineaMediaDerecha to set
     */
    public void setLineaMediaDerecha(long lineaMediaDerecha) {
        long oldLineaMediaDerecha = this.lineaMediaDerecha;
        this.lineaMediaDerecha = lineaMediaDerecha;
        propertyChangeSupport.firePropertyChange(PROP_LINEAMEDIADERECHA, oldLineaMediaDerecha, lineaMediaDerecha);
    }

    /**
     * @return the lineaMediaIzquierda
     */
    public long getLineaMediaIzquierda() {
        return lineaMediaIzquierda;
    }

    /**
     * @param lineaMediaIzquierda the lineaMediaIzquierda to set
     */
    public void setLineaMediaIzquierda(long lineaMediaIzquierda) {
        long oldLineaMediaIzquierda = this.lineaMediaIzquierda;
        this.lineaMediaIzquierda = lineaMediaIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_LINEAMEDIAIZQUIERDA, oldLineaMediaIzquierda, lineaMediaIzquierda);
    }

    /**
     * @return the apinamientoDerecha
     */
    public long getApinamientoDerecha() {
        return apinamientoDerecha;
    }

    /**
     * @param apinamientoDerecha the apinamientoDerecha to set
     */
    public void setApinamientoDerecha(long apinamientoDerecha) {
        long oldApinamientoDerecha = this.apinamientoDerecha;
        this.apinamientoDerecha = apinamientoDerecha;
        propertyChangeSupport.firePropertyChange(PROP_APINAMIENTODERECHA, oldApinamientoDerecha, apinamientoDerecha);
    }

    /**
     * @return the apinamientoIzquierda
     */
    public long getApinamientoIzquierda() {
        return apinamientoIzquierda;
    }

    /**
     * @param apinamientoIzquierda the apinamientoIzquierda to set
     */
    public void setApinamientoIzquierda(long apinamientoIzquierda) {
        long oldApinamientoIzquierda = this.apinamientoIzquierda;
        this.apinamientoIzquierda = apinamientoIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_APINAMIENTOIZQUIERDA, oldApinamientoIzquierda, apinamientoIzquierda);
    }

    /**
     * @return the curvaDerecha
     */
    public long getCurvaDerecha() {
        return curvaDerecha;
    }

    /**
     * @param curvaDerecha the curvaDerecha to set
     */
    public void setCurvaDerecha(long curvaDerecha) {
        long oldCurvaDerecha = this.curvaDerecha;
        this.curvaDerecha = curvaDerecha;
        propertyChangeSupport.firePropertyChange(PROP_CURVADERECHA, oldCurvaDerecha, curvaDerecha);
    }

    /**
     * @return the curvaIzquierda
     */
    public long getCurvaIzquierda() {
        return curvaIzquierda;
    }

    /**
     * @param curvaIzquierda the curvaIzquierda to set
     */
    public void setCurvaIzquierda(long curvaIzquierda) {
        long oldCurvaIzquierda = this.curvaIzquierda;
        this.curvaIzquierda = curvaIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_CURVAIZQUIERDA, oldCurvaIzquierda, curvaIzquierda);
    }

    /**
     * @return the perfilDerecha
     */
    public long getPerfilDerecha() {
        return perfilDerecha;
    }

    /**
     * @param perfilDerecha the perfilDerecha to set
     */
    public void setPerfilDerecha(long perfilDerecha) {
        long oldPerfilDerecha = this.perfilDerecha;
        this.perfilDerecha = perfilDerecha;
        propertyChangeSupport.firePropertyChange(PROP_PERFILDERECHA, oldPerfilDerecha, perfilDerecha);
    }

    /**
     * @return the perfilIzquierda
     */
    public long getPerfilIzquierda() {
        return perfilIzquierda;
    }

    /**
     * @param perfilIzquierda the perfilIzquierda to set
     */
    public void setPerfilIzquierda(long perfilIzquierda) {
        long oldPerfilIzquierda = this.perfilIzquierda;
        this.perfilIzquierda = perfilIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_PERFILIZQUIERDA, oldPerfilIzquierda, perfilIzquierda);
    }

    /**
     * @return the exodonciasDerecha
     */
    public long getExodonciasDerecha() {
        return exodonciasDerecha;
    }

    /**
     * @param exodonciasDerecha the exodonciasDerecha to set
     */
    public void setExodonciasDerecha(long exodonciasDerecha) {
        long oldExodonciasDerecha = this.exodonciasDerecha;
        this.exodonciasDerecha = exodonciasDerecha;
        propertyChangeSupport.firePropertyChange(PROP_EXODONCIASDERECHA, oldExodonciasDerecha, exodonciasDerecha);
    }

    /**
     * @return the exodonciasIzquierda
     */
    public long getExodonciasIzquierda() {
        return exodonciasIzquierda;
    }

    /**
     * @param exodonciasIzquierda the exodonciasIzquierda to set
     */
    public void setExodonciasIzquierda(long exodonciasIzquierda) {
        long oldExodonciasIzquierda = this.exodonciasIzquierda;
        this.exodonciasIzquierda = exodonciasIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_EXODONCIASIZQUIERDA, oldExodonciasIzquierda, exodonciasIzquierda);
    }

    /**
     * @return the movMolarDerecha
     */
    public long getMovMolarDerecha() {
        return movMolarDerecha;
    }

    /**
     * @param movMolarDerecha the movMolarDerecha to set
     */
    public void setMovMolarDerecha(long movMolarDerecha) {
        long oldMovMolarDerecha = this.movMolarDerecha;
        this.movMolarDerecha = movMolarDerecha;
        propertyChangeSupport.firePropertyChange(PROP_MOVMOLARDERECHA, oldMovMolarDerecha, movMolarDerecha);
    }

    /**
     * @return the movMolarIzquierda
     */
    public long getMovMolarIzquierda() {
        return movMolarIzquierda;
    }

    /**
     * @param movMolarIzquierda the movMolarIzquierda to set
     */
    public void setMovMolarIzquierda(long movMolarIzquierda) {
        long oldMovMolarIzquierda = this.movMolarIzquierda;
        this.movMolarIzquierda = movMolarIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_MOVMOLARIZQUIERDA, oldMovMolarIzquierda, movMolarIzquierda);
    }

    /**
     * @return the relacionMolarDerecha
     */
    public long getRelacionMolarDerecha() {
        return relacionMolarDerecha;
    }

    /**
     * @param relacionMolarDerecha the relacionMolarDerecha to set
     */
    public void setRelacionMolarDerecha(long relacionMolarDerecha) {
        long oldRelacionMolarDerecha = this.relacionMolarDerecha;
        this.relacionMolarDerecha = relacionMolarDerecha;
        propertyChangeSupport.firePropertyChange(PROP_RELACIONMOLARDERECHA, oldRelacionMolarDerecha, relacionMolarDerecha);
    }

    /**
     * @return the relacionMolarIzquierda
     */
    public long getRelacionMolarIzquierda() {
        return relacionMolarIzquierda;
    }

    /**
     * @param relacionMolarIzquierda the relacionMolarIzquierda to set
     */
    public void setRelacionMolarIzquierda(long relacionMolarIzquierda) {
        long oldRelacionMolarIzquierda = this.relacionMolarIzquierda;
        this.relacionMolarIzquierda = relacionMolarIzquierda;
        propertyChangeSupport.firePropertyChange(PROP_RELACIONMOLARIZQUIERDA, oldRelacionMolarIzquierda, relacionMolarIzquierda);
    }

    /**
     * @return the movMolar2Derecha
     */
    public long getMovMolar2Derecha() {
        return movMolar2Derecha;
    }

    /**
     * @param movMolar2Derecha the movMolar2Derecha to set
     */
    public void setMovMolar2Derecha(long movMolar2Derecha) {
        long oldMovMolar2Derecha = this.movMolar2Derecha;
        this.movMolar2Derecha = movMolar2Derecha;
        propertyChangeSupport.firePropertyChange(PROP_MOVMOLAR2DERECHA, oldMovMolar2Derecha, movMolar2Derecha);
    }

    /**
     * @return the movMolar2Izquierda
     */
    public long getMovMolar2Izquierda() {
        return movMolar2Izquierda;
    }

    /**
     * @param movMolar2Izquierda the movMolar2Izquierda to set
     */
    public void setMovMolar2Izquierda(long movMolar2Izquierda) {
        long oldMovMolar2Izquierda = this.movMolar2Izquierda;
        this.movMolar2Izquierda = movMolar2Izquierda;
        propertyChangeSupport.firePropertyChange(PROP_MOVMOLAR2IZQUIERDA, oldMovMolar2Izquierda, movMolar2Izquierda);
    }

    /**
     * @return the costoTratamiento
     */
    public long getCostoTratamiento() {
        return costoTratamiento;
    }

    /**
     * @param costoTratamiento the costoTratamiento to set
     */
    public void setCostoTratamiento(long costoTratamiento) {
        long oldCostoTratamiento = this.costoTratamiento;
        this.costoTratamiento = costoTratamiento;
        propertyChangeSupport.firePropertyChange(PROP_COSTOTRATAMIENTO, oldCostoTratamiento, costoTratamiento);
    }


    /**
     * @return the cuotainicial
     */
    public long getCuotainicial() {
        return cuotainicial;
    }

    /**
     * @param cuotainicial the cuotainicial to set
     */
    public void setCuotainicial(long cuotainicial) {
        long oldCuotainicial = this.cuotainicial;
        this.cuotainicial = cuotainicial;
        propertyChangeSupport.firePropertyChange(PROP_CUOTAINICIAL, oldCuotainicial, cuotainicial);
    }

    /**
     * @return the controles
     */
    public int getControles() {
        return controles;
    }

    /**
     * @param controles the controles to set
     */
    public void setControles(int controles) {
        int oldControles = this.controles;
        this.controles = controles;
        propertyChangeSupport.firePropertyChange(PROP_CONTROLES, oldControles, controles);
    }

    /**
     * @return the valor
     */
    public long getValor() {
        return valor;
    }

    /**
     * @param valor the valor to set
     */
    public void setValor(long valor) {
        long oldValor = this.valor;
        this.valor = valor;
        propertyChangeSupport.firePropertyChange(PROP_VALOR, oldValor, valor);
    }

    /**
     * @return the reparaciones
     */
    public boolean isReparaciones() {
        return reparaciones;
    }

    /**
     * @param reparaciones the reparaciones to set
     */
    public void setReparaciones(boolean reparaciones) {
        boolean oldReparaciones = this.reparaciones;
        this.reparaciones = reparaciones;
        propertyChangeSupport.firePropertyChange(PROP_REPARACIONES, oldReparaciones, reparaciones);
    }

    /**
     * @return the retenedores
     */
    public String getRetenedores() {
        return retenedores;
    }

    /**
     * @param retenedores the retenedores to set
     */
    public void setRetenedores(String retenedores) {
        String oldRetenedores = this.retenedores;
        this.retenedores = retenedores;
        propertyChangeSupport.firePropertyChange(PROP_RETENEDORES, oldRetenedores, retenedores);
    }

    /**
     * @return the anclajes
     */
    public boolean isAnclajes() {
        return anclajes;
    }

    /**
     * @param anclajes the anclajes to set
     */
    public void setAnclajes(boolean anclajes) {
        boolean oldAnclajes = this.anclajes;
        this.anclajes = anclajes;
        propertyChangeSupport.firePropertyChange(PROP_ANCLAJES, oldAnclajes, anclajes);
    }

    /**
     * @return the anclaje
     */
    public String getAnclaje() {
        return anclaje;
    }

    /**
     * @param anclaje the anclaje to set
     */
    public void setAnclaje(String anclaje) {
        java.lang.String oldAnclaje = this.anclaje;
        this.anclaje = anclaje;
        propertyChangeSupport.firePropertyChange(PROP_ANCLAJE, oldAnclaje, anclaje);
    }

    /**
     * @return the objetivos1
     */
    public String getObjetivos1() {
        return objetivos1;
    }

    /**
     * @param objetivos1 the objetivos1 to set
     */
    public void setObjetivos1(String objetivos1) {
        java.lang.String oldObjetivos1 = this.objetivos1;
        this.objetivos1 = objetivos1;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS1, oldObjetivos1, objetivos1);
    }

    /**
     * @return the objetivos2
     */
    public String getObjetivos2() {
        return objetivos2;
    }

    /**
     * @param objetivos2 the objetivos2 to set
     */
    public void setObjetivos2(String objetivos2) {
        java.lang.String oldObjetivos2 = this.objetivos2;
        this.objetivos2 = objetivos2;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS2, oldObjetivos2, objetivos2);
    }

    /**
     * @return the objetivos3
     */
    public String getObjetivos3() {
        return objetivos3;
    }

    /**
     * @param objetivos3 the objetivos3 to set
     */
    public void setObjetivos3(String objetivos3) {
        java.lang.String oldObjetivos3 = this.objetivos3;
        this.objetivos3 = objetivos3;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS3, oldObjetivos3, objetivos3);
    }

    /**
     * @return the objetivos4
     */
    public String getObjetivos4() {
        return objetivos4;
    }

    /**
     * @param objetivos4 the objetivos4 to set
     */
    public void setObjetivos4(String objetivos4) {
        java.lang.String oldObjetivos4 = this.objetivos4;
        this.objetivos4 = objetivos4;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS4, oldObjetivos4, objetivos4);
    }

    /**
     * @return the objetivos5
     */
    public String getObjetivos5() {
        return objetivos5;
    }

    /**
     * @param objetivos5 the objetivos5 to set
     */
    public void setObjetivos5(String objetivos5) {
        java.lang.String oldObjetivos5 = this.objetivos5;
        this.objetivos5 = objetivos5;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS5, oldObjetivos5, objetivos5);
    }

    /**
     * @return the objetivos6
     */
    public String getObjetivos6() {
        return objetivos6;
    }

    /**
     * @param objetivos6 the objetivos6 to set
     */
    public void setObjetivos6(String objetivos6) {
        java.lang.String oldObjetivos6 = this.objetivos6;
        this.objetivos6 = objetivos6;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS6, oldObjetivos6, objetivos6);
    }

    /**
     * @return the objetivos7
     */
    public String getObjetivos7() {
        return objetivos7;
    }

    /**
     * @param objetivos7 the objetivos7 to set
     */
    public void setObjetivos7(String objetivos7) {
        java.lang.String oldObjetivos7 = this.objetivos7;
        this.objetivos7 = objetivos7;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS7, oldObjetivos7, objetivos7);
    }

    /**
     * @return the objetivos8
     */
    public String getObjetivos8() {
        return objetivos8;
    }

    /**
     * @param objetivos8 the objetivos8 to set
     */
    public void setObjetivos8(String objetivos8) {
        java.lang.String oldObjetivos8 = this.objetivos8;
        this.objetivos8 = objetivos8;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS8, oldObjetivos8, objetivos8);
    }

    /**
     * @return the objetivos9
     */
    public String getObjetivos9() {
        return objetivos9;
    }

    /**
     * @param objetivos9 the objetivos9 to set
     */
    public void setObjetivos9(String objetivos9) {
        java.lang.String oldObjetivos9 = this.objetivos9;
        this.objetivos9 = objetivos9;
        propertyChangeSupport.firePropertyChange(PROP_OBJETIVOS9, oldObjetivos9, objetivos9);
    }

    /**
     * @return the estrategias1
     */
    public String getEstrategias1() {
        return estrategias1;
    }

    /**
     * @param estrategias1 the estrategias1 to set
     */
    public void setEstrategias1(String estrategias1) {
        java.lang.String oldEstrategias1 = this.estrategias1;
        this.estrategias1 = estrategias1;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS1, oldEstrategias1, estrategias1);
    }

    /**
     * @return the estrategias2
     */
    public String getEstrategias2() {
        return estrategias2;
    }

    /**
     * @param estrategias2 the estrategias2 to set
     */
    public void setEstrategias2(String estrategias2) {
        java.lang.String oldEstrategias2 = this.estrategias2;
        this.estrategias2 = estrategias2;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS2, oldEstrategias2, estrategias2);
    }

    /**
     * @return the estrategias3
     */
    public String getEstrategias3() {
        return estrategias3;
    }

    /**
     * @param estrategias3 the estrategias3 to set
     */
    public void setEstrategias3(String estrategias3) {
        java.lang.String oldEstrategias3 = this.estrategias3;
        this.estrategias3 = estrategias3;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS3, oldEstrategias3, estrategias3);
    }

    /**
     * @return the estrategias4
     */
    public String getEstrategias4() {
        return estrategias4;
    }

    /**
     * @param estrategias4 the estrategias4 to set
     */
    public void setEstrategias4(String estrategias4) {
        java.lang.String oldEstrategias4 = this.estrategias4;
        this.estrategias4 = estrategias4;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS4, oldEstrategias4, estrategias4);
    }

    /**
     * @return the estrategias5
     */
    public String getEstrategias5() {
        return estrategias5;
    }

    /**
     * @param estrategias5 the estrategias5 to set
     */
    public void setEstrategias5(String estrategias5) {
        java.lang.String oldEstrategias5 = this.estrategias5;
        this.estrategias5 = estrategias5;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS5, oldEstrategias5, estrategias5);
    }

    /**
     * @return the estrategias6
     */
    public String getEstrategias6() {
        return estrategias6;
    }

    /**
     * @param estrategias6 the estrategias6 to set
     */
    public void setEstrategias6(String estrategias6) {
        java.lang.String oldEstrategias6 = this.estrategias6;
        this.estrategias6 = estrategias6;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS6, oldEstrategias6, estrategias6);
    }

    /**
     * @return the estrategias7
     */
    public String getEstrategias7() {
        return estrategias7;
    }

    /**
     * @param estrategias7 the estrategias7 to set
     */
    public void setEstrategias7(String estrategias7) {
        java.lang.String oldEstrategias7 = this.estrategias7;
        this.estrategias7 = estrategias7;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS7, oldEstrategias7, estrategias7);
    }

    /**
     * @return the estrategias8
     */
    public String getEstrategias8() {
        return estrategias8;
    }

    /**
     * @param estrategias8 the estrategias8 to set
     */
    public void setEstrategias8(String estrategias8) {
        java.lang.String oldEstrategias8 = this.estrategias8;
        this.estrategias8 = estrategias8;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS8, oldEstrategias8, estrategias8);
    }

    /**
     * @return the estrategias9
     */
    public String getEstrategias9() {
        return estrategias9;
    }

    /**
     * @param estrategias9 the estrategias9 to set
     */
    public void setEstrategias9(String estrategias9) {
        java.lang.String oldEstrategias9 = this.estrategias9;
        this.estrategias9 = estrategias9;
        propertyChangeSupport.firePropertyChange(PROP_ESTRATEGIAS9, oldEstrategias9, estrategias9);
    }

    /**
     * @return the gastosAdicionales
     */
    

    /**
     * @return the firma
     */
    public byte[] getFirma() {
        return firma;
    }

    /**
     * @param firma the firma to set
     */
    public void setFirma(byte[] firma) {
        byte[] oldFirma = this.firma;
        this.firma = firma;
        propertyChangeSupport.firePropertyChange(PROP_FIRMA, oldFirma, firma);
    }

    /**
     * @return the huella
     */
    public byte[] getHuella() {
        return huella;
    }

    /**
     * @param huella the huella to set
     */
    public void setHuella(byte[] huella) {
        byte[] oldHuella = this.huella;
        this.huella = huella;
        propertyChangeSupport.firePropertyChange(PROP_HUELLA, oldHuella, huella);
    }

    /**
     * @return the analisisEspacioAplica
     */
    public boolean getAnalisisEspacioAplica() {
        return analisisEspacioAplica;
    }

    /**
     * @param analisisEspacioAplica the analisisEspacioAplica to set
     */
    public void setAnalisisEspacioAplica(boolean analisisEspacioAplica) {
        boolean oldAnalisisEspacioAplica = this.analisisEspacioAplica;
        this.analisisEspacioAplica = analisisEspacioAplica;
        propertyChangeSupport.firePropertyChange(PROP_ANALISISESPACIOAPLICA, oldAnalisisEspacioAplica, analisisEspacioAplica);
    }

    /**
     * @return the dentalOclusal
     */
    public String getDentalOclusal() {
        return dentalOclusal;
    }

    /**
     * @param dentalOclusal the dentalOclusal to set
     */
    public void setDentalOclusal(String dentalOclusal) {
        java.lang.String oldDentalOclusal = this.dentalOclusal;
        this.dentalOclusal = dentalOclusal;
        propertyChangeSupport.firePropertyChange(PROP_DENTALOCLUSAL, oldDentalOclusal, dentalOclusal);
    }

    /**
     * @return the facial
     */
    public String getFacial() {
        return facial;
    }

    /**
     * @param facial the facial to set
     */
    public void setFacial(String facial) {
        java.lang.String oldFacial = this.facial;
        this.facial = facial;
        propertyChangeSupport.firePropertyChange(PROP_FACIAL, oldFacial, facial);
    }

    /**
     * @return the periodontal
     */
    public String getPeriodontal() {
        return periodontal;
    }

    /**
     * @param periodontal the periodontal to set
     */
    public void setPeriodontal(String periodontal) {
        java.lang.String oldPeriodontal = this.periodontal;
        this.periodontal = periodontal;
        propertyChangeSupport.firePropertyChange(PROP_PERIODONTAL, oldPeriodontal, periodontal);
    }

    /**
     * @return the funcional
     */
    public String getFuncional() {
        return funcional;
    }

    /**
     * @param funcional the funcional to set
     */
    public void setFuncional(String funcional) {
        java.lang.String oldFuncional = this.funcional;
        this.funcional = funcional;
        propertyChangeSupport.firePropertyChange(PROP_FUNCIONAL, oldFuncional, funcional);
    }

    /**
     * @return the denticionMixtaAplica
     */
    public boolean getDenticionMixtaAplica() {
        return denticionMixtaAplica;
    }

    /**
     * @param denticionMixtaAplica the denticionMixtaAplica to set
     */
    public void setDenticionMixtaAplica(boolean denticionMixtaAplica) {
        boolean oldDenticionMixtaAplica = this.denticionMixtaAplica;
        this.denticionMixtaAplica = denticionMixtaAplica;
        propertyChangeSupport.firePropertyChange(PROP_DENTICIONMIXTAAPLICA, oldDenticionMixtaAplica, denticionMixtaAplica);
    }

    /**
     * @return the esqueletico
     */
    public String getEsqueletico() {
        return esqueletico;
    }

    /**
     * @param esqueletico the esqueletico to set
     */
    public void setEsqueletico(String esqueletico) {
        java.lang.String oldEsqueletico = this.esqueletico;
        this.esqueletico = esqueletico;
        propertyChangeSupport.firePropertyChange(PROP_ESQUELETICO, oldEsqueletico, esqueletico);
    }

    /**
     * @return the interconsulta
     */
    public String getInterconsulta() {
        return interconsulta;
    }

    /**
     * @param interconsulta the interconsulta to set
     */
    public void setInterconsulta(String interconsulta) {
        java.lang.String oldInterconsulta = this.interconsulta;
        this.interconsulta = interconsulta;
        propertyChangeSupport.firePropertyChange(PROP_INTERCONSULTA, oldInterconsulta, interconsulta);
    }

    /**
     * @return the limitaciones
     */
    public String getLimitaciones() {
        return limitaciones;
    }

    /**
     * @param limitaciones the limitaciones to set
     */
    public void setLimitaciones(String limitaciones) {
        java.lang.String oldLimitaciones = this.limitaciones;
        this.limitaciones = limitaciones;
        propertyChangeSupport.firePropertyChange(PROP_LIMITACIONES, oldLimitaciones, limitaciones);
    }

    /**
     * @return the tratamientoId
     */
    public Tratamiento getTratamientoId() {
        return tratamientoId;
    }

    /**
     * @param tratamientoId the tratamientoId to set
     */
    public void setTratamientoId(Tratamiento tratamientoId) {
        entidades.Tratamiento oldTratamientoId = this.tratamientoId;
        this.tratamientoId = tratamientoId;
        propertyChangeSupport.firePropertyChange(PROP_TRATAMIENTOID, oldTratamientoId, tratamientoId);
    }

}
