/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlRootElement;
import net.sf.jasperreports.engine.type.OnErrorTypeEnum;

/**
 *
 * @author ander
 */
@Entity
@Table(name = "permiso")
@XmlRootElement
public class Permiso implements Serializable {

    private static final long serialVersionUID = 1L;
    public static final String PROP_TRATAMIENTOID = "PROP_TRATAMIENTOID";
    public static final String PROP_ID = "PROP_ID";
    public static final String PROP_CITAS = "PROP_CITAS";
    public static final String PROP_TRATAMIENTOID_1 = "PROP_TRATAMIENTOID_1";
    public static final String PROP_HISTORIA = "PROP_HISTORIA";
    public static final String PROP_DOCUMENTOS = "PROP_DOCUMENTOS";
    public static final String PROP_PACIENTES = "PROP_PACIENTES";
    public static final String PROP_EVOLUCION = "PROP_EVOLUCION";
    public static final String PROP_FACTURACION = "PROP_FACTURACION";
    public static final String PROP_SALIDAS = "PROP_SALIDAS";
    public static final String PROP_PERSONALID = "PROP_PERSONALID";
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Column(name = "citas")
    private boolean citas;
    @Column(name = "historia")
    private boolean historia;
    @Column(name = "documentos")
    private boolean documentos;
    @Column(name = "pacientes")
    private boolean pacientes;
    @Column(name = "evolucion")
    private boolean evolucion;
    @Column(name = "facturacion")
    private boolean facturacion;
    @Column(name = "salidas")
    private boolean salidas;
    @JoinColumn(name = "personal_id", referencedColumnName = "id")
    @OneToOne(optional = false, fetch = FetchType.LAZY)
    private Personal personalId;
    @Transient
    private final transient PropertyChangeSupport propertyChangeSupport = new java.beans.PropertyChangeSupport(this);

    public Permiso() {
    }

    public Permiso(Integer id) {
        this.id = id;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (getId() != null ? getId().hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Permiso)) {
            return false;
        }
        Permiso other = (Permiso) object;
        if ((this.getId() == null && other.getId() != null) || (this.getId() != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entidades.Permiso[ id=" + getId() + " ]";
    }

    /**
     * @return the id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Integer id) {
        java.lang.Integer oldId = this.id;
        this.id = id;
        propertyChangeSupport.firePropertyChange(PROP_ID, oldId, id);
    }

    /**
     * @return the citas
     */
    public boolean isCitas() {
        return citas;
    }

    /**
     * @param citas the citas to set
     */
    public void setCitas(boolean citas) {
        boolean oldCitas = this.citas;
        this.citas = citas;
        propertyChangeSupport.firePropertyChange(PROP_CITAS, oldCitas, citas);
    }

    /**
     * @return the historia
     */
    public boolean isHistoria() {
        return historia;
    }

    /**
     * @param historia the historia to set
     */
    public void setHistoria(boolean historia) {
        boolean oldHistoria = this.historia;
        this.historia = historia;
        propertyChangeSupport.firePropertyChange(PROP_HISTORIA, oldHistoria, historia);
    }

    /**
     * @return the documentos
     */
    public boolean isDocumentos() {
        return documentos;
    }

    /**
     * @param documentos the documentos to set
     */
    public void setDocumentos(boolean documentos) {
        boolean oldDocumentos = this.documentos;
        this.documentos = documentos;
        propertyChangeSupport.firePropertyChange(PROP_DOCUMENTOS, oldDocumentos, documentos);
    }

    /**
     * @return the pacientes
     */
    public boolean isPacientes() {
        return pacientes;
    }

    /**
     * @param pacientes the pacientes to set
     */
    public void setPacientes(boolean pacientes) {
        boolean oldPacientes = this.pacientes;
        this.pacientes = pacientes;
        propertyChangeSupport.firePropertyChange(PROP_PACIENTES, oldPacientes, pacientes);
    }

    /**
     * @return the evolucion
     */
    public boolean isEvolucion() {
        return evolucion;
    }

    /**
     * @param evolucion the evolucion to set
     */
    public void setEvolucion(boolean evolucion) {
        boolean oldEvolucion = this.evolucion;
        this.evolucion = evolucion;
        propertyChangeSupport.firePropertyChange(PROP_EVOLUCION, oldEvolucion, evolucion);
    }

    /**
     * @return the facturacion
     */
    public boolean isFacturacion() {
        return facturacion;
    }

    /**
     * @param facturacion the facturacion to set
     */
    public void setFacturacion(boolean facturacion) {
        boolean oldFacturacion = this.facturacion;
        this.facturacion = facturacion;
        propertyChangeSupport.firePropertyChange(PROP_FACTURACION, oldFacturacion, facturacion);
    }

    /**
     * @return the salidas
     */
    public boolean isSalidas() {
        return salidas;
    }

    /**
     * @param salidas the salidas to set
     */
    public void setSalidas(boolean salidas) {
        boolean oldSalidas = this.salidas;
        this.salidas = salidas;
        propertyChangeSupport.firePropertyChange(PROP_SALIDAS, oldSalidas, salidas);
    }

    /**
     * @return the personalId
     */
    public Personal getPersonalId() {
        return personalId;
    }

    /**
     * @param personalId the personalId to set
     */
    public void setPersonalId(Personal personalId) {
        entidades.Personal oldPersonalId = this.personalId;
        this.personalId = personalId;
        propertyChangeSupport.firePropertyChange(PROP_PERSONALID, oldPersonalId, personalId);
    }

}
