/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Andersson Paz Narvaez
 */
@Entity
@Table(name = "plan_tratamiento")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "PlanTratamiento.findAll", query = "SELECT p FROM PlanTratamiento p"),
    @NamedQuery(name = "PlanTratamiento.findById", query = "SELECT p FROM PlanTratamiento p WHERE p.id = :id"),
    @NamedQuery(name = "PlanTratamiento.findByObjetivos", query = "SELECT p FROM PlanTratamiento p WHERE p.objetivos = :objetivos"),
    @NamedQuery(name = "PlanTratamiento.findByEstrategiaMecanoterapia", query = "SELECT p FROM PlanTratamiento p WHERE p.estrategiaMecanoterapia = :estrategiaMecanoterapia")})
public class PlanTratamiento implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Column(name = "objetivos")
    private String objetivos;
    @Column(name = "estrategia_-_mecanoterapia")
    private String estrategiaMecanoterapia;
    @JoinColumn(name = "analisis_de espacio_id", referencedColumnName = "id")
    @ManyToOne(optional = false, fetch = FetchType.LAZY)
    private AnalisisDeEspacio analisisDeEspacioId;

    public PlanTratamiento() {
    }

    public PlanTratamiento(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getObjetivos() {
        return objetivos;
    }

    public void setObjetivos(String objetivos) {
        this.objetivos = objetivos;
    }

    public String getEstrategiaMecanoterapia() {
        return estrategiaMecanoterapia;
    }

    public void setEstrategiaMecanoterapia(String estrategiaMecanoterapia) {
        this.estrategiaMecanoterapia = estrategiaMecanoterapia;
    }

    public AnalisisDeEspacio getAnalisisDeEspacioId() {
        return analisisDeEspacioId;
    }

    public void setAnalisisDeEspacioId(AnalisisDeEspacio analisisDeEspacioId) {
        this.analisisDeEspacioId = analisisDeEspacioId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PlanTratamiento)) {
            return false;
        }
        PlanTratamiento other = (PlanTratamiento) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entidades.PlanTratamiento[ id=" + id + " ]";
    }

}
