/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Andersson Paz Narvaez
 */
@Entity
@Table(name = "resultado_adulto")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "ResultadoAdulto.findAll", query = "SELECT r FROM ResultadoAdulto r"),
    @NamedQuery(name = "ResultadoAdulto.findById", query = "SELECT r FROM ResultadoAdulto r WHERE r.id = :id"),
    @NamedQuery(name = "ResultadoAdulto.findByNumero", query = "SELECT r FROM ResultadoAdulto r WHERE r.numero = :numero"),
    @NamedQuery(name = "ResultadoAdulto.findByFecha", query = "SELECT r FROM ResultadoAdulto r WHERE r.fecha = :fecha"),
    @NamedQuery(name = "ResultadoAdulto.findByRx1", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx1 = :rx1"),
    @NamedQuery(name = "ResultadoAdulto.findByRx2", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx2 = :rx2"),
    @NamedQuery(name = "ResultadoAdulto.findByRx4", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx4 = :rx4"),
    @NamedQuery(name = "ResultadoAdulto.findByRx5", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx5 = :rx5"),
    @NamedQuery(name = "ResultadoAdulto.findByRx6", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx6 = :rx6"),
    @NamedQuery(name = "ResultadoAdulto.findByRx7", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx7 = :rx7"),
    @NamedQuery(name = "ResultadoAdulto.findByRx8", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx8 = :rx8"),
    @NamedQuery(name = "ResultadoAdulto.findByRx9", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx9 = :rx9"),
    @NamedQuery(name = "ResultadoAdulto.findByRx10", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx10 = :rx10"),
    @NamedQuery(name = "ResultadoAdulto.findByRx11", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx11 = :rx11"),
    @NamedQuery(name = "ResultadoAdulto.findByRx12", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx12 = :rx12"),
    @NamedQuery(name = "ResultadoAdulto.findByRx13", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx13 = :rx13"),
    @NamedQuery(name = "ResultadoAdulto.findByRx14", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx14 = :rx14"),
    @NamedQuery(name = "ResultadoAdulto.findByRx15", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx15 = :rx15"),
    @NamedQuery(name = "ResultadoAdulto.findByRx16", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx16 = :rx16"),
    @NamedQuery(name = "ResultadoAdulto.findByRx17", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx17 = :rx17"),
    @NamedQuery(name = "ResultadoAdulto.findByRx18", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx18 = :rx18"),
    @NamedQuery(name = "ResultadoAdulto.findByRx19", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx19 = :rx19"),
    @NamedQuery(name = "ResultadoAdulto.findByRx20", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx20 = :rx20"),
    @NamedQuery(name = "ResultadoAdulto.findByRx21", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx21 = :rx21"),
    @NamedQuery(name = "ResultadoAdulto.findByRx22", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx22 = :rx22"),
    @NamedQuery(name = "ResultadoAdulto.findByRx23", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx23 = :rx23"),
    @NamedQuery(name = "ResultadoAdulto.findByRx24", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx24 = :rx24"),
    @NamedQuery(name = "ResultadoAdulto.findByRx25", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx25 = :rx25"),
    @NamedQuery(name = "ResultadoAdulto.findByRx26", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx26 = :rx26"),
    @NamedQuery(name = "ResultadoAdulto.findByRx27", query = "SELECT r FROM ResultadoAdulto r WHERE r.rx27 = :rx27")})
public class ResultadoAdulto implements Serializable {

    private static final long serialVersionUID = 1L;
    public static final String PROP_ANALISISCEFALOMETRICOADULTOID = "PROP_ANALISISCEFALOMETRICOADULTOID";
    public static final String PROP_RX3 = "PROP_RX3";
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @Column(name = "numero")
    private int numero;
    @Basic(optional = false)
    @Column(name = "fecha")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecha;
    @Basic(optional = false)
    @Column(name = "rx1")
    private String rx1;
    @Basic(optional = false)
    @Column(name = "rx2")
    private String rx2;
    @Basic(optional = false)
    @Column(name = "rx3")
    private String rx3;
    @Basic(optional = false)
    @Column(name = "rx4")
    private String rx4;
    @Basic(optional = false)
    @Column(name = "rx5")
    private String rx5;
    @Basic(optional = false)
    @Column(name = "rx6")
    private String rx6;
    @Basic(optional = false)
    @Column(name = "rx7")
    private String rx7;
    @Basic(optional = false)
    @Column(name = "rx8")
    private String rx8;
    @Basic(optional = false)
    @Column(name = "rx9")
    private String rx9;
    @Basic(optional = false)
    @Column(name = "rx10")
    private String rx10;
    @Basic(optional = false)
    @Column(name = "rx11")
    private String rx11;
    @Basic(optional = false)
    @Column(name = "rx12")
    private String rx12;
    @Basic(optional = false)
    @Column(name = "rx13")
    private String rx13;
    @Basic(optional = false)
    @Column(name = "rx14")
    private String rx14;
    @Basic(optional = false)
    @Column(name = "rx15")
    private String rx15;
    @Basic(optional = false)
    @Column(name = "rx16")
    private String rx16;
    @Basic(optional = false)
    @Column(name = "rx17")
    private String rx17;
    @Basic(optional = false)
    @Column(name = "rx18")
    private String rx18;
    @Basic(optional = false)
    @Column(name = "rx19")
    private String rx19;
    @Basic(optional = false)
    @Column(name = "rx20")
    private String rx20;
    @Basic(optional = false)
    @Column(name = "rx21")
    private String rx21;
    @Basic(optional = false)
    @Column(name = "rx22")
    private String rx22;
    @Basic(optional = false)
    @Column(name = "rx23")
    private String rx23;
    @Basic(optional = false)
    @Column(name = "rx24")
    private String rx24;
    @Basic(optional = false)
    @Column(name = "rx25")
    private String rx25;
    @Basic(optional = false)
    @Column(name = "rx26")
    private String rx26;
    @Basic(optional = false)
    @Column(name = "rx27")
    private String rx27;
    @JoinColumn(name = "analisis_cefalometrico_adulto_id", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private AnalisisCefalometricoAdulto analisisCefalometricoAdultoId;
    @Transient
    private final transient PropertyChangeSupport propertyChangeSupport = new java.beans.PropertyChangeSupport(this);

    public ResultadoAdulto() {
    }

    public ResultadoAdulto(Integer id) {
        this.id = id;
    }

    public ResultadoAdulto(Integer id, int numero, Date fecha, String rx1, String rx2, String rx4, String rx5, String rx6, String rx7, String rx8, String rx9, String rx10, String rx11, String rx12, String rx13, String rx14, String rx15, String rx16, String rx17, String rx18, String rx19, String rx20, String rx21, String rx22, String rx23, String rx24, String rx25, String rx26, String rx27, String giSnPog, String labioSuperior, String labioInferior, String sml, String anguloNesoLabial) {
        this.id = id;
        this.numero = numero;
        this.fecha = fecha;
        this.rx1 = rx1;
        this.rx2 = rx2;
        this.rx4 = rx4;
        this.rx5 = rx5;
        this.rx6 = rx6;
        this.rx7 = rx7;
        this.rx8 = rx8;
        this.rx9 = rx9;
        this.rx10 = rx10;
        this.rx11 = rx11;
        this.rx12 = rx12;
        this.rx13 = rx13;
        this.rx14 = rx14;
        this.rx15 = rx15;
        this.rx16 = rx16;
        this.rx17 = rx17;
        this.rx18 = rx18;
        this.rx19 = rx19;
        this.rx20 = rx20;
        this.rx21 = rx21;
        this.rx22 = rx22;
        this.rx23 = rx23;
        this.rx24 = rx24;
        this.rx25 = rx25;
        this.rx26 = rx26;
        this.rx27 = rx27;

    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        Integer oldId = this.id;
        this.id = id;
        propertyChangeSupport.firePropertyChange("id", oldId, id);
    }

    public int getNumero() {
        return numero;
    }

    public void setNumero(int numero) {
        int oldNumero = this.numero;
        this.numero = numero;
        propertyChangeSupport.firePropertyChange("numero", oldNumero, numero);
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        Date oldFecha = this.fecha;
        this.fecha = fecha;
        propertyChangeSupport.firePropertyChange("fecha", oldFecha, fecha);
    }

    public String getRx1() {
        return rx1;
    }

    public void setRx1(String rx1) {
        String oldRx1 = this.rx1;
        this.rx1 = rx1;
        propertyChangeSupport.firePropertyChange("rx1", oldRx1, rx1);
    }

    public String getRx2() {
        return rx2;
    }

    public void setRx2(String rx2) {
        String oldRx2 = this.rx2;
        this.rx2 = rx2;
        propertyChangeSupport.firePropertyChange("rx2", oldRx2, rx2);
    }

    public String getRx4() {
        return rx4;
    }

    public void setRx4(String rx4) {
        String oldRx4 = this.rx4;
        this.rx4 = rx4;
        propertyChangeSupport.firePropertyChange("rx4", oldRx4, rx4);
    }

    public String getRx5() {
        return rx5;
    }

    public void setRx5(String rx5) {
        String oldRx5 = this.rx5;
        this.rx5 = rx5;
        propertyChangeSupport.firePropertyChange("rx5", oldRx5, rx5);
    }

    public String getRx6() {
        return rx6;
    }

    public void setRx6(String rx6) {
        String oldRx6 = this.rx6;
        this.rx6 = rx6;
        propertyChangeSupport.firePropertyChange("rx6", oldRx6, rx6);
    }

    public String getRx7() {
        return rx7;
    }

    public void setRx7(String rx7) {
        String oldRx7 = this.rx7;
        this.rx7 = rx7;
        propertyChangeSupport.firePropertyChange("rx7", oldRx7, rx7);
    }

    public String getRx8() {
        return rx8;
    }

    public void setRx8(String rx8) {
        String oldRx8 = this.rx8;
        this.rx8 = rx8;
        propertyChangeSupport.firePropertyChange("rx8", oldRx8, rx8);
    }

    public String getRx9() {
        return rx9;
    }

    public void setRx9(String rx9) {
        String oldRx9 = this.rx9;
        this.rx9 = rx9;
        propertyChangeSupport.firePropertyChange("rx9", oldRx9, rx9);
    }

    public String getRx10() {
        return rx10;
    }

    public void setRx10(String rx10) {
        String oldRx10 = this.rx10;
        this.rx10 = rx10;
        propertyChangeSupport.firePropertyChange("rx10", oldRx10, rx10);
    }

    public String getRx11() {
        return rx11;
    }

    public void setRx11(String rx11) {
        String oldRx11 = this.rx11;
        this.rx11 = rx11;
        propertyChangeSupport.firePropertyChange("rx11", oldRx11, rx11);
    }

    public String getRx12() {
        return rx12;
    }

    public void setRx12(String rx12) {
        String oldRx12 = this.rx12;
        this.rx12 = rx12;
        propertyChangeSupport.firePropertyChange("rx12", oldRx12, rx12);
    }

    public String getRx13() {
        return rx13;
    }

    public void setRx13(String rx13) {
        String oldRx13 = this.rx13;
        this.rx13 = rx13;
        propertyChangeSupport.firePropertyChange("rx13", oldRx13, rx13);
    }

    public String getRx14() {
        return rx14;
    }

    public void setRx14(String rx14) {
        String oldRx14 = this.rx14;
        this.rx14 = rx14;
        propertyChangeSupport.firePropertyChange("rx14", oldRx14, rx14);
    }

    public String getRx15() {
        return rx15;
    }

    public void setRx15(String rx15) {
        String oldRx15 = this.rx15;
        this.rx15 = rx15;
        propertyChangeSupport.firePropertyChange("rx15", oldRx15, rx15);
    }

    public String getRx16() {
        return rx16;
    }

    public void setRx16(String rx16) {
        String oldRx16 = this.rx16;
        this.rx16 = rx16;
        propertyChangeSupport.firePropertyChange("rx16", oldRx16, rx16);
    }

    public String getRx17() {
        return rx17;
    }

    public void setRx17(String rx17) {
        String oldRx17 = this.rx17;
        this.rx17 = rx17;
        propertyChangeSupport.firePropertyChange("rx17", oldRx17, rx17);
    }

    public String getRx18() {
        return rx18;
    }

    public void setRx18(String rx18) {
        String oldRx18 = this.rx18;
        this.rx18 = rx18;
        propertyChangeSupport.firePropertyChange("rx18", oldRx18, rx18);
    }

    public String getRx19() {
        return rx19;
    }

    public void setRx19(String rx19) {
        String oldRx19 = this.rx19;
        this.rx19 = rx19;
        propertyChangeSupport.firePropertyChange("rx19", oldRx19, rx19);
    }

    public String getRx20() {
        return rx20;
    }

    public void setRx20(String rx20) {
        String oldRx20 = this.rx20;
        this.rx20 = rx20;
        propertyChangeSupport.firePropertyChange("rx20", oldRx20, rx20);
    }

    public String getRx21() {
        return rx21;
    }

    public void setRx21(String rx21) {
        String oldRx21 = this.rx21;
        this.rx21 = rx21;
        propertyChangeSupport.firePropertyChange("rx21", oldRx21, rx21);
    }

    public String getRx22() {
        return rx22;
    }

    public void setRx22(String rx22) {
        String oldRx22 = this.rx22;
        this.rx22 = rx22;
        propertyChangeSupport.firePropertyChange("rx22", oldRx22, rx22);
    }

    public String getRx23() {
        return rx23;
    }

    public void setRx23(String rx23) {
        String oldRx23 = this.rx23;
        this.rx23 = rx23;
        propertyChangeSupport.firePropertyChange("rx23", oldRx23, rx23);
    }

    public String getRx24() {
        return rx24;
    }

    public void setRx24(String rx24) {
        String oldRx24 = this.rx24;
        this.rx24 = rx24;
        propertyChangeSupport.firePropertyChange("rx24", oldRx24, rx24);
    }

    public String getRx25() {
        return rx25;
    }

    public void setRx25(String rx25) {
        String oldRx25 = this.rx25;
        this.rx25 = rx25;
        propertyChangeSupport.firePropertyChange("rx25", oldRx25, rx25);
    }

    public String getRx26() {
        return rx26;
    }

    public void setRx26(String rx26) {
        String oldRx26 = this.rx26;
        this.rx26 = rx26;
        propertyChangeSupport.firePropertyChange("rx26", oldRx26, rx26);
    }

    public String getRx27() {
        return rx27;
    }

    public void setRx27(String rx27) {
        String oldRx27 = this.rx27;
        this.rx27 = rx27;
        propertyChangeSupport.firePropertyChange("rx27", oldRx27, rx27);
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ResultadoAdulto)) {
            return false;
        }
        ResultadoAdulto other = (ResultadoAdulto) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return numero + "";
    }

    /**
     * @return the analisisCefalometricoAdultoId
     */
    public AnalisisCefalometricoAdulto getAnalisisCefalometricoAdultoId() {
        return analisisCefalometricoAdultoId;
    }

    /**
     * @param analisisCefalometricoAdultoId the analisisCefalometricoAdultoId to
     * set
     */
    public void setAnalisisCefalometricoAdultoId(AnalisisCefalometricoAdulto analisisCefalometricoAdultoId) {
        entidades.AnalisisCefalometricoAdulto oldAnalisisCefalometricoAdultoId = this.analisisCefalometricoAdultoId;
        this.analisisCefalometricoAdultoId = analisisCefalometricoAdultoId;
        propertyChangeSupport.firePropertyChange(PROP_ANALISISCEFALOMETRICOADULTOID, oldAnalisisCefalometricoAdultoId, analisisCefalometricoAdultoId);
    }

    /**
     * @return the rx3
     */
    public String getRx3() {
        return rx3;
    }

    /**
     * @param rx3 the rx3 to set
     */
    public void setRx3(String rx3) {
        java.lang.String oldRx3 = this.rx3;
        this.rx3 = rx3;
        propertyChangeSupport.firePropertyChange(PROP_RX3, oldRx3, rx3);
    }

}
