/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Andersson Paz Narvaez
 */
@Entity
@Table(name = "resultados_ninos")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "ResultadosNinos.findAll", query = "SELECT r FROM ResultadosNinos r"),
    @NamedQuery(name = "ResultadosNinos.findById", query = "SELECT r FROM ResultadosNinos r WHERE r.id = :id"),
    @NamedQuery(name = "ResultadosNinos.findByNumero", query = "SELECT r FROM ResultadosNinos r WHERE r.numero = :numero"),
    @NamedQuery(name = "ResultadosNinos.findByFecha", query = "SELECT r FROM ResultadosNinos r WHERE r.fecha = :fecha")
})
public class ResultadosNinos implements Serializable {
    @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "id")
    private Integer id;
    @Basic(optional = false)
    @Column(name = "numero")
    private int numero;
    @Basic(optional = false)
    @Column(name = "fecha")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecha;
    @Basic(optional = false)
    @Column(name = "rx1")
    private String rx1;
    @Basic(optional = false)
    @Column(name = "rx2")
    private String rx2;
    @Basic(optional = false)
    @Column(name = "rx3")
    private String rx3;
    @Basic(optional = false)
    @Column(name = "rx4")
    private String rx4;
    @Basic(optional = false)
    @Column(name = "rx5")
    private String rx5;
    @Basic(optional = false)
    @Column(name = "rx6")
    private String rx6;
    @Basic(optional = false)
    @Column(name = "rx7")
    private String rx7;
    @Basic(optional = false)
    @Column(name = "rx8")
    private String rx8;
    @Basic(optional = false)
    @Column(name = "rx9")
    private String rx9;
    @Basic(optional = false)
    @Column(name = "rx10")
    private String rx10;
    @Basic(optional = false)
    @Column(name = "rx11")
    private String rx11;
    @Basic(optional = false)
    @Column(name = "rx12")
    private String rx12;
    @Basic(optional = false)
    @Column(name = "rx13")
    private String rx13;
    @Basic(optional = false)
    @Column(name = "rx14")
    private String rx14;
    @Basic(optional = false)
    @Column(name = "rx15")
    private String rx15;
    @Basic(optional = false)
    @Column(name = "rx16")
    private String rx16;
    @Basic(optional = false)
    @Column(name = "rx17")
    private String rx17;
    @Basic(optional = false)
    @Column(name = "rx18")
    private String rx18;
    @Basic(optional = false)
    @Column(name = "rx19")
    private String rx19;
    @Basic(optional = false)
    @Column(name = "rx20")
    private String rx20;
    @Basic(optional = false)
    @Column(name = "rx21")
    private String rx21;
    @Basic(optional = false)
    @Column(name = "rx22")
    private String rx22;
    @Basic(optional = false)
    @Column(name = "rx23")
    private String rx23;
    @Basic(optional = false)
    @Column(name = "rx24")
    private String rx24;
    @Basic(optional = false)
    @Column(name = "rx25")
    private String rx25;
    @Basic(optional = false)
    @Column(name = "rx26")
    private String rx26;
    @Basic(optional = false)
    @Column(name = "rx27")
    private String rx27;
    @Basic(optional = false)
    @Column(name = "rx28")
    private String rx28;
    @Basic(optional = false)
    @Column(name = "rx29")
    private String rx29;
    @Basic(optional = false)
    @Column(name = "rx30")
    private String rx30;
    @Basic(optional = false)
    @Column(name = "rx31")
    private String rx31;
    @Basic(optional = false)
    @Column(name = "rx32")
    private String rx32;
    @Basic(optional = false)
    @Column(name = "rx33")
    private String rx33;
    @Basic(optional = false)
    @Column(name = "rx34")
    private String rx34;
    @Basic(optional = false)
    @Column(name = "rx35")
    private String rx35;
    @Basic(optional = false)
    @Column(name = "rx36")
    private String rx36;
    @Basic(optional = false)
    @Column(name = "rx37")
    private String rx37;
    @Basic(optional = false)
    @Column(name = "rx38")
    private String rx38;
    @Basic(optional = false)
    @Column(name = "rx39")
    private String rx39;
    @Basic(optional = false)
    @Column(name = "rx40")
    private String rx40;
    @Basic(optional = false)
    @Column(name = "rx41")
    private String rx41;
    @Basic(optional = false)
    @Column(name = "rx42")
    private String rx42;
    @Basic(optional = false)
    @Column(name = "rx43")
    private String rx43;
    @Basic(optional = false)
    @Column(name = "rx44")
    private String rx44;
    @Basic(optional = false)
    @Column(name = "rx45")
    private String rx45;
    @Basic(optional = false)
    @Column(name = "interpretacion1")
    private String interpretacion1;
    @Basic(optional = false)
    @Column(name = "interpretacion2")
    private String interpretacion2;
    @Basic(optional = false)
    @Column(name = "interpretacion3")
    private String interpretacion3;
    @Basic(optional = false)
    @Column(name = "interpretacion4")
    private String interpretacion4;
    @Basic(optional = false)
    @Column(name = "interpretacion5")
    private String interpretacion5;
    @Basic(optional = false)
    @Column(name = "interpretacion6")
    private String interpretacion6;
    @Basic(optional = false)
    @Column(name = "interpretacion7")
    private String interpretacion7;
    @Basic(optional = false)
    @Column(name = "interpretacion8")
    private String interpretacion8;
    @Basic(optional = false)
    @Column(name = "interpretacion9")
    private String interpretacion9;
    @Basic(optional = false)
    @Column(name = "interpretacion10")
    private String interpretacion10;
    @Basic(optional = false)
    @Column(name = "interpretacion11")
    private String interpretacion11;
    @Basic(optional = false)
    @Column(name = "interpretacion12")
    private String interpretacion12;
    @Basic(optional = false)
    @Column(name = "interpretacion13")
    private String interpretacion13;
    @Basic(optional = false)
    @Column(name = "interpretacion14")
    private String interpretacion14;
    @Basic(optional = false)
    @Column(name = "interpretacion15")
    private String interpretacion15;
    @Basic(optional = false)
    @Column(name = "interpretacion16")
    private String interpretacion16;
    @Basic(optional = false)
    @Column(name = "interpretacion17")
    private String interpretacion17;
    @Basic(optional = false)
    @Column(name = "interpretacion18")
    private String interpretacion18;
    @Basic(optional = false)
    @Column(name = "interpretacion19")
    private String interpretacion19;
    @Basic(optional = false)
    @Column(name = "interpretacion20")
    private String interpretacion20;
    @Basic(optional = false)
    @Column(name = "interpretacion21")
    private String interpretacion21;
    @Basic(optional = false)
    @Column(name = "interpretacion22")
    private String interpretacion22;
    @Basic(optional = false)
    @Column(name = "interpretacion23")
    private String interpretacion23;
    @Basic(optional = false)
    @Column(name = "interpretacion24")
    private String interpretacion24;
    @Basic(optional = false)
    @Column(name = "interpretacion25")
    private String interpretacion25;
    @Basic(optional = false)
    @Column(name = "interpretacion26")
    private String interpretacion26;
    @Basic(optional = false)
    @Column(name = "interpretacion27")
    private String interpretacion27;
    @Basic(optional = false)
    @Column(name = "interpretacion28")
    private String interpretacion28;
    @Basic(optional = false)
    @Column(name = "interpretacion29")
    private String interpretacion29;
    @Basic(optional = false)
    @Column(name = "interpretacion30")
    private int interpretacion30;
    @Basic(optional = false)
    @Column(name = "interpretacion31")
    private String interpretacion31;
    @Basic(optional = false)
    @Column(name = "interpretacion32")
    private String interpretacion32;
    @Basic(optional = false)
    @Column(name = "interpretacion33")
    private String interpretacion33;
    @Basic(optional = false)
    @Column(name = "interpretacion34")
    private String interpretacion34;
    @Basic(optional = false)
    @Column(name = "interpretacion35")
    private String interpretacion35;
    @Basic(optional = false)
    @Column(name = "interpretacion36")
    private String interpretacion36;
    @Basic(optional = false)
    @Column(name = "interpretacion37")
    private String interpretacion37;
    @Basic(optional = false)
    @Column(name = "interpretacion38")
    private String interpretacion38;
    @Basic(optional = false)
    @Column(name = "interpretacion39")
    private String interpretacion39;
    @Basic(optional = false)
    @Column(name = "interpretacion40")
    private String interpretacion40;
    @Basic(optional = false)
    @Column(name = "interpretacion41")
    private String interpretacion41;
    @Basic(optional = false)
    @Column(name = "interpretacion42")
    private String interpretacion42;
    @Basic(optional = false)
    @Column(name = "interpretacion43")
    private String interpretacion43;
    @Basic(optional = false)
    @Column(name = "interpretacion44")
    private String interpretacion44;
    @Basic(optional = false)
    @Column(name = "interpretacion45")
    private String interpretacion45;
    @JoinColumn(name = "analisis_cefalometrico_ninos_id", referencedColumnName = "id")
    @ManyToOne(optional = false)
    private AnalisisCefalometricoNinos analisisCefalometricoNinosId;

    public ResultadosNinos() {
    }

    public ResultadosNinos(Integer id) {
        this.id = id;
    }

    public ResultadosNinos(Integer id, int numero, Date fecha, String rx1, String rx2, String rx3, String rx4, String rx5, String rx6, String rx7, String rx8, String rx9, String rx10, String rx11, String rx12, String rx13, String rx14, String rx15, String rx16, String rx17, String rx18, String rx19, String rx20, String rx21, String rx22, String rx23, String rx24, String rx25, String rx26, String rx27, String rx28, String rx29, String rx30, String rx31, String rx32, String rx33, String rx34, String rx35, String rx36, String rx37, String rx38, String rx39, String rx40, String rx41, String rx42, String rx43, String rx44, String rx45, String interpretacion1, String interpretacion2, String interpretacion3, String interpretacion4, String interpretacion5, String interpretacion6, String interpretacion7, String interpretacion8, String interpretacion9, String interpretacion10, String interpretacion11, String interpretacion12, String interpretacion13, String interpretacion14, String interpretacion15, String interpretacion16, String interpretacion17, String interpretacion18, String interpretacion19, String interpretacion20, String interpretacion21, String interpretacion22, String interpretacion23, String interpretacion24, String interpretacion25, String interpretacion26, String interpretacion27, String interpretacion28, String interpretacion29, int interpretacion30, String interpretacion31, String interpretacion32, String interpretacion33, String interpretacion34, String interpretacion35, String interpretacion36, String interpretacion37, String interpretacion38, String interpretacion39, String interpretacion40, String interpretacion41, String interpretacion42, String interpretacion43, String interpretacion44, String interpretacion45) {
        this.id = id;
        this.numero = numero;
        this.fecha = fecha;
        this.rx1 = rx1;
        this.rx2 = rx2;
        this.rx3 = rx3;
        this.rx4 = rx4;
        this.rx5 = rx5;
        this.rx6 = rx6;
        this.rx7 = rx7;
        this.rx8 = rx8;
        this.rx9 = rx9;
        this.rx10 = rx10;
        this.rx11 = rx11;
        this.rx12 = rx12;
        this.rx13 = rx13;
        this.rx14 = rx14;
        this.rx15 = rx15;
        this.rx16 = rx16;
        this.rx17 = rx17;
        this.rx18 = rx18;
        this.rx19 = rx19;
        this.rx20 = rx20;
        this.rx21 = rx21;
        this.rx22 = rx22;
        this.rx23 = rx23;
        this.rx24 = rx24;
        this.rx25 = rx25;
        this.rx26 = rx26;
        this.rx27 = rx27;
        this.rx28 = rx28;
        this.rx29 = rx29;
        this.rx30 = rx30;
        this.rx31 = rx31;
        this.rx32 = rx32;
        this.rx33 = rx33;
        this.rx34 = rx34;
        this.rx35 = rx35;
        this.rx36 = rx36;
        this.rx37 = rx37;
        this.rx38 = rx38;
        this.rx39 = rx39;
        this.rx40 = rx40;
        this.rx41 = rx41;
        this.rx42 = rx42;
        this.rx43 = rx43;
        this.rx44 = rx44;
        this.rx45 = rx45;
        this.interpretacion1 = interpretacion1;
        this.interpretacion2 = interpretacion2;
        this.interpretacion3 = interpretacion3;
        this.interpretacion4 = interpretacion4;
        this.interpretacion5 = interpretacion5;
        this.interpretacion6 = interpretacion6;
        this.interpretacion7 = interpretacion7;
        this.interpretacion8 = interpretacion8;
        this.interpretacion9 = interpretacion9;
        this.interpretacion10 = interpretacion10;
        this.interpretacion11 = interpretacion11;
        this.interpretacion12 = interpretacion12;
        this.interpretacion13 = interpretacion13;
        this.interpretacion14 = interpretacion14;
        this.interpretacion15 = interpretacion15;
        this.interpretacion16 = interpretacion16;
        this.interpretacion17 = interpretacion17;
        this.interpretacion18 = interpretacion18;
        this.interpretacion19 = interpretacion19;
        this.interpretacion20 = interpretacion20;
        this.interpretacion21 = interpretacion21;
        this.interpretacion22 = interpretacion22;
        this.interpretacion23 = interpretacion23;
        this.interpretacion24 = interpretacion24;
        this.interpretacion25 = interpretacion25;
        this.interpretacion26 = interpretacion26;
        this.interpretacion27 = interpretacion27;
        this.interpretacion28 = interpretacion28;
        this.interpretacion29 = interpretacion29;
        this.interpretacion30 = interpretacion30;
        this.interpretacion31 = interpretacion31;
        this.interpretacion32 = interpretacion32;
        this.interpretacion33 = interpretacion33;
        this.interpretacion34 = interpretacion34;
        this.interpretacion35 = interpretacion35;
        this.interpretacion36 = interpretacion36;
        this.interpretacion37 = interpretacion37;
        this.interpretacion38 = interpretacion38;
        this.interpretacion39 = interpretacion39;
        this.interpretacion40 = interpretacion40;
        this.interpretacion41 = interpretacion41;
        this.interpretacion42 = interpretacion42;
        this.interpretacion43 = interpretacion43;
        this.interpretacion44 = interpretacion44;
        this.interpretacion45 = interpretacion45;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        Integer oldId = this.id;
        this.id = id;
        changeSupport.firePropertyChange("id", oldId, id);
    }

    public int getNumero() {
        return numero;
    }

    public void setNumero(int numero) {
        int oldNumero = this.numero;
        this.numero = numero;
        changeSupport.firePropertyChange("numero", oldNumero, numero);
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        Date oldFecha = this.fecha;
        this.fecha = fecha;
        changeSupport.firePropertyChange("fecha", oldFecha, fecha);
    }

    public String getRx1() {
        return rx1;
    }

    public void setRx1(String rx1) {
        String oldRx1 = this.rx1;
        this.rx1 = rx1;
        changeSupport.firePropertyChange("rx1", oldRx1, rx1);
    }

    public String getRx2() {
        return rx2;
    }

    public void setRx2(String rx2) {
        String oldRx2 = this.rx2;
        this.rx2 = rx2;
        changeSupport.firePropertyChange("rx2", oldRx2, rx2);
    }

    public String getRx3() {
        return rx3;
    }

    public void setRx3(String rx3) {
        String oldRx3 = this.rx3;
        this.rx3 = rx3;
        changeSupport.firePropertyChange("rx3", oldRx3, rx3);
    }

    public String getRx4() {
        return rx4;
    }

    public void setRx4(String rx4) {
        String oldRx4 = this.rx4;
        this.rx4 = rx4;
        changeSupport.firePropertyChange("rx4", oldRx4, rx4);
    }

    public String getRx5() {
        return rx5;
    }

    public void setRx5(String rx5) {
        String oldRx5 = this.rx5;
        this.rx5 = rx5;
        changeSupport.firePropertyChange("rx5", oldRx5, rx5);
    }

    public String getRx6() {
        return rx6;
    }

    public void setRx6(String rx6) {
        String oldRx6 = this.rx6;
        this.rx6 = rx6;
        changeSupport.firePropertyChange("rx6", oldRx6, rx6);
    }

    public String getRx7() {
        return rx7;
    }

    public void setRx7(String rx7) {
        String oldRx7 = this.rx7;
        this.rx7 = rx7;
        changeSupport.firePropertyChange("rx7", oldRx7, rx7);
    }

    public String getRx8() {
        return rx8;
    }

    public void setRx8(String rx8) {
        String oldRx8 = this.rx8;
        this.rx8 = rx8;
        changeSupport.firePropertyChange("rx8", oldRx8, rx8);
    }

    public String getRx9() {
        return rx9;
    }

    public void setRx9(String rx9) {
        String oldRx9 = this.rx9;
        this.rx9 = rx9;
        changeSupport.firePropertyChange("rx9", oldRx9, rx9);
    }

    public String getRx10() {
        return rx10;
    }

    public void setRx10(String rx10) {
        String oldRx10 = this.rx10;
        this.rx10 = rx10;
        changeSupport.firePropertyChange("rx10", oldRx10, rx10);
    }

    public String getRx11() {
        return rx11;
    }

    public void setRx11(String rx11) {
        String oldRx11 = this.rx11;
        this.rx11 = rx11;
        changeSupport.firePropertyChange("rx11", oldRx11, rx11);
    }

    public String getRx12() {
        return rx12;
    }

    public void setRx12(String rx12) {
        String oldRx12 = this.rx12;
        this.rx12 = rx12;
        changeSupport.firePropertyChange("rx12", oldRx12, rx12);
    }

    public String getRx13() {
        return rx13;
    }

    public void setRx13(String rx13) {
        String oldRx13 = this.rx13;
        this.rx13 = rx13;
        changeSupport.firePropertyChange("rx13", oldRx13, rx13);
    }

    public String getRx14() {
        return rx14;
    }

    public void setRx14(String rx14) {
        String oldRx14 = this.rx14;
        this.rx14 = rx14;
        changeSupport.firePropertyChange("rx14", oldRx14, rx14);
    }

    public String getRx15() {
        return rx15;
    }

    public void setRx15(String rx15) {
        String oldRx15 = this.rx15;
        this.rx15 = rx15;
        changeSupport.firePropertyChange("rx15", oldRx15, rx15);
    }

    public String getRx16() {
        return rx16;
    }

    public void setRx16(String rx16) {
        String oldRx16 = this.rx16;
        this.rx16 = rx16;
        changeSupport.firePropertyChange("rx16", oldRx16, rx16);
    }

    public String getRx17() {
        return rx17;
    }

    public void setRx17(String rx17) {
        String oldRx17 = this.rx17;
        this.rx17 = rx17;
        changeSupport.firePropertyChange("rx17", oldRx17, rx17);
    }

    public String getRx18() {
        return rx18;
    }

    public void setRx18(String rx18) {
        String oldRx18 = this.rx18;
        this.rx18 = rx18;
        changeSupport.firePropertyChange("rx18", oldRx18, rx18);
    }

    public String getRx19() {
        return rx19;
    }

    public void setRx19(String rx19) {
        String oldRx19 = this.rx19;
        this.rx19 = rx19;
        changeSupport.firePropertyChange("rx19", oldRx19, rx19);
    }

    public String getRx20() {
        return rx20;
    }

    public void setRx20(String rx20) {
        String oldRx20 = this.rx20;
        this.rx20 = rx20;
        changeSupport.firePropertyChange("rx20", oldRx20, rx20);
    }

    public String getRx21() {
        return rx21;
    }

    public void setRx21(String rx21) {
        String oldRx21 = this.rx21;
        this.rx21 = rx21;
        changeSupport.firePropertyChange("rx21", oldRx21, rx21);
    }

    public String getRx22() {
        return rx22;
    }

    public void setRx22(String rx22) {
        String oldRx22 = this.rx22;
        this.rx22 = rx22;
        changeSupport.firePropertyChange("rx22", oldRx22, rx22);
    }

    public String getRx23() {
        return rx23;
    }

    public void setRx23(String rx23) {
        String oldRx23 = this.rx23;
        this.rx23 = rx23;
        changeSupport.firePropertyChange("rx23", oldRx23, rx23);
    }

    public String getRx24() {
        return rx24;
    }

    public void setRx24(String rx24) {
        String oldRx24 = this.rx24;
        this.rx24 = rx24;
        changeSupport.firePropertyChange("rx24", oldRx24, rx24);
    }

    public String getRx25() {
        return rx25;
    }

    public void setRx25(String rx25) {
        String oldRx25 = this.rx25;
        this.rx25 = rx25;
        changeSupport.firePropertyChange("rx25", oldRx25, rx25);
    }

    public String getRx26() {
        return rx26;
    }

    public void setRx26(String rx26) {
        String oldRx26 = this.rx26;
        this.rx26 = rx26;
        changeSupport.firePropertyChange("rx26", oldRx26, rx26);
    }

    public String getRx27() {
        return rx27;
    }

    public void setRx27(String rx27) {
        String oldRx27 = this.rx27;
        this.rx27 = rx27;
        changeSupport.firePropertyChange("rx27", oldRx27, rx27);
    }

    public String getRx28() {
        return rx28;
    }

    public void setRx28(String rx28) {
        String oldRx28 = this.rx28;
        this.rx28 = rx28;
        changeSupport.firePropertyChange("rx28", oldRx28, rx28);
    }

    public String getRx29() {
        return rx29;
    }

    public void setRx29(String rx29) {
        String oldRx29 = this.rx29;
        this.rx29 = rx29;
        changeSupport.firePropertyChange("rx29", oldRx29, rx29);
    }

    public String getRx30() {
        return rx30;
    }

    public void setRx30(String rx30) {
        String oldRx30 = this.rx30;
        this.rx30 = rx30;
        changeSupport.firePropertyChange("rx30", oldRx30, rx30);
    }

    public String getRx31() {
        return rx31;
    }

    public void setRx31(String rx31) {
        String oldRx31 = this.rx31;
        this.rx31 = rx31;
        changeSupport.firePropertyChange("rx31", oldRx31, rx31);
    }

    public String getRx32() {
        return rx32;
    }

    public void setRx32(String rx32) {
        String oldRx32 = this.rx32;
        this.rx32 = rx32;
        changeSupport.firePropertyChange("rx32", oldRx32, rx32);
    }

    public String getRx33() {
        return rx33;
    }

    public void setRx33(String rx33) {
        String oldRx33 = this.rx33;
        this.rx33 = rx33;
        changeSupport.firePropertyChange("rx33", oldRx33, rx33);
    }

    public String getRx34() {
        return rx34;
    }

    public void setRx34(String rx34) {
        String oldRx34 = this.rx34;
        this.rx34 = rx34;
        changeSupport.firePropertyChange("rx34", oldRx34, rx34);
    }

    public String getRx35() {
        return rx35;
    }

    public void setRx35(String rx35) {
        String oldRx35 = this.rx35;
        this.rx35 = rx35;
        changeSupport.firePropertyChange("rx35", oldRx35, rx35);
    }

    public String getRx36() {
        return rx36;
    }

    public void setRx36(String rx36) {
        String oldRx36 = this.rx36;
        this.rx36 = rx36;
        changeSupport.firePropertyChange("rx36", oldRx36, rx36);
    }

    public String getRx37() {
        return rx37;
    }

    public void setRx37(String rx37) {
        String oldRx37 = this.rx37;
        this.rx37 = rx37;
        changeSupport.firePropertyChange("rx37", oldRx37, rx37);
    }

    public String getRx38() {
        return rx38;
    }

    public void setRx38(String rx38) {
        String oldRx38 = this.rx38;
        this.rx38 = rx38;
        changeSupport.firePropertyChange("rx38", oldRx38, rx38);
    }

    public String getRx39() {
        return rx39;
    }

    public void setRx39(String rx39) {
        String oldRx39 = this.rx39;
        this.rx39 = rx39;
        changeSupport.firePropertyChange("rx39", oldRx39, rx39);
    }

    public String getRx40() {
        return rx40;
    }

    public void setRx40(String rx40) {
        String oldRx40 = this.rx40;
        this.rx40 = rx40;
        changeSupport.firePropertyChange("rx40", oldRx40, rx40);
    }

    public String getRx41() {
        return rx41;
    }

    public void setRx41(String rx41) {
        String oldRx41 = this.rx41;
        this.rx41 = rx41;
        changeSupport.firePropertyChange("rx41", oldRx41, rx41);
    }

    public String getRx42() {
        return rx42;
    }

    public void setRx42(String rx42) {
        String oldRx42 = this.rx42;
        this.rx42 = rx42;
        changeSupport.firePropertyChange("rx42", oldRx42, rx42);
    }

    public String getRx43() {
        return rx43;
    }

    public void setRx43(String rx43) {
        String oldRx43 = this.rx43;
        this.rx43 = rx43;
        changeSupport.firePropertyChange("rx43", oldRx43, rx43);
    }

    public String getRx44() {
        return rx44;
    }

    public void setRx44(String rx44) {
        String oldRx44 = this.rx44;
        this.rx44 = rx44;
        changeSupport.firePropertyChange("rx44", oldRx44, rx44);
    }

    public String getRx45() {
        return rx45;
    }

    public void setRx45(String rx45) {
        String oldRx45 = this.rx45;
        this.rx45 = rx45;
        changeSupport.firePropertyChange("rx45", oldRx45, rx45);
    }

    public String getInterpretacion1() {
        return interpretacion1;
    }

    public void setInterpretacion1(String interpretacion1) {
        String oldInterpretacion1 = this.interpretacion1;
        this.interpretacion1 = interpretacion1;
        changeSupport.firePropertyChange("interpretacion1", oldInterpretacion1, interpretacion1);
    }

    public String getInterpretacion2() {
        return interpretacion2;
    }

    public void setInterpretacion2(String interpretacion2) {
        String oldInterpretacion2 = this.interpretacion2;
        this.interpretacion2 = interpretacion2;
        changeSupport.firePropertyChange("interpretacion2", oldInterpretacion2, interpretacion2);
    }

    public String getInterpretacion3() {
        return interpretacion3;
    }

    public void setInterpretacion3(String interpretacion3) {
        String oldInterpretacion3 = this.interpretacion3;
        this.interpretacion3 = interpretacion3;
        changeSupport.firePropertyChange("interpretacion3", oldInterpretacion3, interpretacion3);
    }

    public String getInterpretacion4() {
        return interpretacion4;
    }

    public void setInterpretacion4(String interpretacion4) {
        String oldInterpretacion4 = this.interpretacion4;
        this.interpretacion4 = interpretacion4;
        changeSupport.firePropertyChange("interpretacion4", oldInterpretacion4, interpretacion4);
    }

    public String getInterpretacion5() {
        return interpretacion5;
    }

    public void setInterpretacion5(String interpretacion5) {
        String oldInterpretacion5 = this.interpretacion5;
        this.interpretacion5 = interpretacion5;
        changeSupport.firePropertyChange("interpretacion5", oldInterpretacion5, interpretacion5);
    }

    public String getInterpretacion6() {
        return interpretacion6;
    }

    public void setInterpretacion6(String interpretacion6) {
        String oldInterpretacion6 = this.interpretacion6;
        this.interpretacion6 = interpretacion6;
        changeSupport.firePropertyChange("interpretacion6", oldInterpretacion6, interpretacion6);
    }

    public String getInterpretacion7() {
        return interpretacion7;
    }

    public void setInterpretacion7(String interpretacion7) {
        String oldInterpretacion7 = this.interpretacion7;
        this.interpretacion7 = interpretacion7;
        changeSupport.firePropertyChange("interpretacion7", oldInterpretacion7, interpretacion7);
    }

    public String getInterpretacion8() {
        return interpretacion8;
    }

    public void setInterpretacion8(String interpretacion8) {
        String oldInterpretacion8 = this.interpretacion8;
        this.interpretacion8 = interpretacion8;
        changeSupport.firePropertyChange("interpretacion8", oldInterpretacion8, interpretacion8);
    }

    public String getInterpretacion9() {
        return interpretacion9;
    }

    public void setInterpretacion9(String interpretacion9) {
        String oldInterpretacion9 = this.interpretacion9;
        this.interpretacion9 = interpretacion9;
        changeSupport.firePropertyChange("interpretacion9", oldInterpretacion9, interpretacion9);
    }

    public String getInterpretacion10() {
        return interpretacion10;
    }

    public void setInterpretacion10(String interpretacion10) {
        String oldInterpretacion10 = this.interpretacion10;
        this.interpretacion10 = interpretacion10;
        changeSupport.firePropertyChange("interpretacion10", oldInterpretacion10, interpretacion10);
    }

    public String getInterpretacion11() {
        return interpretacion11;
    }

    public void setInterpretacion11(String interpretacion11) {
        String oldInterpretacion11 = this.interpretacion11;
        this.interpretacion11 = interpretacion11;
        changeSupport.firePropertyChange("interpretacion11", oldInterpretacion11, interpretacion11);
    }

    public String getInterpretacion12() {
        return interpretacion12;
    }

    public void setInterpretacion12(String interpretacion12) {
        String oldInterpretacion12 = this.interpretacion12;
        this.interpretacion12 = interpretacion12;
        changeSupport.firePropertyChange("interpretacion12", oldInterpretacion12, interpretacion12);
    }

    public String getInterpretacion13() {
        return interpretacion13;
    }

    public void setInterpretacion13(String interpretacion13) {
        String oldInterpretacion13 = this.interpretacion13;
        this.interpretacion13 = interpretacion13;
        changeSupport.firePropertyChange("interpretacion13", oldInterpretacion13, interpretacion13);
    }

    public String getInterpretacion14() {
        return interpretacion14;
    }

    public void setInterpretacion14(String interpretacion14) {
        String oldInterpretacion14 = this.interpretacion14;
        this.interpretacion14 = interpretacion14;
        changeSupport.firePropertyChange("interpretacion14", oldInterpretacion14, interpretacion14);
    }

    public String getInterpretacion15() {
        return interpretacion15;
    }

    public void setInterpretacion15(String interpretacion15) {
        String oldInterpretacion15 = this.interpretacion15;
        this.interpretacion15 = interpretacion15;
        changeSupport.firePropertyChange("interpretacion15", oldInterpretacion15, interpretacion15);
    }

    public String getInterpretacion16() {
        return interpretacion16;
    }

    public void setInterpretacion16(String interpretacion16) {
        String oldInterpretacion16 = this.interpretacion16;
        this.interpretacion16 = interpretacion16;
        changeSupport.firePropertyChange("interpretacion16", oldInterpretacion16, interpretacion16);
    }

    public String getInterpretacion17() {
        return interpretacion17;
    }

    public void setInterpretacion17(String interpretacion17) {
        String oldInterpretacion17 = this.interpretacion17;
        this.interpretacion17 = interpretacion17;
        changeSupport.firePropertyChange("interpretacion17", oldInterpretacion17, interpretacion17);
    }

    public String getInterpretacion18() {
        return interpretacion18;
    }

    public void setInterpretacion18(String interpretacion18) {
        String oldInterpretacion18 = this.interpretacion18;
        this.interpretacion18 = interpretacion18;
        changeSupport.firePropertyChange("interpretacion18", oldInterpretacion18, interpretacion18);
    }

    public String getInterpretacion19() {
        return interpretacion19;
    }

    public void setInterpretacion19(String interpretacion19) {
        String oldInterpretacion19 = this.interpretacion19;
        this.interpretacion19 = interpretacion19;
        changeSupport.firePropertyChange("interpretacion19", oldInterpretacion19, interpretacion19);
    }

    public String getInterpretacion20() {
        return interpretacion20;
    }

    public void setInterpretacion20(String interpretacion20) {
        String oldInterpretacion20 = this.interpretacion20;
        this.interpretacion20 = interpretacion20;
        changeSupport.firePropertyChange("interpretacion20", oldInterpretacion20, interpretacion20);
    }

    public String getInterpretacion21() {
        return interpretacion21;
    }

    public void setInterpretacion21(String interpretacion21) {
        String oldInterpretacion21 = this.interpretacion21;
        this.interpretacion21 = interpretacion21;
        changeSupport.firePropertyChange("interpretacion21", oldInterpretacion21, interpretacion21);
    }

    public String getInterpretacion22() {
        return interpretacion22;
    }

    public void setInterpretacion22(String interpretacion22) {
        String oldInterpretacion22 = this.interpretacion22;
        this.interpretacion22 = interpretacion22;
        changeSupport.firePropertyChange("interpretacion22", oldInterpretacion22, interpretacion22);
    }

    public String getInterpretacion23() {
        return interpretacion23;
    }

    public void setInterpretacion23(String interpretacion23) {
        String oldInterpretacion23 = this.interpretacion23;
        this.interpretacion23 = interpretacion23;
        changeSupport.firePropertyChange("interpretacion23", oldInterpretacion23, interpretacion23);
    }

    public String getInterpretacion24() {
        return interpretacion24;
    }

    public void setInterpretacion24(String interpretacion24) {
        String oldInterpretacion24 = this.interpretacion24;
        this.interpretacion24 = interpretacion24;
        changeSupport.firePropertyChange("interpretacion24", oldInterpretacion24, interpretacion24);
    }

    public String getInterpretacion25() {
        return interpretacion25;
    }

    public void setInterpretacion25(String interpretacion25) {
        String oldInterpretacion25 = this.interpretacion25;
        this.interpretacion25 = interpretacion25;
        changeSupport.firePropertyChange("interpretacion25", oldInterpretacion25, interpretacion25);
    }

    public String getInterpretacion26() {
        return interpretacion26;
    }

    public void setInterpretacion26(String interpretacion26) {
        String oldInterpretacion26 = this.interpretacion26;
        this.interpretacion26 = interpretacion26;
        changeSupport.firePropertyChange("interpretacion26", oldInterpretacion26, interpretacion26);
    }

    public String getInterpretacion27() {
        return interpretacion27;
    }

    public void setInterpretacion27(String interpretacion27) {
        String oldInterpretacion27 = this.interpretacion27;
        this.interpretacion27 = interpretacion27;
        changeSupport.firePropertyChange("interpretacion27", oldInterpretacion27, interpretacion27);
    }

    public String getInterpretacion28() {
        return interpretacion28;
    }

    public void setInterpretacion28(String interpretacion28) {
        String oldInterpretacion28 = this.interpretacion28;
        this.interpretacion28 = interpretacion28;
        changeSupport.firePropertyChange("interpretacion28", oldInterpretacion28, interpretacion28);
    }

    public String getInterpretacion29() {
        return interpretacion29;
    }

    public void setInterpretacion29(String interpretacion29) {
        String oldInterpretacion29 = this.interpretacion29;
        this.interpretacion29 = interpretacion29;
        changeSupport.firePropertyChange("interpretacion29", oldInterpretacion29, interpretacion29);
    }

    public int getInterpretacion30() {
        return interpretacion30;
    }

    public void setInterpretacion30(int interpretacion30) {
        int oldInterpretacion30 = this.interpretacion30;
        this.interpretacion30 = interpretacion30;
        changeSupport.firePropertyChange("interpretacion30", oldInterpretacion30, interpretacion30);
    }

    public String getInterpretacion31() {
        return interpretacion31;
    }

    public void setInterpretacion31(String interpretacion31) {
        String oldInterpretacion31 = this.interpretacion31;
        this.interpretacion31 = interpretacion31;
        changeSupport.firePropertyChange("interpretacion31", oldInterpretacion31, interpretacion31);
    }

    public String getInterpretacion32() {
        return interpretacion32;
    }

    public void setInterpretacion32(String interpretacion32) {
        String oldInterpretacion32 = this.interpretacion32;
        this.interpretacion32 = interpretacion32;
        changeSupport.firePropertyChange("interpretacion32", oldInterpretacion32, interpretacion32);
    }

    public String getInterpretacion33() {
        return interpretacion33;
    }

    public void setInterpretacion33(String interpretacion33) {
        String oldInterpretacion33 = this.interpretacion33;
        this.interpretacion33 = interpretacion33;
        changeSupport.firePropertyChange("interpretacion33", oldInterpretacion33, interpretacion33);
    }

    public String getInterpretacion34() {
        return interpretacion34;
    }

    public void setInterpretacion34(String interpretacion34) {
        String oldInterpretacion34 = this.interpretacion34;
        this.interpretacion34 = interpretacion34;
        changeSupport.firePropertyChange("interpretacion34", oldInterpretacion34, interpretacion34);
    }

    public String getInterpretacion35() {
        return interpretacion35;
    }

    public void setInterpretacion35(String interpretacion35) {
        String oldInterpretacion35 = this.interpretacion35;
        this.interpretacion35 = interpretacion35;
        changeSupport.firePropertyChange("interpretacion35", oldInterpretacion35, interpretacion35);
    }

    public String getInterpretacion36() {
        return interpretacion36;
    }

    public void setInterpretacion36(String interpretacion36) {
        String oldInterpretacion36 = this.interpretacion36;
        this.interpretacion36 = interpretacion36;
        changeSupport.firePropertyChange("interpretacion36", oldInterpretacion36, interpretacion36);
    }

    public String getInterpretacion37() {
        return interpretacion37;
    }

    public void setInterpretacion37(String interpretacion37) {
        String oldInterpretacion37 = this.interpretacion37;
        this.interpretacion37 = interpretacion37;
        changeSupport.firePropertyChange("interpretacion37", oldInterpretacion37, interpretacion37);
    }

    public String getInterpretacion38() {
        return interpretacion38;
    }

    public void setInterpretacion38(String interpretacion38) {
        String oldInterpretacion38 = this.interpretacion38;
        this.interpretacion38 = interpretacion38;
        changeSupport.firePropertyChange("interpretacion38", oldInterpretacion38, interpretacion38);
    }

    public String getInterpretacion39() {
        return interpretacion39;
    }

    public void setInterpretacion39(String interpretacion39) {
        String oldInterpretacion39 = this.interpretacion39;
        this.interpretacion39 = interpretacion39;
        changeSupport.firePropertyChange("interpretacion39", oldInterpretacion39, interpretacion39);
    }

    public String getInterpretacion40() {
        return interpretacion40;
    }

    public void setInterpretacion40(String interpretacion40) {
        String oldInterpretacion40 = this.interpretacion40;
        this.interpretacion40 = interpretacion40;
        changeSupport.firePropertyChange("interpretacion40", oldInterpretacion40, interpretacion40);
    }

    public String getInterpretacion41() {
        return interpretacion41;
    }

    public void setInterpretacion41(String interpretacion41) {
        String oldInterpretacion41 = this.interpretacion41;
        this.interpretacion41 = interpretacion41;
        changeSupport.firePropertyChange("interpretacion41", oldInterpretacion41, interpretacion41);
    }

    public String getInterpretacion42() {
        return interpretacion42;
    }

    public void setInterpretacion42(String interpretacion42) {
        String oldInterpretacion42 = this.interpretacion42;
        this.interpretacion42 = interpretacion42;
        changeSupport.firePropertyChange("interpretacion42", oldInterpretacion42, interpretacion42);
    }

    public String getInterpretacion43() {
        return interpretacion43;
    }

    public void setInterpretacion43(String interpretacion43) {
        String oldInterpretacion43 = this.interpretacion43;
        this.interpretacion43 = interpretacion43;
        changeSupport.firePropertyChange("interpretacion43", oldInterpretacion43, interpretacion43);
    }

    public String getInterpretacion44() {
        return interpretacion44;
    }

    public void setInterpretacion44(String interpretacion44) {
        String oldInterpretacion44 = this.interpretacion44;
        this.interpretacion44 = interpretacion44;
        changeSupport.firePropertyChange("interpretacion44", oldInterpretacion44, interpretacion44);
    }

    public String getInterpretacion45() {
        return interpretacion45;
    }

    public void setInterpretacion45(String interpretacion45) {
        String oldInterpretacion45 = this.interpretacion45;
        this.interpretacion45 = interpretacion45;
        changeSupport.firePropertyChange("interpretacion45", oldInterpretacion45, interpretacion45);
    }

    public AnalisisCefalometricoNinos getAnalisisCefalometricoNinosId() {
        return analisisCefalometricoNinosId;
    }

    public void setAnalisisCefalometricoNinosId(AnalisisCefalometricoNinos analisisCefalometricoNinosId) {
        AnalisisCefalometricoNinos oldAnalisisCefalometricoNinosId = this.analisisCefalometricoNinosId;
        this.analisisCefalometricoNinosId = analisisCefalometricoNinosId;
        changeSupport.firePropertyChange("analisisCefalometricoNinosId", oldAnalisisCefalometricoNinosId, analisisCefalometricoNinosId);
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ResultadosNinos)) {
            return false;
        }
        ResultadosNinos other = (ResultadosNinos) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Rx" + numero ;
    }

    public void addPropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.addPropertyChangeListener(listener);
    }

    public void removePropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.removePropertyChangeListener(listener);
    }

}
