/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.CascadeType;
import javax.persistence.Embeddable;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.PrimaryKeyJoinColumn;
import javax.persistence.Transient;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author Andersson Paz Narvaez
 */
@Embeddable
public class TratamientoAdulto implements Serializable {
    private static final long serialVersionUID = 1L;
    @Transient
    private Integer id;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tratamientoId", fetch = FetchType.LAZY)
    private Collection<AutorizacionAdulto> autorizacionAdultoCollection;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tratamientoId", fetch = FetchType.LAZY)
    private Collection<AnalisisCefalometricoAdulto> analisisCefalometricoAdultoCollection; 
    /*@OneToOne(optional = false, fetch = FetchType.LAZY)
    @PrimaryKeyJoinColumn(name = "tratamiento_id", referencedColumnName = "id")
    private Tratamiento tratamientoId;*/
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tratamientoId", fetch = FetchType.LAZY)
    private Collection<AnalisisDeEspacio> analisisDeEspacioCollection;

    public TratamientoAdulto() {
    }

    public TratamientoAdulto(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @XmlTransient
    public Collection<AutorizacionAdulto> getAutorizacionAdultoCollection() {
        return autorizacionAdultoCollection;
    }

    public void setAutorizacionAdultoCollection(Collection<AutorizacionAdulto> autorizacionAdultoCollection) {
        this.autorizacionAdultoCollection = autorizacionAdultoCollection;
    }

    @XmlTransient
    public Collection<AnalisisCefalometricoAdulto> getAnalisisCefalometricoAdultoCollection() {
        return analisisCefalometricoAdultoCollection;
    }

    public void setAnalisisCefalometricoAdultoCollection(Collection<AnalisisCefalometricoAdulto> analisisCefalometricoAdultoCollection) {
        this.analisisCefalometricoAdultoCollection = analisisCefalometricoAdultoCollection;
    }

    /* public Tratamiento getTratamientoId() {
    return tratamientoId;
    }
    
    public void setTratamientoId(Tratamiento tratamientoId) {
    this.tratamientoId = tratamientoId;
    }*/

    @XmlTransient
    public Collection<AnalisisDeEspacio> getAnalisisDeEspacioCollection() {
        return analisisDeEspacioCollection;
    }

    public void setAnalisisDeEspacioCollection(Collection<AnalisisDeEspacio> analisisDeEspacioCollection) {
        this.analisisDeEspacioCollection = analisisDeEspacioCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TratamientoAdulto)) {
            return false;
        }
        TratamientoAdulto other = (TratamientoAdulto) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "entidades.TratamientoAdulto[ id=" + id + " ]";
    }

}
