/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades.historia;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;

/**
 *
 * @author Andersson Paz Narvaez
 */


@Embeddable
public  class AnArcDentales implements Serializable {
 @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
  @Basic(optional = false)
    @Column(name = "forma_arco_sup")
    private String formaArcoSup;
    @Basic(optional = false)
    @Column(name = "forma_arco_inf")
    private String formaArcoInf;
    @Basic(optional = false)
    @Column(name = "simetria_sup")
    private String simetriaSup;
    @Basic(optional = false)
    @Column(name = "simetria_inf")
    private String simetriaInf;   
    @Basic(optional = false)
    @Column(name = "curva_de_spee_inf_der")
    private String curvaDeSpeeInfDer;
    @Basic(optional = false)
    @Column(name = "curva_de_spee_inf_isq")
    private String curvaDeSpeeInfIsq;
    @Basic(optional = false)
    @Column(name = "malpociciones_inf")
    private String malpocicionesInf;
    @Basic(optional = false)
    @Column(name = "malpciciones_sup")
    private String malpcicionesSup;
    @Basic(optional = false)
    @Column(name = "infraoclucion_sup")
    private String infraoclucionSup;
    @Basic(optional = false)
    @Column(name = "infraoclucion_inf")
    private String infraoclucionInf;
    @Basic(optional = false)
    @Column(name = "apinamiento_sup_der")
    private String apinamientoSupDer;
    @Basic(optional = false)
    @Column(name = "apinamiento_sup_izq")
    private String apinamientoSupIzq;
    @Basic(optional = false)
    @Column(name = "apinamiento_inf_der")
    private String apinamientoInfDer;
    @Basic(optional = false)
    @Column(name = "apinamiento_inf_izq")
    private String apinamientoInfIzq;
    @Basic(optional = false)
    @Column(name = "espaciamiento_sup_der")
    private String espaciamientoSupDer;
    @Basic(optional = false)
    @Column(name = "espaciamiento_sup_izq")
    private String espaciamientoSupIzq;
    @Basic(optional = false)
    @Column(name = "espaciamiento_inf_der")
    private String espaciamientoInfDer;
    @Basic(optional = false)
    @Column(name = "espaciamiento_inf_izq")
    private String espaciamientoInfIzq;
    @Basic(optional = false)
    @Column(name = "oj_analisis")
    private BigDecimal ojAnalisis;
    @Basic(optional = false)
    @Column(name = "ob_analisis")
    private BigDecimal obAnalisis;
    @Basic(optional = false)
    @Column(name = "porcentaje_analisis")
    private BigDecimal porcentajeAnalisis;
    @Basic(optional = false)
    @Column(name = "rel_molar_der_analisis")
    private String relMolarDerAnalisis;
    @Basic(optional = false)
    @Column(name = "rel_molar_izq_analisis")
    private String relMolarIzqAnalisis;
    @Column(name = "rel_molar_der_analisis_t")
    private String relMolarDerAnalisis_t;
    @Basic(optional = false)
    @Column(name = "rel_molar_izq_analisis_t")
    private String relMolarIzqAnalisis_t;
    @Basic(optional = false)
    @Column(name = "rel_canina_der_analisis")
    private String relCaninaDerAnalisis;
    @Basic(optional = false)
    @Column(name = "rel_canina_izq_analisis")
    private String relCaninaIzqAnalisis;
    @Basic(optional = false)
    @Column(name = "rel_molar_der_analisis_mm")
    private Integer relMolarDerAnalisisMm;
    @Basic(optional = false)
    @Column(name = "rel_molar_izq_analisis_mm")
    private Integer relMolarIzqAnalisisMm;
    @Column(name = "rel_molar_der_analisis_t_mm")
    private Integer relMolarDerAnalisisTMm;
    @Basic(optional = false)
    @Column(name = "rel_molar_izq_analisis_t_mm")
    private Integer relMolarIzqAnalisis_t_mm;
    @Basic(optional = false)
    @Column(name = "rel_canina_der_analisis_mm")
    private Integer relCaninaDerAnalisisMm;
    @Basic(optional = false)
    @Column(name = "rel_canina_izq_analisis_mm")
    private Integer relCaninaIzqAnalisisMm;
    @Basic(optional = false)   
    @Column(name = "mordida_abierta_analisis")
    private String mordidaAbiertaAnalisis;   
    @Column(name = "mordida_cruzada_analisis")
    private String mordidaCruzadaAnalisis;   
    @Column(name = "mordida_abierta_si_analisis")
    private boolean mordidaAbiertaAnalisisSi;
    @Basic(optional = false)
    @Column(name = "mordida_cruzada_si_analisis")
    private boolean mordidaCruzadaAnalisisSi;
    @Basic(optional = false)
    @Column(name = "coincide_oc")
    private boolean coincideOcYRc1;
    @Basic(optional = false)
    @Column(name = "interferencia2")
    private String interferencia2;

    public String getRelMolarDerAnalisis_t() {
        return relMolarDerAnalisis_t;
    }

    public void setRelMolarDerAnalisis_t(String relMolarDerAnalisis_t) {
        this.relMolarDerAnalisis_t = relMolarDerAnalisis_t;
    }

    public String getRelMolarIzqAnalisis_t() {
        return relMolarIzqAnalisis_t;
    }

    public void setRelMolarIzqAnalisis_t(String relMolarIzqAnalisis_t) {
        this.relMolarIzqAnalisis_t = relMolarIzqAnalisis_t;
    }

    public Integer getRelMolarDerAnalisisMm() {
        return relMolarDerAnalisisMm;
    }

    public void setRelMolarDerAnalisisMm(Integer relMolarDerAnalisisMm) {
        this.relMolarDerAnalisisMm = relMolarDerAnalisisMm;
    }

    public Integer getRelMolarIzqAnalisisMm() {
        return relMolarIzqAnalisisMm;
    }

    public void setRelMolarIzqAnalisisMm(Integer relMolarIzqAnalisisMm) {
        this.relMolarIzqAnalisisMm = relMolarIzqAnalisisMm;
    }

    public Integer getRelMolarDerAnalisisTMm() {
        return relMolarDerAnalisisTMm;
    }

    public void setRelMolarDerAnalisisTMm(Integer relMolarDerAnalisisTMm) {
        this.relMolarDerAnalisisTMm = relMolarDerAnalisisTMm;
    }

    public Integer getRelMolarIzqAnalisis_t_mm() {
        return relMolarIzqAnalisis_t_mm;
    }

    public void setRelMolarIzqAnalisis_t_mm(Integer relMolarIzqAnalisis_t_mm) {
        this.relMolarIzqAnalisis_t_mm = relMolarIzqAnalisis_t_mm;
    }

    public Integer getRelCaninaDerAnalisisMm() {
        return relCaninaDerAnalisisMm;
    }

    public void setRelCaninaDerAnalisisMm(Integer relCaninaDerAnalisisMm) {
        this.relCaninaDerAnalisisMm = relCaninaDerAnalisisMm;
    }

    public Integer getRelCaninaIzqAnalisisMm() {
        return relCaninaIzqAnalisisMm;
    }

    public void setRelCaninaIzqAnalisisMm(Integer relCaninaIzqAnalisisMm) {
        this.relCaninaIzqAnalisisMm = relCaninaIzqAnalisisMm;
    }

    public boolean getMordidaAbiertaAnalisisSi() {
        return mordidaAbiertaAnalisisSi;
    }

    public void setMordidaAbiertaAnalisisSi(boolean mordidaAbiertaAnalisisSi) {
        this.mordidaAbiertaAnalisisSi = mordidaAbiertaAnalisisSi;
    }

    public boolean getMordidaCruzadaAnalisisSi() {
        return mordidaCruzadaAnalisisSi;
    }

    public void setMordidaCruzadaAnalisisSi(boolean mordidaCruzadaAnalisisSi) {
        this.mordidaCruzadaAnalisisSi = mordidaCruzadaAnalisisSi;
    }
    
    public String getFormaArcoSup() {
        return formaArcoSup;
    }

    public void setFormaArcoSup(String formaArcoSup) {
        String oldFormaArcoSup = this.formaArcoSup;
        this.formaArcoSup = formaArcoSup;
        changeSupport.firePropertyChange("formaArcoSup", oldFormaArcoSup, formaArcoSup);
    }

    public String getFormaArcoInf() {
        return formaArcoInf;
    }

    public void setFormaArcoInf(String formaArcoInf) {
        String oldFormaArcoInf = this.formaArcoInf;
        this.formaArcoInf = formaArcoInf;
        changeSupport.firePropertyChange("formaArcoInf", oldFormaArcoInf, formaArcoInf);
    }

    public String getSimetriaSup() {
        return simetriaSup;
    }

    public void setSimetriaSup(String simetriaSup) {
        String oldSimetriaSup = this.simetriaSup;
        this.simetriaSup = simetriaSup;
        changeSupport.firePropertyChange("simetriaSup", oldSimetriaSup, simetriaSup);
    }

    public String getSimetriaInf() {
        return simetriaInf;
    }

    public void setSimetriaInf(String simetriaInf) {
        String oldSimetriaInf = this.simetriaInf;
        this.simetriaInf = simetriaInf;
        changeSupport.firePropertyChange("simetriaInf", oldSimetriaInf, simetriaInf);
    }

  

    public String getCurvaDeSpeeInfDer() {
        return curvaDeSpeeInfDer;
    }

    public void setCurvaDeSpeeInfDer(String curvaDeSpeeInfDer) {
        String oldCurvaDeSpeeInfDer = this.curvaDeSpeeInfDer;
        this.curvaDeSpeeInfDer = curvaDeSpeeInfDer;
        changeSupport.firePropertyChange("curvaDeSpeeInfDer", oldCurvaDeSpeeInfDer, curvaDeSpeeInfDer);
    }

    public String getCurvaDeSpeeInfIsq() {
        return curvaDeSpeeInfIsq;
    }

    public void setCurvaDeSpeeInfIsq(String curvaDeSpeeInfIsq) {
        String oldCurvaDeSpeeInfIsq = this.curvaDeSpeeInfIsq;
        this.curvaDeSpeeInfIsq = curvaDeSpeeInfIsq;
        changeSupport.firePropertyChange("curvaDeSpeeInfIsq", oldCurvaDeSpeeInfIsq, curvaDeSpeeInfIsq);
    }

    public String getMalpocicionesInf() {
        return malpocicionesInf;
    }

    public void setMalpocicionesInf(String malpocicionesInf) {
        String oldMalpocicionesInf = this.malpocicionesInf;
        this.malpocicionesInf = malpocicionesInf;
        changeSupport.firePropertyChange("malpocicionesInf", oldMalpocicionesInf, malpocicionesInf);
    }

    public String getMalpcicionesSup() {
        return malpcicionesSup;
    }

    public void setMalpcicionesSup(String malpcicionesSup) {
        String oldMalpcicionesSup = this.malpcicionesSup;
        this.malpcicionesSup = malpcicionesSup;
        changeSupport.firePropertyChange("malpcicionesSup", oldMalpcicionesSup, malpcicionesSup);
    }

    public String getInfraoclucionSup() {
        return infraoclucionSup;
    }

    public void setInfraoclucionSup(String infraoclucionSup) {
        String oldInfraoclucionSup = this.infraoclucionSup;
        this.infraoclucionSup = infraoclucionSup;
        changeSupport.firePropertyChange("infraoclucionSup", oldInfraoclucionSup, infraoclucionSup);
    }

    public String getInfraoclucionInf() {
        return infraoclucionInf;
    }

    public void setInfraoclucionInf(String infraoclucionInf) {
        String oldInfraoclucionInf = this.infraoclucionInf;
        this.infraoclucionInf = infraoclucionInf;
        changeSupport.firePropertyChange("infraoclucionInf", oldInfraoclucionInf, infraoclucionInf);
    }

    public String getApinamientoSupDer() {
        return apinamientoSupDer;
    }

    public void setApinamientoSupDer(String apinamientoSupDer) {
        String oldApinamientoSupDer = this.apinamientoSupDer;
        this.apinamientoSupDer = apinamientoSupDer;
        changeSupport.firePropertyChange("apinamientoSupDer", oldApinamientoSupDer, apinamientoSupDer);
    }

    public String getApinamientoSupIzq() {
        return apinamientoSupIzq;
    }

    public void setApinamientoSupIzq(String apinamientoSupIzq) {
        String oldApinamientoSupIzq = this.apinamientoSupIzq;
        this.apinamientoSupIzq = apinamientoSupIzq;
        changeSupport.firePropertyChange("apinamientoSupIzq", oldApinamientoSupIzq, apinamientoSupIzq);
    }

    public String getApinamientoInfDer() {
        return apinamientoInfDer;
    }

    public void setApinamientoInfDer(String apinamientoInfDer) {
        String oldApinamientoInfDer = this.apinamientoInfDer;
        this.apinamientoInfDer = apinamientoInfDer;
        changeSupport.firePropertyChange("apinamientoInfDer", oldApinamientoInfDer, apinamientoInfDer);
    }

    public String getApinamientoInfIzq() {
        return apinamientoInfIzq;
    }

    public void setApinamientoInfIzq(String apinamientoInfIzq) {
        String oldApinamientoInfIzq = this.apinamientoInfIzq;
        this.apinamientoInfIzq = apinamientoInfIzq;
        changeSupport.firePropertyChange("apinamientoInfIzq", oldApinamientoInfIzq, apinamientoInfIzq);
    }

    public String getEspaciamientoSupDer() {
        return espaciamientoSupDer;
    }

    public void setEspaciamientoSupDer(String espaciamientoSupDer) {
        String oldEspaciamientoSupDer = this.espaciamientoSupDer;
        this.espaciamientoSupDer = espaciamientoSupDer;
        changeSupport.firePropertyChange("espaciamientoSupDer", oldEspaciamientoSupDer, espaciamientoSupDer);
    }

    public String getEspaciamientoSupIzq() {
        return espaciamientoSupIzq;
    }

    public void setEspaciamientoSupIzq(String espaciamientoSupIzq) {
        String oldEspaciamientoSupIzq = this.espaciamientoSupIzq;
        this.espaciamientoSupIzq = espaciamientoSupIzq;
        changeSupport.firePropertyChange("espaciamientoSupIzq", oldEspaciamientoSupIzq, espaciamientoSupIzq);
    }

    public String getEspaciamientoInfDer() {
        return espaciamientoInfDer;
    }

    public void setEspaciamientoInfDer(String espaciamientoInfDer) {
        String oldEspaciamientoInfDer = this.espaciamientoInfDer;
        this.espaciamientoInfDer = espaciamientoInfDer;
        changeSupport.firePropertyChange("espaciamientoInfDer", oldEspaciamientoInfDer, espaciamientoInfDer);
    }

    public String getEspaciamientoInfIzq() {
        return espaciamientoInfIzq;
    }

    public void setEspaciamientoInfIzq(String espaciamientoInfIzq) {
        String oldEspaciamientoInfIzq = this.espaciamientoInfIzq;
        this.espaciamientoInfIzq = espaciamientoInfIzq;
        changeSupport.firePropertyChange("espaciamientoInfIzq", oldEspaciamientoInfIzq, espaciamientoInfIzq);
    }

    public BigDecimal getOjAnalisis() {
        return ojAnalisis;
    }

    public void setOjAnalisis(BigDecimal ojAnalisis) {
        BigDecimal oldOjAnalisis = this.ojAnalisis;
        this.ojAnalisis = ojAnalisis;
        changeSupport.firePropertyChange("ojAnalisis", oldOjAnalisis, ojAnalisis);
    }

    public BigDecimal getObAnalisis() {
        return obAnalisis;
    }

    public void setObAnalisis(BigDecimal obAnalisis) {
        BigDecimal oldObAnalisis = this.obAnalisis;
        this.obAnalisis = obAnalisis;
        changeSupport.firePropertyChange("obAnalisis", oldObAnalisis, obAnalisis);
    }

    public BigDecimal getPorcentajeAnalisis() {
        return porcentajeAnalisis;
    }

    public void setPorcentajeAnalisis(BigDecimal porcentajeAnalisis) {
        BigDecimal oldPorcentajeAnalisis = this.porcentajeAnalisis;
        this.porcentajeAnalisis = porcentajeAnalisis;
        changeSupport.firePropertyChange("porcentajeAnalisis", oldPorcentajeAnalisis, porcentajeAnalisis);
    }

    public String getRelMolarDerAnalisis() {
        return relMolarDerAnalisis;
    }

    public void setRelMolarDerAnalisis(String relMolarDerAnalisis) {
        String oldRelMolarDerAnalisis = this.relMolarDerAnalisis;
        this.relMolarDerAnalisis = relMolarDerAnalisis;
        changeSupport.firePropertyChange("relMolarDerAnalisis", oldRelMolarDerAnalisis, relMolarDerAnalisis);
    }

    public String getRelMolarIzqAnalisis() {
        return relMolarIzqAnalisis;
    }

    public void setRelMolarIzqAnalisis(String relMolarIzqAnalisis) {
        String oldRelMolarIzqAnalisis = this.relMolarIzqAnalisis;
        this.relMolarIzqAnalisis = relMolarIzqAnalisis;
        changeSupport.firePropertyChange("relMolarIzqAnalisis", oldRelMolarIzqAnalisis, relMolarIzqAnalisis);
    }

    public String getRelCaninaDerAnalisis() {
        return relCaninaDerAnalisis;
    }

    public void setRelCaninaDerAnalisis(String relCaninaDerAnalisis) {
        String oldRelCaninaDerAnalisis = this.relCaninaDerAnalisis;
        this.relCaninaDerAnalisis = relCaninaDerAnalisis;
        changeSupport.firePropertyChange("relCaninaDerAnalisis", oldRelCaninaDerAnalisis, relCaninaDerAnalisis);
    }

    public String getRelCaninaIzqAnalisis() {
        return relCaninaIzqAnalisis;
    }

    public void setRelCaninaIzqAnalisis(String relCaninaIzqAnalisis) {
        String oldRelCaninaIzqAnalisis = this.relCaninaIzqAnalisis;
        this.relCaninaIzqAnalisis = relCaninaIzqAnalisis;
        changeSupport.firePropertyChange("relCaninaIzqAnalisis", oldRelCaninaIzqAnalisis, relCaninaIzqAnalisis);
    }

    public String getMordidaAbiertaAnalisis() {
        return mordidaAbiertaAnalisis;
    }

    public void setMordidaAbiertaAnalisis(String mordidaAbiertaAnalisis) {
        String oldMordidaAbiertaAnalisis = this.mordidaAbiertaAnalisis;
        this.mordidaAbiertaAnalisis = mordidaAbiertaAnalisis;
        changeSupport.firePropertyChange("mordidaAbiertaAnalisis", oldMordidaAbiertaAnalisis, mordidaAbiertaAnalisis);
    }

    public String getMordidaCruzadaAnalisis() {
        return mordidaCruzadaAnalisis;
    }

    public void setMordidaCruzadaAnalisis(String mordidaCruzadaAnalisis) {
        String oldMordidaCruzadaAnalisis = this.mordidaCruzadaAnalisis;
        this.mordidaCruzadaAnalisis = mordidaCruzadaAnalisis;
        changeSupport.firePropertyChange("mordidaCruzadaAnalisis", oldMordidaCruzadaAnalisis, mordidaCruzadaAnalisis);
    }

    public boolean getCoincideOcYRc1() {
        return coincideOcYRc1;
    }

    public void setCoincideOcYRc1(boolean coincideOcYRc1) {
        boolean oldCoincideOcYRc1 = this.coincideOcYRc1;
        this.coincideOcYRc1 = coincideOcYRc1;
        changeSupport.firePropertyChange("coincideOcYRc1", oldCoincideOcYRc1, coincideOcYRc1);
    }

    public String getInterferencia2() {
        return interferencia2;
    }

    public void setInterferencia2(String interferencia2) {
        String oldInterferencia2 = this.interferencia2;
        this.interferencia2 = interferencia2;
        changeSupport.firePropertyChange("interferencia2", oldInterferencia2, interferencia2);
    }
}