/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades.historia;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;

/**
 *
 * @author Andersson Paz Narvaez
 */


@Embeddable
public  class AnalisisFotografico implements Serializable {
 @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
  
      @Basic(optional = false)
    @Column(name = "extraorales_frente")
    private String extraoralesFrente;
    @Basic(optional = false)
    @Column(name = "extraorales_perfil")
    private String extraoralesPerfil;
    @Basic(optional = false)
    @Column(name = "intraorales_frente")
    private String intraoralesFrente;
    @Basic(optional = false)
    @Column(name = "intraorales_laterla_der")
    private String intraoralesLaterlaDer;
    @Basic(optional = false)
    @Column(name = "intraorales_lateral_izq")
    private String intraoralesLateralIzq;
    @Basic(optional = false)
    @Column(name = "intraorales_oclusal_sup")
    private String intraoralesOclusalSup;
    @Basic(optional = false)
    @Column(name = "intraorales_oclusal_inf")
    private String intraoralesOclusalInf;
    
    public String getExtraoralesFrente() {
        return extraoralesFrente;
    }

    public void setExtraoralesFrente(String extraoralesFrente) {
        String oldExtraoralesFrente = this.extraoralesFrente;
        this.extraoralesFrente = extraoralesFrente;
        changeSupport.firePropertyChange("extraoralesFrente", oldExtraoralesFrente, extraoralesFrente);
    }

    public String getExtraoralesPerfil() {
        return extraoralesPerfil;
    }

    public void setExtraoralesPerfil(String extraoralesPerfil) {
        String oldExtraoralesPerfil = this.extraoralesPerfil;
        this.extraoralesPerfil = extraoralesPerfil;
        changeSupport.firePropertyChange("extraoralesPerfil", oldExtraoralesPerfil, extraoralesPerfil);
    }
     public String getIntraoralesFrente() {
        return intraoralesFrente;
    }

    public void setIntraoralesFrente(String intraoralesFrente) {
        String oldIntraoralesFrente = this.intraoralesFrente;
        this.intraoralesFrente = intraoralesFrente;
        changeSupport.firePropertyChange("intraoralesFrente", oldIntraoralesFrente, intraoralesFrente);
    }

    public String getIntraoralesLaterlaDer() {
        return intraoralesLaterlaDer;
    }

    public void setIntraoralesLaterlaDer(String intraoralesLaterlaDer) {
        String oldIntraoralesLaterlaDer = this.intraoralesLaterlaDer;
        this.intraoralesLaterlaDer = intraoralesLaterlaDer;
        changeSupport.firePropertyChange("intraoralesLaterlaDer", oldIntraoralesLaterlaDer, intraoralesLaterlaDer);
    }

    public String getIntraoralesLateralIzq() {
        return intraoralesLateralIzq;
    }

    public void setIntraoralesLateralIzq(String intraoralesLateralIzq) {
        String oldIntraoralesLateralIzq = this.intraoralesLateralIzq;
        this.intraoralesLateralIzq = intraoralesLateralIzq;
        changeSupport.firePropertyChange("intraoralesLateralIzq", oldIntraoralesLateralIzq, intraoralesLateralIzq);
    }

    public String getIntraoralesOclusalSup() {
        return intraoralesOclusalSup;
    }

    public void setIntraoralesOclusalSup(String intraoralesOclusalSup) {
        String oldIntraoralesOclusalSup = this.intraoralesOclusalSup;
        this.intraoralesOclusalSup = intraoralesOclusalSup;
        changeSupport.firePropertyChange("intraoralesOclusalSup", oldIntraoralesOclusalSup, intraoralesOclusalSup);
    }

    public String getIntraoralesOclusalInf() {
        return intraoralesOclusalInf;
    }

    public void setIntraoralesOclusalInf(String intraoralesOclusalInf) {
        String oldIntraoralesOclusalInf = this.intraoralesOclusalInf;
        this.intraoralesOclusalInf = intraoralesOclusalInf;
        changeSupport.firePropertyChange("intraoralesOclusalInf", oldIntraoralesOclusalInf, intraoralesOclusalInf);
    }

}