/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades.historia;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;

/**
 *
 * @author Andersson Paz Narvaez
 */


@Embeddable
public  class AnalisisRadiografico implements Serializable {
 @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
        @Basic(optional = false)
    @Column(name = "zona_atm")
    private String zonaAtm;
    @Basic(optional = false)
    @Column(name = "zona_maxilar")
    private String zonaMaxilar;
    @Basic(optional = false)
    @Column(name = "zona_mand")
    private String zonaMand;
    @Basic(optional = false)
    @Column(name = "zona_dtes_sup")
    private String zonaDtesSup;
    @Basic(optional = false)
    @Column(name = "zona_dtes_inf")
    private String zonaDtesInf;
    @Basic(optional = false)
    @Column(name = "radiografia_periapcial")
    private String radiografiaPeriapcial;
  
  
    
     public String getZonaAtm() {
        return zonaAtm;
    }

    public void setZonaAtm(String zonaAtm) {
        String oldZonaAtm = this.zonaAtm;
        this.zonaAtm = zonaAtm;
        changeSupport.firePropertyChange("zonaAtm", oldZonaAtm, zonaAtm);
    }

    public String getZonaMaxilar() {
        return zonaMaxilar;
    }

    public void setZonaMaxilar(String zonaMaxilar) {
        String oldZonaMaxilar = this.zonaMaxilar;
        this.zonaMaxilar = zonaMaxilar;
        changeSupport.firePropertyChange("zonaMaxilar", oldZonaMaxilar, zonaMaxilar);
    }

    public String getZonaMand() {
        return zonaMand;
    }

    public void setZonaMand(String zonaMand) {
        String oldZonaMand = this.zonaMand;
        this.zonaMand = zonaMand;
        changeSupport.firePropertyChange("zonaMand", oldZonaMand, zonaMand);
    }

    public String getZonaDtesSup() {
        return zonaDtesSup;
    }

    public void setZonaDtesSup(String zonaDtesSup) {
        String oldZonaDtesSup = this.zonaDtesSup;
        this.zonaDtesSup = zonaDtesSup;
        changeSupport.firePropertyChange("zonaDtesSup", oldZonaDtesSup, zonaDtesSup);
    }

    public String getZonaDtesInf() {
        return zonaDtesInf;
    }

    public void setZonaDtesInf(String zonaDtesInf) {
        String oldZonaDtesInf = this.zonaDtesInf;
        this.zonaDtesInf = zonaDtesInf;
        changeSupport.firePropertyChange("zonaDtesInf", oldZonaDtesInf, zonaDtesInf);
    }

    public String getRadiografiaPeriapcial() {
        return radiografiaPeriapcial;
    }

    public void setRadiografiaPeriapcial(String radiografiaPeriapcial) {
        String oldRadiografiaPeriapcial = this.radiografiaPeriapcial;
        this.radiografiaPeriapcial = radiografiaPeriapcial;
        changeSupport.firePropertyChange("radiografiaPeriapcial", oldRadiografiaPeriapcial, radiografiaPeriapcial);
    }


    
}