/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades.historia;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;

@Embeddable
public class Antecedentes implements Serializable {

    @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
    @Basic(optional = false)
    @Column(name = "tratamiento_medico")
    private boolean tratamientoMedico;
    @Basic(optional = false)
    @Column(name = "ingiere_medicamentos")
    private boolean ingiereMedicamentos;
    @Basic(optional = false)
    @Column(name = "reaccion_alergica")
    private boolean reaccionAlergica;
    @Basic(optional = false)
    @Column(name = "hemorragias")
    private boolean hemorragias;
    @Basic(optional = false)
    @Column(name = "irradiaciones")
    private boolean irradiaciones;
    @Basic(optional = false)
    @Column(name = "sinusitis")
    private boolean sinusitis;
    @Basic(optional = false)
    @Column(name = "enferm_respiratorias")
    private boolean enfermRespiratorias;
    @Basic(optional = false)
    @Column(name = "cardiopatia")
    private boolean cardiopatia;
    @Basic(optional = false)
    @Column(name = "diabetes_hipoglicemia")
    private boolean diabetesHipoglicemia;
    @Basic(optional = false)
    @Column(name = "fiebre")
    private boolean fiebre;
    @Basic(optional = false)
    @Column(name = "hepatitis")
    private boolean hepatitis;
    @Basic(optional = false)
    @Column(name = "hipertencion_arterial")
    private boolean hipertencionArterial;

    @Column(name = "tratamiento_medico_d")
    private String tratamientoMedicoD;
    @Column(name = "ingiere_medicamentos_d")
    private String ingiereMedicamentosD;
    @Column(name = "reaccion_alergica_d")
    private String reaccionAlergicaD;
    @Column(name = "hemorragias_d")
    private String hemorragiasD;
    @Column(name = "irradiaciones_d")
    private String irradiacionesD;
    @Column(name = "sinusitis_d")
    private String sinusitisD;
    @Column(name = "enferm_respiratorias_d")
    private String enfermRespiratoriasD;
    @Column(name = "cardiopatia_d")
    private String cardiopatiaD;
    @Column(name = "diabetes_hipoglicemia_d")
    private String diabetesHipoglicemiaD;
    @Column(name = "fiebre_d")
    private String fiebreD;
    @Column(name = "hepatitis_d")
    private String hepatitisD;
    @Column(name = "hipertencion_arterial_d")
    private String hipertencionArterialD;
    @Column(name = "otros")
    private String otros;
    @Basic(optional = false)
    @Column(name = "otros_si")
    private boolean otrosi;

    public boolean getTratamientoMedico() {
        return tratamientoMedico;
    }

    public void setTratamientoMedico(boolean tratamientoMedico) {
        boolean oldTratamientoMedico = this.tratamientoMedico;
        this.tratamientoMedico = tratamientoMedico;
        changeSupport.firePropertyChange("tratamientoMedico", oldTratamientoMedico, tratamientoMedico);
    }

    public boolean getIngiereMedicamentos() {
        return ingiereMedicamentos;
    }

    public void setIngiereMedicamentos(boolean ingiereMedicamentos) {
        boolean oldIngiereMedicamentos = this.ingiereMedicamentos;
        this.ingiereMedicamentos = ingiereMedicamentos;
        changeSupport.firePropertyChange("ingiereMedicamentos", oldIngiereMedicamentos, ingiereMedicamentos);
    }

    public boolean getReaccionAlergica() {
        return reaccionAlergica;
    }

    public void setReaccionAlergica(boolean reaccionAlergica) {
        boolean oldReaccionAlergica = this.reaccionAlergica;
        this.reaccionAlergica = reaccionAlergica;
        changeSupport.firePropertyChange("reaccionAlergica", oldReaccionAlergica, reaccionAlergica);
    }

    public boolean getHemorragias() {
        return hemorragias;
    }

    public void setHemorragias(boolean hemorragias) {
        boolean oldHemorragias = this.hemorragias;
        this.hemorragias = hemorragias;
        changeSupport.firePropertyChange("hemorragias", oldHemorragias, hemorragias);
    }

    public boolean getIrradiaciones() {
        return irradiaciones;
    }

    public void setIrradiaciones(boolean irradiaciones) {
        boolean oldIrradiaciones = this.irradiaciones;
        this.irradiaciones = irradiaciones;
        changeSupport.firePropertyChange("irradiaciones", oldIrradiaciones, irradiaciones);
    }

    public boolean getSinusitis() {
        return sinusitis;
    }

    public void setSinusitis(boolean sinusitis) {
        boolean oldSinusitis = this.sinusitis;
        this.sinusitis = sinusitis;
        changeSupport.firePropertyChange("sinusitis", oldSinusitis, sinusitis);
    }

    public boolean getEnfermRespiratorias() {
        return enfermRespiratorias;
    }

    public void setEnfermRespiratorias(boolean enfermRespiratorias) {
        boolean oldEnfermRespiratorias = this.enfermRespiratorias;
        this.enfermRespiratorias = enfermRespiratorias;
        changeSupport.firePropertyChange("enfermRespiratorias", oldEnfermRespiratorias, enfermRespiratorias);
    }

    public boolean getCardiopatia() {
        return cardiopatia;
    }

    public void setCardiopatia(boolean cardiopatia) {
        boolean oldCardiopatia = this.cardiopatia;
        this.cardiopatia = cardiopatia;
        changeSupport.firePropertyChange("cardiopatia", oldCardiopatia, cardiopatia);
    }

    public boolean getDiabetesHipoglicemia() {
        return diabetesHipoglicemia;
    }

    public void setDiabetesHipoglicemia(boolean diabetesHipoglicemia) {
        boolean oldDiabetesHipoglicemia = this.diabetesHipoglicemia;
        this.diabetesHipoglicemia = diabetesHipoglicemia;
        changeSupport.firePropertyChange("diabetesHipoglicemia", oldDiabetesHipoglicemia, diabetesHipoglicemia);
    }

    public boolean getFiebre() {
        return fiebre;
    }

    public void setFiebre(boolean fiebre) {
        boolean oldFiebre = this.fiebre;
        this.fiebre = fiebre;
        changeSupport.firePropertyChange("fiebre", oldFiebre, fiebre);
    }

    public boolean getHepatitis() {
        return hepatitis;
    }

    public void setHepatitis(boolean hepatitis) {
        boolean oldHepatitis = this.hepatitis;
        this.hepatitis = hepatitis;
        changeSupport.firePropertyChange("hepatitis", oldHepatitis, hepatitis);
    }

    public boolean getHipertencionArterial() {
        return hipertencionArterial;
    }

    public void setHipertencionArterial(boolean hipertencionArterial) {
        boolean oldHipertencionArterial = this.hipertencionArterial;
        this.hipertencionArterial = hipertencionArterial;
        changeSupport.firePropertyChange("hipertencionArterial", oldHipertencionArterial, hipertencionArterial);
    }

    public String getTratamientoMedicoD() {
        return tratamientoMedicoD;
    }

    public void setTratamientoMedicoD(String tratamientoMedico) {
        String oldTratamientoMedico = this.tratamientoMedicoD;
        this.tratamientoMedicoD = tratamientoMedico;
        changeSupport.firePropertyChange("tratamientoMedicoD", oldTratamientoMedico, tratamientoMedico);
    }

    public String getIngiereMedicamentosD() {
        return ingiereMedicamentosD;
    }

    public void setIngiereMedicamentosD(String ingiereMedicamentos) {
        String oldIngiereMedicamentos = this.ingiereMedicamentosD;
        this.ingiereMedicamentosD = ingiereMedicamentos;
        changeSupport.firePropertyChange("ingiereMedicamentosD", oldIngiereMedicamentos, ingiereMedicamentos);
    }

    public String getReaccionAlergicaD() {
        return reaccionAlergicaD;
    }

    public void setReaccionAlergicaD(String reaccionAlergica) {
        String oldReaccionAlergica = this.reaccionAlergicaD;
        this.reaccionAlergicaD = reaccionAlergica;
        changeSupport.firePropertyChange("reaccionAlergicaD", oldReaccionAlergica, reaccionAlergica);
    }

    public String getHemorragiasD() {
        return hemorragiasD;
    }

    public void setHemorragiasD(String hemorragias) {
        String oldHemorragias = this.hemorragiasD;
        this.hemorragiasD = hemorragias;
        changeSupport.firePropertyChange("hemorragiasD", oldHemorragias, hemorragias);
    }

    public String getIrradiacionesD() {
        return irradiacionesD;
    }

    public void setIrradiacionesD(String irradiaciones) {
        String oldIrradiaciones = this.irradiacionesD;
        this.irradiacionesD = irradiaciones;
        changeSupport.firePropertyChange("irradiacionesD", oldIrradiaciones, irradiaciones);
    }

    public String getSinusitisD() {
        return sinusitisD;
    }

    public void setSinusitisD(String sinusitis) {
        String oldSinusitis = this.sinusitisD;
        this.sinusitisD = sinusitis;
        changeSupport.firePropertyChange("sinusitisD", oldSinusitis, sinusitis);
    }

    public String getEnfermRespiratoriasD() {
        return enfermRespiratoriasD;
    }

    public void setEnfermRespiratoriasD(String enfermRespiratorias) {
        String oldEnfermRespiratorias = this.enfermRespiratoriasD;
        this.enfermRespiratoriasD = enfermRespiratorias;
        changeSupport.firePropertyChange("enfermRespiratoriasD", oldEnfermRespiratorias, enfermRespiratorias);
    }

    public String getCardiopatiaD() {
        return cardiopatiaD;
    }

    public void setCardiopatiaD(String cardiopatia) {
        String oldCardiopatia = this.cardiopatiaD;
        this.cardiopatiaD = cardiopatia;
        changeSupport.firePropertyChange("cardiopatiaD", oldCardiopatia, cardiopatia);
    }

    public String getDiabetesHipoglicemiaD() {
        return diabetesHipoglicemiaD;
    }

    public void setDiabetesHipoglicemiaD(String diabetesHipoglicemia) {
        String oldDiabetesHipoglicemia = this.diabetesHipoglicemiaD;
        this.diabetesHipoglicemiaD = diabetesHipoglicemia;
        changeSupport.firePropertyChange("diabetesHipoglicemiaD", oldDiabetesHipoglicemia, diabetesHipoglicemia);
    }

    public String getFiebreD() {
        return fiebreD;
    }

    public void setFiebreD(String fiebre) {
        String oldFiebre = this.fiebreD;
        this.fiebreD = fiebre;
        changeSupport.firePropertyChange("fiebreD", oldFiebre, fiebre);
    }

    public String getHepatitisD() {
        return hepatitisD;
    }

    public void setHepatitisD(String hepatitis) {
        String oldHepatitis = this.hepatitisD;
        this.hepatitisD = hepatitis;
        changeSupport.firePropertyChange("hepatitisD", oldHepatitis, hepatitis);
    }

    public String getHipertencionArterialD() {
        return hipertencionArterialD;
    }

    public void setHipertencionArterialD(String hipertencionArterial) {
        String oldHipertencionArterial = this.hipertencionArterialD;
        this.hipertencionArterialD = hipertencionArterial;
        changeSupport.firePropertyChange("hipertencionArterialD", oldHipertencionArterial, hipertencionArterial);
    }

    public String getOtros() {
        return otros;
    }

    public void setOtros(String otros) {
        String oldOtros = this.otros;
        this.otros = otros;
        changeSupport.firePropertyChange("otros", oldOtros, otros);
    }

    public void addPropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.addPropertyChangeListener(listener);
    }

    public void removePropertyChangeListener(PropertyChangeListener listener) {
        changeSupport.removePropertyChangeListener(listener);
    }

    /**
     * @return the otrosi
     */
    public boolean isOtrosi() {
        return otrosi;
    }

    /**
     * @param otrosi the otrosi to set
     */
    public void setOtrosi(boolean otrosi) {
        boolean oldOtrosi = this.otrosi;
        this.otrosi = otrosi;
        changeSupport.firePropertyChange("otrosSi", oldOtrosi, otrosi);
    }

}
