/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades.historia;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;
@Embeddable
public  class ExamenClinico implements Serializable {
 @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
      @Basic(optional = false)
    @Column(name = "frente")
    private String frente;
    @Basic(optional = false)
    @Column(name = "perfil")
    private String perfil;
    @Basic(optional = false)
    @Column(name = "medio")
    private String medio;
    @Basic(optional = false)
    @Column(name = "inferior")
    private String inferior;
    @Basic(optional = false)
    @Column(name = "examen_visual_favorable")
    private String examenVisualFavorable;
    @Basic(optional = false)
    @Column(name = "labios")
    private String labios;
    @Basic(optional = true)
    @Column(name = "labios2")
    private String labios2;
    @Basic(optional = false)
    @Column(name = "surco_ml")
    private String surcoMl;
     @Basic(optional = true)
    @Column(name = "angulo_nl")
    private String anguloNl;
    @Basic(optional = false)
    @Column(name = "sonrisa")
    private String sonrisa;
     @Basic(optional = false)
    @Column(name = "exp_gingival")
    private String expGingival;
    @Basic(optional = false)
    @Column(name = "tono")
    private String tono;    
    @Basic(optional = false)
    @Column(name = "sellado_labial")
    private String selladoLabial;
    @Basic(optional = false)
    @Column(name = "linea_labial")
    private String lineaLabial;    
    @Column(name = "otros_examen_clinico")
    private String otrosExamenClinico;
    @Basic(optional = false)
    @Column(name = "otros_examen_clinico_si")
    private boolean otrosExamenClinicoSi;
     public String getFrente() {
        return frente;
    }

    public void setFrente(String frente) {
        String oldFrente = this.frente;
        this.frente = frente;
        changeSupport.firePropertyChange("frente", oldFrente, frente);
    }

    public String getPerfil() {
        return perfil;
    }

    public void setPerfil(String perfil) {
        String oldPerfil = this.perfil;
        this.perfil = perfil;
        changeSupport.firePropertyChange("perfil", oldPerfil, perfil);
    }

    public String getMedio() {
        return medio;
    }

    public void setMedio(String medio) {
        String oldMedio = this.medio;
        this.medio = medio;
        changeSupport.firePropertyChange("medio", oldMedio, medio);
    }

    public String getInferior() {
        return inferior;
    }

    public void setInferior(String inferior) {
        String oldInferior = this.inferior;
        this.inferior = inferior;
        changeSupport.firePropertyChange("inferior", oldInferior, inferior);
    }

    public String getExamenVisualFavorable() {
        return examenVisualFavorable;
    }

    public void setExamenVisualFavorable(String examenVisualFavorable) {
        String oldExamenVisualFavorable = this.examenVisualFavorable;
        this.examenVisualFavorable = examenVisualFavorable;
        changeSupport.firePropertyChange("examenVisualFavorable", oldExamenVisualFavorable, examenVisualFavorable);
    }

    public String getLabios() {
        return labios;
    }

    public void setLabios(String labios) {
        String oldLabios = this.labios;
        this.labios = labios;
        changeSupport.firePropertyChange("labios", oldLabios, labios);
    }
     public String getLabios2() {
        return labios2;
    }

    public void setLabios2(String labios) {
        String oldLabios = this.labios2;
        this.labios2 = labios;
        changeSupport.firePropertyChange("labios2", oldLabios, labios);
    }

    public String getSurcoMl() {
        return surcoMl;
    }

    public void setSurcoMl(String surcoMl) {
        String oldSurcoMl = this.surcoMl;
        this.surcoMl = surcoMl;
        changeSupport.firePropertyChange("surcoMl", oldSurcoMl, surcoMl);
    }  public String getAnguloNl() {
        return anguloNl;
    }

    public void setAnguloNl(String anguloNl) {
        String oldSurcoMl = this.anguloNl;
        this.anguloNl = anguloNl;
        changeSupport.firePropertyChange("anguloNl", oldSurcoMl, anguloNl);
    }

    public String getSonrisa() {
        return sonrisa;
    }

    public void setSonrisa(String sonrisa) {
        String oldSonrisa = this.sonrisa;
        this.sonrisa = sonrisa;
        changeSupport.firePropertyChange("sonrisa", oldSonrisa, sonrisa);
    }
    public String getExpGingival() {
        return expGingival;
    }

    public void setExpGingival(String expGingival) {
        String oldexpGingival = this.expGingival;
        this.expGingival = expGingival;
        changeSupport.firePropertyChange("expGingival", oldexpGingival, expGingival);
    }
     public String getTono() {
        return sonrisa;
    }

    public void setTono(String tono) {
        String oldtono = this.tono;
        this.tono = tono;
        changeSupport.firePropertyChange("tono", oldtono, tono);
    }

    public String getSelladoLabial() {
        return selladoLabial;
    }

    public void setSelladoLabial(String selladoLabial) {
        String oldSelladoLabial = this.selladoLabial;
        this.selladoLabial = selladoLabial;
        changeSupport.firePropertyChange("selladoLabial", oldSelladoLabial, selladoLabial);
    }

    public String getLineaLabial() {
        return lineaLabial;
    }

    public void setLineaLabial(String lineaLabial) {
        String oldLineaLabial = this.lineaLabial;
        this.lineaLabial = lineaLabial;
        changeSupport.firePropertyChange("lineaLabial", oldLineaLabial, lineaLabial);
    }

    public String getOtrosExamenClinico() {
        return otrosExamenClinico;
    }

    public void setOtrosExamenClinico(String otrosExamenClinico) {
        String oldOtrosExamenClinico = this.otrosExamenClinico;
        this.otrosExamenClinico = otrosExamenClinico;
        changeSupport.firePropertyChange("otrosExamenClinico", oldOtrosExamenClinico, otrosExamenClinico);
    }
     public boolean getOtrosExamenClinicoSi() {
        return otrosExamenClinicoSi;
    }

    public void setOtrosExamenClinicoSi(boolean otrosExamenClinico) {
        boolean oldOtrosExamenClinico = this.otrosExamenClinicoSi;
        this.otrosExamenClinicoSi = otrosExamenClinico;
        changeSupport.firePropertyChange("otrosExamenClinicoSi", oldOtrosExamenClinico, otrosExamenClinico);
    }
}

