/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades.historia;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;

/**
 *
 * @author Andersson Paz Narvaez
 */
@Embeddable
public class ExamenIntraOral implements Serializable {

    @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);

    @Column(name = "mucosas")
    private String mucosas;
    @Column(name = "frenillos")
    private String frenillos;
    @Column(name = "lengua")
    private String lengua;
    @Basic(optional = false)
    @Column(name = "mucosas_normal")
    private boolean mucosasNormal;
    @Basic(optional = false)
    @Column(name = "frenillos_normal")
    private boolean frenillosNormal;
    @Basic(optional = false)
    @Column(name = "lengua_normal")
    private boolean lenguaNormal;
    @Basic(optional = false)
    @Column(name = "tejido_gingival")
    private String tejidoGingival;
    @Basic(optional = false)
    @Column(name = "paladar")
    private String paladar;
    @Basic(optional = false)
    @Column(name = "fisurado")
    private String fisiurado;
    @Basic(optional = false)
    @Column(name = "denticion")
    private String denticion;
    @Basic(optional = false)
    @Column(name = "alteracion_n")
    private String alteracionN;
    @Column(name = "alteracion_ausencia")
    private String alteracionAusencia;
    @Basic(optional = false)
    @Column(name = "linea_media")
    private boolean lineaMedia;

    @Basic(optional = false)
    @Column(name = "sup_der")
    private long sup_der;
    @Basic(optional = false)
    @Column(name = "sup_izq")
    private long sup_izq;
    @Basic(optional = false)
    @Column(name = "inf_der")
    private long inf_der;
    @Basic(optional = false)
    @Column(name = "inf_izq")
    private long inf_izq;
    @Basic(optional = false)
    @Column(name = "oj")
    private long oj;
    @Basic(optional = false)
    @Column(name = "ob")
    private long ob;
    @Basic(optional = false)
    @Column(name = "porcentaje")
    private long porcentaje;
    @Basic(optional = false)
    @Column(name = "rel_molar_der")
    private String relMolarDer;
    @Column(name = "rel_molar_der_mm")
    private Integer relMolarDerMm;
    @Basic(optional = false)
    @Column(name = "rel_molar_izq")
    private String relMolarIzq;
    @Column(name = "rel_molar_izq_mm")
    private Integer relMolarIzqMm;
    @Column(name = "rel_molar_der_t")
    private String relMolarDerT;
    @Column(name = "rel_molar_der_mm_t")
    private Integer relMolarDerMmT;
    @Basic(optional = false)
    @Column(name = "rel_molar_izq_t")
    private String relMolarIzqT;
    @Column(name = "rel_molar_izq_mm_t")
    private Integer relMolarIzqMmT;
    @Basic(optional = false)
    @Column(name = "rel_canina_der")
    private String relCaninaDer;
    @Basic(optional = false)
    @Column(name = "rel_canina_der_mm")
    private Integer relCaninaDerMm;
    @Basic(optional = false)
    @Column(name = "rel_canina_izq")
    private String relCaninaIzq;
    @Column(name = "rel_canina_izq_mm")
    private Integer relCaninaIzqMm;
    @Basic(optional = false)
    @Column(name = "mordida_abierta_si")
    private boolean mordidaAbiertaSi;
    @Basic(optional = false)
    @Column(name = "mordida_cruzada_si")
    private boolean mordidaCruzadaSi;
    @Column(name = "mordida_abierta")
    private String mordidaAbierta;
    @Column(name = "mordida_cruzada")
    private String mordidaCruzada;
    @Basic(optional = false)
    @Column(name = "coincide_oc1")
    private boolean coincideOcYRc;
    @Basic(optional = false)
    @Column(name = "interferencia")
    private String interferencia;
    @Basic(optional = false)
    @Column(name = "atm")
    private boolean atm;
    // @Basic(optional = false)
    @Column(name = "atm_descripcion")
    private String atmDescripcion;
    // @Basic(optional = false)
    @Column(name = "atm_bilateral")
    private String atmBilateral;
    @Basic(optional = false)
    @Column(name = "musculos_masticacion")
    private boolean musculosMasticacion;
    //  @Basic(optional = false)
    @Column(name = "musculos_masticacion_anormal")
    private String musculosMasticacionAnormal;
    @Basic(optional = false)
    @Column(name = "desgaste")
    private boolean desgaste;
    // @Basic(optional = false)
    @Column(name = "desgaste_no")
    private String desgasteNo;
    @Basic(optional = false)
    @Column(name = "apertura_maxima")
    private boolean aperturaMaxima;
    @Column(name = "apertura_maxima_lim")
    private String apertura_maxima_lim;
    @Basic(optional = false)
    @Column(name = "desviacion")
    private String desviacion;
    @Column(name = "alt")
    private String alt;

    /**
     * Get the value of alt
     *
     * @return the value of alt
     */
    public String getAlt() {
        return alt;
    }

    /**
     * Set the value of alt
     *
     * @param alt new value of alt
     */
    public void setAlt(String alt) {
        String oldAlt = this.alt;
        this.alt = alt;
        changeSupport.firePropertyChange("alt", oldAlt, alt);
    }

    /**
     * Get the value of apertura_maxima_lim
     *
     * @return the value of apertura_maxima_lim
     */
    public String getApertura_maxima_lim() {
        return apertura_maxima_lim;
    }

    /**
     * Set the value of apertura_maxima_lim
     *
     * @param apertura_maxima_lim new value of apertura_maxima_lim
     */
    public void setApertura_maxima_lim(String apertura_maxima_lim) {
        String oldApertura_maxima_lim = this.apertura_maxima_lim;
        this.apertura_maxima_lim = apertura_maxima_lim;
        changeSupport.firePropertyChange("apertura_maxima_lim", oldApertura_maxima_lim, apertura_maxima_lim);
    }

    public String getMucosas() {
        return mucosas;
    }

    public void setMucosas(String mucosas) {
        String oldMucosas = this.mucosas;
        this.mucosas = mucosas;
        changeSupport.firePropertyChange("mucosas", oldMucosas, mucosas);
    }

    public String getFrenillos() {
        return frenillos;
    }

    public void setFrenillos(String frenillos) {
        String oldFrenillos = this.frenillos;
        this.frenillos = frenillos;
        changeSupport.firePropertyChange("frenillos", oldFrenillos, frenillos);
    }

    public String getLengua() {
        return lengua;
    }

    public void setLengua(String lengua) {
        String oldLengua = this.lengua;
        this.lengua = lengua;
        changeSupport.firePropertyChange("lengua", oldLengua, lengua);
    }

    public boolean getMucosasNormal() {
        return mucosasNormal;
    }

    public void setMucosasNormal(boolean mucosas) {
        boolean oldMucosas = this.mucosasNormal;
        this.mucosasNormal = mucosas;
        changeSupport.firePropertyChange("mucosasNormal", oldMucosas, mucosas);
    }

    public boolean getFrenillosNormal() {
        return frenillosNormal;
    }

    public void setFrenillosNormal(boolean frenillos) {
        boolean oldFrenillos = this.frenillosNormal;
        this.frenillosNormal = frenillos;
        changeSupport.firePropertyChange("frenillosNormal", oldFrenillos, frenillos);
    }

    public boolean getLenguaNormal() {
        return lenguaNormal;
    }

    public void setLenguaNormal(boolean lengua) {
        boolean oldLengua = this.lenguaNormal;
        this.lenguaNormal = lengua;
        changeSupport.firePropertyChange("lenguaNormal", oldLengua, lengua);
    }

    public String getTejidoGingival() {
        return tejidoGingival;
    }

    public void setTejidoGingival(String tejidoGingival) {
        String oldTejidoGingival = this.tejidoGingival;
        this.tejidoGingival = tejidoGingival;
        changeSupport.firePropertyChange("tejidoGingival", oldTejidoGingival, tejidoGingival);
    }

    public String getPaladar() {
        return paladar;
    }

    public void setPaladar(String paladar) {
        String oldPaladar = this.paladar;
        this.paladar = paladar;
        changeSupport.firePropertyChange("paladar", oldPaladar, paladar);
    }

    public String getFisurado() {
        return fisiurado;
    }

    public void setFisurado(String fisiurado) {
        String oldfisiurado = this.fisiurado;
        this.fisiurado = fisiurado;
        changeSupport.firePropertyChange("fisiurado", oldfisiurado, fisiurado);
    }

    public String getDenticion() {
        return denticion;
    }

    public void setDenticion(String denticion) {
        String oldDenticion = this.denticion;
        this.denticion = denticion;
        changeSupport.firePropertyChange("denticion", oldDenticion, denticion);
    }

    public String getAlteracionN() {
        return alteracionN;
    }

    public void setAlteracionN(String alteracionN) {
        String oldalteracionN = this.alteracionN;
        this.alteracionN = alteracionN;
        changeSupport.firePropertyChange("alteracionN", oldalteracionN, alteracionN);
    }

    public String getAlteracionAusencia() {
        return alteracionAusencia;
    }

    public void seAlteracionAusencia(String alteracionAusencia) {
        String oldAlteracionAusencia = this.alteracionAusencia;
        this.alteracionAusencia = alteracionAusencia;
        changeSupport.firePropertyChange("alteracionAusencia", oldAlteracionAusencia, alteracionAusencia);
    }

    public boolean getLineaMedia() {
        return lineaMedia;
    }

    public void setLineaMedia(boolean lineaMedia) {
        boolean oldLineaMedia = this.lineaMedia;
        this.lineaMedia = lineaMedia;
        changeSupport.firePropertyChange("lineaMedia", oldLineaMedia, lineaMedia);
    }

    public long getSupDer() {
        return sup_der;
    }

    public void setSupDer(long sup_der) {
        long oldLineaMedia = this.sup_der;
        this.sup_der = sup_der;
        changeSupport.firePropertyChange("sup_der", oldLineaMedia, sup_der);
    }

    public long getSupIzq() {
        return sup_izq;
    }

    public void setSupIzq(long sup_izq) {
        long oldLineaMedia = this.sup_izq;
        this.sup_izq = sup_izq;
        changeSupport.firePropertyChange("sup_izq", oldLineaMedia, sup_izq);
    }

    public long getInfDer() {
        return inf_der;
    }

    public void setInfDer(long inf_der) {
        long oldLineaMedia = this.inf_der;
        this.inf_der = inf_der;
        changeSupport.firePropertyChange("inf_der", oldLineaMedia, inf_der);
    }

    public long getInfIzq() {
        return inf_izq;
    }

    public void setInfIzq(long inf_izq) {
        long oldLineaMedia = this.inf_izq;
        this.inf_izq = inf_izq;
        changeSupport.firePropertyChange("inf_izq", oldLineaMedia, inf_izq);
    }

    public long getOj() {
        return oj;
    }

    public void setOj(long oj) {
        long oldOj = this.oj;
        this.oj = oj;
        changeSupport.firePropertyChange("oj", oldOj, oj);
    }

    public long getOb() {
        return ob;
    }

    public void setOb(long ob) {
        long oldOb = this.ob;
        this.ob = ob;
        changeSupport.firePropertyChange("ob", oldOb, ob);
    }

    public long getPorcentaje() {
        return porcentaje;
    }

    public void setPorcentaje(long porcentaje) {
        long oldPorcentaje = this.porcentaje;
        this.porcentaje = porcentaje;
        changeSupport.firePropertyChange("porcentaje", oldPorcentaje, porcentaje);
    }

    public String getRelMolarDer() {
        return relMolarDer;
    }

    public void setRelMolarDer(String relMolar) {
        String oldRelMolar = this.relMolarDer;
        this.relMolarDer = relMolar;
        changeSupport.firePropertyChange("relMolarDer", oldRelMolar, relMolar);
    }

    public Integer getRelMolarDerMm() {
        return relMolarDerMm;
    }

    public void setRelMolarDerMm(Integer relMolar) {
        Integer oldRelMolar = this.relMolarDerMm;
        this.relMolarDerMm = relMolar;
        changeSupport.firePropertyChange("relMolarDerMm", oldRelMolar, relMolar);
    }

    public String getRelMolarIzq() {
        return relMolarIzq;
    }

    public void setRelMolarIzq(String relMolar) {
        String oldRelMolar = this.relMolarIzq;
        this.relMolarIzq = relMolar;
        changeSupport.firePropertyChange("relMolarIzq", oldRelMolar, relMolar);
    }

    public Integer getRelMolarIzqMm() {
        return relMolarIzqMm;
    }

    public void setRelMolarIzqMm(Integer relMolar) {
        Integer oldRelMolar = this.relMolarIzqMm;
        this.relMolarIzqMm = relMolar;
        changeSupport.firePropertyChange("relMolarIzqMm", oldRelMolar, relMolar);
    }

    public String getRelMolarDerT() {
        return relMolarDerT;
    }

    public void setRelMolarDerT(String relMolar) {
        String oldRelMolar = this.relMolarDerT;
        this.relMolarDerT = relMolar;
        changeSupport.firePropertyChange("relMolarDerT", oldRelMolar, relMolar);
    }

    public Integer getRelMolarDerMmT() {
        return relMolarDerMmT;
    }

    public void setRelMolarDerMmT(Integer relMolar) {
        Integer oldRelMolar = this.relMolarDerMmT;
        this.relMolarDerMmT = relMolar;
        changeSupport.firePropertyChange("relMolarDerMmT", oldRelMolar, relMolar);
    }

    public String getRelMolarIzqT() {
        return relMolarIzqT;
    }

    public void setRelMolarIzqT(String relMolar) {
        String oldRelMolar = this.relMolarIzqT;
        this.relMolarIzqT = relMolar;
        changeSupport.firePropertyChange("relMolarIzqT", oldRelMolar, relMolar);
    }

    public Integer getRelMolarIzqMmT() {
        return relMolarIzqMmT;
    }

    public void setRelMolarIzqMmT(Integer relMolar) {
        Integer oldRelMolar = this.relMolarIzqMmT;
        this.relMolarIzqMmT = relMolar;
        changeSupport.firePropertyChange("relMolarIzqMmT", oldRelMolar, relMolar);
    }

    public String getRelCaninaDer() {
        return relCaninaDer;
    }

    public void setRelCaninaDer(String relCanina) {
        String oldRelCanina = this.relCaninaDer;
        this.relCaninaDer = relCanina;
        changeSupport.firePropertyChange("relCaninaDer", oldRelCanina, relCanina);
    }

    public Integer getRelCaninaDerMm() {
        return relCaninaDerMm;
    }

    public void setRelCaninaDer(Integer relCanina) {
        Integer oldRelCanina = this.relCaninaDerMm;
        this.relCaninaDerMm = relCanina;
        changeSupport.firePropertyChange("relCaninaDerMm", oldRelCanina, relCanina);
    }

    public String getRelCaninaIzq() {
        return relCaninaIzq;
    }

    public void setRelCaninaIzq(String relCanina) {
        String oldRelCanina = this.relCaninaIzq;
        this.relCaninaIzq = relCanina;
        changeSupport.firePropertyChange("relCanina", oldRelCanina, relCanina);
    }

    public Integer getRelCaninaIzqMm() {
        return relCaninaIzqMm;
    }

    public void setRelCaninaIzqMm(Integer relCanina) {
        Integer oldRelCanina = this.relCaninaIzqMm;
        this.relCaninaIzqMm = relCanina;
        changeSupport.firePropertyChange("relCaninaMm", oldRelCanina, relCanina);
    }

    public boolean getMordidaAbiertaSi() {
        return mordidaAbiertaSi;
    }

    public void setMordidaAbiertaSi(boolean mordidaAbierta) {
        boolean oldMordidaAbierta = this.mordidaAbiertaSi;
        this.mordidaAbiertaSi = mordidaAbierta;
        changeSupport.firePropertyChange("mordidaAbiertaSi", oldMordidaAbierta, mordidaAbierta);
    }

    public boolean getMordidaCruzadaSi() {
        return mordidaCruzadaSi;
    }

    public void setMordidaCruzadaSi(boolean mordidaCruzada) {
        boolean oldMordidaCruzada = this.mordidaCruzadaSi;
        this.mordidaCruzadaSi = mordidaCruzada;
        changeSupport.firePropertyChange("mordidaCruzadaSi", oldMordidaCruzada, mordidaCruzada);
    }

    public String getMordidaAbierta() {
        return mordidaAbierta;
    }

    public void setMordidaAbierta(String mordidaAbierta) {
        String oldMordidaAbierta = this.mordidaAbierta;
        this.mordidaAbierta = mordidaAbierta;
        changeSupport.firePropertyChange("mordidaAbierta", oldMordidaAbierta, mordidaAbierta);
    }

    public String getMordidaCruzada() {
        return mordidaCruzada;
    }

    public void setMordidaCruzada(String mordidaCruzada) {
        String oldMordidaCruzada = this.mordidaCruzada;
        this.mordidaCruzada = mordidaCruzada;
        changeSupport.firePropertyChange("mordidaCruzada", oldMordidaCruzada, mordidaCruzada);
    }

    public boolean getCoincideOcYRc() {
        return coincideOcYRc;
    }

    public void setCoincideOcYRc(boolean coincideOcYRc) {
        boolean oldCoincideOcYRc = this.coincideOcYRc;
        this.coincideOcYRc = coincideOcYRc;
        changeSupport.firePropertyChange("coincideOcYRc", oldCoincideOcYRc, coincideOcYRc);
    }

    public String getInterferencia() {
        return interferencia;
    }

    public void setInterferencia(String interferencia) {
        String oldInterferencia = this.interferencia;
        this.interferencia = interferencia;
        changeSupport.firePropertyChange("interferencia", oldInterferencia, interferencia);
    }

    public boolean getAtm() {
        return atm;
    }

    public void setAtm(boolean atm) {
        boolean oldAtm = this.atm;
        this.atm = atm;
        changeSupport.firePropertyChange("atm", oldAtm, atm);
    }

    public String getAtmDescripcion() {
        return atmDescripcion;
    }

    public void setAtmDescripcion(String atm) {
        String oldAtm = this.atmDescripcion;
        this.atmDescripcion = atm;
        changeSupport.firePropertyChange("atmDescripcion", oldAtm, atm);
    }

    public String getAtmBilateral() {
        return atmBilateral;
    }

    public void setAtmBilateral(String atm) {
        String oldAtm = this.atmBilateral;
        this.atmBilateral = atm;
        changeSupport.firePropertyChange("atmBilateral", oldAtm, atm);
    }

    public boolean getMusculosMasticacion() {
        return musculosMasticacion;
    }

    public void setMusculosMasticacion(boolean musculosMasticacion) {
        boolean oldMusculosMasticacion = this.musculosMasticacion;
        this.musculosMasticacion = musculosMasticacion;
        changeSupport.firePropertyChange("musculosMasticacion", oldMusculosMasticacion, musculosMasticacion);
    }

    public String getMusculosMasticacionAnormal() {
        return musculosMasticacionAnormal;
    }

    public void setMusculosMasticacionAnormal(String musculosMasticacionAnormal) {
        String oldMusculosMasticacionAnormal = this.musculosMasticacionAnormal;
        this.musculosMasticacionAnormal = musculosMasticacionAnormal;
        changeSupport.firePropertyChange("musculosMasticacionAnormal", oldMusculosMasticacionAnormal, musculosMasticacionAnormal);
    }

    public boolean getDesgaste() {
        return desgaste;
    }

    public void setDesgaste(boolean desgaste) {
        boolean oldDesgaste = this.desgaste;
        this.desgaste = desgaste;
        changeSupport.firePropertyChange("desgaste", oldDesgaste, desgaste);
    }

    public String getDesgasteNo() {
        return desgasteNo;
    }

    public void setDesgasteNo(String desgasteNo) {
        String oldDesgasteNo = this.desgasteNo;
        this.desgasteNo = desgasteNo;
        changeSupport.firePropertyChange("desgasteNo", oldDesgasteNo, desgasteNo);
    }

    public boolean getAperturaMaxima() {
        return aperturaMaxima;
    }

    public void setAperturaMaxima(boolean aperturaMaxima) {
        boolean oldAperturaMaxima = this.aperturaMaxima;
        this.aperturaMaxima = aperturaMaxima;
        changeSupport.firePropertyChange("aperturaMaxima", oldAperturaMaxima, aperturaMaxima);
    }

    public String getDesviacion() {
        return desviacion;
    }

    public void setDesviacion(String desviacion) {
        String oldDesviacion = this.desviacion;
        this.desviacion = desviacion;
        changeSupport.firePropertyChange("desviacion", oldDesviacion, desviacion);
    }
}
