/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades.historia;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;

@Embeddable
public class Habitos implements Serializable {
    @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);
    @Basic(optional = false)
    @Column(name = "cepillado")
    private boolean cepillado;
    @Basic(optional = false)
    @Column(name = "seda_dental")
    private boolean sedaDental;
    @Basic(optional = false)
    @Column(name = "otros_habitos_si")
    private boolean otrosHabitosSi;  
    @Column(name = "otros_habitos")
    private String otrosHabitos;

    public boolean getCepillado() {
        return cepillado;
    }

    public void setCepillado(boolean cepillado) {
        boolean oldCepillado = this.cepillado;
        this.cepillado = cepillado;
        changeSupport.firePropertyChange("cepillado", oldCepillado, cepillado);
    }

    public boolean getSedaDental() {
        return sedaDental;
    }

    public void setSedaDental(boolean sedaDental) {
        boolean oldSedaDental = this.sedaDental;
        this.sedaDental = sedaDental;
        changeSupport.firePropertyChange("sedaDental", oldSedaDental, sedaDental);
    }

    public String getOtrosHabitos() {
        return otrosHabitos;
    }

    public void setOtrosHabitos(String otrosHabitos) {
        String oldOtrosHabitos = this.otrosHabitos;
        this.otrosHabitos = otrosHabitos;
        changeSupport.firePropertyChange("otrosHabitos", oldOtrosHabitos, otrosHabitos);
    }

    /**
     * @return the otrosHabitosSi
     */
    public boolean isOtrosHabitosSi() {
        return otrosHabitosSi;
    }

    /**
     * @param otrosHabitosSi the otrosHabitosSi to set
     */
    public void setOtrosHabitosSi(boolean otrosHabitosSi) {
        boolean oldOtrosHabitosSi = this.otrosHabitosSi;
        this.otrosHabitosSi = otrosHabitosSi;
        changeSupport.firePropertyChange("otrosHabitosSi", oldOtrosHabitosSi, otrosHabitosSi);
    }

}
