/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package entidades.historia;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Transient;

/**
 *
 * @author Andersson Paz Narvaez
 */


@Embeddable
public  class OtrosHabitos implements Serializable {
 @Transient
    private PropertyChangeSupport changeSupport = new PropertyChangeSupport(this);    
    @Basic(optional = false)
    @Column(name = "habitos")
    private boolean habitos;
    @Basic(optional = false)
    @Column(name = "respiracion_oral")
    private boolean respiracionOral;
    @Basic(optional = false)
    @Column(name = "onicofagia")
    private boolean onicofagia;
    @Basic(optional = false)
    @Column(name = "ceceo")
    private boolean ceceo;
    @Basic(optional = false)
    @Column(name = "empuje_lingual")
    private boolean empujeLingual;
    @Basic(optional = false)
    @Column(name = "bruxismo")
    private boolean bruxismo;
    @Basic(optional = false)
    @Column(name = "succion_digital")
    private boolean succionDigital;
    @Basic(optional = false)
    @Column(name = "apretamiento")
    private boolean apretamiento;
    @Basic(optional = false)
    @Column(name = "succion_labial")
    private boolean succionLabial;
    
    

    public boolean getHabitos() {
        return habitos;
    }

    public void setHabitos(boolean habitos) {
        boolean oldHabitos = this.habitos;
        this.habitos = habitos;
        changeSupport.firePropertyChange("habitos", oldHabitos, habitos);
    }

    public boolean getRespiracionOral() {
        return respiracionOral;
    }

    public void setRespiracionOral(boolean respiracionOral) {
        boolean oldRespiracionOral = this.respiracionOral;
        this.respiracionOral = respiracionOral;
        changeSupport.firePropertyChange("respiracionOral", oldRespiracionOral, respiracionOral);
    }

    public boolean getOnicofagia() {
        return onicofagia;
    }

    public void setOnicofagia(boolean onicofagia) {
        boolean oldOnicofagia = this.onicofagia;
        this.onicofagia = onicofagia;
        changeSupport.firePropertyChange("onicofagia", oldOnicofagia, onicofagia);
    }

    public boolean getCeceo() {
        return ceceo;
    }

    public void setCeceo(boolean ceceo) {
        boolean oldCeceo = this.ceceo;
        this.ceceo = ceceo;
        changeSupport.firePropertyChange("ceceo", oldCeceo, ceceo);
    }

    public boolean getEmpujeLingual() {
        return empujeLingual;
    }

    public void setEmpujeLingual(boolean empujeLingual) {
        boolean oldEmpujeLingual = this.empujeLingual;
        this.empujeLingual = empujeLingual;
        changeSupport.firePropertyChange("empujeLingual", oldEmpujeLingual, empujeLingual);
    }

    public boolean getBruxismo() {
        return bruxismo;
    }

    public void setBruxismo(boolean bruxismo) {
        boolean oldBruxismo = this.bruxismo;
        this.bruxismo = bruxismo;
        changeSupport.firePropertyChange("bruxismo", oldBruxismo, bruxismo);
    }

    public boolean getSuccionDigital() {
        return succionDigital;
    }

    public void setSuccionDigital(boolean succionDigital) {
        boolean oldSuccionDigital = this.succionDigital;
        this.succionDigital = succionDigital;
        changeSupport.firePropertyChange("succionDigital", oldSuccionDigital, succionDigital);
    }

    public boolean getApretamiento() {
        return apretamiento;
    }

    public void setApretamiento(boolean apretamiento) {
        boolean oldApretamiento = this.apretamiento;
        this.apretamiento = apretamiento;
        changeSupport.firePropertyChange("apretamiento", oldApretamiento, apretamiento);
    }

    public boolean getSuccionLabial() {
        return succionLabial;
    }

    public void setSuccionLabial(boolean succionLabial) {
        boolean oldSuccionLabial = this.succionLabial;
        this.succionLabial = succionLabial;
        changeSupport.firePropertyChange("succionLabial", oldSuccionLabial, succionLabial);
    }
}