/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.documentos;

import entidades.AnalisisCefalometricoAdulto;
import java.awt.EventQueue;
import java.beans.Beans;

import java.util.Collection;
import java.util.LinkedList;

import java.util.List;
import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 *
 * @author ander
 */
public class ACAdultos2 extends JPanel {

    private AnalisisCefalometricoAdulto analisis;

    public static final String PROP_ANALISIS = "analisis";

    /**
     * Get the value of analisis
     *
     * @return the value of analisis
     */
    public AnalisisCefalometricoAdulto getAnalisis() {
        return analisis;
    }

    /**
     * Set the value of analisis
     *
     * @param analisis new value of analisis
     */
    public void setAnalisis(AnalisisCefalometricoAdulto analisis) {
        AnalisisCefalometricoAdulto oldAnalisis = this.analisis;
        this.analisis = analisis;
        this.firePropertyChange(PROP_ANALISIS, oldAnalisis, analisis);
    }

    public ACAdultos2() {
        initComponents();
        if (!Beans.isDesignTime()) {
            em.getTransaction().begin();
        }
       
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        em = java.beans.Beans.isDesignTime() ? null : javax.persistence.Persistence.createEntityManagerFactory("IDROBOPU").createEntityManager();
        query = java.beans.Beans.isDesignTime() ? null : em.createQuery("SELECT a FROM AnalisisCefalometricoNinos a");
        list = java.beans.Beans.isDesignTime() ? java.util.Collections.emptyList() : org.jdesktop.observablecollections.ObservableCollections.observableList(query.getResultList());
        deleteDetailButton = new javax.swing.JButton();
        newDetailButton = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        rxCombo = new javax.swing.JComboBox();
        jTabbedPane1 = new javax.swing.JTabbedPane();
        subACNAdulto1 = new org.idrobo.documentos.SubACNAdulto();
        jScrollPane1 = new javax.swing.JScrollPane();
        resultadosAdultos1 = new org.idrobo.documentos.ResultadosAdultos();

        FormListener formListener = new FormListener();

        deleteDetailButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/textfield_delete.png"))); // NOI18N
        deleteDetailButton.setToolTipText("Eliminar Resultado");

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, rxCombo, org.jdesktop.beansbinding.ELProperty.create("${selectedElement != null}"), deleteDetailButton, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        deleteDetailButton.addActionListener(formListener);

        newDetailButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/textfield_add.png"))); // NOI18N
        newDetailButton.setToolTipText("Nuevo Resultado");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ, this, org.jdesktop.beansbinding.ELProperty.create("${analisis!=null}"), newDetailButton, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        newDetailButton.addActionListener(formListener);

        jButton3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/spellcheck.png"))); // NOI18N
        jButton3.setToolTipText("Comprobar/Guardar Todo");
        jButton3.addActionListener(formListener);

        jLabel1.setText("Rx:");

        org.jdesktop.beansbinding.ELProperty eLProperty = org.jdesktop.beansbinding.ELProperty.create("${analisis.resultadoAdultoCollection}");
        org.jdesktop.swingbinding.JComboBoxBinding jComboBoxBinding = org.jdesktop.swingbinding.SwingBindings.createJComboBoxBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, eLProperty, rxCombo);
        jComboBoxBinding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(jComboBoxBinding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisis!=null}"), rxCombo, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisis}"), subACNAdulto1, org.jdesktop.beansbinding.BeanProperty.create("analisis"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Datos", subACNAdulto1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, rxCombo, org.jdesktop.beansbinding.ELProperty.create("${selectedItem}"), resultadosAdultos1, org.jdesktop.beansbinding.BeanProperty.create("resultado"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jScrollPane1.setViewportView(resultadosAdultos1);

        jTabbedPane1.addTab("Resultados", jScrollPane1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel1)
                .addGap(18, 18, 18)
                .addComponent(rxCombo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(86, 86, 86)
                .addComponent(jButton3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(newDetailButton)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(deleteDetailButton)
                .addGap(118, 118, 118))
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {deleteDetailButton, newDetailButton});

        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(6, 6, 6)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLabel1)
                        .addComponent(rxCombo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(jButton3)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(deleteDetailButton)
                        .addComponent(newDetailButton)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 471, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        bindingGroup.bind();
    }

    // Code for dispatching events from components to event handlers.

    private class FormListener implements java.awt.event.ActionListener {
        FormListener() {}
        public void actionPerformed(java.awt.event.ActionEvent evt) {
            if (evt.getSource() == deleteDetailButton) {
                ACAdultos2.this.deleteDetailButtonActionPerformed(evt);
            }
            else if (evt.getSource() == newDetailButton) {
                ACAdultos2.this.newDetailButtonActionPerformed(evt);
            }
            else if (evt.getSource() == jButton3) {
                ACAdultos2.this.jButton3ActionPerformed(evt);
            }
        }
    }// </editor-fold>//GEN-END:initComponents


    private void deleteDetailButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_deleteDetailButtonActionPerformed

        // entidades.AnalisisCefalometricoAdulto a = em.find(entidades.AnalisisCefalometricoAdulto.class, analisis.getId());
        AnalisisCefalometricoAdulto a = getAnalisis();
        List<entidades.ResultadoAdulto> rs = (List<entidades.ResultadoAdulto>) a.getResultadoAdultoCollection();
        int selected = rxCombo.getSelectedIndex();
        entidades.ResultadoAdulto r = rs.get(selected);
        if (!em.contains(r)) {
         em.persist(r);   
        }        
        em.remove(r);
        rs.remove(r);
        setAnalisis(null);
        setAnalisis(a);
    }//GEN-LAST:event_deleteDetailButtonActionPerformed

    private void newDetailButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_newDetailButtonActionPerformed

        //  entidades.AnalisisCefalometricoAdulto a = em.find(entidades.AnalisisCefalometricoAdulto.class, analisis.getId());
        AnalisisCefalometricoAdulto a = getAnalisis();
        Collection<entidades.ResultadoAdulto> rs = a.getResultadoAdultoCollection();
        if (rs == null) {
            rs = new LinkedList<entidades.ResultadoAdulto>();
            a.setResultadoAdultoCollection((List) rs);
        }
        entidades.ResultadoAdulto r = new entidades.ResultadoAdulto();
        em.persist(r);
        r.setAnalisisCefalometricoAdultoId(a);
        rs.add(r);
        setAnalisis(null);
        setAnalisis(a);
        rxCombo.setSelectedItem(r);
    }//GEN-LAST:event_newDetailButtonActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        
        subACNAdulto1.checkNull();
    }//GEN-LAST:event_jButton3ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton deleteDetailButton;
    private javax.persistence.EntityManager em;
    private javax.swing.JButton jButton3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTabbedPane jTabbedPane1;
    private java.util.List<entidades.AnalisisCefalometricoNinos> list;
    private javax.swing.JButton newDetailButton;
    private javax.persistence.Query query;
    private org.idrobo.documentos.ResultadosAdultos resultadosAdultos1;
    private javax.swing.JComboBox rxCombo;
    private org.idrobo.documentos.SubACNAdulto subACNAdulto1;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables
    public static void main(String[] args) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(ACAdultos2.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(ACAdultos2.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(ACAdultos2.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(ACAdultos2.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        EventQueue.invokeLater(new Runnable() {
            public void run() {
                JFrame frame = new JFrame();
                frame.setContentPane(new ACAdultos2());
                frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                frame.pack();
                frame.setVisible(true);
            }
        });
    }

}
