/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.documentos;

import controladores.ResultadoAdultoJpaController;
import controladores.exceptions.NonexistentEntityException;
import entidades.AnalisisCefalometricoAdulto;
import entidades.ResultadoAdulto;
import java.awt.Cursor;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.util.Collection;
import java.util.Date;
import java.util.LinkedList;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;

/**
 *
 * @author Usuario
 */
public class AnalisisCNAdulto extends javax.swing.JPanel {

    private AnalisisCefalometricoAdulto analisis;

    public static final String PROP_ANALISIS = "analisis";
    private ResultadoAdultoJpaController controladorRx;

    /**
     * Get the value of analisis
     *
     * @return the value of analisis
     */
    public AnalisisCefalometricoAdulto getAnalisis() {
        return analisis;
    }

    /**
     * Set the value of analisis
     *
     * @param analisis new value of analisis
     */
    public void setAnalisis(AnalisisCefalometricoAdulto analisis) {
        AnalisisCefalometricoAdulto oldAnalisis = this.analisis;
        this.analisis = analisis;
         if (analisis != null) {
            resultadoAdultoQuery= em.createQuery("SELECT r FROM ResultadoAdulto r WHERE r.analisisCefalometricoAdultoId=:analisis");
            resultadoAdultoQuery.setParameter("analisis", analisis);
            utilidades.Crud.refrescar(em, resultadoAdultoQuery, resultadoAdultoList);
        } else {
            resultadoAdultoList.clear();
        }
        propertyChangeSupport.firePropertyChange(PROP_ANALISIS, oldAnalisis, analisis);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    /**
     * Creates new form AnalisisCNAdulto
     */
    public AnalisisCNAdulto() {
        initComponents();
        try {

            initComponents();
            setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
            resultadoAdultoList.clear();
            em.getTransaction().begin();
            resultadoAdultoQuery.setMaxResults(Integer.MAX_VALUE);
            resultadoAdultoList.clear();
            controladorRx = new ResultadoAdultoJpaController(em.getEntityManagerFactory());
        } catch (Exception e) {
            System.out.println("" + e.getLocalizedMessage());
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        em = java.beans.Beans.isDesignTime() ? null : javax.persistence.Persistence.createEntityManagerFactory("IDROBOPU").createEntityManager();
        resultadoAdultoQuery = java.beans.Beans.isDesignTime() ? null : em.createQuery("SELECT r FROM ResultadoAdulto r");
        resultadoAdultoList = java.beans.Beans.isDesignTime() ? java.util.Collections.emptyList() : org.jdesktop.observablecollections.ObservableCollections.observableList(resultadoAdultoQuery.getResultList());
        jTabbedPane1 = new javax.swing.JTabbedPane();
        subACNAdulto1 = new org.idrobo.documentos.SubACNAdulto();
        jScrollPane1 = new javax.swing.JScrollPane();
        resultadosAdultos1 = new org.idrobo.documentos.ResultadosAdultos();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        rxCombo = new javax.swing.JComboBox();
        jLabel1 = new javax.swing.JLabel();

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisis}"), subACNAdulto1, org.jdesktop.beansbinding.BeanProperty.create("analisis"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Datos", subACNAdulto1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, rxCombo, org.jdesktop.beansbinding.ELProperty.create("${selectedItem}"), resultadosAdultos1, org.jdesktop.beansbinding.BeanProperty.create("resultado"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jScrollPane1.setViewportView(resultadosAdultos1);

        jTabbedPane1.addTab("Resultados", jScrollPane1);

        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/add.png"))); // NOI18N
        jButton1.setToolTipText("Nuevo");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisis!=null}"), jButton1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jButton2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/delete.png"))); // NOI18N
        jButton2.setToolTipText("Eliminar");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisis!=null}"), jButton2, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jButton3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/accept.png"))); // NOI18N
        jButton3.setToolTipText("Comprobar/Guardar Todo");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisis!=null}"), jButton3, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        org.jdesktop.swingbinding.JComboBoxBinding jComboBoxBinding = org.jdesktop.swingbinding.SwingBindings.createJComboBoxBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, resultadoAdultoList, rxCombo);
        bindingGroup.addBinding(jComboBoxBinding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisis!=null}"), rxCombo, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jLabel1.setText("Rx:");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(rxCombo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton3)
                .addGap(69, 69, 69))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jButton1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLabel1)
                        .addComponent(rxCombo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jButton2))
                    .addComponent(jButton3))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTabbedPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 341, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        if (analisis.getResultadoAdultoCollection() == null) {
            Collection<ResultadoAdulto> cr = new LinkedList<>();
            analisis.setResultadoAdultoCollection(cr);
        }
        ResultadoAdulto rn = new ResultadoAdulto();
        rn.setFecha(new Date());
        resultadoAdultoList.add(rn);
        rn.setAnalisisCefalometricoAdultoId(analisis);
        try {
            rxCombo.setSelectedItem(rn);
        } catch (Exception e) {
        }
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        ResultadoAdulto r = (ResultadoAdulto) rxCombo.getSelectedItem();
        if (r != null) {
            if (JOptionPane.showConfirmDialog(null, "Esta seguro de elimiar " + r.getNumero(), "", JOptionPane.OK_CANCEL_OPTION) == 0) {
                try {
                    controladorRx.destroy(r.getId());
                    setAnalisis(analisis);
                } catch (NonexistentEntityException nonexistentEntityException) {
                    resultadoAdultoList.remove(r);
                }
            }

        }
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        ResultadoAdulto r = (ResultadoAdulto) rxCombo.getSelectedItem();
        r.setAnalisisCefalometricoAdultoId(analisis);
        if (!chekNull()) {
            if (r.getId() == null) {
                try {
                    controladorRx.create(r);
                } catch (Exception e) {

                }
            } else {
                try {
                    controladorRx.edit(r);
                } catch (Exception ex) {
                    Logger.getLogger(AnalisisCNinos.class.getName()).log(Level.SEVERE, null, ex);
                }
            }
        }
    }//GEN-LAST:event_jButton3ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.persistence.EntityManager em;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTabbedPane jTabbedPane1;
    private java.util.List<entidades.ResultadoAdulto> resultadoAdultoList;
    private javax.persistence.Query resultadoAdultoQuery;
    private org.idrobo.documentos.ResultadosAdultos resultadosAdultos1;
    private javax.swing.JComboBox rxCombo;
    private org.idrobo.documentos.SubACNAdulto subACNAdulto1;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables

    private boolean chekNull() {
        if (resultadosAdultos1.checkNull()) {
            jTabbedPane1.setSelectedIndex(1);
            return true;
        }
        if (subACNAdulto1.checkNull()) {
            jTabbedPane1.setSelectedComponent(subACNAdulto1);
            return true;
        }
        return false;
    }
}
