/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.documentos;

import entidades.AnalisisCefalometricoNinos;
import entidades.ResultadosNinos;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

/**
 *
 * @author Usuario
 */
public class SubACN extends javax.swing.JPanel {

    private AnalisisCefalometricoNinos analisis;

    public static final String PROP_ANALISIS = "analisis";

    private ResultadosNinos resultados;

    public static final String PROP_RESULTADOS = "resultados";

    /**
     * Get the value of resultados
     *
     * @return the value of resultados
     */
    public ResultadosNinos getResultados() {
        return resultados;
    }

    /**
     * Set the value of resultados
     *
     * @param resultados new value of resultados
     */
    public void setResultados(ResultadosNinos resultados) {
        ResultadosNinos oldResultados = this.resultados;
        this.resultados = resultados;
        propertyChangeSupport.firePropertyChange(PROP_RESULTADOS, oldResultados, resultados);
    }

    /**
     * Get the value of analisis
     *
     * @return the value of analisis
     */
    public AnalisisCefalometricoNinos getAnalisis() {
        return analisis;
    }

    /**
     * Set the value of analisis
     *
     * @param analisis new value of analisis
     */
    public void setAnalisis(AnalisisCefalometricoNinos analisis) {
        AnalisisCefalometricoNinos oldAnalisis = this.analisis;
        this.analisis = analisis;
        propertyChangeSupport.firePropertyChange(PROP_ANALISIS, oldAnalisis, analisis);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    /**
     * Creates new form SubACN
     */
    public SubACN() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        normasACN1 = new org.idrobo.documentos.NormasACN();
        resultadosACN1 = new org.idrobo.documentos.ResultadosACNinos();

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisis}"), normasACN1, org.jdesktop.beansbinding.BeanProperty.create("analisis"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${resultados}"), resultadosACN1, org.jdesktop.beansbinding.BeanProperty.create("resultados"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(normasACN1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(resultadosACN1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, 0))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(normasACN1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addComponent(resultadosACN1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.idrobo.documentos.NormasACN normasACN1;
    private org.idrobo.documentos.ResultadosACNinos resultadosACN1;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables

    boolean chekNull() {
        if (resultadosACN1.chekNull()) {
            return true;
        } else {
            return normasACN1.chekNull();
        }

    }
}
