/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.form;

import controladores.AnalisisCefalometricoAdultoJpaController;
import controladores.AnalisisCefalometricoNinosJpaController;
import controladores.AutorizacionAdultoJpaController;
import controladores.AutorizacionJpaController;
import controladores.exceptions.IllegalOrphanException;
import entidades.AnalisisCefalometricoAdulto;
import entidades.AnalisisCefalometricoNinos;
import entidades.Autorizacion;
import entidades.AutorizacionAdulto;

import entidades.Tratamiento;
import java.awt.Cursor;
import java.awt.EventQueue;
import java.beans.Beans;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.persistence.EntityManager;
import javax.persistence.Persistence;
import javax.persistence.RollbackException;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import org.idrobo.documentos.AnalisisCNinos;
import org.idrobo.documentos.AutorizacionForm;
import utilidades.Crud;
import org.idrobo.documentos.AnalisisCNAdulto;
import org.idrobo.documentos.AutoAdulto;
import org.idrobo.documentos.VerTodos;
import org.idrobo.historia.EditorHistoria;
import salidas.Recetas;
import salidas.RecibosCaja;
import salidas.Remisiones;

/**
 *
 * @author Usuario
 */
public class CrudTratamiento extends JPanel {

    public static final String PROP_TRATAMIENTO_1 = "PROP_TRATAMIENTO_1";

    private Tratamiento tratamiento;

    public static final String PROP_TRATAMIENTO = "tratamiento";

    /**
     * Get the value of tratamiento
     *
     * @return the value of tratamiento
     */
    public Tratamiento getTratamiento() {
        return tratamiento;
    }

    /**
     * Set the value of tratamiento
     *
     * @param tratamiento new value of tratamiento
     */
    public void setTratamiento(Tratamiento tratamiento) {
 
        Tratamiento oldTratamiento = this.tratamiento;
        this.tratamiento = tratamiento;

        propertyChangeSupport.firePropertyChange(PROP_TRATAMIENTO, oldTratamiento, tratamiento);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    public CrudTratamiento() {
        initComponents();

        if (!Beans.isDesignTime()) {
            em.getTransaction().begin();
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        em = java.beans.Beans.isDesignTime() ? null : javax.persistence.Persistence.createEntityManagerFactory("IDROBOPU").createEntityManager();
        query = java.beans.Beans.isDesignTime() ? null : em.createQuery("SELECT t FROM Tratamiento t");
        list = java.beans.Beans.isDesignTime() ? java.util.Collections.emptyList() : org.jdesktop.observablecollections.ObservableCollections.observableList(query.getResultList());
        popMenu = new javax.swing.JPopupMenu();
        historiasItem = new javax.swing.JMenuItem();
        evolucionItem = new javax.swing.JMenuItem();
        docsItem = new javax.swing.JMenuItem();
        recetarioItem = new javax.swing.JMenuItem();
        remisionItem = new javax.swing.JMenuItem();
        reciboItem = new javax.swing.JMenuItem();
        editorHistoria1 =  null;//new org.idrobo.historia.EditorHistoria();
        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        buttonGroup3 = new javax.swing.ButtonGroup();
        masterScrollPane = new javax.swing.JScrollPane();
        masterTable = new javax.swing.JTable();
        fechaLabel = new javax.swing.JLabel();
        descripcionLabel = new javax.swing.JLabel();
        finTratamientoLabel = new javax.swing.JLabel();
        fechaFinLabel = new javax.swing.JLabel();
        inactivoLabel = new javax.swing.JLabel();
        deAltaLabel = new javax.swing.JLabel();
        pacienteIdLabel = new javax.swing.JLabel();
        descripcionField = new javax.swing.JTextField();
        jCheckBox2 = new javax.swing.JCheckBox();
        saveButton = new javax.swing.JButton();
        refreshButton = new javax.swing.JButton();
        newButton = new javax.swing.JButton();
        deleteButton = new javax.swing.JButton();
        jDateChooser1 = new com.toedter.calendar.JDateChooser();
        jCheckBox1 = new javax.swing.JCheckBox();
        selPaciente1 = new controles.SelPaciente();
        finTratCheck = new javax.swing.JCheckBox();
        fechaFinCal = new com.toedter.calendar.JDateChooser();
        busquedaField = new javax.swing.JTextField();
        jLabel22 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jRadioButton1 = new javax.swing.JRadioButton();
        jRadioButton2 = new javax.swing.JRadioButton();
        jRadioButton3 = new javax.swing.JRadioButton();
        jRadioButton5 = new javax.swing.JRadioButton();
        jRadioButton7 = new javax.swing.JRadioButton();
        jRadioButton8 = new javax.swing.JRadioButton();
        jRadioButton9 = new javax.swing.JRadioButton();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();

        FormListener formListener = new FormListener();

        historiasItem.setText("Ver Historias");

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.id!=null}"), historiasItem, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        historiasItem.addActionListener(formListener);
        popMenu.add(historiasItem);

        evolucionItem.setText("Evolucion");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.id!=null}"), evolucionItem, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        evolucionItem.addActionListener(formListener);
        popMenu.add(evolucionItem);

        docsItem.setText("Documentos");
        docsItem.addActionListener(formListener);
        popMenu.add(docsItem);

        recetarioItem.setText("Recetario");
        recetarioItem.addActionListener(formListener);
        popMenu.add(recetarioItem);

        remisionItem.setText("Remision");
        remisionItem.addActionListener(formListener);
        popMenu.add(remisionItem);

        reciboItem.setText("Recibo De Caja");
        reciboItem.addActionListener(formListener);
        popMenu.add(reciboItem);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement}"), editorHistoria1, org.jdesktop.beansbinding.BeanProperty.create("tratamiento"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        masterTable.setComponentPopupMenu(popMenu);

        org.jdesktop.swingbinding.JTableBinding jTableBinding = org.jdesktop.swingbinding.SwingBindings.createJTableBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, list, masterTable);
        org.jdesktop.swingbinding.JTableBinding.ColumnBinding columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${id}"));
        columnBinding.setColumnName("Numero");
        columnBinding.setColumnClass(Integer.class);
        columnBinding.setEditable(false);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${fecha}"));
        columnBinding.setColumnName("Fecha");
        columnBinding.setColumnClass(java.util.Date.class);
        columnBinding.setEditable(false);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${pacienteId.nombreApellido}"));
        columnBinding.setColumnName("Paciente");
        columnBinding.setColumnClass(String.class);
        columnBinding.setEditable(false);
        columnBinding = jTableBinding.addColumnBinding(org.jdesktop.beansbinding.ELProperty.create("${pacienteId.adulto}"));
        columnBinding.setColumnName("Adulto");
        columnBinding.setColumnClass(Boolean.class);
        columnBinding.setEditable(false);
        bindingGroup.addBinding(jTableBinding);
        jTableBinding.bind();binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento}"), masterTable, org.jdesktop.beansbinding.BeanProperty.create("selectedElement"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        masterScrollPane.setViewportView(masterTable);
        if (masterTable.getColumnModel().getColumnCount() > 0) {
            masterTable.getColumnModel().getColumn(0).setPreferredWidth(100);
            masterTable.getColumnModel().getColumn(1).setPreferredWidth(200);
            masterTable.getColumnModel().getColumn(2).setResizable(false);
            masterTable.getColumnModel().getColumn(2).setPreferredWidth(300);
            masterTable.getColumnModel().getColumn(3).setResizable(false);
            masterTable.getColumnModel().getColumn(3).setPreferredWidth(50);
        }

        fechaLabel.setText("Fecha:");

        descripcionLabel.setText("Descripcion:");

        finTratamientoLabel.setText("Fin Tratamiento:");

        fechaFinLabel.setText("Fecha Fin:");

        inactivoLabel.setText("Inactivo:");

        deAltaLabel.setText("De Alta:");

        pacienteIdLabel.setText("Paciente Id:");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.descripcion}"), descripcionField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement != null}"), descripcionField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.deAlta}"), jCheckBox2, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement!=null}"), jCheckBox2, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        saveButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/accept.png"))); // NOI18N
        saveButton.setToolTipText("Guardar Todo");
        saveButton.addActionListener(formListener);

        refreshButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/arrow_refresh.png"))); // NOI18N
        refreshButton.setToolTipText("Deshacer / Refrescar");
        refreshButton.addActionListener(formListener);

        newButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/add.png"))); // NOI18N
        newButton.setToolTipText("Nuevo Tratamiento");
        newButton.addActionListener(formListener);

        deleteButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/delete.png"))); // NOI18N
        deleteButton.setToolTipText("Eliminar Tratamiento");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement != null}"), deleteButton, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        deleteButton.addActionListener(formListener);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.fecha}"), jDateChooser1, org.jdesktop.beansbinding.BeanProperty.create("date"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement!=null}"), jDateChooser1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.inactivo}"), jCheckBox1, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement!=null}"), jCheckBox1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement!=null}"), selPaciente1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.pacienteId}"), selPaciente1, org.jdesktop.beansbinding.BeanProperty.create("paciente"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        selPaciente1.addPropertyChangeListener(formListener);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.finTratamiento}"), finTratCheck, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement!=null}"), finTratCheck, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        finTratCheck.addActionListener(formListener);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.fechaFin}"), fechaFinCal, org.jdesktop.beansbinding.BeanProperty.create("date"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement.finTratamiento&&selectedElement!=null}"), fechaFinCal, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);

        busquedaField.addKeyListener(formListener);

        jLabel22.setText("Busqueda:");

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder("Documentos"));

        jLabel3.setText("Adolecente");

        jLabel4.setText("Adulto");

        jLabel5.setText("M. Edad");

        buttonGroup1.add(jRadioButton1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento.consentimiento}"), jRadioButton1, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento!=null}"), jRadioButton1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jRadioButton1.addActionListener(formListener);

        buttonGroup2.add(jRadioButton2);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento.analisisPresupuesto}"), jRadioButton2, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento!=null}"), jRadioButton2, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        buttonGroup3.add(jRadioButton3);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento.analisisCefalometrico}"), jRadioButton3, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento!=null}"), jRadioButton3, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        buttonGroup2.add(jRadioButton5);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento.analisisPresupuesto2}"), jRadioButton5, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento!=null}"), jRadioButton5, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        buttonGroup1.add(jRadioButton7);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento.consentimiento2}"), jRadioButton7, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento!=null}"), jRadioButton7, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jRadioButton7.addActionListener(formListener);

        buttonGroup2.add(jRadioButton8);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento.analisisPresupuesto3}"), jRadioButton8, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento!=null}"), jRadioButton8, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        buttonGroup3.add(jRadioButton9);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento.analisisCefalometrico2}"), jRadioButton9, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${tratamiento!=null}"), jRadioButton9, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jLabel1.setText("Consentimiento:");

        jLabel2.setText("An. Y presupuesto:");

        jLabel6.setText("An. Cefalometrico:");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap(18, Short.MAX_VALUE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel6)
                    .addComponent(jLabel2)
                    .addComponent(jLabel1))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 18, Short.MAX_VALUE)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(jLabel5)
                    .addComponent(jRadioButton1)
                    .addComponent(jRadioButton2)
                    .addComponent(jRadioButton3))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(jLabel3)
                    .addComponent(jRadioButton5))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(jRadioButton9)
                    .addComponent(jRadioButton8)
                    .addComponent(jRadioButton7)
                    .addComponent(jLabel4))
                .addContainerGap(18, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(jLabel4)
                    .addComponent(jLabel5))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(jLabel1)
                    .addComponent(jRadioButton1)
                    .addComponent(jRadioButton7))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(jLabel2)
                    .addComponent(jRadioButton2)
                    .addComponent(jRadioButton5)
                    .addComponent(jRadioButton8))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(jLabel6)
                    .addComponent(jRadioButton3)
                    .addComponent(jRadioButton9))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(fechaLabel)
                            .addComponent(descripcionLabel)
                            .addComponent(finTratamientoLabel)
                            .addComponent(fechaFinLabel)
                            .addComponent(inactivoLabel)
                            .addComponent(deAltaLabel))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(descripcionField, javax.swing.GroupLayout.DEFAULT_SIZE, 576, Short.MAX_VALUE)
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jCheckBox1)
                                    .addComponent(jCheckBox2))
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jDateChooser1, javax.swing.GroupLayout.PREFERRED_SIZE, 142, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(finTratCheck)
                                    .addComponent(fechaFinCal, javax.swing.GroupLayout.PREFERRED_SIZE, 141, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(selPaciente1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGap(0, 0, Short.MAX_VALUE))))
                    .addComponent(masterScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 701, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(newButton)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(deleteButton)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(saveButton)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(refreshButton))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(pacienteIdLabel)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel22)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(busquedaField, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );

        layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {deleteButton, newButton, refreshButton, saveButton});

        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(9, 9, 9)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel22)
                    .addComponent(busquedaField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(masterScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 133, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(fechaLabel)
                    .addComponent(jDateChooser1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(descripcionLabel)
                    .addComponent(descripcionField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(4, 4, 4)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(pacienteIdLabel)
                            .addComponent(selPaciente1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                            .addComponent(finTratCheck)
                            .addComponent(finTratamientoLabel))
                        .addGap(9, 9, 9)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(fechaFinLabel)
                            .addComponent(fechaFinCal, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                            .addComponent(inactivoLabel)
                            .addComponent(jCheckBox1))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                            .addComponent(deAltaLabel)
                            .addComponent(jCheckBox2)))
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(saveButton)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(refreshButton)
                        .addComponent(deleteButton)
                        .addComponent(newButton)))
                .addContainerGap())
        );

        bindingGroup.bind();
    }

    // Code for dispatching events from components to event handlers.

    private class FormListener implements java.awt.event.ActionListener, java.awt.event.KeyListener, java.beans.PropertyChangeListener {
        FormListener() {}
        public void actionPerformed(java.awt.event.ActionEvent evt) {
            if (evt.getSource() == saveButton) {
                CrudTratamiento.this.saveButtonActionPerformed(evt);
            }
            else if (evt.getSource() == refreshButton) {
                CrudTratamiento.this.refreshButtonActionPerformed(evt);
            }
            else if (evt.getSource() == newButton) {
                CrudTratamiento.this.newButtonActionPerformed(evt);
            }
            else if (evt.getSource() == deleteButton) {
                CrudTratamiento.this.deleteButtonActionPerformed(evt);
            }
            else if (evt.getSource() == finTratCheck) {
                CrudTratamiento.this.finTratCheckActionPerformed(evt);
            }
            else if (evt.getSource() == jRadioButton1) {
                CrudTratamiento.this.jRadioButton1ActionPerformed(evt);
            }
            else if (evt.getSource() == jRadioButton7) {
                CrudTratamiento.this.jRadioButton7ActionPerformed(evt);
            }
            else if (evt.getSource() == historiasItem) {
                CrudTratamiento.this.historiasItemActionPerformed(evt);
            }
            else if (evt.getSource() == evolucionItem) {
                CrudTratamiento.this.evolucionItemActionPerformed(evt);
            }
            else if (evt.getSource() == docsItem) {
                CrudTratamiento.this.docsItemActionPerformed(evt);
            }
            else if (evt.getSource() == recetarioItem) {
                CrudTratamiento.this.recetarioItemActionPerformed(evt);
            }
            else if (evt.getSource() == remisionItem) {
                CrudTratamiento.this.remisionItemActionPerformed(evt);
            }
            else if (evt.getSource() == reciboItem) {
                CrudTratamiento.this.reciboItemActionPerformed(evt);
            }
        }

        public void keyPressed(java.awt.event.KeyEvent evt) {
        }

        public void keyReleased(java.awt.event.KeyEvent evt) {
            if (evt.getSource() == busquedaField) {
                CrudTratamiento.this.busquedaFieldKeyReleased(evt);
            }
        }

        public void keyTyped(java.awt.event.KeyEvent evt) {
        }

        public void propertyChange(java.beans.PropertyChangeEvent evt) {
            if (evt.getSource() == selPaciente1) {
                CrudTratamiento.this.selPaciente1PropertyChange(evt);
            }
        }
    }// </editor-fold>//GEN-END:initComponents

    @SuppressWarnings("unchecked")
    private void refreshButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_refreshButtonActionPerformed
        refrescar();


    }//GEN-LAST:event_refreshButtonActionPerformed

    private void deleteButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_deleteButtonActionPerformed
        int[] selected = masterTable.getSelectedRows();
        List<entidades.Tratamiento> toRemove = new ArrayList<entidades.Tratamiento>(selected.length);
        for (int idx = 0; idx < selected.length; idx++) {
            entidades.Tratamiento t = list.get(masterTable.convertRowIndexToModel(selected[idx]));
            toRemove.add(t);
            em.remove(t);
        }
        list.removeAll(toRemove);
    }//GEN-LAST:event_deleteButtonActionPerformed

    private void newButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_newButtonActionPerformed
        entidades.Tratamiento t = new entidades.Tratamiento();
        em.persist(t);
        list.add(t);
        int row = list.size() - 1;
        masterTable.setRowSelectionInterval(row, row);
        masterTable.scrollRectToVisible(masterTable.getCellRect(row, 0, true));
    }//GEN-LAST:event_newButtonActionPerformed

    private void saveButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_saveButtonActionPerformed
        try {
            em.getTransaction().commit();
            em.getTransaction().begin();
            refrescar();
        } catch (RollbackException rex) {
           JOptionPane.showMessageDialog(null, "Existe un problema al guardar, revise los datos.");             
            em.getTransaction().begin();
            List<entidades.Tratamiento> merged = new ArrayList<entidades.Tratamiento>(list.size());
            for (entidades.Tratamiento t : list) {
                merged.add(em.merge(t));
            }
            list.clear();
            list.addAll(merged);
        }
    }//GEN-LAST:event_saveButtonActionPerformed

    private void finTratCheckActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_finTratCheckActionPerformed
        if (!finTratCheck.isSelected()) {
            fechaFinCal.setDate(null);
        } else {
            fechaFinCal.setDate(new Date());
        }
    }//GEN-LAST:event_finTratCheckActionPerformed

    private void selPaciente1PropertyChange(java.beans.PropertyChangeEvent evt) {//GEN-FIRST:event_selPaciente1PropertyChange
        if (getTratamiento() != null) {
            /*  if (selPaciente1.getPaciente() != null) {
             if (selPaciente1.getPaciente().isAdulto()) {
             tratamiento.setTratamientoNios(null);
             TratamientoAdulto ta = new TratamientoAdulto();
             ta.setTratamientoId(tratamiento);
             tratamiento.setTratamientoAdulto(ta);
             System.out.println(selPaciente1.getPaciente().getNombreApellido() + "es adulto");
             } else {
             TratamientoNios tn = new TratamientoNios();
             tn.setTratamientoId(tratamiento);
             tratamiento.setTratamientoNios(tn);
             tratamiento.setTratamientoAdulto(null);
             System.out.println(selPaciente1.getPaciente().getNombreApellido() + "es niño");
             }
             }*/
        }
    }//GEN-LAST:event_selPaciente1PropertyChange

    private void historiasItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_historiasItemActionPerformed
        if (editorHistoria1 == null) {
            editorHistoria1 = new EditorHistoria();
            org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, masterTable, org.jdesktop.beansbinding.ELProperty.create("${selectedElement}"), editorHistoria1, org.jdesktop.beansbinding.BeanProperty.create("tratamiento"));
            binding.setSourceUnreadableValue(null);
            bindingGroup.addBinding(binding);
            bindingGroup.bind();
        }
        JOptionPane.showMessageDialog(null, editorHistoria1, "Historias", JOptionPane.PLAIN_MESSAGE);

    }//GEN-LAST:event_historiasItemActionPerformed

    private void evolucionItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_evolucionItemActionPerformed
        JOptionPane.showMessageDialog(null, new CrudEvolucion(getTratamiento()), "Evolución", JOptionPane.PLAIN_MESSAGE);
    }//GEN-LAST:event_evolucionItemActionPerformed

    private void busquedaFieldKeyReleased(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_busquedaFieldKeyReleased
        query = em.createQuery("SELECT t FROM Tratamiento t WHERE t.pacienteId.nombreApellido LIKE :busqueda or t.pacienteId.idTen LIKE :busqueda").setMaxResults(100);

        query.setParameter("busqueda", "%" + busquedaField.getText() + "%");
        Crud.refrescar(em, query, list);
    }//GEN-LAST:event_busquedaFieldKeyReleased

    private void jRadioButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButton1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jRadioButton1ActionPerformed

    private void jRadioButton7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jRadioButton7ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jRadioButton7ActionPerformed

    private void docsItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_docsItemActionPerformed
       JOptionPane.showMessageDialog(null, 
               new VerTodos(tratamiento),
               "Documentos",JOptionPane.PLAIN_MESSAGE);
    }//GEN-LAST:event_docsItemActionPerformed

    private void recetarioItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_recetarioItemActionPerformed
           JOptionPane.showMessageDialog(null, 
               new Recetas(tratamiento),
               "Recetario",JOptionPane.PLAIN_MESSAGE);
    }//GEN-LAST:event_recetarioItemActionPerformed

    private void remisionItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_remisionItemActionPerformed
          JOptionPane.showMessageDialog(null, 
               new Remisiones(tratamiento),
               "Remision",JOptionPane.PLAIN_MESSAGE);
    }//GEN-LAST:event_remisionItemActionPerformed

    private void reciboItemActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_reciboItemActionPerformed
          JOptionPane.showMessageDialog(null, 
               new RecibosCaja(tratamiento),
               "Recibo De Caja",JOptionPane.PLAIN_MESSAGE);
    }//GEN-LAST:event_reciboItemActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField busquedaField;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.ButtonGroup buttonGroup3;
    private javax.swing.JLabel deAltaLabel;
    private javax.swing.JButton deleteButton;
    private javax.swing.JTextField descripcionField;
    private javax.swing.JLabel descripcionLabel;
    private javax.swing.JMenuItem docsItem;
    private org.idrobo.historia.EditorHistoria editorHistoria1;
    private javax.persistence.EntityManager em;
    private javax.swing.JMenuItem evolucionItem;
    private com.toedter.calendar.JDateChooser fechaFinCal;
    private javax.swing.JLabel fechaFinLabel;
    private javax.swing.JLabel fechaLabel;
    private javax.swing.JCheckBox finTratCheck;
    private javax.swing.JLabel finTratamientoLabel;
    private javax.swing.JMenuItem historiasItem;
    private javax.swing.JLabel inactivoLabel;
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JCheckBox jCheckBox2;
    private com.toedter.calendar.JDateChooser jDateChooser1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JRadioButton jRadioButton1;
    private javax.swing.JRadioButton jRadioButton2;
    private javax.swing.JRadioButton jRadioButton3;
    private javax.swing.JRadioButton jRadioButton5;
    private javax.swing.JRadioButton jRadioButton7;
    private javax.swing.JRadioButton jRadioButton8;
    private javax.swing.JRadioButton jRadioButton9;
    private java.util.List<entidades.Tratamiento> list;
    private javax.swing.JScrollPane masterScrollPane;
    private javax.swing.JTable masterTable;
    private javax.swing.JButton newButton;
    private javax.swing.JLabel pacienteIdLabel;
    private javax.swing.JPopupMenu popMenu;
    private javax.persistence.Query query;
    private javax.swing.JMenuItem recetarioItem;
    private javax.swing.JMenuItem reciboItem;
    private javax.swing.JButton refreshButton;
    private javax.swing.JMenuItem remisionItem;
    private javax.swing.JButton saveButton;
    private controles.SelPaciente selPaciente1;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables
    public static void main(String[] args) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("GTK+".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(CrudTratamiento.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(CrudTratamiento.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(CrudTratamiento.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(CrudTratamiento.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                JFrame frame = new JFrame();
                frame.setIconImage(new ImageIcon(imagenes.Imagenes.class.getResource("cut.png").getPath()).getImage());
                frame.setContentPane(new CrudTratamiento());
                frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
                frame.pack();
                frame.setVisible(true);
            }
        });
    }

    private void autorizacion() {
        AutorizacionForm autorizacion = new AutorizacionForm();
        AutorizacionJpaController cont
                = new AutorizacionJpaController(
                        em.getEntityManagerFactory());
        if (getTratamiento() != null) {
            if (getTratamiento().getAutorizacion() != null) {
                autorizacion.setAutoriazacion(getTratamiento().getAutorizacion());
            } else {
                Autorizacion a = new Autorizacion();
                a.setTratamientoId(getTratamiento());
                getTratamiento().setAutorizacion(a);
                autorizacion.setAutoriazacion(a);
            }
        }
        if (JOptionPane.showConfirmDialog(null, autorizacion, "Autorización", JOptionPane.OK_CANCEL_OPTION, JOptionPane.PLAIN_MESSAGE) == 0) {
            try {
                cont.create(autorizacion.getAutoriazacion());
                utilidades.Crud.refrescar(em, query, list);
            } catch (Exception e) {
                JOptionPane.showMessageDialog(null, "Existe un problema, revise los datos");
            }

        }
    }

    private void autorizacionA() {
        AutoAdulto autorizacion = new AutoAdulto();
        AutorizacionAdultoJpaController cont
                = new AutorizacionAdultoJpaController(
                        em.getEntityManagerFactory());
        if (getTratamiento() != null) {
            if (getTratamiento().getAutorizacionAdulto() != null) {
                autorizacion.setAutorizacion(getTratamiento().getAutorizacionAdulto());
            } else {
                AutorizacionAdulto a = new AutorizacionAdulto();
                a.setTratamientoId(getTratamiento());
                getTratamiento().setAutorizacionAdulto(a);
                autorizacion.setAutorizacion(a);
            }
        }
        if (JOptionPane.showConfirmDialog(null, autorizacion, "Autorización", JOptionPane.OK_CANCEL_OPTION, JOptionPane.PLAIN_MESSAGE) == 0) {
            try {
                cont.create(autorizacion.getAutorizacion());
                utilidades.Crud.refrescar(em, query, list);
            } catch (IllegalOrphanException e) {
                JOptionPane.showMessageDialog(null, "Existe un problema, revise los datos");
            }

        }
    }

    private void analisisCN() {
        setCursor(new Cursor(Cursor.WAIT_CURSOR));
        AnalisisCNinos acNinos = new AnalisisCNinos();
        AnalisisCefalometricoNinosJpaController controladorACN = new AnalisisCefalometricoNinosJpaController(em.getEntityManagerFactory());

        if (getTratamiento().getAnalisisCefalometricoNinos() == null) {
            AnalisisCefalometricoNinos acn = new AnalisisCefalometricoNinos();
            acn.setFecha(new Date());
            getTratamiento().setAnalisisCefalometricoNinos(acn);
            acn.setTratamientoId(getTratamiento());
            getTratamiento().setAnalisisCefalometricoNinos(acn);
            acNinos.setAnalisis(acn);
            try {
                controladorACN.create(acNinos.getAnalisis());
            } catch (IllegalOrphanException ex) {
                Logger.getLogger(CrudTratamiento.class.getName()).log(Level.SEVERE, null, ex);
            }
        } else {
            acNinos.setAnalisis(getTratamiento().getAnalisisCefalometricoNinos());
        }

        if (JOptionPane.showConfirmDialog(null, acNinos) == 0) {
            try {
                controladorACN.edit(acNinos.getAnalisis());
            } catch (Exception ex1) {
                System.out.println("" + ex1.getLocalizedMessage());
            }
        }
        setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
        utilidades.Crud.refrescar(em, query, list);
    }

    private void analisisCNA() {
        setCursor(new Cursor(Cursor.WAIT_CURSOR));
        AnalisisCNAdulto acNinos = new AnalisisCNAdulto();
        AnalisisCefalometricoAdultoJpaController controladorACA = new AnalisisCefalometricoAdultoJpaController(em.getEntityManagerFactory());

        if (getTratamiento().getAnalisisCefalometricoAdulto() == null) {
            AnalisisCefalometricoAdulto acn = new AnalisisCefalometricoAdulto();
            acn.setFecha(new Date());
            getTratamiento().setAnalisisCefalometricoAdulto(acn);
            acn.setTratamientoId(getTratamiento());
            // tratamiento.setAnalisisCefalometricoNinos(acn);
            acNinos.setAnalisis(acn);
            try {
                controladorACA.create(acNinos.getAnalisis());
            } catch (IllegalOrphanException ex) {
                Logger.getLogger(CrudTratamiento.class.getName()).log(Level.SEVERE, null, ex);
            }
        } else {
            acNinos.setAnalisis(getTratamiento().getAnalisisCefalometricoAdulto());
        }

        if (JOptionPane.showConfirmDialog(null, acNinos) == 0) {
            try {
                controladorACA.edit(acNinos.getAnalisis());
            } catch (Exception ex1) {
                System.out.println("" + ex1.getLocalizedMessage());
            }
        }
        setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
        // utilidades.Crud.refrescar(entityManager, query, list);
    }

    public void persist(Object object) {
        EntityManager em = Persistence.createEntityManagerFactory("IDROBOPU").createEntityManager();
        em.getTransaction().begin();
        try {
            em.persist(object);
            em.getTransaction().commit();
        } catch (Exception e) {
            e.printStackTrace();
            em.getTransaction().rollback();
        } finally {
            em.close();
        }
    }

    private void refrescar() {
        em.getTransaction().rollback();
        em.getTransaction().begin();
        java.util.Collection data = query.getResultList();
        for (Object entity : data) {
            em.refresh(entity);
        }
        list.clear();
        list.addAll(data);
        buttonGroup1.clearSelection();
        buttonGroup2.clearSelection();
        buttonGroup3.clearSelection();
    }

}
