/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia;

import utilidades.ValidarPanel;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import javax.swing.JComboBox;
import javax.swing.JTextArea;
import javax.swing.JTextField;

/**
 *
 * @author Usuario
 */
public class AnalisisFotografico extends ValidarPanel {

    private entidades.historia.AnalisisFotografico analisisFoto;

    public static final String PROP_ANALISISFOTO = "analisisFoto";

    /**
     * Get the value of analisisFoto
     *
     * @return the value of analisisFoto
     */
    public entidades.historia.AnalisisFotografico getAnalisisFoto() {
        return analisisFoto;
    }

    /**
     * Set the value of analisisFoto
     *
     * @param analisisFoto new value of analisisFoto
     */
    public void setAnalisisFoto(entidades.historia.AnalisisFotografico analisisFoto) {
        entidades.historia.AnalisisFotografico oldAnalisisFoto = this.analisisFoto;
        this.analisisFoto = analisisFoto;
        propertyChangeSupport.firePropertyChange(PROP_ANALISISFOTO, oldAnalisisFoto, analisisFoto);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    /**
     * Creates new form AnalisisFotografico
     */
    public AnalisisFotografico() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        extraoralesFrenteField = new javax.swing.JTextField();
        intraoralesFrenteField = new javax.swing.JTextField();
        extraoralesPerfilField = new javax.swing.JTextField();
        intraoralesLateralIzqField = new javax.swing.JTextField();
        intraoralesLaterlaDerField = new javax.swing.JTextField();
        intraoralesOclusalSupField = new javax.swing.JTextField();
        intraoralesOclusalInfField = new javax.swing.JTextField();
        extraoralesPerfilLabel = new javax.swing.JLabel();
        intraoralesFrenteLabel = new javax.swing.JLabel();
        extraoralesFrenteLabel = new javax.swing.JLabel();
        intraoralesOclusalSupLabel = new javax.swing.JLabel();
        intraoralesOclusalInfLabel = new javax.swing.JLabel();
        intraoralesLaterlaDerLabel = new javax.swing.JLabel();
        intraoralesLateralIzqLabel = new javax.swing.JLabel();

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto.extraoralesFrente}"), extraoralesFrenteField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto!=null}"), extraoralesFrenteField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto.intraoralesFrente}"), intraoralesFrenteField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto!=null}"), intraoralesFrenteField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto.extraoralesPerfil}"), extraoralesPerfilField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto!=null}"), extraoralesPerfilField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto.intraoralesLateralIzq}"), intraoralesLateralIzqField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto!=null}"), intraoralesLateralIzqField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto.intraoralesLaterlaDer}"), intraoralesLaterlaDerField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto!=null}"), intraoralesLaterlaDerField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto.intraoralesOclusalSup}"), intraoralesOclusalSupField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto!=null}"), intraoralesOclusalSupField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto.intraoralesOclusalInf}"), intraoralesOclusalInfField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisFoto!=null}"), intraoralesOclusalInfField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        extraoralesPerfilLabel.setText("Extraorales Perfil:");

        intraoralesFrenteLabel.setText("Intraorales Frente:");

        extraoralesFrenteLabel.setText("Extraorales Frente:");

        intraoralesOclusalSupLabel.setText("Intraorales Oclusal Sup:");

        intraoralesOclusalInfLabel.setText("Intraorales Oclusal Inf:");

        intraoralesLaterlaDerLabel.setText("Intraorales Lateral Der:");

        intraoralesLateralIzqLabel.setText("Intraorales Lateral Izq:");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(extraoralesFrenteLabel)
                    .addComponent(extraoralesPerfilLabel)
                    .addComponent(intraoralesFrenteLabel)
                    .addComponent(intraoralesLaterlaDerLabel)
                    .addComponent(intraoralesLateralIzqLabel)
                    .addComponent(intraoralesOclusalSupLabel)
                    .addComponent(intraoralesOclusalInfLabel))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(extraoralesFrenteField, javax.swing.GroupLayout.DEFAULT_SIZE, 261, Short.MAX_VALUE)
                    .addComponent(extraoralesPerfilField, javax.swing.GroupLayout.DEFAULT_SIZE, 261, Short.MAX_VALUE)
                    .addComponent(intraoralesFrenteField, javax.swing.GroupLayout.DEFAULT_SIZE, 261, Short.MAX_VALUE)
                    .addComponent(intraoralesLaterlaDerField, javax.swing.GroupLayout.DEFAULT_SIZE, 261, Short.MAX_VALUE)
                    .addComponent(intraoralesLateralIzqField, javax.swing.GroupLayout.DEFAULT_SIZE, 261, Short.MAX_VALUE)
                    .addComponent(intraoralesOclusalSupField, javax.swing.GroupLayout.DEFAULT_SIZE, 261, Short.MAX_VALUE)
                    .addComponent(intraoralesOclusalInfField, javax.swing.GroupLayout.DEFAULT_SIZE, 261, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(12, 12, 12)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(extraoralesFrenteLabel)
                    .addComponent(extraoralesFrenteField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(extraoralesPerfilLabel)
                    .addComponent(extraoralesPerfilField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(intraoralesFrenteLabel)
                    .addComponent(intraoralesFrenteField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(intraoralesLaterlaDerLabel)
                    .addComponent(intraoralesLaterlaDerField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(intraoralesLateralIzqLabel)
                    .addComponent(intraoralesLateralIzqField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(intraoralesOclusalSupLabel)
                    .addComponent(intraoralesOclusalSupField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(intraoralesOclusalInfLabel)
                    .addComponent(intraoralesOclusalInfField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField extraoralesFrenteField;
    private javax.swing.JLabel extraoralesFrenteLabel;
    private javax.swing.JTextField extraoralesPerfilField;
    private javax.swing.JLabel extraoralesPerfilLabel;
    private javax.swing.JTextField intraoralesFrenteField;
    private javax.swing.JLabel intraoralesFrenteLabel;
    private javax.swing.JTextField intraoralesLateralIzqField;
    private javax.swing.JLabel intraoralesLateralIzqLabel;
    private javax.swing.JTextField intraoralesLaterlaDerField;
    private javax.swing.JLabel intraoralesLaterlaDerLabel;
    private javax.swing.JTextField intraoralesOclusalInfField;
    private javax.swing.JLabel intraoralesOclusalInfLabel;
    private javax.swing.JTextField intraoralesOclusalSupField;
    private javax.swing.JLabel intraoralesOclusalSupLabel;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables

    boolean checkNull() {
        return false;
    }

    @Override
    public boolean valuidarJtext(JTextField caja) {
        return caja.getText().equals("");
    }

    @Override
    public boolean valuidarJArea(JTextArea area) {
        return false;
    }

    @Override
    public boolean valuidarJCombo(JComboBox combo) {
        return false;
    }
}
