/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia;

import utilidades.ValidarPanel;
import entidades.historia.HistoriaClinica;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import javax.swing.JComboBox;
import javax.swing.JOptionPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import org.idrobo.form.Radiografias;

/**
 *
 * @author Usuario
 */
public class AnalisisRadiografico extends ValidarPanel {

    private entidades.historia.AnalisisRadiografico analisisRadio;

    public static final String PROP_ANALISISRADIO = "analisisRadio";
    
    private HistoriaClinica historia;

    public static final String PROP_HISTORIA = "historia";

    /**
     * Get the value of historia
     *
     * @return the value of historia
     */
    public HistoriaClinica getHistoria() {
        return historia;
    }

    /**
     * Set the value of historia
     *
     * @param historia new value of historia
     */
    public void setHistoria(HistoriaClinica historia) {
        HistoriaClinica oldHistoria = this.historia;
        this.historia = historia;
        propertyChangeSupport.firePropertyChange(PROP_HISTORIA, oldHistoria, historia);
    }


    /**
     * Get the value of analisisRadio
     *
     * @return the value of analisisRadio
     */
    public entidades.historia.AnalisisRadiografico getAnalisisRadio() {
        return analisisRadio;
    }

    /**
     * Set the value of analisisRadio
     *
     * @param analisisRadio new value of analisisRadio
     */
    public void setAnalisisRadio(entidades.historia.AnalisisRadiografico analisisRadio) {
        entidades.historia.AnalisisRadiografico oldAnalisisRadio = this.analisisRadio;
        this.analisisRadio = analisisRadio;
        propertyChangeSupport.firePropertyChange(PROP_ANALISISRADIO, oldAnalisisRadio, analisisRadio);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    /**
     * Creates new form AnalisisRadiografico
     */
    public AnalisisRadiografico() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        zonaAtmLabel = new javax.swing.JLabel();
        zonaMaxilarLabel = new javax.swing.JLabel();
        zonaMandLabel = new javax.swing.JLabel();
        zonaDtesSupLabel = new javax.swing.JLabel();
        zonaDtesInfLabel = new javax.swing.JLabel();
        radiografiaPeriapcialLabel = new javax.swing.JLabel();
        radiografiaPerfilLabel = new javax.swing.JLabel();
        zonaAtmField = new javax.swing.JTextField();
        radiografiaPeriapcialField = new javax.swing.JTextField();
        zonaDtesInfField = new javax.swing.JTextField();
        zonaDtesSupField = new javax.swing.JTextField();
        zonaMandField = new javax.swing.JTextField();
        zonaMaxilarField = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();

        zonaAtmLabel.setText("Zona Atm:");

        zonaMaxilarLabel.setText("Zona Maxilar:");

        zonaMandLabel.setText("Zona Mand:");

        zonaDtesSupLabel.setText("Zona Dtes Sup:");

        zonaDtesInfLabel.setText("Zona Dtes Inf:");

        radiografiaPeriapcialLabel.setText("Radiografía Periapical:");

        radiografiaPerfilLabel.setText("Otras Radiografias");

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio.zonaAtm}"), zonaAtmField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio!=null}"), zonaAtmField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio.radiografiaPeriapcial}"), radiografiaPeriapcialField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio!=null}"), radiografiaPeriapcialField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio.zonaDtesInf}"), zonaDtesInfField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio!=null}"), zonaDtesInfField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio.zonaDtesSup}"), zonaDtesSupField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio!=null}"), zonaDtesSupField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio.zonaMand}"), zonaMandField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio!=null}"), zonaMandField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio.zonaMaxilar}"), zonaMaxilarField, org.jdesktop.beansbinding.BeanProperty.create("text"));
        binding.setSourceUnreadableValue("");
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${analisisRadio!=null}"), zonaMaxilarField, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);

        jButton1.setText("ver Anexos");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.id!=null}"), jButton1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        binding.setSourceUnreadableValue(false);
        bindingGroup.addBinding(binding);

        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(zonaAtmLabel)
                    .addComponent(zonaMaxilarLabel)
                    .addComponent(zonaMandLabel)
                    .addComponent(zonaDtesSupLabel)
                    .addComponent(zonaDtesInfLabel)
                    .addComponent(radiografiaPeriapcialLabel)
                    .addComponent(radiografiaPerfilLabel))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(zonaAtmField, javax.swing.GroupLayout.DEFAULT_SIZE, 269, Short.MAX_VALUE)
                    .addComponent(zonaMaxilarField, javax.swing.GroupLayout.DEFAULT_SIZE, 269, Short.MAX_VALUE)
                    .addComponent(zonaMandField, javax.swing.GroupLayout.DEFAULT_SIZE, 269, Short.MAX_VALUE)
                    .addComponent(zonaDtesSupField, javax.swing.GroupLayout.DEFAULT_SIZE, 269, Short.MAX_VALUE)
                    .addComponent(zonaDtesInfField, javax.swing.GroupLayout.DEFAULT_SIZE, 269, Short.MAX_VALUE)
                    .addComponent(radiografiaPeriapcialField, javax.swing.GroupLayout.DEFAULT_SIZE, 269, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButton1)
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(zonaAtmLabel)
                    .addComponent(zonaAtmField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(zonaMaxilarLabel)
                    .addComponent(zonaMaxilarField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(zonaMandLabel)
                    .addComponent(zonaMandField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(zonaDtesSupLabel)
                    .addComponent(zonaDtesSupField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(zonaDtesInfLabel)
                    .addComponent(zonaDtesInfField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(radiografiaPeriapcialLabel)
                    .addComponent(radiografiaPeriapcialField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(radiografiaPerfilLabel)
                    .addComponent(jButton1))
                .addContainerGap())
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        Radiografias radiografias = new Radiografias();
        radiografias.setHistoria(historia);
        JOptionPane.showMessageDialog(null,radiografias,"Otras Radiografias" ,JOptionPane.PLAIN_MESSAGE);
    }//GEN-LAST:event_jButton1ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel radiografiaPerfilLabel;
    private javax.swing.JTextField radiografiaPeriapcialField;
    private javax.swing.JLabel radiografiaPeriapcialLabel;
    private javax.swing.JTextField zonaAtmField;
    private javax.swing.JLabel zonaAtmLabel;
    private javax.swing.JTextField zonaDtesInfField;
    private javax.swing.JLabel zonaDtesInfLabel;
    private javax.swing.JTextField zonaDtesSupField;
    private javax.swing.JLabel zonaDtesSupLabel;
    private javax.swing.JTextField zonaMandField;
    private javax.swing.JLabel zonaMandLabel;
    private javax.swing.JTextField zonaMaxilarField;
    private javax.swing.JLabel zonaMaxilarLabel;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables

    @Override
    public boolean valuidarJtext(JTextField caja) {
        return caja.getText().equals("");
    }

    @Override
    public boolean valuidarJArea(JTextArea area) {
        return false;
    }

    @Override
    public boolean valuidarJCombo(JComboBox combo) {
        return false;
    }
}
