/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia;

import entidades.historia.HistoriaClinica;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import javax.swing.JOptionPane;

/**
 *
 * @author Usuario
 */
public class InfoHistoria extends javax.swing.JPanel implements java.beans.Customizer {

    private Object bean;

    private HistoriaClinica historia;

    public static final String PROP_HISTORIA = "historia";

    /**
     * Get the value of historia
     *
     * @return the value of historia
     */
    public HistoriaClinica getHistoria() {
        return historia;
    }

    /**
     * Set the value of historia
     *
     * @param historia new value of historia
     */
    public void setHistoria(HistoriaClinica historia) {
        HistoriaClinica oldHistoria = this.historia;
        this.historia = historia;
        propertyChangeSupport.firePropertyChange(PROP_HISTORIA, oldHistoria, historia);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    /**
     * Creates new customizer NewCustomizer
     */
    public InfoHistoria() {
        initComponents();
    }

    @Override
    public void setObject(Object bean) {
        this.bean = bean;
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the FormEditor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        jTabbedPane1 = new javax.swing.JTabbedPane();
        antecedentes1 = new org.idrobo.historia.Antecedentes();
        examenClinico1 = new org.idrobo.historia.ExamenClinico();
        examenIntraoral1 = new org.idrobo.historia.ExamenIntraoral();
        examenIntraoral21 = new org.idrobo.historia.ExamenIntraoral2();
        verOdontograma1 = new org.idrobo.historia.verOdontograma();
        otrosHabitos1 = new org.idrobo.historia.OtrosHabitos();
        analisisRadiografico1 = new org.idrobo.historia.AnalisisRadiografico();
        analisisFotografico1 = new org.idrobo.historia.AnalisisFotografico();
        jScrollPane1 = new javax.swing.JScrollPane();
        analisisArcos1 = new org.idrobo.historia.AnalisisArcos();

        setLayout(new java.awt.BorderLayout());

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.antecedentes}"), antecedentes1, org.jdesktop.beansbinding.BeanProperty.create("antecedentes"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.habitos_}"), antecedentes1, org.jdesktop.beansbinding.BeanProperty.create("habitos"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Anamnesis", antecedentes1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.examenClinico}"), examenClinico1, org.jdesktop.beansbinding.BeanProperty.create("examenClinico"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Examen Clínico", examenClinico1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.examenIntraoral}"), examenIntraoral1, org.jdesktop.beansbinding.BeanProperty.create("examenIntraoral"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Examen Intraoral", examenIntraoral1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.examenIntraoral}"), examenIntraoral21, org.jdesktop.beansbinding.BeanProperty.create("examenIntraoral"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Examen Intraoral 2", examenIntraoral21);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia!=null}"), verOdontograma1, org.jdesktop.beansbinding.BeanProperty.create("enabled"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.odontograma}"), verOdontograma1, org.jdesktop.beansbinding.BeanProperty.create("odontograma"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Odontograma", verOdontograma1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.otrosHabitos}"), otrosHabitos1, org.jdesktop.beansbinding.BeanProperty.create("habitos"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Habitos", otrosHabitos1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.analisisRadiografico}"), analisisRadiografico1, org.jdesktop.beansbinding.BeanProperty.create("analisisRadio"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia}"), analisisRadiografico1, org.jdesktop.beansbinding.BeanProperty.create("historia"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Análisis Radiografico", analisisRadiografico1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.analisisFotografico}"), analisisFotografico1, org.jdesktop.beansbinding.BeanProperty.create("analisisFoto"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jTabbedPane1.addTab("Análisis Fotografico", analisisFotografico1);

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding.ELProperty.create("${historia.anArcDentales}"), analisisArcos1, org.jdesktop.beansbinding.BeanProperty.create("analisisArcos"));
        binding.setSourceUnreadableValue(null);
        bindingGroup.addBinding(binding);

        jScrollPane1.setViewportView(analisisArcos1);

        jTabbedPane1.addTab("Análisis De Arcos", jScrollPane1);

        add(jTabbedPane1, java.awt.BorderLayout.CENTER);

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.idrobo.historia.AnalisisArcos analisisArcos1;
    private org.idrobo.historia.AnalisisFotografico analisisFotografico1;
    private org.idrobo.historia.AnalisisRadiografico analisisRadiografico1;
    private org.idrobo.historia.Antecedentes antecedentes1;
    private org.idrobo.historia.ExamenClinico examenClinico1;
    private org.idrobo.historia.ExamenIntraoral examenIntraoral1;
    private org.idrobo.historia.ExamenIntraoral2 examenIntraoral21;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTabbedPane jTabbedPane1;
    private org.idrobo.historia.OtrosHabitos otrosHabitos1;
    private org.idrobo.historia.verOdontograma verOdontograma1;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables

  public boolean chekearTodo() {
        if (examenClinico1.checkNull( jTabbedPane1)) {
           // mensaje("Examen Clinico");
            return true;
        } else if (analisisArcos1.checkNull( jTabbedPane1)) {
            //mensaje("Analisis De Arcos Dentales");
             return true;
        } else if (examenIntraoral1.checkNull( jTabbedPane1)) {
            //mensaje("Examen Intraoral");
             return true;
        } else if (examenIntraoral21.checkNull( jTabbedPane1)) {
            //mensaje("Examen Intraoral 2");
             return true;
        } else if (verOdontograma1.getOdontograma() == null) {
            //mensaje("Odontograma");
            jTabbedPane1.setSelectedComponent(verOdontograma1);
             return true;
        } else if (analisisFotografico1.checkNull( jTabbedPane1)) {
            //mensaje("Analisis Fotografico");
             return true;
        } else if (analisisRadiografico1.checkNull( jTabbedPane1)) {
            //mensaje("Analisis Radiografico");
             return true;
        }
        return false;
    }

    private void mensaje(String mensaje) {
        JOptionPane.showMessageDialog(null, "Existe un campo vacio en " + mensaje);
    }
}
