/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia.odontograma;

//import entidades.Odontograma;
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Polygon;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import javax.swing.JOptionPane;
import utilidades.Convencion;
import utilidades.Convenciones;

/**
 *
 * @author Andersson Paz Narvaez.
 */
public class Diente extends javax.swing.JPanel {

    //<editor-fold defaultstate="collapsed" desc="Poligonos 2d de las regiones del diente">
    /**
     * poligono 2d de la region vestibular del diente
     *
     */
    private Polygon poligonoA;
    /**
     * poligono 2d de la region mesial del dientemesial
     *
     */
    private Polygon poligonoD;
    /**
     * poligono 2d de la region distal del diente
     */
    private Polygon poligonoB;
    /**
     * poligono 2d de la region del diente
     */
    private Polygon ppalatino;
    /**
     * poligono 2d de la region lingual del diente
     */
    private Polygon poligonoC;
    /**
     * poligono 2d de la region oclusal del diente
     */
    private Polygon poligonoE;
//</editor-fold>

    //<editor-fold defaultstate="collapsed" desc="Colores de los poligonos">
    /**
     * color del poligono mesial
     */
    private Color colorD = Color.white;
    /**
     * color del poligono vestibular
     */
    private Color colorA = Color.white;
    /**
     * color del poligono lingual
     */
    private Color colorC = Color.white;
    /**
     * color del poligono distal
     */
    private Color colorB = Color.white;
    /**
     * color del poligono oclusal
     */
    private Color colorE = Color.white;
//</editor-fold>

    //<editor-fold defaultstate="collapsed" desc="Estados de edicion ">
    /**
     * Bandera para indicar el borrado de la region del diente, el color regresa
     * a blanco.
     */
    private boolean borrar = false;
    /**
     * Bandera para indicar que la edicion es total en el diente.
     */
    private boolean total = false;
    /**
     * Bandera para indicar que la edicion es parcial, osea se editara una, dos,
     * etc. regiones del diente.
     */
    private boolean parcial = false;
//</editor-fold>

    //<editor-fold defaultstate="collapsed" desc="Campos para la edicon total">
    /**
     * Simbolo para la edicion total.
     */
    private String CONVENCION_STRING;
    /**
     * Color del simbolo para la esicion total.
     */
    private Color CONVENCION__COLOR;
//</editor-fold>

    //<editor-fold defaultstate="collapsed" desc="Pocicion de inicio de los graficos">
    /**
     * Posicion vertical inicil de los graficos
     */
    private int posVertical = 10;
    /**
     * Posicion Horizontal de los graficos
     */
    private int posHorizontal = 10;
//</editor-fold>

    // private Paleta paleta;
    private int sector = 1;

    public static final String PROP_SECTOR = "sector";
    private Convencion convencion;

    /**
     * Get the value of sector
     *
     * @return the value of sector
     */
    public int getSector() {
        return sector;
    }

    public Diente(int sector) {
        this.sector = sector;
    }

    /**
     * Set the value of sector
     *
     * @param sector new value of sector
     */
    public void setSector(int sector) {
        int oldSector = this.sector;
        this.sector = sector;
        repaint();
        propertyChangeSupport.firePropertyChange(PROP_SECTOR, oldSector, sector);
    }

    private OdontogramaDiente odontograma;
    private int numero;
    public static final String PROP_ODONTOGRAMA = "odontograma";

    /**
     * Get the value of odontograma
     *
     * @return the value of odontograma
     */
    public OdontogramaDiente getOdontograma() {
        return odontograma;
    }

    /**
     * Set the value of odontograma
     *
     * @param odontograma new value of odontograma
     */
    public void setOdontograma(OdontogramaDiente odontograma) {
        OdontogramaDiente oldOdontograma = this.odontograma;
        this.odontograma = odontograma;

        try {
            this.odontograma.setNumDiente(numero);
            leerOdontograma();
        } catch (Exception e) {

        }
        propertyChangeSupport.firePropertyChange(PROP_ODONTOGRAMA, oldOdontograma, odontograma);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    public void setConvencion(Convencion convencion) {
        this.convencion = convencion;
    }

    /**
     * Get the value of numero
     *
     * @return the value of numero diente
     */
    public int getNumero() {
        try {
            numero = odontograma.getNumDiente();
            return odontograma.getNumDiente();
        } catch (Exception e) {
            return numero;
        }

    }

    /**
     * Set the value of numero
     *
     * @param numero new value of numero deinte
     */
    public void setNumero(int numero) {
        int oldnumero = this.numero;
        this.numero = numero;
        numeroLabel.setText(String.valueOf(numero));
        try {
            odontograma.setNumDiente(numero);
        } catch (Exception e) {

        }
        propertyChangeSupport.firePropertyChange(PROP_ODONTOGRAMA, oldnumero, numero);
    }

    //<editor-fold defaultstate="collapsed" desc="propiedades???">
    /**
     * private transient final PropertyChangeSupport propertyChangeSupport = new
     * PropertyChangeSupport(this);
     *
     * /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    /**
     * @Override public void addPropertyChangeListener(PropertyChangeListener
     * listener) { propertyChangeSupport.addPropertyChangeListener(listener); }
     *
     * /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    /**
     * public void removePropertyChangeListener(PropertyChangeListener listener)
     * { propertyChangeSupport.removePropertyChangeListener(listener); }
     */
//</editor-fold>
    /**
     * Actiba la bandera de edicion borrar
     */
    public void Borrar() {
        // setTotal(0);
        this.borrar = true;
        this.parcial = false;
        this.total = false;
        repaint();
    }

    /**
     * Activa la bandera de edicion total
     */
    private void setTotal() {
        this.total = true;
        this.parcial = false;
        this.borrar = false;
        repaint();
    }

    /**
     * Activa la bandera de edicion parcial
     */
    private void setParcial() {
        this.total = false;
        this.parcial = true;
        this.borrar = false;
        //   System.out.println("parcial");
        repaint();
    }

//<editor-fold defaultstate="collapsed" desc="Metodos para el coloreado">
    /**
     *
     * @return color del poligono mesial.
     */
    private Color getColor_mesial() {
        return colorD;
    }

    /**
     *
     * @param colorD color del poligono mesial
     */
    private void setColor_mesial(Color colorD) {
        this.colorD = colorD;
    }

    /**
     *
     * @return color del poligono vestibular.
     */
    private Color getColor_vestibular() {
        return colorA;
    }

    /**
     *
     * @param colorA color del poligono vestibular
     */
    private void setColor_vestibular(Color colorA) {
        this.colorA = colorA;
    }

    /**
     *
     * @return color del poligono lingual.
     */
    private Color getColor_lingual() {
        return colorC;
    }

    /**
     *
     * @param colorC colore del poligono luungual
     */
    private void setColor_lingual(Color colorC) {
        this.colorC = colorC;
    }

    /**
     *
     * @return color del poligono distal
     */
    private Color getColor_distal() {
        return colorB;
    }

    /**
     *
     * @param colorB color del poligono distal
     */
    private void setColor_distal(Color colorB) {
        this.colorB = colorB;
    }

    /**
     *
     * @return color del poligono oclusal
     */
    private Color getColor_oclusal() {
        return colorE;
    }

    /**
     *
     * @param colorE color del poligono oclusal
     */
    private void setColor_oclusal(Color colorE) {
        this.colorE = colorE;
    }

    /**
     * Actualiza a blanco el color de todos las partes (poligonos) del diente.
     */
    private void setColorDefecto() {
        setColor_vestibular(Color.WHITE);
        setColor_distal(Color.WHITE);
        setColor_lingual(Color.WHITE);
        setColor_mesial(Color.WHITE);
        setColor_oclusal(Color.WHITE);

    }
//</editor-fold>

    /**
     * Creates new form DienteFisico
     */
    public Diente() {

        initComponents();
        setColorDefecto();
        calcularTamaño();
        redimensionar();
        Borrar();

    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        em = java.beans.Beans.isDesignTime() ? null : javax.persistence.Persistence.createEntityManagerFactory("IDROBOPU").createEntityManager();
        numeroLabel = new javax.swing.JLabel();

        setBackground(new java.awt.Color(255, 255, 255));
        setPreferredSize(new java.awt.Dimension(25, 39));
        addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                formMouseClicked(evt);
            }
        });
        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                formComponentResized(evt);
            }
            public void componentShown(java.awt.event.ComponentEvent evt) {
                formComponentShown(evt);
            }
        });

        numeroLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        numeroLabel.setText("00");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(8, 8, 8)
                .addComponent(numeroLabel)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(numeroLabel)
                .addContainerGap(25, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void formComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentResized
        redimencionar();
    }//GEN-LAST:event_formComponentResized

    private void formMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_formMouseClicked
        if (odontograma == null) {
            odontograma = new OdontogramaDiente();
            setTotal(0);
        }
        leerOdontograma();
        if (convencion != null) {
            try {
                if (convencion.getTipo() == Convenciones.PARCIAL) {
                    EditorDiente editor = new EditorDiente();
                    editor.setConvencion(convencion);
                    editor.setDiente(this);
                    String titulo;
                    switch (convencion.getId()) {

                        case 1:
                            titulo = "Caries";
                            break;
                        case 2:
                            titulo = "Amalgama";
                            break;
                        case 3:
                            titulo = "Resina";
                            break;
                        case 5:
                            titulo = "Fractura";
                            break;
                        case 9:
                            titulo = "Desgastes";
                            break;
                        default:
                            titulo = "";
                    }
                    JOptionPane.showMessageDialog(null, editor, titulo, JOptionPane.PLAIN_MESSAGE);

                } else {
                    // System.out.println("total" + paleta.getCURSOR().getNombre());
                    setTotal(convencion.getId());
                }

            } catch (Exception e) {
                //  System.out.println(""+ e.fillInStackTrace());;
                setTotal(0);

            }
        }
    }//GEN-LAST:event_formMouseClicked

    private void formComponentShown(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentShown
        redimencionar();
    }//GEN-LAST:event_formComponentShown

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.persistence.EntityManager em;
    private javax.swing.JLabel numeroLabel;
    // End of variables declaration//GEN-END:variables
// dibuja polígonos y polilíneas

    public void paintComponent(Graphics g) {
        super.paintComponent(g); // llama al método paintComponent de la superclase
        Font fuente = new Font("ArialBlack", Font.ROMAN_BASELINE, 25);
        g.setFont(fuente);

        if (borrar) {
            dibujarBordes(g);
        } else {
            if (total) {
                dibujarBordes(g);
                g.setColor(this.CONVENCION__COLOR);
                g.drawString(this.CONVENCION_STRING, (int) (posHorizontal / 3), (int) (posVertical * 2.8 + numeroLabel.getHeight()));

            } else if (parcial) {
                g.setColor(this.colorA);
                g.fillPolygon(this.poligonoA);
                g.setColor(this.colorD);
                g.fillPolygon(this.poligonoD);
                g.setColor(colorC);
                g.fillPolygon(poligonoC);
                g.setColor(colorB);
                g.fillPolygon(poligonoB);
                g.setColor(colorE);
                g.fillPolygon(poligonoE);
                dibujarBordes(g);

            }

        }

    }

    /**
     * Calcula las cordenadas de todos los poligonos que representan las
     * regiones del diente.
     */
    public void redimensionar() {
        /*
         *          A
         *       ______      
         *      |\____/|     
         *      | |  | |    
         *   D  | |_E| |    B
         *      |/____\|     
         *                   
         *         C
         */

        //vertices
        int X1 = 0;
        int X2 = posHorizontal * 3;
        int Y1 = numeroLabel.getHeight();
        int Y2 = posVertical * 3 + numeroLabel.getHeight();
        int x1 = posHorizontal;
        int x2 = posHorizontal * 2;
        int y1 = posVertical + numeroLabel.getHeight();
        int y2 = posVertical * 2 + numeroLabel.getHeight();
        poligonoA = null;
        poligonoB = null;
        poligonoC = null;
        poligonoD = null;
        poligonoE = null;
        //poligono vestibular
        poligonoA = new Polygon();
        poligonoA.addPoint(X1, Y1);
        poligonoA.addPoint(x1, y1);
        poligonoA.addPoint(x2, y1);
        poligonoA.addPoint(X2, Y1);
        //poligono mesial
        poligonoD = new Polygon();
        poligonoD.addPoint(X1, Y1);
        poligonoD.addPoint(x1, y1);
        poligonoD.addPoint(x1, y2);
        poligonoD.addPoint(X1, Y2);

        //poligono lingual
        poligonoC = new Polygon();
        poligonoC.addPoint(x1, y2);
        poligonoC.addPoint(X1, Y2);
        poligonoC.addPoint(X2, Y2);
        poligonoC.addPoint(x2, y2);

        //poligono distal
        poligonoB = new Polygon();
        poligonoB.addPoint(X2, Y2);
        poligonoB.addPoint(x2, y2);
        poligonoB.addPoint(x2, y1);
        poligonoB.addPoint(X2, Y1);

        //poligono oclusal
        poligonoE = new Polygon();
        poligonoE.addPoint(x1, y1);
        poligonoE.addPoint(x1, y2);
        poligonoE.addPoint(x2, y2);
        poligonoE.addPoint(x2, y1);

    }

    /**
     * Aplicar una convencion a una region.
     *
     * @param region region que quiere indicarse
     * @param convencion convecion a utilizar
     */
    public void setParcial(char region, int convencion) {
        Convenciones c = new Convenciones();
        //  System.out.println(""+region);
        switch (region) {
            case 'm':
                odontograma.setM(convencion);
                //  this.colorD = c.get(convencion).getColor();
                break;
            case 'd':
                odontograma.setD(convencion);
                // this.colorB = c.get(convencion).getColor();
                break;
            case 'p':
                odontograma.setP(convencion);
                break;
            case 'l':
                odontograma.setL(convencion);
                //this.colorC = c.get(convencion).getColor();
                break;
            case 'o':
                odontograma.setO(convencion);
                //setColor_oclusal(c.get(convencion).getColor());
                break;
            case 'v':
                odontograma.setV(convencion);
                // setColor_vestibular(c.get(convencion).getColor());
                break;
            default:
                setColorDefecto();
                System.out.println("defecto color");
                break;
        }
        odontograma.setTotal(0);
        leerOdontograma();
    }

    public void leerOdontograma() {
        Convenciones c = new Convenciones();
        if (odontograma != null) {
            if (odontograma.getTotal() == 0) {
                try {
                    switch (sector) {
                        case 1:
                            this.colorB = c.get(odontograma.getM()).getColor();
                            this.colorD = c.get(odontograma.getD()).getColor();
                            this.colorC = c.get(odontograma.getL()).getColor();
                            this.colorE = c.get(odontograma.getO()).getColor();
                            this.colorA = c.get(odontograma.getV()).getColor();
                            break;

                        case 2:
                            this.colorD = c.get(odontograma.getM()).getColor();
                            this.colorB = c.get(odontograma.getD()).getColor();
                            this.colorC = c.get(odontograma.getL()).getColor();
                            this.colorE = c.get(odontograma.getO()).getColor();
                            this.colorA = c.get(odontograma.getV()).getColor();
                            break;
                        case 3:
                            this.colorB = c.get(odontograma.getM()).getColor();
                            this.colorD = c.get(odontograma.getD()).getColor();
                            this.colorA = c.get(odontograma.getL()).getColor();
                            this.colorE = c.get(odontograma.getO()).getColor();
                            this.colorC = c.get(odontograma.getV()).getColor();
                            break;
                        case 4:
                            this.colorD = c.get(odontograma.getM()).getColor();
                            this.colorB = c.get(odontograma.getD()).getColor();
                            this.colorA = c.get(odontograma.getL()).getColor();
                            this.colorE = c.get(odontograma.getO()).getColor();
                            this.colorC = c.get(odontograma.getV()).getColor();
                            break;
                    }
                } catch (Exception e) {
                    //System.out.println(""+e.getClass());
//  JOptionPane.showMessageDialog(null, "Puede no estar espesificado el sector");
                }
                setParcial();
            } else {
                CONVENCION_STRING = c.get(odontograma.getTotal()).getNombre();
                CONVENCION__COLOR = c.get(odontograma.getTotal()).getColor();
                setTotal();
            }
        }
    }

    /**
     * para aplicar una convncion a todo el diente
     *
     * @param convencion numero de la convencion a utilizar
     */
    public void setTotal(int convencion) {
        Convenciones c = new Convenciones();
        odontograma.setTotal(convencion);
        odontograma.setM(0);
        odontograma.setV(0);
        odontograma.setD(0);
        odontograma.setP(0);
        odontograma.setL(0);
        odontograma.setO(0);
        CONVENCION_STRING = c.get(convencion).getNombre();
        CONVENCION__COLOR = c.get(convencion).getColor();
        setTotal();
    }

    /**
     * dibuja los bordes del diente y sus partes(poligonos)
     *
     * @param g
     */
    public void dibujarBordes(Graphics g) {
        g.setColor(Color.BLACK);
        g.drawPolygon(poligonoA);
        g.drawPolygon(poligonoD);
        g.drawPolygon(poligonoC);
        g.drawPolygon(poligonoB);
        g.drawPolygon(poligonoE);
    }

    private void calcularTamaño() {
        posHorizontal = getWidth() / 3;
        // mas la altura del label
        posVertical = ((getHeight() - numeroLabel.getHeight()) / 3);
    }

    private void redimencionar() {
        /*
         * El diente se divide en tres regionses tanto vertical como horizontal,
         * para dibujar loslos poligonos 
         * aqui lo quese intenta es al redimensionar la ventana se vulven a 
         * calcular estos tres sectores.
         *
         *    labelNumero
         *    1   2   3
         *  +---+---+---+ 
         * 1| \ |   | / | 
         *  +---+---+---+
         * 2| | |   |   |
         *  +---+---+---+ 
         * 3| / |   | \ | 
         *  +---+---+---+
         */
        calcularTamaño();
        redimensionar();
        Borrar();
        try {
            leerOdontograma();
        } catch (Exception e) {
        }
    }

}
