/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia.odontograma;

import entidades.ControlPalaca;
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Polygon;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import utilidades.Convenciones;


/**
 *
 * @author Andersson Paz Narvaez.
 */
public class DientePlaca extends javax.swing.JPanel {

    //<editor-fold defaultstate="collapsed" desc="Poligonos 2d de las regiones del diente_placa">
    /**
     * poligono 2d de la region vestibular del diente_placa
     *
     */
    private Polygon pvestibular;
    /**
     * poligono 2d de la region mesial del diente_placamesial
     *
     */
    private Polygon pmesial;
    /**
     * poligono 2d de la region distal del diente_placa
     */
    private Polygon pdistal;
    /**
     * poligono 2d de la region del diente_placa
     */
    private Polygon ppalatino;
    /**
     * poligono 2d de la region lingual del diente_placa
     */
    private Polygon plingual;
    /**
     * poligono 2d de la region oclusal del diente_placa
     */
    private Polygon poclusal;

    /**
     * poligono 2d de la region superior para placa
     */
    private Polygon pfrontal;
    /**
     * poligono 2d de la region inferior para placa
     */
    private Polygon ptrasero;

//</editor-fold>
    //<editor-fold defaultstate="collapsed" desc="Colores de los poligonos">
    /**
     * color del poligono mesial
     */
    private Color color_mesial = Color.BLUE;
    /**
     * color del poligono vestibular
     */
    private Color color_vestibular = Color.white;
    /**
     * color del poligono lingual
     */
    private Color color_lingual = Color.white;
    /**
     * color del poligono distal
     */
    private Color color_distal = Color.white;
    /**
     * color del poligono oclusal
     */
    private Color color_oclusal = Color.white;

    private Color color_frontal = Color.white;

    private Color color_trasero = Color.white;

//</editor-fold>
    //<editor-fold defaultstate="collapsed" desc="Estados de edicion ">
    /**
     * Bandera para indicar el borrado de la region del diente_placa, el color
     * regresa a blanco.
     */
    private boolean borrar = false;
    /**
     * Bandera para indicar que la edicion es total en el diente_placa.
     */
    private boolean total = false;
    /**
     * Bandera para indicar que la edicion es parcial, osea se editara una, dos,
     * etc. regiones del diente_placa.
     */
    private boolean parcial = false;
//</editor-fold>

    //<editor-fold defaultstate="collapsed" desc="Campos para la edicon total">
    /**
     * Simbolo para la edicion total.
     */
    private String CONVENCION_STRING;
    /**
     * Color del simbolo para la esicion total.
     */
    private Color CONVENCION__COLOR;
//</editor-fold>

    //<editor-fold defaultstate="collapsed" desc="Pocicion de inicio de los graficos">
    /**
     * Posicion vertical inicil de los graficos
     */
    private int posVertical = 10;
    /**
     * Posicion Horizontal de los graficos
     */
    private int posHorizontal = 10;
//</editor-fold>

    private PaletaPlaca paleta;

    private ControlPalaca contorlPlaca;

    public static final String PROP_CONTORLPLACA = "contorlPlaca";
    private int numero;

    /**
     * Get the value of contorlPlaca
     *
     * @return the value of contorlPlaca
     */
    public ControlPalaca getContorlPlaca() {
        return contorlPlaca;
    }

    /**
     * Set the value of contorlPlaca
     *
     * @param contorlPlaca new value of contorlPlaca
     */
    public void setContorlPlaca(ControlPalaca contorlPlaca) {
        ControlPalaca oldContorlPlaca = this.contorlPlaca;
        this.contorlPlaca = contorlPlaca;
        leerControl_placa();
        propertyChangeSupport.firePropertyChange(PROP_CONTORLPLACA, oldContorlPlaca, contorlPlaca);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.addPropertyChangeListener(listener);
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    public void setPaleta(PaletaPlaca paleta) {
        this.paleta = paleta;
    }

    /**
     * Get the value of numero
     *
     * @return the value of numero diente_placa
     */
    public int getNumero() {
        try {
            numero = contorlPlaca.getNumDiente();
        } catch (Exception e) {
        }
        return numero;
    }

    /**
     * Set the value of numero
     *
     * @param numero new value of numero deinte
     */
    public void setNumero(int numero) {
        try {
            contorlPlaca.setNumDiente(numero);
        } catch (Exception e) {
              this.numero=numero;
        }
     
       
        numeroLabel.setText(String.valueOf(numero));
    }

    //<editor-fold defaultstate="collapsed" desc="propiedades???">
    /**
     * private transient final PropertyChangeSupport propertyChangeSupport = new
     * PropertyChangeSupport(this);
     *
     * /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    /**
     * @Override public void addPropertyChangeListener(PropertyChangeListener
     * listener) { propertyChangeSupport.addPropertyChangeListener(listener); }
     *
     * /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    /**
     * public void removePropertyChangeListener(PropertyChangeListener listener)
     * { propertyChangeSupport.removePropertyChangeListener(listener); }
     */
//</editor-fold>
    /**
     * Actiba la bandera de edicion borrar
     */
    public void Borrar() {
        this.borrar = true;
        this.parcial = false;
        this.total = false;
        repaint();
    }

    /**
     * Activa la bandera de edicion total
     */
    private void setTotal() {
        this.total = true;
        this.parcial = false;
        this.borrar = false;
        repaint();
    }

    /**
     * Activa la bandera de edicion parcial
     */
    private void setParcial() {
        this.total = false;
        this.parcial = true;
        this.borrar = false;
        //   System.out.println("parcial");
        repaint();
    }

//<editor-fold defaultstate="collapsed" desc="Metodos para el coloreado">
    /**
     *
     * @return color del poligono mesial.
     */
    private Color getColor_mesial() {
        return color_mesial;
    }

    /**
     *
     * @param color_mesial color del poligono mesial
     */
    private void setColor_mesial(Color color_mesial) {
        this.color_mesial = color_mesial;
    }

    /**
     *
     * @return color del poligono vestibular.
     */
    private Color getColor_vestibular() {
        return color_vestibular;
    }

    /**
     *
     * @param color_vestibular color del poligono vestibular
     */
    private void setColor_vestibular(Color color_vestibular) {
        this.color_vestibular = color_vestibular;
    }

    /**
     *
     * @return color del poligono lingual.
     */
    private Color getColor_lingual() {
        return color_lingual;
    }

    /**
     *
     * @param color_lingual colore del poligono luungual
     */
    private void setColor_lingual(Color color_lingual) {
        this.color_lingual = color_lingual;
    }

    /**
     *
     * @return color del poligono distal
     */
    private Color getColor_distal() {
        return color_distal;
    }

    /**
     *
     * @param color_distal color del poligono distal
     */
    private void setColor_distal(Color color_distal) {
        this.color_distal = color_distal;
    }

    /**
     *
     * @return color del poligono oclusal
     */
    private Color getColor_oclusal() {
        return color_oclusal;
    }

    /**
     *
     * @param color_oclusal color del poligono oclusal
     */
    private void setColor_oclusal(Color color_oclusal) {
        this.color_oclusal = color_oclusal;
    }

    /**
     * Actualiza a blanco el color de todos las partes (poligonos) del
     * diente_placa.
     */
    private void setColorDefecto() {
        setColor_vestibular(Color.WHITE);
        setColor_distal(Color.WHITE);
        setColor_lingual(Color.WHITE);
        setColor_mesial(Color.BLUE);
        setColor_oclusal(Color.WHITE);
        color_frontal = Color.WHITE;
        color_trasero = Color.WHITE;

    }
//</editor-fold>

    /**
     * Creates new form DienteFisico
     */
    public DientePlaca() {

        initComponents();
        setColorDefecto();
        calcularTamaño();
        redimensionar();
        Borrar();

    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        em = java.beans.Beans.isDesignTime() ? null : javax.persistence.Persistence.createEntityManagerFactory("IDROBOPU").createEntityManager();
        numeroLabel = new javax.swing.JLabel();

        setBackground(javax.swing.UIManager.getDefaults().getColor("InternalFrame.activeBorderColor"));
        setPreferredSize(new java.awt.Dimension(25, 60));
        addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                formMouseClicked(evt);
            }
        });
        addComponentListener(new java.awt.event.ComponentAdapter() {
            public void componentResized(java.awt.event.ComponentEvent evt) {
                formComponentResized(evt);
            }
        });

        numeroLabel.setText("0");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(numeroLabel, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(numeroLabel)
                .addGap(0, 46, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void formComponentResized(java.awt.event.ComponentEvent evt) {//GEN-FIRST:event_formComponentResized
        /*
         * El diente_placa en este caso para placa, se divide en cinco regionses  vertical y horizontal,
         * para dibujar los poligonos 
         * aqui lo quese intenta es al redimensionar la ventana se vulven a 
         * calcular estos tres sectores.
         *
         *    labelNumero
         *   1  2   3   4  5
         *  ________________
         * 1\              /
         *    +---+---+---+ 
         * 2  | \ |   | / | 
         *    +---+---+---+
         * 3  | | |   |   |
         *    +---+---+---+ 
         * 4  | / |   | \ | 
         *    +---+---+---+
         * 5 /_______________\   
         */
        calcularTamaño();
        redimensionar();
        Borrar();
        leerControl_placa();
    }//GEN-LAST:event_formComponentResized

    private void formMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_formMouseClicked
        Convenciones convenciones = new Convenciones();
        leerControl_placa();
        try {
            if (paleta.getCURSOR().getTipo() == convenciones.PARCIAL) {
                ZoomPlaca dialog = new ZoomPlaca(new javax.swing.JFrame(), true);

                dialog.setC(paleta.getCURSOR());
                dialog.setDiente_Placa(this);
                /*dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                 @Override
                 public void windowClosing(java.awt.event.WindowEvent e) {
                 System.exit(0);
                 }
                 });*/
                dialog.setLocationRelativeTo(null);
                dialog.setVisible(true);
            } else {
                //  System.out.println("total" + paleta.getCURSOR().getNombre());
                this.setTotal(paleta.getCURSOR().getId());
            }

        } catch (Exception exception) {
        }
    }//GEN-LAST:event_formMouseClicked

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.persistence.EntityManager em;
    private javax.swing.JLabel numeroLabel;
    // End of variables declaration//GEN-END:variables
// dibuja polígonos y polilíneas

    public void paintComponent(Graphics g) {
        super.paintComponent(g); // llama al método paintComponent de la superclase
        Font fuente = new Font("ArialBlack", Font.ROMAN_BASELINE, 25);
        g.setFont(fuente);

        if (borrar) {
            dibujarBordes(g);
        } else {
            if (total) {
                dibujarBordes(g);
                g.setColor(this.CONVENCION__COLOR);
                g.drawString(this.CONVENCION_STRING, (int) (posHorizontal / 3), (int) (posVertical * 2.8 + numeroLabel.getHeight()));

            } else if (parcial) {
                g.setColor(color_vestibular);
                g.fillPolygon(pvestibular);
                g.setColor(color_mesial);
                g.fillPolygon(pmesial);
                g.setColor(color_lingual);
                g.fillPolygon(plingual);
                g.setColor(color_distal);
                g.fillPolygon(pdistal);
                g.setColor(color_oclusal);
                g.fillPolygon(poclusal);
                g.setColor(color_frontal);
                g.fillPolygon(pfrontal);
                g.setColor(color_trasero);
                g.fillPolygon(ptrasero);

                dibujarBordes(g);

            }

        }

    }

    /**
     * Calcula las cordenadas de todos los poligonos que representan las
     * regiones del diente para placa.
     */
    public void redimensionar() {
        /*
         *      frontal
         *     __________ 
         *     \        /  
         *      vestibular
         *   m   ______     d
         *   e  |\____/|    i
         *   s  | | o| |    s
         *   i  | |_c| |    t
         *   a  |/____\|    a
         *   l              l
         *      lingual
         *     /________\
         *       trasero
         */

        //vertices
        int XX1 = 0;
        int XX2 = posHorizontal * 5;
        int YY1 = numeroLabel.getHeight();
        int YY2 = posVertical * 5 + numeroLabel.getHeight();
        int X1 = posHorizontal;
        int X2 = posHorizontal * 4;
        int Y1 = posVertical + numeroLabel.getHeight();
        int Y2 = posVertical * 4 + numeroLabel.getHeight();
        int x1 = posHorizontal * 2;
        int x2 = posHorizontal * 3;
        int y1 = posVertical * 2 + numeroLabel.getHeight();
        int y2 = posVertical * 3 + numeroLabel.getHeight();;
        //poligono vestibular
        pvestibular = new Polygon();
        pvestibular.addPoint(X1, Y1);
        pvestibular.addPoint(x1, y1);
        pvestibular.addPoint(x2, y1);
        pvestibular.addPoint(X2, Y1);
        //poligono mesial
        pmesial = new Polygon();
        pmesial.addPoint(X1, Y1);
        pmesial.addPoint(x1, y1);
        pmesial.addPoint(x1, y2);
        pmesial.addPoint(X1, Y2);

        //poligono lingual
        plingual = new Polygon();
        plingual.addPoint(x1, y2);
        plingual.addPoint(X1, Y2);
        plingual.addPoint(X2, Y2);
        plingual.addPoint(x2, y2);

        //poligono distal
        pdistal = new Polygon();
        pdistal.addPoint(X2, Y2);
        pdistal.addPoint(x2, y2);
        pdistal.addPoint(x2, y1);
        pdistal.addPoint(X2, Y1);

        //poligono oclusal
        poclusal = new Polygon();
        poclusal.addPoint(x1, y1);
        poclusal.addPoint(x1, y2);
        poclusal.addPoint(x2, y2);
        poclusal.addPoint(x2, y1);

        //poligono frontal
        pfrontal = new Polygon();
        pfrontal.addPoint(XX1, YY1);
        pfrontal.addPoint(X1, Y1);
        pfrontal.addPoint(X2, Y1);
        pfrontal.addPoint(XX2, YY1);

        //poligono trasero
        ptrasero = new Polygon();
        ptrasero.addPoint(XX1, YY2);
        ptrasero.addPoint(X1, Y2);
        ptrasero.addPoint(X2, Y2);
        ptrasero.addPoint(XX2, YY2);

    }

    /**
     * Aplicar una convencion a una region.
     *
     * @param region region que quiere indicarse
     * @param convencion convecion a utilizar
     */
    public void setParcial(char region, int convencion) {
        Convenciones c = new Convenciones();
        switch (region) {

            case 'd':
                contorlPlaca.setD(convencion);
                // this.color_distal = c.get(convencion).getColor();
                break;

            case 'l':
                contorlPlaca.setL(convencion);
                //this.color_lingual = c.get(convencion).getColor();
                break;
            case 'o':
                contorlPlaca.setO(convencion);
                setColor_oclusal(c.get(convencion).getColor());
                break;
            case 'v':
                contorlPlaca.setV(convencion);
                // setColor_vestibular(c.get(convencion).getColor());
                break;
            case 't':
                contorlPlaca.setT(convencion);
                break;
            case 'f':
                contorlPlaca.setF(convencion);
                break;
            case 'm':
                contorlPlaca.setM(convencion);
                //  this.color_mesial = c.get(convencion).getColor();
                break;

            default:
                setColorDefecto();
                break;
        }
        contorlPlaca.setT(0);
        //otros calculos        
        leerControl_placa();
    }

    public void leerControl_placa() {
        try {
            Convenciones c = new Convenciones();
            if (this.contorlPlaca.getTotal() == 0) {
                this.color_mesial = c.get(this.contorlPlaca.getM()).getColor();
                this.color_distal = c.get(this.contorlPlaca.getD()).getColor();
                this.color_lingual = c.get(this.contorlPlaca.getL()).getColor();
                this.color_oclusal = c.get(this.contorlPlaca.getO()).getColor();
                this.color_vestibular = c.get(this.contorlPlaca.getV()).getColor();
                this.color_frontal = c.get(this.contorlPlaca.getF()).getColor();
                this.color_trasero = c.get(this.contorlPlaca.getT()).getColor();
                setParcial();
            } else {
                CONVENCION_STRING = c.get(this.contorlPlaca.getTotal()).getNombre();
                CONVENCION__COLOR = c.get(this.contorlPlaca.getTotal()).getColor();
                setTotal();
            }
        } catch (Exception e) {
            Borrar();
        }
    }

    /**
     * para aplicar una convncion a todo el diente_placa
     *
     * @param convencion numero de la convencion a utilizar
     */
    public void setTotal(int convencion) {
        Convenciones c = new Convenciones();
        contorlPlaca.setTotal(convencion);
        contorlPlaca.setV(0);
        contorlPlaca.setM(0);
        contorlPlaca.setD(0);

        contorlPlaca.setL(0);
        contorlPlaca.setO(0);
        contorlPlaca.setF(0);
        contorlPlaca.setT(0);
        CONVENCION_STRING = c.get(convencion).getNombre();
        CONVENCION__COLOR = c.get(convencion).getColor();
        //otros calculos
        /* contorlPlaca.getNumSuperficiesPlaca();
        contorlPlaca.setIndice();
        contorlPlaca.setFecha();*/
        setTotal();
    }

    /**
     * dibuja los bordes del diente_placa y sus partes(poligonos)
     */
    public void dibujarBordes(Graphics g) {
        g.setColor(Color.BLACK);
        g.drawPolygon(pvestibular);
        g.drawPolygon(pmesial);
        g.drawPolygon(plingual);
        g.drawPolygon(pdistal);
        g.drawPolygon(poclusal);
        g.drawPolygon(pfrontal);
        g.drawPolygon(ptrasero);
    }

    private void calcularTamaño() {
        //dividir en 3 regiones 
        posHorizontal = getWidth() / 5;
        //dividir en 5 regiones
        // mas la altura del label
        posVertical = ((getHeight() - numeroLabel.getHeight()) / 5);
    }

   
}
