/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia.odontograma;

import java.awt.Color;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import utilidades.Convencion;

/**
 *
 * @author Usuario
 */
public class EditorDiente extends javax.swing.JPanel {

    private Diente diente;

    public static final String PROP_DIENTE = "diente";

    private Convencion convencion;

    public static final String PROP_CONVENCION = "convencion";

    private Color colorDefecto;

    public static final String PROP_COLORDEFECTO = "colorDefecto";

    /**
     * Get the value of colorDefecto
     *
     * @return the value of colorDefecto
     */
    public Color getColorDefecto() {
        return colorDefecto;
    }

    /**
     * Set the value of colorDefecto
     *
     * @param colorDefecto new value of colorDefecto
     */
    public void setColorDefecto(Color colorDefecto) {
        Color oldColorDefecto = this.colorDefecto;
        this.colorDefecto = colorDefecto;
        propertyChangeSupport.firePropertyChange(PROP_COLORDEFECTO, oldColorDefecto, colorDefecto);
    }

    /**
     * Get the value of convencion
     *
     * @return the value of convencion
     */
    public Convencion getConvencion() {
        return convencion;
    }

    /**
     * Set the value of convencion
     *
     * @param convencion new value of convencion
     */
    public void setConvencion(Convencion convencion) {
        Convencion oldConvencion = this.convencion;
        this.convencion = convencion;
        if (convencion != null) {
            //  setColorDefecto(convencion.getColor());
        }
        propertyChangeSupport.firePropertyChange(PROP_CONVENCION, oldConvencion, convencion);
    }

    /**
     * Get the value of diente
     *
     * @return the value of diente
     */
    public Diente getDiente() {
        return diente;
    }

    /**
     * Set the value of diente
     *
     * @param diente new value of diente
     */
    public void setDiente(Diente diente) {
        Diente oldDiente = this.diente;
        this.diente = diente;
        if (diente != null) {
            try {
                sector.setSector(diente.getSector());
            } catch (Exception e) {
            }
        }
        propertyChangeSupport.firePropertyChange(PROP_DIENTE, oldDiente, diente);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    /**
     * Creates new form EditorDiente
     */
    public EditorDiente() {
        initComponents();
        colorDefecto = botonA.getBackground();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        bindingGroup = new org.jdesktop.beansbinding.BindingGroup();

        sector = new org.idrobo.historia.odontograma.Sector();
        botonD = new javax.swing.JToggleButton();
        botonA = new javax.swing.JToggleButton();
        botonC = new javax.swing.JToggleButton();
        botonB = new javax.swing.JToggleButton();
        botonE = new javax.swing.JToggleButton();

        org.jdesktop.beansbinding.Binding binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteD.activa}"), botonD, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteD.nombre}"), botonD, org.jdesktop.beansbinding.BeanProperty.create("toolTipText"));
        binding.setSourceNullValue("...");
        binding.setSourceUnreadableValue("...");
        bindingGroup.addBinding(binding);

        botonD.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonDActionPerformed(evt);
            }
        });

        botonA.setText(" ");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteA.activa}"), botonA, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteA.nombre}"), botonA, org.jdesktop.beansbinding.BeanProperty.create("toolTipText"));
        binding.setSourceNullValue("...");
        binding.setSourceUnreadableValue("...");
        bindingGroup.addBinding(binding);

        botonA.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonAActionPerformed(evt);
            }
        });

        botonC.setText(" ");

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteC.activa}"), botonC, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteC.nombre}"), botonC, org.jdesktop.beansbinding.BeanProperty.create("toolTipText"));
        binding.setSourceNullValue("...");
        binding.setSourceUnreadableValue("...");
        bindingGroup.addBinding(binding);

        botonC.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonCActionPerformed(evt);
            }
        });

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteB.activa}"), botonB, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteB.nombre}"), botonB, org.jdesktop.beansbinding.BeanProperty.create("toolTipText"));
        binding.setSourceNullValue("...");
        binding.setSourceUnreadableValue("...");
        bindingGroup.addBinding(binding);

        botonB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonBActionPerformed(evt);
            }
        });

        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteE.activa}"), botonE, org.jdesktop.beansbinding.BeanProperty.create("selected"));
        bindingGroup.addBinding(binding);
        binding = org.jdesktop.beansbinding.Bindings.createAutoBinding(org.jdesktop.beansbinding.AutoBinding.UpdateStrategy.READ_WRITE, new org.idrobo.historia.odontograma.Sector(), org.jdesktop.beansbinding.ELProperty.create("${parteE.nombre}"), botonE, org.jdesktop.beansbinding.BeanProperty.create("toolTipText"));
        binding.setSourceNullValue("...");
        binding.setSourceUnreadableValue("...");
        bindingGroup.addBinding(binding);

        botonE.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonEActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(botonD, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(botonC, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(botonE, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(botonA, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(botonB, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(botonA)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                    .addComponent(botonD, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(botonE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(botonB, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(botonC))
        );

        bindingGroup.bind();
    }// </editor-fold>//GEN-END:initComponents

    private void botonAActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonAActionPerformed
        if (botonA.isSelected()) {
            diente.setParcial(sector.getParteA().getNombre().charAt(0), convencion.getId());
            botonA.setBackground(convencion.getColor());
        } else {
            botonA.setBackground(colorDefecto);
            diente.setParcial(sector.getParteA().getNombre().charAt(0), 0);
        }
    }//GEN-LAST:event_botonAActionPerformed

    private void botonBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonBActionPerformed
        if (botonB.isSelected()) {
            diente.setParcial(sector.getParteB().getNombre().charAt(0), convencion.getId());
            botonB.setBackground(convencion.getColor());
        } else {
            botonB.setBackground(colorDefecto);
            diente.setParcial(sector.getParteB().getNombre().charAt(0), 0);
        }
    }//GEN-LAST:event_botonBActionPerformed

    private void botonCActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonCActionPerformed
        if (botonC.isSelected()) {
            diente.setParcial(sector.getParteC().getNombre().charAt(0), convencion.getId());
            botonC.setBackground(convencion.getColor());
        } else {
            botonC.setBackground(colorDefecto);
            diente.setParcial(sector.getParteC().getNombre().charAt(0), 0);
        }
    }//GEN-LAST:event_botonCActionPerformed

    private void botonDActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonDActionPerformed
        if (botonD.isSelected()) {
            diente.setParcial(sector.getParteD().getNombre().charAt(0), convencion.getId());
            botonD.setBackground(convencion.getColor());
        } else {
            botonD.setBackground(colorDefecto);
            diente.setParcial(sector.getParteD().getNombre().charAt(0), 0);
        }
    }//GEN-LAST:event_botonDActionPerformed

    private void botonEActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonEActionPerformed
        if (botonE.isSelected()) {
            diente.setParcial(sector.getParteE().getNombre().charAt(0), convencion.getId());
            botonE.setBackground(convencion.getColor());
        } else {
            botonE.setBackground(colorDefecto);
            diente.setParcial(sector.getParteE().getNombre().charAt(0), 0);
        }
    }//GEN-LAST:event_botonEActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JToggleButton botonA;
    private javax.swing.JToggleButton botonB;
    private javax.swing.JToggleButton botonC;
    private javax.swing.JToggleButton botonD;
    private javax.swing.JToggleButton botonE;
    private org.idrobo.historia.odontograma.Sector sector;
    private org.jdesktop.beansbinding.BindingGroup bindingGroup;
    // End of variables declaration//GEN-END:variables
}
