/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia.odontograma;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

/**
 *
 * @author Andersson Paz Narvaez
 */
public class Parte {
    
    private boolean activa;

    public static final String PROP_ACTIVA = "activa";

    private String nombre;

    public static final String PROP_NOMBRE = "nombre";

    private char parte;

    public static final String PROP_PARTE = "parte";

    /**
     * Get the value of parte
     *
     * @return the value of parte
     */
    public char getParte() {
        return parte;
    }

    /**
     * Set the value of parte
     *
     * @param parte new value of parte
     */
    private void setParte(char parte) {
        char oldParte = this.parte;
        this.parte = parte;
        propertyChangeSupport.firePropertyChange(PROP_PARTE, oldParte, parte);
    }

    public Parte(char parte) {
        setParte(parte);
    }

    /**
     * Get the value of nombre
     *
     * @return the value of nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * Set the value of nombre
     *
     * @param nombre new value of nombre
     */
    public void setNombre(String nombre) {
        String oldNombre = this.nombre;
        this.nombre = nombre;
        propertyChangeSupport.firePropertyChange(PROP_NOMBRE, oldNombre, nombre);
    }

    /**
     * Get the value of activa
     *
     * @return the value of activa
     */
    public boolean isActiva() {
        return activa;
    }

    /**
     * Set the value of activa
     *
     * @param activa new value of activa
     */
    public void setActiva(boolean activa) {
        boolean oldActiva = this.activa;
        this.activa = activa;
        propertyChangeSupport.firePropertyChange(PROP_ACTIVA, oldActiva, activa);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.addPropertyChangeListener(listener);
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }


}
