/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia.odontograma;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

/**
 *
 * @author Andersson Paz Narvaez
 */
public class Sector {

    private Parte parteA = new Parte('a');

    public static final String PROP_PARTEA = "parteA";

    private Parte parteB = new Parte('b');

    public static final String PROP_PARTEB = "parteB";

    private Parte parteC = new Parte('c');

    public static final String PROP_PARTEC = "parteC";

    private Parte parteD = new Parte('c');

    public static final String PROP_PARTED = "parteD";

    private Parte parteE = new Parte('e');

    public static final String PROP_PARTEE = "parteE";

    private int sector;

    public static final String PROP_SECTOR = "sector";

    /**
     * Get the value of sector
     *
     * @return the value of sector
     */
    public int getSector() {
        return sector;
    }

    /**
     * Set the value of sector
     *
     * @param sector new value of sector
     */
    public void setSector(int sector) {
        int oldSector = this.sector;
        this.sector = sector;
        switch (sector) {
            case 1:
                parteB.setNombre("mesial");
                parteD.setNombre("distal");
                parteC.setNombre("lingual");
                parteE.setNombre("oclusal");
                parteA.setNombre("vestibular");
                break;

            case 2:
                parteD.setNombre("mesial");
                parteB.setNombre("distal");
                parteC.setNombre("lingual");
                parteE.setNombre("oclusal");
                parteA.setNombre("vestibular");
                break;
            case 3:
                parteB.setNombre("mesial");
                parteD.setNombre("distal");
                parteA.setNombre("lingual");
                parteE.setNombre("oclusal");
                parteC.setNombre("vestibular");
                break;
            case 4:
                parteD.setNombre("mesial");
                parteB.setNombre("distal");
                parteA.setNombre("lingual");
                parteE.setNombre("oclusal");
                parteC.setNombre("vestibular");
                break;
        }
        propertyChangeSupport.firePropertyChange(PROP_SECTOR, oldSector, sector);
    }

    /**
     * Get the value of ParteE
     *
     * @return the value of ParteE
     */
    public Parte getParteE() {
        return parteE;
    }

    /**
     * Set the value of ParteE
     *
     * @param ParteE new value of ParteE
     */
    public void setParteE(Parte ParteE) {
        Parte oldParteE = this.parteE;
        this.parteE = ParteE;
        propertyChangeSupport.firePropertyChange(PROP_PARTEE, oldParteE, ParteE);
    }

    /**
     * Get the value of parteD
     *
     * @return the value of parteD
     */
    public Parte getParteD() {
        return parteD;
    }

    /**
     * Set the value of parteD
     *
     * @param parteD new value of parteD
     */
    public void setParteD(Parte parteD) {
        Parte oldParteD = this.parteD;
        this.parteD = parteD;
        propertyChangeSupport.firePropertyChange(PROP_PARTED, oldParteD, parteD);
    }

    /**
     * Get the value of parteC
     *
     * @return the value of parteC
     */
    public Parte getParteC() {
        return parteC;
    }

    /**
     * Set the value of parteC
     *
     * @param parteC new value of parteC
     */
    public void setParteC(Parte parteC) {
        Parte oldParteC = this.parteC;
        this.parteC = parteC;
        propertyChangeSupport.firePropertyChange(PROP_PARTEC, oldParteC, parteC);
    }

    /**
     * Get the value of parteB
     *
     * @return the value of parteB
     */
    public Parte getParteB() {
        return parteB;
    }

    /**
     * Set the value of parteB
     *
     * @param parteB new value of parteB
     */
    public void setParteB(Parte parteB) {
        Parte oldParteB = this.parteB;
        this.parteB = parteB;
        propertyChangeSupport.firePropertyChange(PROP_PARTEB, oldParteB, parteB);
    }

    /**
     * Get the value of parteA
     *
     * @return the value of parteA
     */
    public Parte getParteA() {
        return parteA;
    }

    /**
     * Set the value of parteA
     *
     * @param parteA new value of parteA
     */
    public void setParteA(Parte parteA) {
        Parte oldParteA = this.parteA;
        this.parteA = parteA;
        propertyChangeSupport.firePropertyChange(PROP_PARTEA, oldParteA, parteA);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.addPropertyChangeListener(listener);
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

}
