/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.idrobo.historia;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;
import org.idrobo.historia.odontograma.EditorOdontograma2;

/**
 *
 * @author Usuario
 */
public class verOdontograma extends javax.swing.JPanel {

 

    public static final String PROP_HISTORIA = "historia";

    private boolean sano;

    public static final String PROP_SANO = "sano";

    /**
     * Get the value of sano
     *
     * @return the value of sano
     */
    public boolean getSano() {
        return sano;
    }

    /**
     * Set the value of sano
     *
     * @param sano new value of sano
     */
    public void setSano(boolean sano) {
        boolean oldSano = this.sano;
        this.sano = sano;
        if (sano) {
            jLabel1.setText("Sano");
        } else {
            jLabel1.setText("");
        }
        propertyChangeSupport.firePropertyChange(PROP_SANO, oldSano, sano);
    }

    private byte[] odontograma;

    public static final String PROP_ODONTOGRAMA = "odontograma";

    /**
     * Get the value of odontograma
     *
     * @return the value of odontograma
     */
    public byte[] getOdontograma() {
        return odontograma;
    }

    /**
     * Set the value of odontograma
     *
     * @param odontograma new value of odontograma
     */
    public void setOdontograma(byte[] odontograma) {
        byte[] oldOdontograma = this.odontograma;
        this.odontograma = odontograma;

        if (odontograma != null) {
            imagen.setIcon(new ImageIcon(odontograma));
            /*if (!Arrays.equals(oldOdontograma, oldOdontograma)) {
             e.borrar();
             }*/
        } else {
            imagen.setIcon(null);

        }
        propertyChangeSupport.firePropertyChange(PROP_ODONTOGRAMA, oldOdontograma, odontograma);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    @Override
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        propertyChangeSupport.removePropertyChangeListener(listener);
    }

    @Override
    public void setEnabled(boolean bln) {
        super.setEnabled(bln); //To change body of generated methods, choose Tools | Templates.
        jButton1.setEnabled(bln);
    }

    /**
     * Creates new form verOdontograma
     */
    public verOdontograma() {
        initComponents();

    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        imagen = new javax.swing.JLabel();
        jButton1 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();

        setPreferredSize(new java.awt.Dimension(642, 220));

        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/add.png"))); // NOI18N
        jButton1.setToolTipText("Nuevp Odontograma");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jLabel1.setText(" ");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(imagen, javax.swing.GroupLayout.PREFERRED_SIZE, 635, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 7, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 51, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jButton1)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(imagen, javax.swing.GroupLayout.PREFERRED_SIZE, 251, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButton1)
                    .addComponent(jLabel1))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        EditorOdontograma2 e = new EditorOdontograma2(); 
        if (JOptionPane.showConfirmDialog(null, e, "Odontograma", JOptionPane.OK_CANCEL_OPTION) == 0) {
           setSano(e.isSano());
            byte[] img = e.getImagen();
            imagen.setIcon(new ImageIcon(img));
            setOdontograma(img);
            e.borrar();
        }
    }//GEN-LAST:event_jButton1ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel imagen;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    // End of variables declaration//GEN-END:variables

}
