/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package test;

import java.awt.Dimension;
import java.net.URL;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.Collection;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.swing.JOptionPane;
import net.sf.jasperreports.engine.JRDataSource;
import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperCompileManager;
import net.sf.jasperreports.engine.JasperExportManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;
import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;
import net.sf.jasperreports.swing.JRViewer;
import net.sf.jasperreports.view.JasperViewer;

/**
 *
 * @author Usuario
 */
public class NewMain {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
       ligarInterpretacion();
    }

    public static void testBuildPdf() {
        try {
            Map<String, Object> params = new HashMap<String, Object>();
            String reportSource = "newReport.jrxml";
            JasperReport jasperReport = JasperCompileManager.compileReport(reportSource);
            JasperPrint jasperPrint = JasperFillManager.fillReport(jasperReport, params, getDataSource());
            JRViewer jrViewer = new JRViewer(jasperPrint);
            jrViewer.setPreferredSize(new Dimension(600, 600));
            JOptionPane.showMessageDialog(null, jrViewer);
        } catch (JRException e) {
            System.out.println(e.getMessage());
        }
    }

    private static JRDataSource getDataSource() {
        Collection<BeanWithList> coll = new ArrayList<BeanWithList>();

        BeanWithList bean = new BeanWithList(Arrays.asList("London", "Paris"), 1);

        coll.add(bean);

        bean = new BeanWithList(Arrays.asList("London", "Madrid", "Moscow"), 2);
        coll.add(bean);

        bean = new BeanWithList(Arrays.asList("Rome"), 3);
        coll.add(bean);

        return new JRBeanCollectionDataSource(coll);
    }

private static void generar_Normas() {
        for (int i = 1; i <=45; i++) {
            
       
        System.out.println("org.jdesktop.beansbinding.Binding binding = "
                + "org.jdesktop.beansbinding.Bindings."
                    + "createAutoBinding(org.jdesktop.beansbinding.AutoBinding."
                    + "UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding."
                    + "ELProperty.create(\"${analisis.norma" + i + "}\"), norma" + i + "Field, org."
                    + "jdesktop.beansbinding.BeanProperty.create(\"text\"));"
                    + "\nbinding.setSourceUnreadableValue(\"\");"
                    + "\nbindingGroup.addBinding(binding);");
         }
}
private static void ligarResultados() {
        for (int i = 1; i <=45; i++) {
            
       
        System.out.println("binding = "
                + "org.jdesktop.beansbinding.Bindings."
                    + "createAutoBinding(org.jdesktop.beansbinding.AutoBinding."
                    + "UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding."
                    + "ELProperty.create(\"${resultados.rx" + i + "}\"), rx" + i + "Field, org."
                    + "jdesktop.beansbinding.BeanProperty.create(\"text\"));"
                    + "\nbinding.setSourceUnreadableValue(\"\");"
                    + "\nbindingGroup.addBinding(binding);");
         }
}
private static void ligarInterpretacion() {
        for (int i = 1; i <=45; i++) {
            
       
        System.out.println("binding = "
                + "org.jdesktop.beansbinding.Bindings."
                    + "createAutoBinding(org.jdesktop.beansbinding.AutoBinding."
                    + "UpdateStrategy.READ_WRITE, this, org.jdesktop.beansbinding."
                    + "ELProperty.create(\"${resultados.interpretacion" + i + "}\"), interpretacion" + i + "Field, org."
                    + "jdesktop.beansbinding.BeanProperty.create(\"text\"));"
                    + "\nbinding.setSourceUnreadableValue(\"\");"
                    + "\nbindingGroup.addBinding(binding);");
         }
}
public static class BeanWithList {

        private List<String> m_ciudad;
        private Integer m_id;

        public BeanWithList(List<String> ciudad, Integer id) {
            m_ciudad = ciudad;
            m_id = id;
        }

        public List<String> getCiudades() {
            return m_ciudad;
        }

        public Integer getId() {
            return m_id;
        }
    }

}
