/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package utilidades;

import java.awt.Color;

/**
 * Convenciones para dibujar odontograma
 *
 * @author Usuario
 */
public class Convenciones {

    public static final int TOTAL = 1;
    public static final int PARCIAL = 0;
    public static final Convencion DEFECTO = new Convencion(0, "", Color.white, TOTAL);

    public static final Convencion CARIES = new Convencion(1, null, Color.red, PARCIAL);
    public static final Convencion AMALGAMA = new Convencion(2, null, Color.blue, PARCIAL);
    public static final Convencion RESINA = new Convencion(3, null, Color.green, PARCIAL);
    public static final Convencion FRACTURA = new Convencion(5, null, Color.gray, PARCIAL);
    public static final Convencion DESGASTES = new Convencion(9, null, Color.black, PARCIAL);
    public static final Convencion SELLANTE = new Convencion(4, "S", Color.black, TOTAL);
    public static final Convencion PROT_FIJA = new Convencion(6, "✸", Color.black, TOTAL);
    public static final Convencion ERUPCIONADO = new Convencion(7, "⇧", Color.black, TOTAL);
    public static final Convencion ENDODONCIA = new Convencion(8, "◆", Color.black, TOTAL);
    public static final Convencion SURCO_PIGMENTADO = new Convencion(10, "w", Color.black, TOTAL);
    public static final Convencion EXT_INDICADA = new Convencion(11, "✕", Color.black, TOTAL);
    public static final Convencion DIENTE_EXTRAIDO = new Convencion(12, "│", Color.black, TOTAL);
    public static final Convencion DIENTE_SIN_ERUP = new Convencion(13, "─", Color.black, TOTAL);

    public Convencion get(int id) {
        switch (id) {
            case 0:
                return DEFECTO;
            case 1:
                return CARIES;
            case 2:
                return AMALGAMA;
            case 3:
                return RESINA;
            case 4:
                return SELLANTE;
            case 5:
                return FRACTURA;
            case 6:
                return PROT_FIJA;
            case 7:
                return ERUPCIONADO;
            case 8:
                return ENDODONCIA;
            case 9:
                return DESGASTES;
            case 10:
                return SURCO_PIGMENTADO;
            case 11:
                return EXT_INDICADA;
            case 12:
                return DIENTE_EXTRAIDO;
            case 13:
                return DIENTE_SIN_ERUP;
            default:
                return null;

        }

    }

}
