/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package utilidades;

import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import org.jdesktop.beansbinding.Converter;

/**
 *
 * @author Andersson Paz Narvaez
 */
public class Conversor {

    public static class AgeConverter extends Converter {

        @Override
        public Object convertForward(Object value) {
            byte[] bytes;
            try {
                BufferedImage bufferedImage = (BufferedImage) (Icon)value;
                ByteArrayOutputStream baos = new ByteArrayOutputStream();
                ImageIO.write(bufferedImage, "jpeg", baos);
                baos.flush();
                bytes = baos.toByteArray();

                baos.close();
            } catch (IOException e) {
                bytes = null;
            } catch (Exception e) {
                bytes = null;
            }
            return bytes;
        }

        @Override
        public Object convertReverse(Object value) {
            Icon icono;
            try {
                icono = new ImageIcon((byte[]) value);
            } catch (NumberFormatException ex) {
                icono = null;
            }
            return icono;
        }

    }

}
