/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package utilidades;

import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.Query;
import javax.swing.JTable;

/**
 *
 * @author Usuario
 */
public class Crud {

    /**
     *
     * @param entidad: Entidad nueva
     * @param tabla: Tabla enlazada
     * @param list: Lista de entidades
     */
    public static void nuevo(Object entidad, JTable tabla, List list) {
        list.add(entidad);
        int row = list.size() - 1;
        tabla.setRowSelectionInterval(row, row);
        tabla.scrollRectToVisible(tabla.getCellRect(row, 0, true));
    }

    public static void refrescar(EntityManager em, Query query, List list) {
        em.getTransaction().rollback();
        em.getTransaction().begin();
        java.util.Collection data = query.getResultList();
        list.clear();
        list.addAll(data);
        em.flush();
    }

    private Crud() {
    }

    public static Crud getInstance() {
        return CrudHolder.INSTANCE;
    }

    private static class CrudHolder {

        private static final Crud INSTANCE = new Crud();
    }

}
