/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package utilidades;

import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;

/**
 *
 * @author Usuario
 */
public class Registrador {

    private final static Logger log = Logger.getLogger(Registrador.class);

    private Registrador() {
        DOMConfigurator.configure(this.getClass().getResource(
                "log4j2.xml"));
    }

    public static Registrador getInstance() {
        return RegistradorHolder.INSTANCE;
    }

    private static class RegistradorHolder {

        private static final Registrador INSTANCE = new Registrador();
    }

    public void setWarn(String warning) {
        log.warn(warning);      
    }

    public void setErr(String error) {
        log.error(error);
    }

    public void setInf(String info) {
        log.info(info);

    }

    public void setFat(String fatal) {
        log.fatal(fatal);
    }

    public void setTra(String trace) {
        log.fatal(trace);
    }
    public void init() {
        log.notify();
    }
}
