/* 
 * Copyright (C) 2014 Andersson Paz Narvaez
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package utilidades;

import java.awt.Component;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;
import java.text.Format;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;
import javax.swing.table.DefaultTableCellRenderer;

/**
 *
 * @author Usuario
 */
public class Tiempo {

    private Date fecha;
   public  static SimpleDateFormat FORMATO_MES = new SimpleDateFormat("MMMM");
    public static final String PROP_FECHA = "fecha";

    /**
     * Get the value of fecha
     *
     * @return the value of fecha
     */
    public Date getFecha() {
        return fecha = null;
    }

    /**
     * Set the value of fecha
     *
     * @param fecha new value of fecha
     */
    public void setFecha(Date fecha) {
        Date oldFecha = this.fecha;
        this.fecha = fecha;
        propertyChangeSupport.firePropertyChange(PROP_FECHA, oldFecha, fecha);
    }

    private transient final PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport(this);

    /**
     * Add PropertyChangeListener.
     *
     * @param listener
     */
    public void addPropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.addPropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    /**
     * Remove PropertyChangeListener.
     *
     * @param listener
     */
    public void removePropertyChangeListener(PropertyChangeListener listener) {
        try {
            propertyChangeSupport.removePropertyChangeListener(listener);
        } catch (Exception e) {
        }
    }

    public static void calcularDia() {
        // SimpleDateFormat ft = new SimpleDateFormat("yyyy/MM/dd");
        // SimpleDateFormat ht = new SimpleDateFormat("HH:mm a");
        //SimpleDateFormat fc = new SimpleDateFormat("yyyy/MM/dd HH:mm a");

        Calendar c = Calendar.getInstance();
        c.setTime(new Date());
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        Date startDate = c.getTime();
        c.add(Calendar.DATE, 1);  // number of days to add
        Date endDate = c.getTime();
        //System.out.println("hoy " + fc.format(startDate) + " mañana " + fc.format(endDate));
        /* query = entityManager.createQuery("SELECT m FROM Medicion m WHERE ");
         query.setParameter("asignacion", asignacion);*/
        // query = entityManager.createQuery("SELECT m from Medicion m WHERE m.asignacionesId=:asignacion AND m.fecha BETWEEN :startDate AND :endDate ");
        //  query.setParameter("startDate", startDate).setParameter("endDate", endDate).setParameter("asignacion", asignacion);

    }

    public static Date iniDia() {
        Calendar c = Calendar.getInstance();
        c.setTime(new Date());
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        return c.getTime();
    }

    public static Date finDia() {
        Calendar c = Calendar.getInstance();
        c.setTime(new Date());
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        c.add(Calendar.DATE, 1);  // number of days to add
        return c.getTime();
    }

    public static Date iniDia(Date fecha) {
        Calendar c = Calendar.getInstance();
        c.setTime(fecha);
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        return c.getTime();
    }

    public static Date finDia(Date fecha) {
        Calendar c = Calendar.getInstance();
        c.setTime(fecha);
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        c.add(Calendar.DATE, 1);  // number of days to add
        return c.getTime();
    }

    public static Date iniMes(Date fecha) {
        Calendar c = Calendar.getInstance();
        c.setTime(fecha);
        c.set(Calendar.DAY_OF_MONTH, 1);
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        return c.getTime();
    }

    public static Date finMes(Date fecha) {

        Calendar c = Calendar.getInstance();
        c.setTime(fecha);
        c.set(Calendar.DAY_OF_MONTH, 1);
        c.set(Calendar.HOUR_OF_DAY, 12);
        c.set(Calendar.MINUTE, 59);
        c.add(Calendar.MONTH, 1);  // number of days to add
        c.add(Calendar.DATE, -1);
        return c.getTime();
    }

    /**
     *
     */
    public static class MesesRender extends DefaultListCellRenderer {

        @Override
        public Component getListCellRendererComponent(
                JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
            super.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
            if (value instanceof Date) {
                Date mes = (Date) value;
                setText(FORMATO_MES.format(mes));
            }
            return this;
        }
    }

    public static List<Date> meses(Date fecha) {
        Calendar c = Calendar.getInstance();
        c.setTime(fecha);
        List<Date> listaMeses = new ArrayList<>();
        c.set(Calendar.DAY_OF_MONTH, 1);
        c.set(Calendar.HOUR_OF_DAY,1 );
        c.set(Calendar.MINUTE, 0);         
        for (int i = 1; i <= 12; i++) {
            c.set(Calendar.MONTH, i);
            listaMeses.add(c.getTime());
        }

        return listaMeses;
    }
    private static TimeRenderer timeRender;

    public static TimeRenderer getTimeRender() {
        if (timeRender == null) {
            timeRender = new TimeRenderer();
        }
        return timeRender;
    }

    public static class TimeRenderer extends DefaultTableCellRenderer {

        private final Format formatter = new SimpleDateFormat("h:mm a");

        @Override
        public void setValue(Object value) {
            //  Format the Object before setting its value in the renderer

            try {
                if (value != null) {
                    value = formatter.format(value);
                }
            } catch (IllegalArgumentException e) {
            }

            super.setValue(value);
        }
    }

}
