CREATE TABLE area (id INTEGER AUTO_INCREMENT NOT NULL, nombre VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE sexo (tipo VARCHAR(255) NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (tipo))
CREATE TABLE usuario (tipo INTEGER NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (tipo))
CREATE TABLE depto (codigo INTEGER NOT NULL, nombre VARCHAR(255), PRIMARY KEY (codigo))
CREATE TABLE paciente (id VARCHAR(255) NOT NULL, direccion VARCHAR(255), edad INTEGER, escolaridad VARCHAR(255), estado_civil VARCHAR(255), nombre_acompanante VARCHAR(255), nombre_completo VARCHAR(255), ocupacion VARCHAR(255), parentesco_acompanante VARCHAR(255), primer_apellido VARCHAR(255), primer_nombre VARCHAR(255), segundo_apellido VARCHAR(255), segundo_nombre VARCHAR(255), tel_acompanante VARCHAR(255), telefono VARCHAR(255), edad_unidad INTEGER, entidad_codigo VARCHAR(255), identificacion_tipo VARCHAR(255), muni_id INTEGER, sexo_tipo VARCHAR(255), usuario_tipo INTEGER, zona_residencial_codigo VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE zona_residencial (codigo VARCHAR(255) NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (codigo))
CREATE TABLE consulta (id INTEGER AUTO_INCREMENT NOT NULL, codigo VARCHAR(255), fecha DATETIME, finalidad VARCHAR(255), num_autorizacion VARCHAR(255), tipo_diagnostico VARCHAR(255), valor BIGINT, valor_cuota BIGINT, valor_neto BIGINT, entidad_codigo VARCHAR(255), finalidad_consulta_id INTEGER, tipo_diagnostico_id INTEGER, PRIMARY KEY (id))
CREATE TABLE edad (unidad INTEGER NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (unidad))
CREATE TABLE identificacion (tipo VARCHAR(255) NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (tipo))
CREATE TABLE medico (id VARCHAR(255) NOT NULL, direccion VARCHAR(255), email VARCHAR(255), firma LONGBLOB, nombre_completo VARCHAR(255), priemr_apellido VARCHAR(255), primer_nombre VARCHAR(255), registro VARCHAR(255), segundo_apellido VARCHAR(255), segundo_mobre VARCHAR(255), tel VARCHAR(255), titulo VARCHAR(255), area_id INTEGER, PRIMARY KEY (id))
CREATE TABLE entidad (codigo VARCHAR(255) NOT NULL, nombre VARCHAR(255), nombre_completo VARCHAR(255), PRIMARY KEY (codigo))
CREATE TABLE muni (id INTEGER AUTO_INCREMENT NOT NULL, codigo INTEGER, nombre VARCHAR(255), depto_codigo INTEGER, PRIMARY KEY (id))
CREATE TABLE consulta_fecha (id INTEGER AUTO_INCREMENT NOT NULL, consultado TINYINT(1) default 0, facturado TINYINT(1) default 0, fecha DATETIME, orden VARCHAR(255), medico_id VARCHAR(255), paciente_id VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE convencion_odont (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), nombre VARCHAR(255), tipo VARCHAR(255), odontograma_id INTEGER, PRIMARY KEY (id))
CREATE TABLE ambito (id INTEGER NOT NULL, desc VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE personal (id INTEGER AUTO_INCREMENT NOT NULL, desc VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE remision_otra_ins (id INTEGER AUTO_INCREMENT NOT NULL, a VARCHAR(255), complicaciones VARCHAR(255), de VARCHAR(255), diagnostico VARCHAR(255), evolucion VARCHAR(255), fecha_resultados VARCHAR(255), fecha_solicitud DATETIME, hc_recibe VARCHAR(255), motivo VARCHAR(255), resumen VARCHAR(255), telefono VARCHAR(255), tratamiento VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE procedimiento_rips (id INTEGER AUTO_INCREMENT NOT NULL, ambito INTEGER, cod_prestador VARCHAR(255), codigo VARCHAR(255), complicacion VARCHAR(255), diagnostico_principal VARCHAR(255), diagnostico_relacionado VARCHAR(255), fecha DATETIME, finalidad INTEGER, forma_acto VARCHAR(255), num_autorizacion VARCHAR(255), num_identificacion INTEGER, personal INTEGER, tipo_identificacion VARCHAR(255), valor BIGINT, PRIMARY KEY (id))
CREATE TABLE control_palaca (id INTEGER AUTO_INCREMENT NOT NULL, d INTEGER, f INTEGER, fecha DATETIME, indice BIGINT, l INTEGER, m INTEGER, num_diente INTEGER, num_super_placa INTEGER, o INTEGER, t INTEGER, total INTEGER, v INTEGER, historia_odontologica_id INTEGER, PRIMARY KEY (id))
CREATE TABLE odontograma (id INTEGER AUTO_INCREMENT NOT NULL, d INTEGER, l INTEGER, m INTEGER, num_diente INTEGER, o INTEGER, p INTEGER, total INTEGER, v INTEGER, historia_odontologica_id INTEGER, PRIMARY KEY (id))
CREATE TABLE cie10 (id VARCHAR(255) NOT NULL, descripcion VARCHAR(255), grupo_mortalidad VARCHAR(255), lim_inf INTEGER, lim_sup INTEGER, no_prin INTEGER, observaciones VARCHAR(255), sivigila VARCHAR(255), cei10_subgrupos_codigos VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE sertificado_odontologico (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATETIME, valor BIGINT, PRIMARY KEY (id))
CREATE TABLE procedimiento (id INTEGER AUTO_INCREMENT NOT NULL, complicacion VARCHAR(255), diagnostico_relacionado VARCHAR(255), fecha DATETIME, forma_acto VARCHAR(255), valor BIGINT, ambito_id INTEGER, cie10_id VARCHAR(255), cups_codigo INTEGER, finalidad_procedimiento_id INTEGER, personal_id INTEGER, PRIMARY KEY (id))
CREATE TABLE `historia clinica` (id INTEGER AUTO_INCREMENT NOT NULL, abdomen VARCHAR(255), antecedentes VARCHAR(255), auditada TINYINT(1) default 0, boca_graganta VARCHAR(255), cabeza VARCHAR(255), cms VARCHAR(255), conducta VARCHAR(255), corazon VARCHAR(255), cuello VARCHAR(255), dorso_extremidades VARCHAR(255), enfermedad_actual VARCHAR(255), estado_general VARCHAR(255), fecha DATETIME, genitourinario VARCHAR(255), glasgow VARCHAR(255), hallasgos VARCHAR(255), mmhg VARCHAR(255), motivo_consulta VARCHAR(255), neurologico VARCHAR(255), ojos_oidos_nariz VARCHAR(255), peso VARCHAR(255), piel VARCHAR(255), pmfr VARCHAR(255), pulmones VARCHAR(255), rmpa VARCHAR(255), talla VARCHAR(255), torax VARCHAR(255), consulta_fecha_id INTEGER, diagnostico_principal VARCHAR(255), diagnostico_rel1 VARCHAR(255), diagnostico_rel2 VARCHAR(255), diagnostico_rel3 VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE historia_odontologica (id INTEGER AUTO_INCREMENT NOT NULL, alergias VARCHAR(255), alteracion_presion_art VARCHAR(255), antecedentes VARCHAR(255), auditada TINYINT(1) default 0, bloque_mandivular VARCHAR(255), cambio_volumen VARCHAR(255), cardiopatias VARCHAR(255), cariados INTEGER, cirugias VARCHAR(255), comisuras VARCHAR(255), desviacion VARCHAR(255), diabetes VARCHAR(255), discrasias_sanguineas VARCHAR(255), dolor_articular VARCHAR(255), dolor_muscular VARCHAR(255), dorso_lengua VARCHAR(255), embarazo VARCHAR(255), enfermedades_orales VARCHAR(255), evolucion_estado VARCHAR(255), exodoncias VARCHAR(255), fecha DATETIME, fiebre_reumatica VARCHAR(255), frenillos VARCHAR(255), glandulas_salivales VARCHAR(255), hepatitis VARCHAR(255), hiv_sida VARCHAR(255), inmunosuprecion VARCHAR(255), labio_inf VARCHAR(255), labio_sup VARCHAR(255), motivo VARCHAR(255), mucosa_oral VARCHAR(255), observaciones VARCHAR(255), obturados INTEGER, orofaringe VARCHAR(255), otras_patologias VARCHAR(255), paladar VARCHAR(255), patologia_renal VARCHAR(255), patologia_resp VARCHAR(255), perdidos INTEGER, piso_boca VARCHAR(255), protesis_aparotologia VARCHAR(255), ruidos VARCHAR(255), sanos INTEGER, sinusitis VARCHAR(255), surcos_bucales VARCHAR(255), toma_medicamentos VARCHAR(255), total INTEGER, trastorno_emocional VARCHAR(255), trastorno_gast VARCHAR(255), tratamiento_actual VARCHAR(255), vientre_lengua VARCHAR(255), consulta_fecha_id INTEGER, PRIMARY KEY (id))
CREATE TABLE tranasaccion_rips (id INTEGER AUTO_INCREMENT NOT NULL, cod_eps VARCHAR(255), codigo_prestador VARCHAR(255), fecha_expedicion DATETIME, fecha_final DATETIME, fecha_inicio DATETIME, nombre VARCHAR(255), num_contrato VARCHAR(255), num_factura INTEGER, num_poliza VARCHAR(255), num_prestador INTEGER, plan VARCHAR(255), razon VARCHAR(255), tipo_prestador VARCHAR(255), valor_comision BIGINT, valor_copago BIGINT, valor_descuento BIGINT, valor_neto BIGINT, PRIMARY KEY (id))
CREATE TABLE histtoria_fonoaudiologia (id INTEGER AUTO_INCREMENT NOT NULL, alergias VARCHAR(255), alteracion_presion_art VARCHAR(255), antecedentes VARCHAR(255), auditada TINYINT(1) default 0, cadio_patias VARCHAR(255), cirugias VARCHAR(255), diabetes VARCHAR(255), discrasias_sanguineas VARCHAR(255), embarazo VARCHAR(255), enfermedades_orales VARCHAR(255), evolucion_estado VARCHAR(255), exodoncias VARCHAR(255), fecha DATETIME, fiebre_reumatica VARCHAR(255), hepatitis VARCHAR(255), hiv_sida VARCHAR(255), inmuno_supresion VARCHAR(255), motivo VARCHAR(255), observaciones VARCHAR(255), otras_patologias VARCHAR(255), patologia_renal VARCHAR(255), patologia_respiratoria VARCHAR(255), protesis_aparatologia VARCHAR(255), sinusitis VARCHAR(255), toma_medicamentos VARCHAR(255), trastorno_emocional VARCHAR(255), trastorno_gastrico VARCHAR(255), trtamiento_actual VARCHAR(255), consulta_fecha_id INTEGER, PRIMARY KEY (id))
CREATE TABLE consulta_rips (id INTEGER AUTO_INCREMENT NOT NULL, cod_diagnostico_principal VARCHAR(255), cod_prestaador VARCHAR(255), cod_ralacionado3 VARCHAR(255), cod_relacionado1 VARCHAR(255), cod_relacionado2 VARCHAR(255), codigo VARCHAR(255), fecha DATETIME, finalidad INTEGER, num_autorizacion VARCHAR(255), num_identificacion VARCHAR(255), tipo_diagnostico INTEGER, tipo_identificacion VARCHAR(255), valor BIGINT, valor_moderadora BIGINT, valor_neto BIGINT, consulta_id INTEGER, PRIMARY KEY (id))
CREATE TABLE cie10_grupos (capitulo VARCHAR(255) NOT NULL, codigos VARCHAR(255), descripcion VARCHAR(255), PRIMARY KEY (capitulo))
CREATE TABLE contrato (id VARCHAR(255) NOT NULL, entidad_codigo VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE cei10_subgrupos (codigos VARCHAR(255) NOT NULL, descripcion VARCHAR(255), cie10_grupos_capitulo VARCHAR(255), PRIMARY KEY (codigos))
CREATE TABLE permiso (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), nombre VARCHAR(255), roll_usuario_id INTEGER, PRIMARY KEY (id))
CREATE TABLE usuarios_sgac (id INTEGER AUTO_INCREMENT NOT NULL, contrasena VARCHAR(255), id_tabla VARCHAR(255), nick VARCHAR(255), tabla VARCHAR(255), roll_usuario_id INTEGER, PRIMARY KEY (id))
CREATE TABLE roll_usuario (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), nombre VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE tipo_procedimiento (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE cups (codigo INTEGER NOT NULL, desccripcion VARCHAR(255), dx TINYINT(1) default 0, edad_fin VARCHAR(255), edad_ini VARCHAR(255), no_max INTEGER, no_min INTEGER, pos TINYINT(1) default 0, qx TINYINT(1) default 0, sexo VARCHAR(255), finalidad_cups_id INTEGER, tipo_procedimiento_id INTEGER, PRIMARY KEY (codigo))
CREATE TABLE finalidad_cups (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE histtoria_fisioterapia (id INTEGER AUTO_INCREMENT NOT NULL, alergias VARCHAR(255), alteracion_presion_art VARCHAR(255), ant_familiares VARCHAR(255), ant_ginecologicos VARCHAR(255), ant_personales VARCHAR(255), auditada TINYINT(1) default 0, cadio_patias VARCHAR(255), cirugias VARCHAR(255), diabetes VARCHAR(255), discrasias_sanguineas VARCHAR(255), embarazo VARCHAR(255), enfermedades_orales VARCHAR(255), evolucion_estado VARCHAR(255), exodoncias VARCHAR(255), fecha DATETIME, fiebre_reumatica VARCHAR(255), hepatitis VARCHAR(255), hiv_sida VARCHAR(255), inmuno_supresion VARCHAR(255), motivo VARCHAR(255), observaciones VARCHAR(255), otras_patologias VARCHAR(255), patologia_renal VARCHAR(255), patologia_respiratoria VARCHAR(255), protesis_aparatologia VARCHAR(255), sinusitis VARCHAR(255), toma_medicamentos VARCHAR(255), trastorno_emocional VARCHAR(255), trastorno_gastrico VARCHAR(255), trtamiento_actual VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE imagenes_general (id INTEGER AUTO_INCREMENT NOT NULL, historia_clinica_id INTEGER, imagenes_diagnosticas_id INTEGER, PRIMARY KEY (id))
CREATE TABLE procedimiento_odonto (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), fecha DATETIME, num_diente INTEGER, superficie INTEGER, historia_odontologica_id INTEGER, procedimiento_id INTEGER, PRIMARY KEY (id))
CREATE TABLE laboratorio_general (id INTEGER AUTO_INCREMENT NOT NULL, historia_clinica_id INTEGER, laboratorio_id INTEGER, PRIMARY KEY (id))
CREATE TABLE remision_odonto (id INTEGER AUTO_INCREMENT NOT NULL, historia_odontologica_id INTEGER, remision_otra_ins_id INTEGER, PRIMARY KEY (id))
CREATE TABLE laboratorio_odonto (id INTEGER AUTO_INCREMENT NOT NULL, historia_odontologica_id INTEGER, laboratorio_id INTEGER, PRIMARY KEY (id))
CREATE TABLE medicamentos_insumos (id INTEGER AUTO_INCREMENT NOT NULL, grupo_farmacologico VARCHAR(255), unidad_presentacion VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE formula (id INTEGER AUTO_INCREMENT NOT NULL, cantidad VARCHAR(255), fecha DATE, frecuencia VARCHAR(255), formula_general_id INTEGER, medicamentos_insumos_id INTEGER, PRIMARY KEY (id))
CREATE TABLE finalidad_procedimiento (id INTEGER NOT NULL, desc VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE consulta_general (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATE, hora TIME, consulta_id INTEGER, historia_clinica_id INTEGER, PRIMARY KEY (id))
CREATE TABLE formula_fisio (id INTEGER AUTO_INCREMENT NOT NULL, formula_id INTEGER, histtoria_fisioterapia_id INTEGER, PRIMARY KEY (id))
CREATE TABLE consulta_fono (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATE, hora TIME, consulta_id INTEGER, histtoria_fonoaudiologia_id INTEGER, PRIMARY KEY (id))
CREATE TABLE imagenes_diagnosticas (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), fecha DATETIME, fecha_recepcion DATETIME, resultados VARCHAR(255), imagenologia_id INTEGER, PRIMARY KEY (id))
CREATE TABLE examenes (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), servicio_prestado TINYINT(1) default 0, PRIMARY KEY (id))
CREATE TABLE imagenologia (id INTEGER AUTO_INCREMENT NOT NULL, descripcion VARCHAR(255), servicio TINYINT(1) default 0, PRIMARY KEY (id))
CREATE TABLE remision_general (id INTEGER AUTO_INCREMENT NOT NULL, historia_clinica_id INTEGER, remision_otra_ins_id INTEGER, PRIMARY KEY (id))
CREATE TABLE imagenes_odonto (id INTEGER AUTO_INCREMENT NOT NULL, historia_odontologica_id INTEGER, imagenes_diagnosticas_id INTEGER, PRIMARY KEY (id))
CREATE TABLE consulta_fisio (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATE, hora TIME, consulta_id INTEGER, histtoria_fisioterapia_id INTEGER, PRIMARY KEY (id))
CREATE TABLE remision_fono (id INTEGER AUTO_INCREMENT NOT NULL, histtoria_fonoaudiologia_id INTEGER, remision_otra_ins_id INTEGER, PRIMARY KEY (id))
CREATE TABLE procedimientos_general (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATE, hora TIME, historia_clinica_id INTEGER, procedimiento_id INTEGER, PRIMARY KEY (id))
CREATE TABLE formula_general (id INTEGER AUTO_INCREMENT NOT NULL, historia_clinica_id INTEGER, PRIMARY KEY (id))
CREATE TABLE laboratorio (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATETIME, fecha_recepcion DATETIME, resultados VARCHAR(255), examenes_id INTEGER, PRIMARY KEY (id))
CREATE TABLE imagenes_fono (id INTEGER AUTO_INCREMENT NOT NULL, histtoria_fonoaudiologia_id INTEGER, imagenes_diagnosticas_id INTEGER, PRIMARY KEY (id))
CREATE TABLE tipo_diagnostico (id INTEGER NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE laboratorio_fono (id INTEGER AUTO_INCREMENT NOT NULL, histtoria_fonoaudiologia_id INTEGER, laboratorio_id INTEGER, PRIMARY KEY (id))
CREATE TABLE consulta_odonto (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATE, hora TIME, consulta_id INTEGER, historia_odontologica_id INTEGER, PRIMARY KEY (id))
CREATE TABLE procedimientos_fisio (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATE, hora TIME, histtoria_fisioterapia_id INTEGER, procedimiento_id INTEGER, PRIMARY KEY (id))
CREATE TABLE finalidad_consulta (id INTEGER NOT NULL, descripcion VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE imagenes_fisio (id INTEGER AUTO_INCREMENT NOT NULL, histtoria_fisioterapia_id INTEGER, imagenes_diagnosticas_id INTEGER, PRIMARY KEY (id))
CREATE TABLE formula_odonto (id INTEGER AUTO_INCREMENT NOT NULL, formula_id INTEGER, historia_odontologica_id INTEGER, PRIMARY KEY (id))
CREATE TABLE procedimientos_fono (id INTEGER AUTO_INCREMENT NOT NULL, fecha DATE, hora TIME, histtoria_fonoaudiologia_id INTEGER, procedimiento_id INTEGER, PRIMARY KEY (id))
CREATE TABLE remision_fisio (id INTEGER AUTO_INCREMENT NOT NULL, histtoria_fisioterapia_id INTEGER, remision_otra_ins_id INTEGER, PRIMARY KEY (id))
CREATE TABLE formula_fono (id INTEGER AUTO_INCREMENT NOT NULL, formula_id INTEGER, histtoria_fonoaudiologia_id INTEGER, PRIMARY KEY (id))
CREATE TABLE laboratorio_fisio (id INTEGER AUTO_INCREMENT NOT NULL, histtoria_fisioterapia_id INTEGER, laboratorio_id INTEGER, PRIMARY KEY (id))
CREATE TABLE orden (id VARCHAR(255) NOT NULL, descripcion VARCHAR(255), fecha DATETIME, max INTEGER, realizados INTEGER, paciente_id VARCHAR(255), PRIMARY KEY (id))
CREATE TABLE odontograma_c (id INTEGER AUTO_INCREMENT NOT NULL, d INTEGER, l INTEGER, m INTEGER, num_diente INTEGER, o INTEGER, p INTEGER, total INTEGER, v INTEGER, PRIMARY KEY (id))
ALTER TABLE paciente ADD CONSTRAINT FK_paciente_zona_residencial_codigo FOREIGN KEY (zona_residencial_codigo) REFERENCES zona_residencial (codigo)
ALTER TABLE paciente ADD CONSTRAINT FK_paciente_sexo_tipo FOREIGN KEY (sexo_tipo) REFERENCES sexo (tipo)
ALTER TABLE paciente ADD CONSTRAINT FK_paciente_muni_id FOREIGN KEY (muni_id) REFERENCES muni (id)
ALTER TABLE paciente ADD CONSTRAINT FK_paciente_entidad_codigo FOREIGN KEY (entidad_codigo) REFERENCES entidad (codigo)
ALTER TABLE paciente ADD CONSTRAINT FK_paciente_identificacion_tipo FOREIGN KEY (identificacion_tipo) REFERENCES identificacion (tipo)
ALTER TABLE paciente ADD CONSTRAINT FK_paciente_edad_unidad FOREIGN KEY (edad_unidad) REFERENCES edad (unidad)
ALTER TABLE paciente ADD CONSTRAINT FK_paciente_usuario_tipo FOREIGN KEY (usuario_tipo) REFERENCES usuario (tipo)
ALTER TABLE consulta ADD CONSTRAINT FK_consulta_entidad_codigo FOREIGN KEY (entidad_codigo) REFERENCES entidad (codigo)
ALTER TABLE consulta ADD CONSTRAINT FK_consulta_tipo_diagnostico_id FOREIGN KEY (tipo_diagnostico_id) REFERENCES tipo_diagnostico (id)
ALTER TABLE consulta ADD CONSTRAINT FK_consulta_finalidad_consulta_id FOREIGN KEY (finalidad_consulta_id) REFERENCES finalidad_consulta (id)
ALTER TABLE medico ADD CONSTRAINT FK_medico_area_id FOREIGN KEY (area_id) REFERENCES area (id)
ALTER TABLE muni ADD CONSTRAINT FK_muni_depto_codigo FOREIGN KEY (depto_codigo) REFERENCES depto (codigo)
ALTER TABLE consulta_fecha ADD CONSTRAINT FK_consulta_fecha_paciente_id FOREIGN KEY (paciente_id) REFERENCES paciente (id)
ALTER TABLE consulta_fecha ADD CONSTRAINT FK_consulta_fecha_medico_id FOREIGN KEY (medico_id) REFERENCES medico (id)
ALTER TABLE convencion_odont ADD CONSTRAINT FK_convencion_odont_odontograma_id FOREIGN KEY (odontograma_id) REFERENCES odontograma (id)
ALTER TABLE control_palaca ADD CONSTRAINT FK_control_palaca_historia_odontologica_id FOREIGN KEY (historia_odontologica_id) REFERENCES historia_odontologica (id)
ALTER TABLE odontograma ADD CONSTRAINT FK_odontograma_historia_odontologica_id FOREIGN KEY (historia_odontologica_id) REFERENCES historia_odontologica (id)
ALTER TABLE cie10 ADD CONSTRAINT FK_cie10_cei10_subgrupos_codigos FOREIGN KEY (cei10_subgrupos_codigos) REFERENCES cei10_subgrupos (codigos)
ALTER TABLE procedimiento ADD CONSTRAINT FK_procedimiento_cups_codigo FOREIGN KEY (cups_codigo) REFERENCES cups (codigo)
ALTER TABLE procedimiento ADD CONSTRAINT FK_procedimiento_cie10_id FOREIGN KEY (cie10_id) REFERENCES cie10 (id)
ALTER TABLE procedimiento ADD CONSTRAINT FK_procedimiento_personal_id FOREIGN KEY (personal_id) REFERENCES personal (id)
ALTER TABLE procedimiento ADD CONSTRAINT FK_procedimiento_finalidad_procedimiento_id FOREIGN KEY (finalidad_procedimiento_id) REFERENCES finalidad_procedimiento (id)
ALTER TABLE procedimiento ADD CONSTRAINT FK_procedimiento_ambito_id FOREIGN KEY (ambito_id) REFERENCES ambito (id)
ALTER TABLE `historia clinica` ADD CONSTRAINT `FK_historiaclinica_consulta_fecha_id` FOREIGN KEY (consulta_fecha_id) REFERENCES consulta_fecha (id)
ALTER TABLE `historia clinica` ADD CONSTRAINT `FK_historiaclinica_diagnostico_principal` FOREIGN KEY (diagnostico_principal) REFERENCES cie10 (id)
ALTER TABLE `historia clinica` ADD CONSTRAINT `FK_historiaclinica_diagnostico_rel3` FOREIGN KEY (diagnostico_rel3) REFERENCES cie10 (id)
ALTER TABLE `historia clinica` ADD CONSTRAINT `FK_historiaclinica_diagnostico_rel2` FOREIGN KEY (diagnostico_rel2) REFERENCES cie10 (id)
ALTER TABLE `historia clinica` ADD CONSTRAINT `FK_historiaclinica_diagnostico_rel1` FOREIGN KEY (diagnostico_rel1) REFERENCES cie10 (id)
ALTER TABLE historia_odontologica ADD CONSTRAINT FK_historia_odontologica_consulta_fecha_id FOREIGN KEY (consulta_fecha_id) REFERENCES consulta_fecha (id)
ALTER TABLE histtoria_fonoaudiologia ADD CONSTRAINT FK_histtoria_fonoaudiologia_consulta_fecha_id FOREIGN KEY (consulta_fecha_id) REFERENCES consulta_fecha (id)
ALTER TABLE consulta_rips ADD CONSTRAINT FK_consulta_rips_consulta_id FOREIGN KEY (consulta_id) REFERENCES consulta (id)
ALTER TABLE contrato ADD CONSTRAINT FK_contrato_entidad_codigo FOREIGN KEY (entidad_codigo) REFERENCES entidad (codigo)
ALTER TABLE cei10_subgrupos ADD CONSTRAINT FK_cei10_subgrupos_cie10_grupos_capitulo FOREIGN KEY (cie10_grupos_capitulo) REFERENCES cie10_grupos (capitulo)
ALTER TABLE permiso ADD CONSTRAINT FK_permiso_roll_usuario_id FOREIGN KEY (roll_usuario_id) REFERENCES roll_usuario (id)
ALTER TABLE usuarios_sgac ADD CONSTRAINT FK_usuarios_sgac_roll_usuario_id FOREIGN KEY (roll_usuario_id) REFERENCES roll_usuario (id)
ALTER TABLE cups ADD CONSTRAINT FK_cups_tipo_procedimiento_id FOREIGN KEY (tipo_procedimiento_id) REFERENCES tipo_procedimiento (id)
ALTER TABLE cups ADD CONSTRAINT FK_cups_finalidad_cups_id FOREIGN KEY (finalidad_cups_id) REFERENCES finalidad_cups (id)
ALTER TABLE imagenes_general ADD CONSTRAINT FK_imagenes_general_imagenes_diagnosticas_id FOREIGN KEY (imagenes_diagnosticas_id) REFERENCES imagenes_diagnosticas (id)
ALTER TABLE imagenes_general ADD CONSTRAINT FK_imagenes_general_historiaclinica_id FOREIGN KEY (historia_clinica_id) REFERENCES `historia clinica` (id)
ALTER TABLE procedimiento_odonto ADD CONSTRAINT FK_procedimiento_odonto_procedimiento_id FOREIGN KEY (procedimiento_id) REFERENCES procedimiento (id)
ALTER TABLE procedimiento_odonto ADD CONSTRAINT FK_procedimiento_odonto_historia_odontologica_id FOREIGN KEY (historia_odontologica_id) REFERENCES historia_odontologica (id)
ALTER TABLE laboratorio_general ADD CONSTRAINT FK_laboratorio_general_laboratorio_id FOREIGN KEY (laboratorio_id) REFERENCES laboratorio (id)
ALTER TABLE laboratorio_general ADD CONSTRAINT FK_laboratorio_general_historiaclinica_id FOREIGN KEY (historia_clinica_id) REFERENCES `historia clinica` (id)
ALTER TABLE remision_odonto ADD CONSTRAINT FK_remision_odonto_historia_odontologica_id FOREIGN KEY (historia_odontologica_id) REFERENCES historia_odontologica (id)
ALTER TABLE remision_odonto ADD CONSTRAINT FK_remision_odonto_remision_otra_ins_id FOREIGN KEY (remision_otra_ins_id) REFERENCES remision_otra_ins (id)
ALTER TABLE laboratorio_odonto ADD CONSTRAINT FK_laboratorio_odonto_laboratorio_id FOREIGN KEY (laboratorio_id) REFERENCES laboratorio (id)
ALTER TABLE laboratorio_odonto ADD CONSTRAINT FK_laboratorio_odonto_historia_odontologica_id FOREIGN KEY (historia_odontologica_id) REFERENCES historia_odontologica (id)
ALTER TABLE formula ADD CONSTRAINT FK_formula_medicamentos_insumos_id FOREIGN KEY (medicamentos_insumos_id) REFERENCES medicamentos_insumos (id)
ALTER TABLE formula ADD CONSTRAINT FK_formula_formula_general_id FOREIGN KEY (formula_general_id) REFERENCES formula_general (id)
ALTER TABLE consulta_general ADD CONSTRAINT FK_consulta_general_consulta_id FOREIGN KEY (consulta_id) REFERENCES consulta (id)
ALTER TABLE consulta_general ADD CONSTRAINT FK_consulta_general_historiaclinica_id FOREIGN KEY (historia_clinica_id) REFERENCES `historia clinica` (id)
ALTER TABLE formula_fisio ADD CONSTRAINT FK_formula_fisio_histtoria_fisioterapia_id FOREIGN KEY (histtoria_fisioterapia_id) REFERENCES histtoria_fisioterapia (id)
ALTER TABLE formula_fisio ADD CONSTRAINT FK_formula_fisio_formula_id FOREIGN KEY (formula_id) REFERENCES formula (id)
ALTER TABLE consulta_fono ADD CONSTRAINT FK_consulta_fono_consulta_id FOREIGN KEY (consulta_id) REFERENCES consulta (id)
ALTER TABLE consulta_fono ADD CONSTRAINT FK_consulta_fono_histtoria_fonoaudiologia_id FOREIGN KEY (histtoria_fonoaudiologia_id) REFERENCES histtoria_fonoaudiologia (id)
ALTER TABLE imagenes_diagnosticas ADD CONSTRAINT FK_imagenes_diagnosticas_imagenologia_id FOREIGN KEY (imagenologia_id) REFERENCES imagenologia (id)
ALTER TABLE remision_general ADD CONSTRAINT FK_remision_general_remision_otra_ins_id FOREIGN KEY (remision_otra_ins_id) REFERENCES remision_otra_ins (id)
ALTER TABLE remision_general ADD CONSTRAINT FK_remision_general_historiaclinica_id FOREIGN KEY (historia_clinica_id) REFERENCES `historia clinica` (id)
ALTER TABLE imagenes_odonto ADD CONSTRAINT FK_imagenes_odonto_historia_odontologica_id FOREIGN KEY (historia_odontologica_id) REFERENCES historia_odontologica (id)
ALTER TABLE imagenes_odonto ADD CONSTRAINT FK_imagenes_odonto_imagenes_diagnosticas_id FOREIGN KEY (imagenes_diagnosticas_id) REFERENCES imagenes_diagnosticas (id)
ALTER TABLE consulta_fisio ADD CONSTRAINT FK_consulta_fisio_histtoria_fisioterapia_id FOREIGN KEY (histtoria_fisioterapia_id) REFERENCES histtoria_fisioterapia (id)
ALTER TABLE consulta_fisio ADD CONSTRAINT FK_consulta_fisio_consulta_id FOREIGN KEY (consulta_id) REFERENCES consulta (id)
ALTER TABLE remision_fono ADD CONSTRAINT FK_remision_fono_remision_otra_ins_id FOREIGN KEY (remision_otra_ins_id) REFERENCES remision_otra_ins (id)
ALTER TABLE remision_fono ADD CONSTRAINT FK_remision_fono_histtoria_fonoaudiologia_id FOREIGN KEY (histtoria_fonoaudiologia_id) REFERENCES histtoria_fonoaudiologia (id)
ALTER TABLE procedimientos_general ADD CONSTRAINT FK_procedimientos_general_procedimiento_id FOREIGN KEY (procedimiento_id) REFERENCES procedimiento (id)
ALTER TABLE procedimientos_general ADD CONSTRAINT FK_procedimientos_general_historiaclinica_id FOREIGN KEY (historia_clinica_id) REFERENCES `historia clinica` (id)
ALTER TABLE formula_general ADD CONSTRAINT FK_formula_general_historiaclinica_id FOREIGN KEY (historia_clinica_id) REFERENCES `historia clinica` (id)
ALTER TABLE laboratorio ADD CONSTRAINT FK_laboratorio_examenes_id FOREIGN KEY (examenes_id) REFERENCES examenes (id)
ALTER TABLE imagenes_fono ADD CONSTRAINT FK_imagenes_fono_imagenes_diagnosticas_id FOREIGN KEY (imagenes_diagnosticas_id) REFERENCES imagenes_diagnosticas (id)
ALTER TABLE imagenes_fono ADD CONSTRAINT FK_imagenes_fono_histtoria_fonoaudiologia_id FOREIGN KEY (histtoria_fonoaudiologia_id) REFERENCES histtoria_fonoaudiologia (id)
ALTER TABLE laboratorio_fono ADD CONSTRAINT FK_laboratorio_fono_histtoria_fonoaudiologia_id FOREIGN KEY (histtoria_fonoaudiologia_id) REFERENCES histtoria_fonoaudiologia (id)
ALTER TABLE laboratorio_fono ADD CONSTRAINT FK_laboratorio_fono_laboratorio_id FOREIGN KEY (laboratorio_id) REFERENCES laboratorio (id)
ALTER TABLE consulta_odonto ADD CONSTRAINT FK_consulta_odonto_historia_odontologica_id FOREIGN KEY (historia_odontologica_id) REFERENCES historia_odontologica (id)
ALTER TABLE consulta_odonto ADD CONSTRAINT FK_consulta_odonto_consulta_id FOREIGN KEY (consulta_id) REFERENCES consulta (id)
ALTER TABLE procedimientos_fisio ADD CONSTRAINT FK_procedimientos_fisio_procedimiento_id FOREIGN KEY (procedimiento_id) REFERENCES procedimiento (id)
ALTER TABLE procedimientos_fisio ADD CONSTRAINT FK_procedimientos_fisio_histtoria_fisioterapia_id FOREIGN KEY (histtoria_fisioterapia_id) REFERENCES histtoria_fisioterapia (id)
ALTER TABLE imagenes_fisio ADD CONSTRAINT FK_imagenes_fisio_histtoria_fisioterapia_id FOREIGN KEY (histtoria_fisioterapia_id) REFERENCES histtoria_fisioterapia (id)
ALTER TABLE imagenes_fisio ADD CONSTRAINT FK_imagenes_fisio_imagenes_diagnosticas_id FOREIGN KEY (imagenes_diagnosticas_id) REFERENCES imagenes_diagnosticas (id)
ALTER TABLE formula_odonto ADD CONSTRAINT FK_formula_odonto_historia_odontologica_id FOREIGN KEY (historia_odontologica_id) REFERENCES historia_odontologica (id)
ALTER TABLE formula_odonto ADD CONSTRAINT FK_formula_odonto_formula_id FOREIGN KEY (formula_id) REFERENCES formula (id)
ALTER TABLE procedimientos_fono ADD CONSTRAINT FK_procedimientos_fono_procedimiento_id FOREIGN KEY (procedimiento_id) REFERENCES procedimiento (id)
ALTER TABLE procedimientos_fono ADD CONSTRAINT FK_procedimientos_fono_histtoria_fonoaudiologia_id FOREIGN KEY (histtoria_fonoaudiologia_id) REFERENCES histtoria_fonoaudiologia (id)
ALTER TABLE remision_fisio ADD CONSTRAINT FK_remision_fisio_remision_otra_ins_id FOREIGN KEY (remision_otra_ins_id) REFERENCES remision_otra_ins (id)
ALTER TABLE remision_fisio ADD CONSTRAINT FK_remision_fisio_histtoria_fisioterapia_id FOREIGN KEY (histtoria_fisioterapia_id) REFERENCES histtoria_fisioterapia (id)
ALTER TABLE formula_fono ADD CONSTRAINT FK_formula_fono_formula_id FOREIGN KEY (formula_id) REFERENCES formula (id)
ALTER TABLE formula_fono ADD CONSTRAINT FK_formula_fono_histtoria_fonoaudiologia_id FOREIGN KEY (histtoria_fonoaudiologia_id) REFERENCES histtoria_fonoaudiologia (id)
ALTER TABLE laboratorio_fisio ADD CONSTRAINT FK_laboratorio_fisio_laboratorio_id FOREIGN KEY (laboratorio_id) REFERENCES laboratorio (id)
ALTER TABLE laboratorio_fisio ADD CONSTRAINT FK_laboratorio_fisio_histtoria_fisioterapia_id FOREIGN KEY (histtoria_fisioterapia_id) REFERENCES histtoria_fisioterapia (id)
ALTER TABLE orden ADD CONSTRAINT FK_orden_paciente_id FOREIGN KEY (paciente_id) REFERENCES paciente (id)
